!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 323

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(2917)
  integer, parameter :: nGC_8228 = 1
  integer, parameter :: nGC_8229 = 2
  integer, parameter :: nGC_8222 = 3
  integer, parameter :: nGC_8223 = 4
  integer, parameter :: nGC_8220 = 5
  integer, parameter :: nGC_8221 = 6
  integer, parameter :: nGC_8226 = 7
  integer, parameter :: nGC_8227 = 8
  integer, parameter :: nGC_8224 = 9
  integer, parameter :: nGC_8225 = 10
  integer, parameter :: nGC_7906 = 11
  integer, parameter :: nGC_7907 = 12
  integer, parameter :: nGC_7905 = 13
  integer, parameter :: nGC_7909 = 14
  integer, parameter :: nGC_8316 = 15
  integer, parameter :: nGC_8317 = 16
  integer, parameter :: nGC_8314 = 17
  integer, parameter :: nGC_8315 = 18
  integer, parameter :: nGC_8312 = 19
  integer, parameter :: nGC_8313 = 20
  integer, parameter :: nGC_8310 = 21
  integer, parameter :: nGC_8311 = 22
  integer, parameter :: nGC_8318 = 23
  integer, parameter :: nGC_8488 = 24
  integer, parameter :: nGC_8550 = 25
  integer, parameter :: nGC_8551 = 26
  integer, parameter :: nGC_8000 = 27
  integer, parameter :: nGC_8001 = 28
  integer, parameter :: nGC_8554 = 29
  integer, parameter :: nGC_8555 = 30
  integer, parameter :: nGC_8556 = 31
  integer, parameter :: nGC_8557 = 32
  integer, parameter :: nGC_8558 = 33
  integer, parameter :: nGC_8559 = 34
  integer, parameter :: nGC_8008 = 35
  integer, parameter :: nGC_8009 = 36
  integer, parameter :: nGC_8110 = 37
  integer, parameter :: nGC_8111 = 38
  integer, parameter :: nGC_8112 = 39
  integer, parameter :: nGC_8114 = 40
  integer, parameter :: nGC_8115 = 41
  integer, parameter :: nGC_8178 = 42
  integer, parameter :: nGC_8179 = 43
  integer, parameter :: nGC_8176 = 44
  integer, parameter :: nGC_8177 = 45
  integer, parameter :: nGC_8174 = 46
  integer, parameter :: nGC_8172 = 47
  integer, parameter :: nGC_8173 = 48
  integer, parameter :: nGC_8171 = 49
  integer, parameter :: nGC_74 = 50
  integer, parameter :: nGC_7903 = 51
  integer, parameter :: nGC_7908 = 52
  integer, parameter :: nGC_349 = 53
  integer, parameter :: nGC_347 = 54
  integer, parameter :: nGC_345 = 55
  integer, parameter :: nGC_343 = 56
  integer, parameter :: nGC_8604 = 57
  integer, parameter :: nGC_8605 = 58
  integer, parameter :: nGC_169 = 59
  integer, parameter :: nGC_162 = 60
  integer, parameter :: nGC_163 = 61
  integer, parameter :: nGC_160 = 62
  integer, parameter :: nGC_161 = 63
  integer, parameter :: nGC_166 = 64
  integer, parameter :: nGC_167 = 65
  integer, parameter :: nGC_164 = 66
  integer, parameter :: nGC_165 = 67
  integer, parameter :: nGC_8608 = 68
  integer, parameter :: nGC_8609 = 69
  integer, parameter :: nGC_7973 = 70
  integer, parameter :: nGC_7972 = 71
  integer, parameter :: nGC_7971 = 72
  integer, parameter :: nGC_7970 = 73
  integer, parameter :: nGC_7977 = 74
  integer, parameter :: nGC_7976 = 75
  integer, parameter :: nGC_7975 = 76
  integer, parameter :: nGC_7974 = 77
  integer, parameter :: nGC_8701 = 78
  integer, parameter :: nGC_7979 = 79
  integer, parameter :: nGC_7978 = 80
  integer, parameter :: nGC_8700 = 81
  integer, parameter :: nGC_8363 = 82
  integer, parameter :: nGC_8362 = 83
  integer, parameter :: nGC_8361 = 84
  integer, parameter :: nGC_8360 = 85
  integer, parameter :: nGC_8367 = 86
  integer, parameter :: nGC_8366 = 87
  integer, parameter :: nGC_8365 = 88
  integer, parameter :: nGC_8364 = 89
  integer, parameter :: nGC_8369 = 90
  integer, parameter :: nGC_8368 = 91
  integer, parameter :: nGC_MHC = 92
  integer, parameter :: nGC_MHL = 93
  integer, parameter :: nGC_MHH = 94
  integer, parameter :: nGC_8569 = 95
  integer, parameter :: nGC_8568 = 96
  integer, parameter :: nGC_8565 = 97
  integer, parameter :: nGC_8564 = 98
  integer, parameter :: nGC_8567 = 99
  integer, parameter :: nGC_8566 = 100
  integer, parameter :: nGC_8560 = 101
  integer, parameter :: nGC_8563 = 102
  integer, parameter :: nGC_8586 = 103
  integer, parameter :: nGC_8585 = 104
  integer, parameter :: nGC_8584 = 105
  integer, parameter :: nGC_8582 = 106
  integer, parameter :: nGC_8580 = 107
  integer, parameter :: nGC_8589 = 108
  integer, parameter :: nGC_8588 = 109
  integer, parameter :: nGC_9366 = 110
  integer, parameter :: nGC_9369 = 111
  integer, parameter :: nGC_8489 = 112
  integer, parameter :: nGC_8486 = 113
  integer, parameter :: nGC_8109 = 114
  integer, parameter :: nGC_8108 = 115
  integer, parameter :: nGC_8103 = 116
  integer, parameter :: nGC_8102 = 117
  integer, parameter :: nGC_8101 = 118
  integer, parameter :: nGC_8107 = 119
  integer, parameter :: nGC_8104 = 120
  integer, parameter :: nGC_8485 = 121
  integer, parameter :: nGC_8482 = 122
  integer, parameter :: nGC_8480 = 123
  integer, parameter :: nGC_8481 = 124
  integer, parameter :: nGC_8617 = 125
  integer, parameter :: nGC_8616 = 126
  integer, parameter :: nGC_8615 = 127
  integer, parameter :: nGC_8614 = 128
  integer, parameter :: nGC_8613 = 129
  integer, parameter :: nGC_8612 = 130
  integer, parameter :: nGC_8611 = 131
  integer, parameter :: nGC_8610 = 132
  integer, parameter :: nGC_8618 = 133
  integer, parameter :: nGC_8002 = 134
  integer, parameter :: nGC_8003 = 135
  integer, parameter :: nGC_8552 = 136
  integer, parameter :: nGC_8553 = 137
  integer, parameter :: nGC_8006 = 138
  integer, parameter :: nGC_8007 = 139
  integer, parameter :: nGC_8004 = 140
  integer, parameter :: nGC_8005 = 141
  integer, parameter :: nGC_593 = 142
  integer, parameter :: nGC_597 = 143
  integer, parameter :: nGC_355 = 144
  integer, parameter :: nGC_357 = 145
  integer, parameter :: nGC_351 = 146
  integer, parameter :: nGC_353 = 147
  integer, parameter :: nGC_179 = 148
  integer, parameter :: nGC_178 = 149
  integer, parameter :: nGC_171 = 150
  integer, parameter :: nGC_170 = 151
  integer, parameter :: nGC_173 = 152
  integer, parameter :: nGC_172 = 153
  integer, parameter :: nGC_175 = 154
  integer, parameter :: nGC_174 = 155
  integer, parameter :: nGC_177 = 156
  integer, parameter :: nGC_176 = 157
  integer, parameter :: nGC_8409 = 158
  integer, parameter :: nGC_131 = 159
  integer, parameter :: nGC_7960 = 160
  integer, parameter :: nGC_7961 = 161
  integer, parameter :: nGC_7964 = 162
  integer, parameter :: nGC_7965 = 163
  integer, parameter :: nGC_7966 = 164
  integer, parameter :: nGC_7967 = 165
  integer, parameter :: nGC_8047 = 166
  integer, parameter :: nGC_8370 = 167
  integer, parameter :: nGC_8371 = 168
  integer, parameter :: nGC_8372 = 169
  integer, parameter :: nGC_8373 = 170
  integer, parameter :: nGC_8374 = 171
  integer, parameter :: nGC_8375 = 172
  integer, parameter :: nGC_8376 = 173
  integer, parameter :: nGC_8377 = 174
  integer, parameter :: nGC_8379 = 175
  integer, parameter :: nGC_138 = 176
  integer, parameter :: nGC_9475 = 177
  integer, parameter :: nGC_8578 = 178
  integer, parameter :: nGC_8579 = 179
  integer, parameter :: nGC_8572 = 180
  integer, parameter :: nGC_8570 = 181
  integer, parameter :: nGC_8571 = 182
  integer, parameter :: nGC_8576 = 183
  integer, parameter :: nGC_8577 = 184
  integer, parameter :: nGC_8575 = 185
  integer, parameter :: nGC_8594 = 186
  integer, parameter :: nGC_8595 = 187
  integer, parameter :: nGC_8596 = 188
  integer, parameter :: nGC_8597 = 189
  integer, parameter :: nGC_8590 = 190
  integer, parameter :: nGC_8591 = 191
  integer, parameter :: nGC_8592 = 192
  integer, parameter :: nGC_8593 = 193
  integer, parameter :: nGC_8598 = 194
  integer, parameter :: nGC_8599 = 195
  integer, parameter :: nGC_9355 = 196
  integer, parameter :: nGC_9354 = 197
  integer, parameter :: nGC_99 = 198
  integer, parameter :: nGC_98 = 199
  integer, parameter :: nGC_97 = 200
  integer, parameter :: nGC_96 = 201
  integer, parameter :: nGC_95 = 202
  integer, parameter :: nGC_94 = 203
  integer, parameter :: nGC_93 = 204
  integer, parameter :: nGC_92 = 205
  integer, parameter :: nGC_91 = 206
  integer, parameter :: nGC_90 = 207
  integer, parameter :: nGC_75 = 208
  integer, parameter :: nGC_77 = 209
  integer, parameter :: nGC_76 = 210
  integer, parameter :: nGC_71 = 211
  integer, parameter :: nGC_70 = 212
  integer, parameter :: nGC_73 = 213
  integer, parameter :: nGC_72 = 214
  integer, parameter :: nGC_79 = 215
  integer, parameter :: nGC_78 = 216
  integer, parameter :: nGC_8606 = 217
  integer, parameter :: nGC_8607 = 218
  integer, parameter :: nGC_8600 = 219
  integer, parameter :: nGC_8602 = 220
  integer, parameter :: nGC_8603 = 221
  integer, parameter :: nGC_8175 = 222
  integer, parameter :: nGC_9647 = 223
  integer, parameter :: nGC_9646 = 224
  integer, parameter :: nGC_9645 = 225
  integer, parameter :: nGC_9644 = 226
  integer, parameter :: nGC_9643 = 227
  integer, parameter :: nGC_9642 = 228
  integer, parameter :: nGC_9641 = 229
  integer, parameter :: nGC_9640 = 230
  integer, parameter :: nGC_8078 = 231
  integer, parameter :: nGC_9649 = 232
  integer, parameter :: nGC_9648 = 233
  integer, parameter :: nGC_TS_GC_165_Hh = 234
  integer, parameter :: nGC_14808 = 235
  integer, parameter :: nGC_17940 = 236
  integer, parameter :: nGC_17941 = 237
  integer, parameter :: nGC_369 = 238
  integer, parameter :: nGC_363 = 239
  integer, parameter :: nGC_365 = 240
  integer, parameter :: nGC_367 = 241
  integer, parameter :: nGC_144 = 242
  integer, parameter :: nGC_145 = 243
  integer, parameter :: nGC_146 = 244
  integer, parameter :: nGC_147 = 245
  integer, parameter :: nGC_142 = 246
  integer, parameter :: nGC_143 = 247
  integer, parameter :: nGC_148 = 248
  integer, parameter :: nGC_149 = 249
  integer, parameter :: nGC_MI = 250
  integer, parameter :: nGC_7959 = 251
  integer, parameter :: nGC_7958 = 252
  integer, parameter :: nGC_MM = 253
  integer, parameter :: nGC_MC = 254
  integer, parameter :: nGC_MB = 255
  integer, parameter :: nGC_7957 = 256
  integer, parameter :: nGC_7956 = 257
  integer, parameter :: nGC_7951 = 258
  integer, parameter :: nGC_7950 = 259
  integer, parameter :: nGC_7953 = 260
  integer, parameter :: nGC_MD = 261
  integer, parameter :: nGC_MZ = 262
  integer, parameter :: nGC_8349 = 263
  integer, parameter :: nGC_8348 = 264
  integer, parameter :: nGC_8345 = 265
  integer, parameter :: nGC_8344 = 266
  integer, parameter :: nGC_8347 = 267
  integer, parameter :: nGC_8346 = 268
  integer, parameter :: nGC_8341 = 269
  integer, parameter :: nGC_8340 = 270
  integer, parameter :: nGC_8343 = 271
  integer, parameter :: nGC_8342 = 272
  integer, parameter :: nGC_7921 = 273
  integer, parameter :: nGC_14575 = 274
  integer, parameter :: nGC_9500 = 275
  integer, parameter :: nGC_9503 = 276
  integer, parameter :: nGC_9504 = 277
  integer, parameter :: nGC_9509 = 278
  integer, parameter :: nGC_8337 = 279
  integer, parameter :: nGC_8299 = 280
  integer, parameter :: nGC_8298 = 281
  integer, parameter :: nGC_8443 = 282
  integer, parameter :: nGC_8293 = 283
  integer, parameter :: nGC_8290 = 284
  integer, parameter :: nGC_8297 = 285
  integer, parameter :: nGC_8296 = 286
  integer, parameter :: nGC_8295 = 287
  integer, parameter :: nGC_8294 = 288
  integer, parameter :: nGC_8446 = 289
  integer, parameter :: nGC_8447 = 290
  integer, parameter :: nGC_8333 = 291
  integer, parameter :: nGC_8125 = 292
  integer, parameter :: nGC_8124 = 293
  integer, parameter :: nGC_8126 = 294
  integer, parameter :: nGC_9439 = 295
  integer, parameter :: nGC_8123 = 296
  integer, parameter :: nGC_8122 = 297
  integer, parameter :: nGC_9340 = 298
  integer, parameter :: nGC_8129 = 299
  integer, parameter :: nGC_80 = 300
  integer, parameter :: nGC_81 = 301
  integer, parameter :: nGC_84 = 302
  integer, parameter :: nGC_85 = 303
  integer, parameter :: nGC_86 = 304
  integer, parameter :: nGC_87 = 305
  integer, parameter :: nGC_67 = 306
  integer, parameter :: nGC_64 = 307
  integer, parameter :: nGC_65 = 308
  integer, parameter :: nGC_60 = 309
  integer, parameter :: nGC_61 = 310
  integer, parameter :: nGC_140 = 311
  integer, parameter :: nGC_TS_GC_70_Hl = 312
  integer, parameter :: nGC_8631 = 313
  integer, parameter :: nGC_8635 = 314
  integer, parameter :: nGC_8634 = 315
  integer, parameter :: nGC_8637 = 316
  integer, parameter :: nGC_8636 = 317
  integer, parameter :: nGC_8639 = 318
  integer, parameter :: nGC_8638 = 319
  integer, parameter :: nGC_17790 = 320
  integer, parameter :: nGC_17796 = 321
  integer, parameter :: nGC_9650 = 322
  integer, parameter :: nGC_9651 = 323
  integer, parameter :: nGC_9652 = 324
  integer, parameter :: nGC_9653 = 325
  integer, parameter :: nGC_16639 = 326
  integer, parameter :: nGC_9510 = 327
  integer, parameter :: nGC_16130 = 328
  integer, parameter :: nGC_16131 = 329
  integer, parameter :: nGC_16132 = 330
  integer, parameter :: nGC_16133 = 331
  integer, parameter :: nGC_100 = 332
  integer, parameter :: nGC_14812 = 333
  integer, parameter :: nGC_377 = 334
  integer, parameter :: nGC_375 = 335
  integer, parameter :: nGC_371 = 336
  integer, parameter :: nGC_379 = 337
  integer, parameter :: nGC_18018 = 338
  integer, parameter :: nGC_7990 = 339
  integer, parameter :: nGC_153 = 340
  integer, parameter :: nGC_152 = 341
  integer, parameter :: nGC_151 = 342
  integer, parameter :: nGC_150 = 343
  integer, parameter :: nGC_157 = 344
  integer, parameter :: nGC_156 = 345
  integer, parameter :: nGC_155 = 346
  integer, parameter :: nGC_154 = 347
  integer, parameter :: nGC_159 = 348
  integer, parameter :: nGC_158 = 349
  integer, parameter :: nGC_14781 = 350
  integer, parameter :: nGC_7948 = 351
  integer, parameter :: nGC_7949 = 352
  integer, parameter :: nGC_8439 = 353
  integer, parameter :: nGC_13401 = 354
  integer, parameter :: nGC_7942 = 355
  integer, parameter :: nGC_7943 = 356
  integer, parameter :: nGC_7940 = 357
  integer, parameter :: nGC_8386 = 358
  integer, parameter :: nGC_7946 = 359
  integer, parameter :: nGC_7947 = 360
  integer, parameter :: nGC_7944 = 361
  integer, parameter :: nGC_7945 = 362
  integer, parameter :: nGC_8437 = 363
  integer, parameter :: nGC_8358 = 364
  integer, parameter :: nGC_8359 = 365
  integer, parameter :: nGC_8436 = 366
  integer, parameter :: nGC_8352 = 367
  integer, parameter :: nGC_8353 = 368
  integer, parameter :: nGC_8350 = 369
  integer, parameter :: nGC_8351 = 370
  integer, parameter :: nGC_8356 = 371
  integer, parameter :: nGC_8357 = 372
  integer, parameter :: nGC_8354 = 373
  integer, parameter :: nGC_8355 = 374
  integer, parameter :: nGC_8434 = 375
  integer, parameter :: nGC_8432 = 376
  integer, parameter :: nGC_14566 = 377
  integer, parameter :: nGC_8758 = 378
  integer, parameter :: nGC_8288 = 379
  integer, parameter :: nGC_8280 = 380
  integer, parameter :: nGC_8281 = 381
  integer, parameter :: nGC_8282 = 382
  integer, parameter :: nGC_8283 = 383
  integer, parameter :: nGC_8284 = 384
  integer, parameter :: nGC_8285 = 385
  integer, parameter :: nGC_8286 = 386
  integer, parameter :: nGC_8287 = 387
  integer, parameter :: nGC_13336 = 388
  integer, parameter :: nGC_8130 = 389
  integer, parameter :: nGC_8131 = 390
  integer, parameter :: nGC_8136 = 391
  integer, parameter :: nGC_8137 = 392
  integer, parameter :: nGC_8134 = 393
  integer, parameter :: nGC_8135 = 394
  integer, parameter :: nGC_9401 = 395
  integer, parameter :: nGC_8138 = 396
  integer, parameter :: nGC_8139 = 397
  integer, parameter :: nGC_9404 = 398
  integer, parameter :: nGC_9406 = 399
  integer, parameter :: nGC_9394 = 400
  integer, parameter :: nGC_9397 = 401
  integer, parameter :: nGC_9396 = 402
  integer, parameter :: nGC_9398 = 403
  integer, parameter :: nGC_53 = 404
  integer, parameter :: nGC_52 = 405
  integer, parameter :: nGC_51 = 406
  integer, parameter :: nGC_50 = 407
  integer, parameter :: nGC_57 = 408
  integer, parameter :: nGC_56 = 409
  integer, parameter :: nGC_55 = 410
  integer, parameter :: nGC_54 = 411
  integer, parameter :: nGC_16307 = 412
  integer, parameter :: nGC_16306 = 413
  integer, parameter :: nGC_59 = 414
  integer, parameter :: nGC_58 = 415
  integer, parameter :: nGC_15816 = 416
  integer, parameter :: nGC_13413 = 417
  integer, parameter :: nGC_8626 = 418
  integer, parameter :: nGC_8627 = 419
  integer, parameter :: nGC_8624 = 420
  integer, parameter :: nGC_8625 = 421
  integer, parameter :: nGC_8622 = 422
  integer, parameter :: nGC_8620 = 423
  integer, parameter :: nGC_8621 = 424
  integer, parameter :: nGC_ME = 425
  integer, parameter :: nGC_7952 = 426
  integer, parameter :: nGC_15967 = 427
  integer, parameter :: nGC_MS = 428
  integer, parameter :: nGC_8425 = 429
  integer, parameter :: nGC_MW = 430
  integer, parameter :: nGC_8659 = 431
  integer, parameter :: nGC_8658 = 432
  integer, parameter :: nGC_MU = 433
  integer, parameter :: nGC_MT = 434
  integer, parameter :: nGC_16129 = 435
  integer, parameter :: nGC_16128 = 436
  integer, parameter :: nGC_22579 = 437
  integer, parameter :: nGC_196 = 438
  integer, parameter :: nGC_15151 = 439
  integer, parameter :: nGC_419 = 440
  integer, parameter :: nGC_417 = 441
  integer, parameter :: nGC_415 = 442
  integer, parameter :: nGC_411 = 443
  integer, parameter :: nGC_14687 = 444
  integer, parameter :: nGC_TS_GC_149_Hh = 445
  integer, parameter :: nGC_1671 = 446
  integer, parameter :: nGC_MW_GF = 447
  integer, parameter :: nGC_9522 = 448
  integer, parameter :: nGC_9416 = 449
  integer, parameter :: nGC_9412 = 450
  integer, parameter :: nGC_9411 = 451
  integer, parameter :: nGC_8487 = 452
  integer, parameter :: nGC_7991 = 453
  integer, parameter :: nGC_7993 = 454
  integer, parameter :: nGC_7992 = 455
  integer, parameter :: nGC_7995 = 456
  integer, parameter :: nGC_7994 = 457
  integer, parameter :: nGC_7997 = 458
  integer, parameter :: nGC_7996 = 459
  integer, parameter :: nGC_7999 = 460
  integer, parameter :: nGC_7998 = 461
  integer, parameter :: nGC_891 = 462
  integer, parameter :: nGC_8381 = 463
  integer, parameter :: nGC_8380 = 464
  integer, parameter :: nGC_8383 = 465
  integer, parameter :: nGC_8382 = 466
  integer, parameter :: nGC_8385 = 467
  integer, parameter :: nGC_8384 = 468
  integer, parameter :: nGC_8387 = 469
  integer, parameter :: nGC_8438 = 470
  integer, parameter :: nGC_8389 = 471
  integer, parameter :: nGC_8435 = 472
  integer, parameter :: nGC_8433 = 473
  integer, parameter :: nGC_8430 = 474
  integer, parameter :: nGC_9389 = 475
  integer, parameter :: nGC_9385 = 476
  integer, parameter :: nGC_TS_GC_173_Hh = 477
  integer, parameter :: nGC_48 = 478
  integer, parameter :: nGC_49 = 479
  integer, parameter :: nGC_44 = 480
  integer, parameter :: nGC_45 = 481
  integer, parameter :: nGC_46 = 482
  integer, parameter :: nGC_47 = 483
  integer, parameter :: nGC_40 = 484
  integer, parameter :: nGC_41 = 485
  integer, parameter :: nGC_42 = 486
  integer, parameter :: nGC_43 = 487
  integer, parameter :: nGC_8653 = 488
  integer, parameter :: nGC_8652 = 489
  integer, parameter :: nGC_8651 = 490
  integer, parameter :: nGC_8650 = 491
  integer, parameter :: nGC_8657 = 492
  integer, parameter :: nGC_8656 = 493
  integer, parameter :: nGC_8655 = 494
  integer, parameter :: nGC_8654 = 495
  integer, parameter :: nGC_8483 = 496
  integer, parameter :: nGC_8292 = 497
  integer, parameter :: nGC_8291 = 498
  integer, parameter :: nGC_21730 = 499
  integer, parameter :: nGC_21731 = 500
  integer, parameter :: nGC_21732 = 501
  integer, parameter :: nGC_21733 = 502
  integer, parameter :: nGC_168 = 503
  integer, parameter :: nGC_TS_GC_161_Hl = 504
  integer, parameter :: nGC_8274 = 505
  integer, parameter :: nGC_405 = 506
  integer, parameter :: nGC_407 = 507
  integer, parameter :: nGC_8431 = 508
  integer, parameter :: nGC_15345 = 509
  integer, parameter :: nGC_125 = 510
  integer, parameter :: nGC_8127 = 511
  integer, parameter :: nGC_8121 = 512
  integer, parameter :: nGC_7935 = 513
  integer, parameter :: nGC_9436 = 514
  integer, parameter :: nGC_14234 = 515
  integer, parameter :: nGC_13519 = 516
  integer, parameter :: nGC_88 = 517
  integer, parameter :: nGC_89 = 518
  integer, parameter :: nGC_14345 = 519
  integer, parameter :: nGC_13424 = 520
  integer, parameter :: nGC_14437 = 521
  integer, parameter :: nGC_121 = 522
  integer, parameter :: nGC_9466 = 523
  integer, parameter :: nGC_82 = 524
  integer, parameter :: nGC_83 = 525
  integer, parameter :: nGC_7988 = 526
  integer, parameter :: nGC_7989 = 527
  integer, parameter :: nGC_7986 = 528
  integer, parameter :: nGC_7987 = 529
  integer, parameter :: nGC_7984 = 530
  integer, parameter :: nGC_7985 = 531
  integer, parameter :: nGC_7982 = 532
  integer, parameter :: nGC_7983 = 533
  integer, parameter :: nGC_7980 = 534
  integer, parameter :: nGC_7981 = 535
  integer, parameter :: nGC_8428 = 536
  integer, parameter :: nGC_8429 = 537
  integer, parameter :: nGC_8398 = 538
  integer, parameter :: nGC_8399 = 539
  integer, parameter :: nGC_8420 = 540
  integer, parameter :: nGC_8421 = 541
  integer, parameter :: nGC_39 = 542
  integer, parameter :: nGC_38 = 543
  integer, parameter :: nGC_31 = 544
  integer, parameter :: nGC_30 = 545
  integer, parameter :: nGC_33 = 546
  integer, parameter :: nGC_32 = 547
  integer, parameter :: nGC_35 = 548
  integer, parameter :: nGC_34 = 549
  integer, parameter :: nGC_37 = 550
  integer, parameter :: nGC_36 = 551
  integer, parameter :: nGC_8648 = 552
  integer, parameter :: nGC_8649 = 553
  integer, parameter :: nGC_9287 = 554
  integer, parameter :: nGC_9284 = 555
  integer, parameter :: nGC_8332 = 556
  integer, parameter :: nGC_66 = 557
  integer, parameter :: nGC_62 = 558
  integer, parameter :: nGC_63 = 559
  integer, parameter :: nGC_TS_GC_70_Hh = 560
  integer, parameter :: nGC_128 = 561
  integer, parameter :: nGC_21729 = 562
  integer, parameter :: nGC_21728 = 563
  integer, parameter :: nGC_68 = 564
  integer, parameter :: nGC_69 = 565
  integer, parameter :: nGC_329 = 566
  integer, parameter :: nGC_325 = 567
  integer, parameter :: nGC_327 = 568
  integer, parameter :: nGC_323 = 569
  integer, parameter :: nGC_MTA = 570
  integer, parameter :: nGC_20992 = 571
  integer, parameter :: nGC_188 = 572
  integer, parameter :: nGC_189 = 573
  integer, parameter :: nGC_8630 = 574
  integer, parameter :: nGC_180 = 575
  integer, parameter :: nGC_181 = 576
  integer, parameter :: nGC_182 = 577
  integer, parameter :: nGC_183 = 578
  integer, parameter :: nGC_184 = 579
  integer, parameter :: nGC_185 = 580
  integer, parameter :: nGC_186 = 581
  integer, parameter :: nGC_187 = 582
  integer, parameter :: nGC_8632 = 583
  integer, parameter :: nGC_431 = 584
  integer, parameter :: nGC_433 = 585
  integer, parameter :: nGC_TS_GC_92_Hh = 586
  integer, parameter :: nGC_435 = 587
  integer, parameter :: nGC_9484 = 588
  integer, parameter :: nGC_1611 = 589
  integer, parameter :: nGC_8245 = 590
  integer, parameter :: nGC_15712 = 591
  integer, parameter :: nGC_8243 = 592
  integer, parameter :: nGC_13985 = 593
  integer, parameter :: nGC_13298 = 594
  integer, parameter :: nGC_8099 = 595
  integer, parameter :: nGC_8098 = 596
  integer, parameter :: nGC_871 = 597
  integer, parameter :: nGC_8095 = 598
  integer, parameter :: nGC_8094 = 599
  integer, parameter :: nGC_8097 = 600
  integer, parameter :: nGC_8096 = 601
  integer, parameter :: nGC_8091 = 602
  integer, parameter :: nGC_8090 = 603
  integer, parameter :: nGC_8093 = 604
  integer, parameter :: nGC_8092 = 605
  integer, parameter :: nGC_8259 = 606
  integer, parameter :: nGC_8258 = 607
  integer, parameter :: nGC_8257 = 608
  integer, parameter :: nGC_8256 = 609
  integer, parameter :: nGC_8255 = 610
  integer, parameter :: nGC_8253 = 611
  integer, parameter :: nGC_8252 = 612
  integer, parameter :: nGC_8703 = 613
  integer, parameter :: nGC_8702 = 614
  integer, parameter :: nGC_TS_GC_64_Hl = 615
  integer, parameter :: nGC_TS_GC_64_Hh = 616
  integer, parameter :: nGC_9477 = 617
  integer, parameter :: nGC_9478 = 618
  integer, parameter :: nGC_13162 = 619
  integer, parameter :: nGC_18452 = 620
  integer, parameter :: nGC_13164 = 621
  integer, parameter :: nGC_8326 = 622
  integer, parameter :: nGC_8419 = 623
  integer, parameter :: nGC_8418 = 624
  integer, parameter :: nGC_7904 = 625
  integer, parameter :: nGC_8411 = 626
  integer, parameter :: nGC_8410 = 627
  integer, parameter :: nGC_8413 = 628
  integer, parameter :: nGC_8412 = 629
  integer, parameter :: nGC_8415 = 630
  integer, parameter :: nGC_8414 = 631
  integer, parameter :: nGC_8417 = 632
  integer, parameter :: nGC_8416 = 633
  integer, parameter :: nGC_28 = 634
  integer, parameter :: nGC_29 = 635
  integer, parameter :: nGC_22 = 636
  integer, parameter :: nGC_23 = 637
  integer, parameter :: nGC_20 = 638
  integer, parameter :: nGC_21 = 639
  integer, parameter :: nGC_26 = 640
  integer, parameter :: nGC_27 = 641
  integer, parameter :: nGC_24 = 642
  integer, parameter :: nGC_25 = 643
  integer, parameter :: nGC_8675 = 644
  integer, parameter :: nGC_8674 = 645
  integer, parameter :: nGC_8676 = 646
  integer, parameter :: nGC_8671 = 647
  integer, parameter :: nGC_8670 = 648
  integer, parameter :: nGC_8673 = 649
  integer, parameter :: nGC_8672 = 650
  integer, parameter :: nGC_8077 = 651
  integer, parameter :: nGC_8076 = 652
  integer, parameter :: nGC_8075 = 653
  integer, parameter :: nGC_8074 = 654
  integer, parameter :: nGC_8073 = 655
  integer, parameter :: nGC_8072 = 656
  integer, parameter :: nGC_8071 = 657
  integer, parameter :: nGC_8070 = 658
  integer, parameter :: nGC_9290 = 659
  integer, parameter :: nGC_8677 = 660
  integer, parameter :: nGC_9435 = 661
  integer, parameter :: nGC_13170 = 662
  integer, parameter :: nGC_15910 = 663
  integer, parameter :: nGC_18872 = 664
  integer, parameter :: nGC_8561 = 665
  integer, parameter :: nGC_8562 = 666
  integer, parameter :: nGC_339 = 667
  integer, parameter :: nGC_TS_GC_32_Hh = 668
  integer, parameter :: nGC_333 = 669
  integer, parameter :: nGC_331 = 670
  integer, parameter :: nGC_337 = 671
  integer, parameter :: nGC_335 = 672
  integer, parameter :: nGC_16008 = 673
  integer, parameter :: nGC_197 = 674
  integer, parameter :: nGC_195 = 675
  integer, parameter :: nGC_194 = 676
  integer, parameter :: nGC_193 = 677
  integer, parameter :: nGC_192 = 678
  integer, parameter :: nGC_191 = 679
  integer, parameter :: nGC_190 = 680
  integer, parameter :: nGC_198 = 681
  integer, parameter :: nGC_427 = 682
  integer, parameter :: nGC_425 = 683
  integer, parameter :: nGC_423 = 684
  integer, parameter :: nGC_373 = 685
  integer, parameter :: nGC_8587 = 686
  integer, parameter :: nGC_601 = 687
  integer, parameter :: nGC_14601 = 688
  integer, parameter :: nGC_8254 = 689
  integer, parameter :: nGC_8583 = 690
  integer, parameter :: nGC_14748 = 691
  integer, parameter :: nGC_8581 = 692
  integer, parameter :: nGC_8679 = 693
  integer, parameter :: nGC_8678 = 694
  integer, parameter :: nGC_12627 = 695
  integer, parameter :: nGC_8251 = 696
  integer, parameter :: nGC_19043 = 697
  integer, parameter :: nGC_13574 = 698
  integer, parameter :: nGC_8250 = 699
  integer, parameter :: nGC_1005 = 700
  integer, parameter :: nGC_8088 = 701
  integer, parameter :: nGC_8089 = 702
  integer, parameter :: nGC_8082 = 703
  integer, parameter :: nGC_8083 = 704
  integer, parameter :: nGC_8080 = 705
  integer, parameter :: nGC_8081 = 706
  integer, parameter :: nGC_8086 = 707
  integer, parameter :: nGC_8087 = 708
  integer, parameter :: nGC_8084 = 709
  integer, parameter :: nGC_8085 = 710
  integer, parameter :: nGC_8248 = 711
  integer, parameter :: nGC_8249 = 712
  integer, parameter :: nGC_8244 = 713
  integer, parameter :: nGC_8246 = 714
  integer, parameter :: nGC_8247 = 715
  integer, parameter :: nGC_8240 = 716
  integer, parameter :: nGC_8241 = 717
  integer, parameter :: nGC_8242 = 718
  integer, parameter :: nGC_13196 = 719
  integer, parameter :: nGC_13190 = 720
  integer, parameter :: nGC_9360 = 721
  integer, parameter :: nGC_9449 = 722
  integer, parameter :: nGC_8406 = 723
  integer, parameter :: nGC_8407 = 724
  integer, parameter :: nGC_8404 = 725
  integer, parameter :: nGC_8405 = 726
  integer, parameter :: nGC_8402 = 727
  integer, parameter :: nGC_8403 = 728
  integer, parameter :: nGC_8400 = 729
  integer, parameter :: nGC_8401 = 730
  integer, parameter :: nGC_8408 = 731
  integer, parameter :: nGC_8484 = 732
  integer, parameter :: nGC_12801 = 733
  integer, parameter :: nGC_17 = 734
  integer, parameter :: nGC_16 = 735
  integer, parameter :: nGC_15 = 736
  integer, parameter :: nGC_14 = 737
  integer, parameter :: nGC_13 = 738
  integer, parameter :: nGC_12 = 739
  integer, parameter :: nGC_11 = 740
  integer, parameter :: nGC_10 = 741
  integer, parameter :: nGC_19 = 742
  integer, parameter :: nGC_18 = 743
  integer, parameter :: nGC_8662 = 744
  integer, parameter :: nGC_8660 = 745
  integer, parameter :: nGC_8666 = 746
  integer, parameter :: nGC_8667 = 747
  integer, parameter :: nGC_8664 = 748
  integer, parameter :: nGC_8665 = 749
  integer, parameter :: nGC_8668 = 750
  integer, parameter :: nGC_8669 = 751
  integer, parameter :: nGC_8064 = 752
  integer, parameter :: nGC_8065 = 753
  integer, parameter :: nGC_8066 = 754
  integer, parameter :: nGC_8067 = 755
  integer, parameter :: nGC_8060 = 756
  integer, parameter :: nGC_8061 = 757
  integer, parameter :: nGC_8062 = 758
  integer, parameter :: nGC_8063 = 759
  integer, parameter :: nGC_9040 = 760
  integer, parameter :: nGC_9043 = 761
  integer, parameter :: nGC_8100 = 762
  integer, parameter :: nGC_8068 = 763
  integer, parameter :: nGC_8069 = 764
  integer, parameter :: nGC_8105 = 765
  integer, parameter :: nGC_24898 = 766
  integer, parameter :: nGC_16477 = 767
  integer, parameter :: nGC_17470 = 768
  integer, parameter :: nGC_9423 = 769
  integer, parameter :: nGC_953 = 770
  integer, parameter :: nGC_TS_GC_25_Hh = 771
  integer, parameter :: nGC_TS_GC_25_Hl = 772
  integer, parameter :: nGC_12846 = 773
  integer, parameter :: nGC_13766 = 774
  integer, parameter :: nGC_13764 = 775
  integer, parameter :: nGC_TS_GC_192_Hl = 776
  integer, parameter :: nGC_14089 = 777
  integer, parameter :: nGC_TS_GC_99_Hl = 778
  integer, parameter :: nGC_13962 = 779
  integer, parameter :: nGC_13963 = 780
  integer, parameter :: nGC_TS_GC_99_Hh = 781
  integer, parameter :: nGC_14064 = 782
  integer, parameter :: nGC_22578 = 783
  integer, parameter :: nGC_8279 = 784
  integer, parameter :: nGC_8278 = 785
  integer, parameter :: nGC_8271 = 786
  integer, parameter :: nGC_8272 = 787
  integer, parameter :: nGC_8275 = 788
  integer, parameter :: nGC_12962 = 789
  integer, parameter :: nGC_8277 = 790
  integer, parameter :: nGC_8276 = 791
  integer, parameter :: nGC_1495 = 792
  integer, parameter :: nGC_8619 = 793
  integer, parameter :: nGC_12707 = 794
  integer, parameter :: nGC_12854 = 795
  integer, parameter :: nGC_12709 = 796
  integer, parameter :: nGC_8183 = 797
  integer, parameter :: nGC_8182 = 798
  integer, parameter :: nGC_8181 = 799
  integer, parameter :: nGC_8180 = 800
  integer, parameter :: nGC_8187 = 801
  integer, parameter :: nGC_8186 = 802
  integer, parameter :: nGC_8185 = 803
  integer, parameter :: nGC_8184 = 804
  integer, parameter :: nGC_13147 = 805
  integer, parameter :: nGC_8189 = 806
  integer, parameter :: nGC_8188 = 807
  integer, parameter :: nGC_9457 = 808
  integer, parameter :: nGC_9454 = 809
  integer, parameter :: nGC_8473 = 810
  integer, parameter :: nGC_8472 = 811
  integer, parameter :: nGC_8471 = 812
  integer, parameter :: nGC_8470 = 813
  integer, parameter :: nGC_8477 = 814
  integer, parameter :: nGC_8476 = 815
  integer, parameter :: nGC_8475 = 816
  integer, parameter :: nGC_8474 = 817
  integer, parameter :: nGC_TS_GC_65_Hl = 818
  integer, parameter :: nGC_8478 = 819
  integer, parameter :: nGC_12814 = 820
  integer, parameter :: nGC_13545 = 821
  integer, parameter :: nGC_12635 = 822
  integer, parameter :: nGC_13425 = 823
  integer, parameter :: nGC_8699 = 824
  integer, parameter :: nGC_8698 = 825
  integer, parameter :: nGC_8697 = 826
  integer, parameter :: nGC_8696 = 827
  integer, parameter :: nGC_8695 = 828
  integer, parameter :: nGC_8694 = 829
  integer, parameter :: nGC_8693 = 830
  integer, parameter :: nGC_8692 = 831
  integer, parameter :: nGC_8691 = 832
  integer, parameter :: nGC_8690 = 833
  integer, parameter :: nGC_8051 = 834
  integer, parameter :: nGC_8050 = 835
  integer, parameter :: nGC_8053 = 836
  integer, parameter :: nGC_8052 = 837
  integer, parameter :: nGC_8055 = 838
  integer, parameter :: nGC_8054 = 839
  integer, parameter :: nGC_8509 = 840
  integer, parameter :: nGC_8508 = 841
  integer, parameter :: nGC_8507 = 842
  integer, parameter :: nGC_8506 = 843
  integer, parameter :: nGC_8505 = 844
  integer, parameter :: nGC_8504 = 845
  integer, parameter :: nGC_8503 = 846
  integer, parameter :: nGC_8502 = 847
  integer, parameter :: nGC_8501 = 848
  integer, parameter :: nGC_8500 = 849
  integer, parameter :: nGC_8128 = 850
  integer, parameter :: nGC_8493 = 851
  integer, parameter :: nGC_15886 = 852
  integer, parameter :: nGC_8495 = 853
  integer, parameter :: nGC_12672 = 854
  integer, parameter :: nGC_9632 = 855
  integer, parameter :: nGC_9633 = 856
  integer, parameter :: nGC_9630 = 857
  integer, parameter :: nGC_9631 = 858
  integer, parameter :: nGC_9636 = 859
  integer, parameter :: nGC_9637 = 860
  integer, parameter :: nGC_9635 = 861
  integer, parameter :: nGC_9638 = 862
  integer, parameter :: nGC_9639 = 863
  integer, parameter :: nGC_TS_GC_33_Hh = 864
  integer, parameter :: nGC_120 = 865
  integer, parameter :: nGC_12971 = 866
  integer, parameter :: nGC_17469 = 867
  integer, parameter :: nGC_17464 = 868
  integer, parameter :: nGC_17461 = 869
  integer, parameter :: nGC_17463 = 870
  integer, parameter :: nGC_17462 = 871
  integer, parameter :: nGC_TS_GC_180_Hh = 872
  integer, parameter :: nGC_13660 = 873
  integer, parameter :: nGC_TS_GC_121_Hh = 874
  integer, parameter :: nGC_16022 = 875
  integer, parameter :: nGC_17002 = 876
  integer, parameter :: nGC_403 = 877
  integer, parameter :: nGC_8543 = 878
  integer, parameter :: nGC_8542 = 879
  integer, parameter :: nGC_8541 = 880
  integer, parameter :: nGC_8118 = 881
  integer, parameter :: nGC_8011 = 882
  integer, parameter :: nGC_8546 = 883
  integer, parameter :: nGC_8116 = 884
  integer, parameter :: nGC_8545 = 885
  integer, parameter :: nGC_8544 = 886
  integer, parameter :: nGC_8119 = 887
  integer, parameter :: nGC_8018 = 888
  integer, parameter :: nGC_22580 = 889
  integer, parameter :: nGC_8424 = 890
  integer, parameter :: nGC_8397 = 891
  integer, parameter :: nGC_8426 = 892
  integer, parameter :: nGC_14097 = 893
  integer, parameter :: nGC_8427 = 894
  integer, parameter :: nGC_14098 = 895
  integer, parameter :: nGC_13601 = 896
  integer, parameter :: nGC_8422 = 897
  integer, parameter :: nGC_13603 = 898
  integer, parameter :: nGC_13602 = 899
  integer, parameter :: nGC_8423 = 900
  integer, parameter :: nGC_17592 = 901
  integer, parameter :: nGC_8266 = 902
  integer, parameter :: nGC_8267 = 903
  integer, parameter :: nGC_8264 = 904
  integer, parameter :: nGC_8265 = 905
  integer, parameter :: nGC_8262 = 906
  integer, parameter :: nGC_8263 = 907
  integer, parameter :: nGC_8260 = 908
  integer, parameter :: nGC_8261 = 909
  integer, parameter :: nGC_8268 = 910
  integer, parameter :: nGC_8269 = 911
  integer, parameter :: nGC_127 = 912
  integer, parameter :: nGC_TS_GC_128_Hl = 913
  integer, parameter :: nGC_13773 = 914
  integer, parameter :: nGC_13777 = 915
  integer, parameter :: nGC_8190 = 916
  integer, parameter :: nGC_8191 = 917
  integer, parameter :: nGC_8192 = 918
  integer, parameter :: nGC_8193 = 919
  integer, parameter :: nGC_8194 = 920
  integer, parameter :: nGC_8195 = 921
  integer, parameter :: nGC_8196 = 922
  integer, parameter :: nGC_8197 = 923
  integer, parameter :: nGC_8198 = 924
  integer, parameter :: nGC_8199 = 925
  integer, parameter :: nGC_8460 = 926
  integer, parameter :: nGC_8461 = 927
  integer, parameter :: nGC_8462 = 928
  integer, parameter :: nGC_8463 = 929
  integer, parameter :: nGC_8464 = 930
  integer, parameter :: nGC_8465 = 931
  integer, parameter :: nGC_8466 = 932
  integer, parameter :: nGC_8467 = 933
  integer, parameter :: nGC_8468 = 934
  integer, parameter :: nGC_15368 = 935
  integer, parameter :: nGC_12825 = 936
  integer, parameter :: nGC_12823 = 937
  integer, parameter :: nGC_12820 = 938
  integer, parameter :: nGC_13555 = 939
  integer, parameter :: nGC_129 = 940
  integer, parameter :: nGC_TS_GC_157_Hh = 941
  integer, parameter :: nGC_8113 = 942
  integer, parameter :: nGC_8688 = 943
  integer, parameter :: nGC_8689 = 944
  integer, parameter :: nGC_8684 = 945
  integer, parameter :: nGC_8685 = 946
  integer, parameter :: nGC_8686 = 947
  integer, parameter :: nGC_8687 = 948
  integer, parameter :: nGC_8680 = 949
  integer, parameter :: nGC_8681 = 950
  integer, parameter :: nGC_8682 = 951
  integer, parameter :: nGC_8683 = 952
  integer, parameter :: nGC_8518 = 953
  integer, parameter :: nGC_8519 = 954
  integer, parameter :: nGC_8048 = 955
  integer, parameter :: nGC_8049 = 956
  integer, parameter :: nGC_8514 = 957
  integer, parameter :: nGC_8515 = 958
  integer, parameter :: nGC_8516 = 959
  integer, parameter :: nGC_8517 = 960
  integer, parameter :: nGC_8510 = 961
  integer, parameter :: nGC_8043 = 962
  integer, parameter :: nGC_8512 = 963
  integer, parameter :: nGC_8513 = 964
  integer, parameter :: nGC_7941 = 965
  integer, parameter :: nGC_9305 = 966
  integer, parameter :: nGC_17385 = 967
  integer, parameter :: nGC_9480 = 968
  integer, parameter :: nGC_9483 = 969
  integer, parameter :: nGC_12903 = 970
  integer, parameter :: nGC_9487 = 971
  integer, parameter :: nGC_9488 = 972
  integer, parameter :: nGC_9334 = 973
  integer, parameter :: nGC_9333 = 974
  integer, parameter :: nGC_TS_GC_91_Hl = 975
  integer, parameter :: nGC_MMW_GF = 976
  integer, parameter :: nGC_8117 = 977
  integer, parameter :: nGC_16387 = 978
  integer, parameter :: nGC_22023 = 979
  integer, parameter :: nGC_17928 = 980
  integer, parameter :: nGC_8640 = 981
  integer, parameter :: nGC_TS_GC_24_Hl = 982
  integer, parameter :: nGC_8641 = 983
  integer, parameter :: nGC_8642 = 984
  integer, parameter :: nGC_TS_GC_30_Hl = 985
  integer, parameter :: nGC_8643 = 986
  integer, parameter :: nGC_8644 = 987
  integer, parameter :: nGC_8645 = 988
  integer, parameter :: nGC_8646 = 989
  integer, parameter :: nGC_8647 = 990
  integer, parameter :: nGC_389 = 991
  integer, parameter :: nGC_383 = 992
  integer, parameter :: nGC_387 = 993
  integer, parameter :: nGC_385 = 994
  integer, parameter :: nGC_8022 = 995
  integer, parameter :: nGC_14565 = 996
  integer, parameter :: nGC_MZ_GF = 997
  integer, parameter :: nGC_9434 = 998
  integer, parameter :: nGC_126 = 999
  integer, parameter :: nGC_124 = 1000
  integer, parameter :: nGC_122 = 1001
  integer, parameter :: nGC_123 = 1002
  integer, parameter :: nGC_25346 = 1003
  integer, parameter :: nGC_359 = 1004
  integer, parameter :: nGC_13015 = 1005
  integer, parameter :: nGC_8213 = 1006
  integer, parameter :: nGC_8212 = 1007
  integer, parameter :: nGC_8211 = 1008
  integer, parameter :: nGC_8210 = 1009
  integer, parameter :: nGC_8217 = 1010
  integer, parameter :: nGC_8216 = 1011
  integer, parameter :: nGC_8215 = 1012
  integer, parameter :: nGC_8214 = 1013
  integer, parameter :: nGC_18573 = 1014
  integer, parameter :: nGC_8219 = 1015
  integer, parameter :: nGC_8218 = 1016
  integer, parameter :: nGC_13495 = 1017
  integer, parameter :: nGC_8449 = 1018
  integer, parameter :: nGC_13947 = 1019
  integer, parameter :: nGC_13125 = 1020
  integer, parameter :: nGC_7939 = 1021
  integer, parameter :: nGC_7938 = 1022
  integer, parameter :: nGC_7937 = 1023
  integer, parameter :: nGC_7936 = 1024
  integer, parameter :: nGC_I = 1025
  integer, parameter :: nGC_7934 = 1026
  integer, parameter :: nGC_7933 = 1027
  integer, parameter :: nGC_7932 = 1028
  integer, parameter :: nGC_7931 = 1029
  integer, parameter :: nGC_7930 = 1030
  integer, parameter :: nGC_8459 = 1031
  integer, parameter :: nGC_8458 = 1032
  integer, parameter :: nGC_8329 = 1033
  integer, parameter :: nGC_8328 = 1034
  integer, parameter :: nGC_8327 = 1035
  integer, parameter :: nGC_8454 = 1036
  integer, parameter :: nGC_8325 = 1037
  integer, parameter :: nGC_22021 = 1038
  integer, parameter :: nGC_8322 = 1039
  integer, parameter :: nGC_8321 = 1040
  integer, parameter :: nGC_8320 = 1041
  integer, parameter :: nGC_TS_GC_129_Hh = 1042
  integer, parameter :: nGC_17069 = 1043
  integer, parameter :: nGC_3 = 1044
  integer, parameter :: nGC_2 = 1045
  integer, parameter :: nGC_1 = 1046
  integer, parameter :: nGC_7 = 1047
  integer, parameter :: nGC_6 = 1048
  integer, parameter :: nGC_5 = 1049
  integer, parameter :: nGC_9039 = 1050
  integer, parameter :: nGC_9 = 1051
  integer, parameter :: nGC_8 = 1052
  integer, parameter :: nGC_8529 = 1053
  integer, parameter :: nGC_8039 = 1054
  integer, parameter :: nGC_8038 = 1055
  integer, parameter :: nGC_12729 = 1056
  integer, parameter :: nGC_8663 = 1057
  integer, parameter :: nGC_8521 = 1058
  integer, parameter :: nGC_8032 = 1059
  integer, parameter :: nGC_8523 = 1060
  integer, parameter :: nGC_8030 = 1061
  integer, parameter :: nGC_8037 = 1062
  integer, parameter :: nGC_8524 = 1063
  integer, parameter :: nGC_8035 = 1064
  integer, parameter :: nGC_8034 = 1065
  integer, parameter :: nGC_8324 = 1066
  integer, parameter :: nGC_8323 = 1067
  integer, parameter :: nGC_TS_GC_34_Hh = 1068
  integer, parameter :: nGC_17391 = 1069
  integer, parameter :: nGC_8289 = 1070
  integer, parameter :: nGC_8147 = 1071
  integer, parameter :: nGC_8146 = 1072
  integer, parameter :: nGC_8145 = 1073
  integer, parameter :: nGC_8144 = 1074
  integer, parameter :: nGC_8143 = 1075
  integer, parameter :: nGC_8142 = 1076
  integer, parameter :: nGC_9498 = 1077
  integer, parameter :: nGC_8140 = 1078
  integer, parameter :: nGC_9497 = 1079
  integer, parameter :: nGC_12715 = 1080
  integer, parameter :: nGC_9327 = 1081
  integer, parameter :: nGC_9320 = 1082
  integer, parameter :: nGC_9321 = 1083
  integer, parameter :: nGC_8149 = 1084
  integer, parameter :: nGC_8148 = 1085
  integer, parameter :: nGC_8948 = 1086
  integer, parameter :: nGC_9143 = 1087
  integer, parameter :: nGC_9144 = 1088
  integer, parameter :: nGC_9145 = 1089
  integer, parameter :: nGC_TS_GC_36_Hh = 1090
  integer, parameter :: nGC_TS_GC_36_Hl = 1091
  integer, parameter :: nGC_19764 = 1092
  integer, parameter :: nGC_19763 = 1093
  integer, parameter :: nGC_8628 = 1094
  integer, parameter :: nGC_16285 = 1095
  integer, parameter :: nGC_399 = 1096
  integer, parameter :: nGC_391 = 1097
  integer, parameter :: nGC_8629 = 1098
  integer, parameter :: nGC_393 = 1099
  integer, parameter :: nGC_397 = 1100
  integer, parameter :: nGC_8079 = 1101
  integer, parameter :: nGC_8033 = 1102
  integer, parameter :: nGC_14913 = 1103
  integer, parameter :: nGC_TS_GC_120_Hl = 1104
  integer, parameter :: nGC_16759 = 1105
  integer, parameter :: nGC_20988 = 1106
  integer, parameter :: nGC_MHA = 1107
  integer, parameter :: nGC_8661 = 1108
  integer, parameter :: nGC_14700 = 1109
  integer, parameter :: nGC_14703 = 1110
  integer, parameter :: nGC_15654 = 1111
  integer, parameter :: nGC_15093 = 1112
  integer, parameter :: nGC_8132 = 1113
  integer, parameter :: nGC_8133 = 1114
  integer, parameter :: nGC_9032 = 1115
  integer, parameter :: nGC_9034 = 1116
  integer, parameter :: nGC_8141 = 1117
  integer, parameter :: nGC_9036 = 1118
  integer, parameter :: nGC_14670 = 1119
  integer, parameter :: nGC_4 = 1120
  integer, parameter :: nGC_13955 = 1121
  integer, parameter :: nGC_135 = 1122
  integer, parameter :: nGC_134 = 1123
  integer, parameter :: nGC_137 = 1124
  integer, parameter :: nGC_136 = 1125
  integer, parameter :: nGC_647 = 1126
  integer, parameter :: nGC_130 = 1127
  integer, parameter :: nGC_133 = 1128
  integer, parameter :: nGC_132 = 1129
  integer, parameter :: nGC_8036 = 1130
  integer, parameter :: nGC_139 = 1131
  integer, parameter :: nGC_9403 = 1132
  integer, parameter :: nGC_15509 = 1133
  integer, parameter :: nGC_9402 = 1134
  integer, parameter :: nGC_13004 = 1135
  integer, parameter :: nGC_13009 = 1136
  integer, parameter :: nGC_15506 = 1137
  integer, parameter :: nGC_8200 = 1138
  integer, parameter :: nGC_8201 = 1139
  integer, parameter :: nGC_8202 = 1140
  integer, parameter :: nGC_8203 = 1141
  integer, parameter :: nGC_8204 = 1142
  integer, parameter :: nGC_8205 = 1143
  integer, parameter :: nGC_8206 = 1144
  integer, parameter :: nGC_8207 = 1145
  integer, parameter :: nGC_8208 = 1146
  integer, parameter :: nGC_8209 = 1147
  integer, parameter :: nGC_TS_GC_23_Hh = 1148
  integer, parameter :: nGC_8319 = 1149
  integer, parameter :: nGC_14459 = 1150
  integer, parameter :: nGC_8528 = 1151
  integer, parameter :: nGC_13485 = 1152
  integer, parameter :: nGC_26592 = 1153
  integer, parameter :: nGC_13715 = 1154
  integer, parameter :: nGC_13713 = 1155
  integer, parameter :: nGC_TS_GC_16_Hh = 1156
  integer, parameter :: nGC_8716 = 1157
  integer, parameter :: nGC_12725 = 1158
  integer, parameter :: nGC_7928 = 1159
  integer, parameter :: nGC_7929 = 1160
  integer, parameter :: nGC_8520 = 1161
  integer, parameter :: nGC_7924 = 1162
  integer, parameter :: nGC_7925 = 1163
  integer, parameter :: nGC_7926 = 1164
  integer, parameter :: nGC_7927 = 1165
  integer, parameter :: nGC_7920 = 1166
  integer, parameter :: nGC_8031 = 1167
  integer, parameter :: nGC_7922 = 1168
  integer, parameter :: nGC_7923 = 1169
  integer, parameter :: nGC_8448 = 1170
  integer, parameter :: nGC_8522 = 1171
  integer, parameter :: nGC_8338 = 1172
  integer, parameter :: nGC_8339 = 1173
  integer, parameter :: nGC_8442 = 1174
  integer, parameter :: nGC_8335 = 1175
  integer, parameter :: nGC_8440 = 1176
  integer, parameter :: nGC_8441 = 1177
  integer, parameter :: nGC_8330 = 1178
  integer, parameter :: nGC_8331 = 1179
  integer, parameter :: nGC_8444 = 1180
  integer, parameter :: nGC_8445 = 1181
  integer, parameter :: nGC_8527 = 1182
  integer, parameter :: nGC_8526 = 1183
  integer, parameter :: nGC_12665 = 1184
  integer, parameter :: nGC_14265 = 1185
  integer, parameter :: nGC_8536 = 1186
  integer, parameter :: nGC_8537 = 1187
  integer, parameter :: nGC_8534 = 1188
  integer, parameter :: nGC_8535 = 1189
  integer, parameter :: nGC_8532 = 1190
  integer, parameter :: nGC_8533 = 1191
  integer, parameter :: nGC_8530 = 1192
  integer, parameter :: nGC_8531 = 1193
  integer, parameter :: nGC_9000 = 1194
  integer, parameter :: nGC_8538 = 1195
  integer, parameter :: nGC_8539 = 1196
  integer, parameter :: nGC_8028 = 1197
  integer, parameter :: nGC_8029 = 1198
  integer, parameter :: nGC_8020 = 1199
  integer, parameter :: nGC_8021 = 1200
  integer, parameter :: nGC_TS_GC_16_Hl = 1201
  integer, parameter :: nGC_8023 = 1202
  integer, parameter :: nGC_8024 = 1203
  integer, parameter :: nGC_8025 = 1204
  integer, parameter :: nGC_8026 = 1205
  integer, parameter :: nGC_8027 = 1206
  integer, parameter :: nGC_13614 = 1207
  integer, parameter :: nGC_17651 = 1208
  integer, parameter :: nGC_13304 = 1209
  integer, parameter :: nGC_8154 = 1210
  integer, parameter :: nGC_8155 = 1211
  integer, parameter :: nGC_8156 = 1212
  integer, parameter :: nGC_8157 = 1213
  integer, parameter :: nGC_8150 = 1214
  integer, parameter :: nGC_8151 = 1215
  integer, parameter :: nGC_8152 = 1216
  integer, parameter :: nGC_8153 = 1217
  integer, parameter :: nGC_9310 = 1218
  integer, parameter :: nGC_9312 = 1219
  integer, parameter :: nGC_8158 = 1220
  integer, parameter :: nGC_8159 = 1221
  integer, parameter :: nGC_9316 = 1222
  integer, parameter :: nGC_8455 = 1223
  integer, parameter :: nGC_7962 = 1224
  integer, parameter :: nGC_7963 = 1225
  integer, parameter :: nGC_8633 = 1226
  integer, parameter :: nGC_7968 = 1227
  integer, parameter :: nGC_7969 = 1228
  integer, parameter :: nGC_TS_GC_153_Hl = 1229
  integer, parameter :: nGC_8457 = 1230
  integer, parameter :: nGC_8170 = 1231
  integer, parameter :: nGC_8456 = 1232
  integer, parameter :: nGC_TS_GC_145_Hl = 1233
  integer, parameter :: nGC_8451 = 1234
  integer, parameter :: nGC_1015 = 1235
  integer, parameter :: nGC_8378 = 1236
  integer, parameter :: nGC_8450 = 1237
  integer, parameter :: nGC_14900 = 1238
  integer, parameter :: nGC_14906 = 1239
  integer, parameter :: nGC_7955 = 1240
  integer, parameter :: nGC_14904 = 1241
  integer, parameter :: nGC_8453 = 1242
  integer, parameter :: nGC_9328 = 1243
  integer, parameter :: nGC_8883 = 1244
  integer, parameter :: nGC_9329 = 1245
  integer, parameter :: nGC_9499 = 1246
  integer, parameter :: nGC_7954 = 1247
  integer, parameter :: nGC_9496 = 1248
  integer, parameter :: nGC_8046 = 1249
  integer, parameter :: nGC_8452 = 1250
  integer, parameter :: nGC_9325 = 1251
  integer, parameter :: nGC_9326 = 1252
  integer, parameter :: nGC_9495 = 1253
  integer, parameter :: nGC_8623 = 1254
  integer, parameter :: nGC_12967 = 1255
  integer, parameter :: nGC_9322 = 1256
  integer, parameter :: nGC_8881 = 1257
  integer, parameter :: nGC_8270 = 1258
  integer, parameter :: nGC_9323 = 1259
  integer, parameter :: nGC_8273 = 1260
  integer, parameter :: nGC_15463 = 1261
  integer, parameter :: nGC_15460 = 1262
  integer, parameter :: nGC_8044 = 1263
  integer, parameter :: nGC_141 = 1264
  integer, parameter :: nGC_TS_GC_63_Hh = 1265
  integer, parameter :: nGC_TS_GC_63_Hl = 1266
  integer, parameter :: nGC_14593 = 1267
  integer, parameter :: nGC_13929 = 1268
  integer, parameter :: nGC_13925 = 1269
  integer, parameter :: nGC_13927 = 1270
  integer, parameter :: nGC_13920 = 1271
  integer, parameter :: nGC_8045 = 1272
  integer, parameter :: nGC_8334 = 1273
  integer, parameter :: nGC_101 = 1274
  integer, parameter :: nGC_102 = 1275
  integer, parameter :: nGC_103 = 1276
  integer, parameter :: nGC_104 = 1277
  integer, parameter :: nGC_105 = 1278
  integer, parameter :: nGC_106 = 1279
  integer, parameter :: nGC_107 = 1280
  integer, parameter :: nGC_108 = 1281
  integer, parameter :: nGC_109 = 1282
  integer, parameter :: nGC_13035 = 1283
  integer, parameter :: nGC_13033 = 1284
  integer, parameter :: nGC_13030 = 1285
  integer, parameter :: nGC_15513 = 1286
  integer, parameter :: nGC_15512 = 1287
  integer, parameter :: nGC_8042 = 1288
  integer, parameter :: nGC_15516 = 1289
  integer, parameter :: nGC_13038 = 1290
  integer, parameter :: nGC_8511 = 1291
  integer, parameter :: nGC_8239 = 1292
  integer, parameter :: nGC_8238 = 1293
  integer, parameter :: nGC_8388 = 1294
  integer, parameter :: nGC_8704 = 1295
  integer, parameter :: nGC_8235 = 1296
  integer, parameter :: nGC_8234 = 1297
  integer, parameter :: nGC_8237 = 1298
  integer, parameter :: nGC_8236 = 1299
  integer, parameter :: nGC_8231 = 1300
  integer, parameter :: nGC_8230 = 1301
  integer, parameter :: nGC_8233 = 1302
  integer, parameter :: nGC_8232 = 1303
  integer, parameter :: nGC_14115 = 1304
  integer, parameter :: nGC_13728 = 1305
  integer, parameter :: nGC_13729 = 1306
  integer, parameter :: nGC_26219 = 1307
  integer, parameter :: nGC_8040 = 1308
  integer, parameter :: nGC_12989 = 1309
  integer, parameter :: nGC_13101 = 1310
  integer, parameter :: nGC_13454 = 1311
  integer, parameter :: nGC_13104 = 1312
  integer, parameter :: nGC_7919 = 1313
  integer, parameter :: nGC_7918 = 1314
  integer, parameter :: nGC_1345 = 1315
  integer, parameter :: nGC_7911 = 1316
  integer, parameter :: nGC_7910 = 1317
  integer, parameter :: nGC_7913 = 1318
  integer, parameter :: nGC_7912 = 1319
  integer, parameter :: nGC_7915 = 1320
  integer, parameter :: nGC_7914 = 1321
  integer, parameter :: nGC_7917 = 1322
  integer, parameter :: nGC_7916 = 1323
  integer, parameter :: nGC_8309 = 1324
  integer, parameter :: nGC_8308 = 1325
  integer, parameter :: nGC_8106 = 1326
  integer, parameter :: nGC_8041 = 1327
  integer, parameter :: nGC_12859 = 1328
  integer, parameter :: nGC_12858 = 1329
  integer, parameter :: nGC_8301 = 1330
  integer, parameter :: nGC_8300 = 1331
  integer, parameter :: nGC_8303 = 1332
  integer, parameter :: nGC_8302 = 1333
  integer, parameter :: nGC_8305 = 1334
  integer, parameter :: nGC_8304 = 1335
  integer, parameter :: nGC_8307 = 1336
  integer, parameter :: nGC_8306 = 1337
  integer, parameter :: nGC_8491 = 1338
  integer, parameter :: nGC_8490 = 1339
  integer, parameter :: nGC_15887 = 1340
  integer, parameter :: nGC_8492 = 1341
  integer, parameter :: nGC_8494 = 1342
  integer, parameter :: nGC_8497 = 1343
  integer, parameter :: nGC_8496 = 1344
  integer, parameter :: nGC_8499 = 1345
  integer, parameter :: nGC_8498 = 1346
  integer, parameter :: nGC_8942 = 1347
  integer, parameter :: nGC_8871 = 1348
  integer, parameter :: nGC_17008 = 1349
  integer, parameter :: nGC_22022 = 1350
  integer, parameter :: nGC_17003 = 1351
  integer, parameter :: nGC_923 = 1352
  integer, parameter :: nGC_8015 = 1353
  integer, parameter :: nGC_8014 = 1354
  integer, parameter :: nGC_8017 = 1355
  integer, parameter :: nGC_8016 = 1356
  integer, parameter :: nGC_8547 = 1357
  integer, parameter :: nGC_8010 = 1358
  integer, parameter :: nGC_8013 = 1359
  integer, parameter :: nGC_8012 = 1360
  integer, parameter :: nGC_9012 = 1361
  integer, parameter :: nGC_8549 = 1362
  integer, parameter :: nGC_8548 = 1363
  integer, parameter :: nGC_8019 = 1364
  integer, parameter :: nGC_9458 = 1365
  integer, parameter :: nGC_9015 = 1366
  integer, parameter :: nGC_8783 = 1367
  integer, parameter :: nGC_8789 = 1368
  integer, parameter :: nGC_8788 = 1369
  integer, parameter :: nGC_8396 = 1370
  integer, parameter :: nGC_9453 = 1371
  integer, parameter :: nGC_9307 = 1372
  integer, parameter :: nGC_9304 = 1373
  integer, parameter :: nGC_9451 = 1374
  integer, parameter :: nGC_9302 = 1375
  integer, parameter :: nGC_9303 = 1376
  integer, parameter :: nGC_9300 = 1377
  integer, parameter :: nGC_9301 = 1378
  integer, parameter :: nGC_9456 = 1379
  integer, parameter :: nGC_617 = 1380
  integer, parameter :: nGC_9308 = 1381
  integer, parameter :: nGC_8161 = 1382
  integer, parameter :: nGC_8160 = 1383
  integer, parameter :: nGC_8163 = 1384
  integer, parameter :: nGC_8162 = 1385
  integer, parameter :: nGC_8165 = 1386
  integer, parameter :: nGC_8164 = 1387
  integer, parameter :: nGC_8167 = 1388
  integer, parameter :: nGC_8166 = 1389
  integer, parameter :: nGC_8169 = 1390
  integer, parameter :: nGC_8168 = 1391
  integer, parameter :: nGC_9455 = 1392
  integer, parameter :: nGC_8394 = 1393
  integer, parameter :: nGC_8336 = 1394
  integer, parameter :: nGC_9450 = 1395
  integer, parameter :: nGC_8395 = 1396
  integer, parameter :: nGC_9166 = 1397
  integer, parameter :: nGC_9165 = 1398
  integer, parameter :: nGC_8573 = 1399
  integer, parameter :: nGC_8479 = 1400
  integer, parameter :: nGC_8392 = 1401
  integer, parameter :: nGC_8469 = 1402
  integer, parameter :: nGC_8574 = 1403
  integer, parameter :: nGC_8393 = 1404
  integer, parameter :: nGC_TS_GC_35_Hl = 1405
  integer, parameter :: nGC_16512 = 1406
  integer, parameter :: nGC_16513 = 1407
  integer, parameter :: nGC_14580 = 1408
  integer, parameter :: nGC_8390 = 1409
  integer, parameter :: nGC_8391 = 1410
  integer, parameter :: nGC_8777 = 1411
  integer, parameter :: nGC_8120 = 1412
  integer, parameter :: nGC_8601 = 1413
  integer, parameter :: nGC_14930 = 1414
  integer, parameter :: nGC_16178 = 1415
  integer, parameter :: nGC_8525 = 1416
  integer, parameter :: nGC_TS_GC_177_Hl = 1417
  integer, parameter :: nGC_8805 = 1418
  integer, parameter :: nGC_8057 = 1419
  integer, parameter :: nGC_8540 = 1420
  integer, parameter :: nGC_8056 = 1421
  integer, parameter :: nGC_759 = 1422
  integer, parameter :: nGC_8059 = 1423
  integer, parameter :: nGC_15693 = 1424
  integer, parameter :: nGC_401 = 1425
  integer, parameter :: nGC_9351 = 1426
  integer, parameter :: nGC_8058 = 1427
  integer, parameter :: nGC_9459 = 1428
  integer, parameter :: nGC_119 = 1429
  integer, parameter :: nGC_118 = 1430
  integer, parameter :: nGC_117 = 1431
  integer, parameter :: nGC_116 = 1432
  integer, parameter :: nGC_115 = 1433
  integer, parameter :: nGC_114 = 1434
  integer, parameter :: nGC_113 = 1435
  integer, parameter :: nGC_112 = 1436
  integer, parameter :: nGC_111 = 1437
  integer, parameter :: nGC_110 = 1438
  integer, parameter :: nGC_14103 = 1439
  integer, parameter :: nGC_15329 = 1440
  integer, parameter :: nGC_15450 = 1441
  integer, parameter :: nGC_807 = 1442
  integer, parameter :: nGC_13114 = 1443
  integer, parameter :: nGC_13441 = 1444
  integer, parameter :: nGC_13446 = 1445
  integer, parameter :: nGC_12862 = 1446
  integer, parameter :: nGC_13598 = 1447
  integer, parameter :: nGC_12866 = 1448
  integer, parameter :: nGC_9429 = 1449
  integer, parameter :: nGC_13595 = 1450
  integer, parameter :: nGC_13021 = 1451
  integer, parameter :: nGC_13020 = 1452
  integer, parameter :: nGC_9425 = 1453
  integer, parameter :: nGC_9356 = 1454
  integer, parameter :: nGC_8958 = 1455
  integer, parameter :: nGC_TS_GC_111_Hh = 1456
  integer, parameter :: nGC_8954 = 1457
  integer, parameter :: nGC_12881 = 1458
  integer, parameter :: nGC_8950 = 1459
  integer, parameter :: nGC_8952 = 1460
  integer, parameter :: nGC_9421 = 1461
  integer, parameter :: nGC_9420 = 1462
  integer, parameter :: nGC_8792 = 1463
  integer, parameter :: nGC_8822 = 1464
  integer, parameter :: nGC_8796 = 1465
  integer, parameter :: nGC_8797 = 1466
  integer, parameter :: nGC_8826 = 1467
  integer, parameter :: nGC_8828 = 1468
  integer, parameter :: nGC_8798 = 1469
  integer, parameter :: nGC_8799 = 1470
  integer, parameter :: nGC_TS_GC_22_Hh = 1471
  integer, parameter :: nGC_TS_GC_22_Hl = 1472
  integer, parameter :: nGC_9373 = 1473
  integer, parameter :: nGC_9372 = 1474
  integer, parameter :: nGC_9371 = 1475
  integer, parameter :: nGC_9370 = 1476
  integer, parameter :: nGC_9377 = 1477
  integer, parameter :: nGC_9376 = 1478
  integer, parameter :: nGC_9374 = 1479
  integer, parameter :: nGC_9379 = 1480
  integer, parameter :: nGC_9378 = 1481
  integer, parameter :: nGC_TS_GC_12_Hh = 1482
  integer, parameter :: nGC_12641 = 1483
  integer, parameter :: nGC_12644 = 1484
  integer, parameter :: nGC_17588 = 1485
  integer, parameter :: nGC_TS_GC_118_Hh = 1486
  integer, parameter :: nGC_17586 = 1487
  integer, parameter :: nGC_9202 = 1488
  integer, parameter :: nGC_TS_GC_14_Hl = 1489
  integer, parameter :: nGC_TS_GC_69_Hh = 1490
  integer, parameter :: nGC_TS_GC_69_Hl = 1491
  integer, parameter :: nGC_19758 = 1492
  integer, parameter :: nGC_19755 = 1493
  integer, parameter :: nGC_19757 = 1494
  integer, parameter :: nGC_19756 = 1495
  integer, parameter :: nGC_TS_GC_188_Hh = 1496
  integer, parameter :: nGC_24656 = 1497
  integer, parameter :: nGC_14246 = 1498
  integer, parameter :: nGC_14247 = 1499
  integer, parameter :: nGC_16766 = 1500
  integer, parameter :: nGC_16760 = 1501
  integer, parameter :: nGC_16762 = 1502
  integer, parameter :: nGC_16163 = 1503
  integer, parameter :: nGC_16164 = 1504
  integer, parameter :: nGC_15197 = 1505
  integer, parameter :: nGC_15196 = 1506
  integer, parameter :: nGC_15198 = 1507
  integer, parameter :: nGC_15669 = 1508
  integer, parameter :: nGC_TS_GC_49_Hl = 1509
  integer, parameter :: nGC_TS_GC_49_Hh = 1510
  integer, parameter :: nGC_15203 = 1511
  integer, parameter :: nGC_15535 = 1512
  integer, parameter :: nGC_15536 = 1513
  integer, parameter :: nGC_15539 = 1514
  integer, parameter :: nGC_9221 = 1515
  integer, parameter :: nGC_9220 = 1516
  integer, parameter :: nGC_14485 = 1517
  integer, parameter :: nGC_14133 = 1518
  integer, parameter :: nGC_15332 = 1519
  integer, parameter :: nGC_15331 = 1520
  integer, parameter :: nGC_15330 = 1521
  integer, parameter :: nGC_14138 = 1522
  integer, parameter :: nGC_12874 = 1523
  integer, parameter :: nGC_12878 = 1524
  integer, parameter :: nGC_13054 = 1525
  integer, parameter :: nGC_13053 = 1526
  integer, parameter :: nGC_8968 = 1527
  integer, parameter :: nGC_12893 = 1528
  integer, parameter :: nGC_8960 = 1529
  integer, parameter :: nGC_8963 = 1530
  integer, parameter :: nGC_13275 = 1531
  integer, parameter :: nGC_TS_GC_108_Hl = 1532
  integer, parameter :: nGC_27431 = 1533
  integer, parameter :: nGC_27432 = 1534
  integer, parameter :: nGC_8769 = 1535
  integer, parameter :: nGC_8762 = 1536
  integer, parameter :: nGC_8760 = 1537
  integer, parameter :: nGC_TS_GC_41_Hl = 1538
  integer, parameter :: nGC_TS_GC_41_Hh = 1539
  integer, parameter :: nGC_2059 = 1540
  integer, parameter :: nGC_18631 = 1541
  integer, parameter :: nGC_13301 = 1542
  integer, parameter :: nGC_18634 = 1543
  integer, parameter :: nGC_18636 = 1544
  integer, parameter :: nGC_9361 = 1545
  integer, parameter :: nGC_9362 = 1546
  integer, parameter :: nGC_9364 = 1547
  integer, parameter :: nGC_9365 = 1548
  integer, parameter :: nGC_9367 = 1549
  integer, parameter :: nGC_9368 = 1550
  integer, parameter :: nGC_12656 = 1551
  integer, parameter :: nGC_12650 = 1552
  integer, parameter :: nGC_12653 = 1553
  integer, parameter :: nGC_17596 = 1554
  integer, parameter :: nGC_TS_GC_28_Hl = 1555
  integer, parameter :: nGC_17371 = 1556
  integer, parameter :: nGC_17373 = 1557
  integer, parameter :: nGC_18819 = 1558
  integer, parameter :: nGC_TS_GC_38_Hh = 1559
  integer, parameter :: nGC_16640 = 1560
  integer, parameter :: nGC_16641 = 1561
  integer, parameter :: nGC_9126 = 1562
  integer, parameter :: nGC_TS_GC_94_Hh = 1563
  integer, parameter :: nGC_TS_GC_94_Hl = 1564
  integer, parameter :: nGC_16408 = 1565
  integer, parameter :: nGC_9375 = 1566
  integer, parameter :: nGC_20548 = 1567
  integer, parameter :: nGC_20549 = 1568
  integer, parameter :: nGC_14838 = 1569
  integer, parameter :: nGC_14836 = 1570
  integer, parameter :: nGC_20547 = 1571
  integer, parameter :: nGC_14833 = 1572
  integer, parameter :: nGC_8820 = 1573
  integer, parameter :: nGC_8793 = 1574
  integer, parameter :: nGC_8790 = 1575
  integer, parameter :: nGC_8791 = 1576
  integer, parameter :: nGC_15052 = 1577
  integer, parameter :: nGC_15053 = 1578
  integer, parameter :: nGC_8824 = 1579
  integer, parameter :: nGC_8794 = 1580
  integer, parameter :: nGC_683 = 1581
  integer, parameter :: nGC_15540 = 1582
  integer, parameter :: nGC_TS_GC_110_Hl = 1583
  integer, parameter :: nGC_13684 = 1584
  integer, parameter :: nGC_14303 = 1585
  integer, parameter :: nGC_14302 = 1586
  integer, parameter :: nGC_13469 = 1587
  integer, parameter :: nGC_1391 = 1588
  integer, parameter :: nGC_13865 = 1589
  integer, parameter :: nGC_13866 = 1590
  integer, parameter :: nGC_13041 = 1591
  integer, parameter :: nGC_9513 = 1592
  integer, parameter :: nGC_9512 = 1593
  integer, parameter :: nGC_9511 = 1594
  integer, parameter :: nGC_13264 = 1595
  integer, parameter :: nGC_9517 = 1596
  integer, parameter :: nGC_9516 = 1597
  integer, parameter :: nGC_9515 = 1598
  integer, parameter :: nGC_9514 = 1599
  integer, parameter :: nGC_9519 = 1600
  integer, parameter :: nGC_9518 = 1601
  integer, parameter :: nGC_12798 = 1602
  integer, parameter :: nGC_12795 = 1603
  integer, parameter :: nGC_12792 = 1604
  integer, parameter :: nGC_8802 = 1605
  integer, parameter :: nGC_8803 = 1606
  integer, parameter :: nGC_8800 = 1607
  integer, parameter :: nGC_8801 = 1608
  integer, parameter :: nGC_8804 = 1609
  integer, parameter :: nGC_8773 = 1610
  integer, parameter :: nGC_TS_GC_68_Hh = 1611
  integer, parameter :: nGC_TS_GC_68_Hl = 1612
  integer, parameter :: nGC_13311 = 1613
  integer, parameter :: nGC_5397 = 1614
  integer, parameter :: nGC_9359 = 1615
  integer, parameter :: nGC_9358 = 1616
  integer, parameter :: nGC_5393 = 1617
  integer, parameter :: nGC_9428 = 1618
  integer, parameter :: nGC_9427 = 1619
  integer, parameter :: nGC_9426 = 1620
  integer, parameter :: nGC_9357 = 1621
  integer, parameter :: nGC_9424 = 1622
  integer, parameter :: nGC_5399 = 1623
  integer, parameter :: nGC_9422 = 1624
  integer, parameter :: nGC_9353 = 1625
  integer, parameter :: nGC_9352 = 1626
  integer, parameter :: nGC_8976 = 1627
  integer, parameter :: nGC_8977 = 1628
  integer, parameter :: nGC_8974 = 1629
  integer, parameter :: nGC_8975 = 1630
  integer, parameter :: nGC_8972 = 1631
  integer, parameter :: nGC_8973 = 1632
  integer, parameter :: nGC_8970 = 1633
  integer, parameter :: nGC_8971 = 1634
  integer, parameter :: nGC_8978 = 1635
  integer, parameter :: nGC_8979 = 1636
  integer, parameter :: nGC_19687 = 1637
  integer, parameter :: nGC_19686 = 1638
  integer, parameter :: nGC_19685 = 1639
  integer, parameter :: nGC_TS_GC_40_Hh = 1640
  integer, parameter :: nGC_19682 = 1641
  integer, parameter :: nGC_TS_GC_40_Hl = 1642
  integer, parameter :: nGC_16368 = 1643
  integer, parameter :: nGC_24254 = 1644
  integer, parameter :: nGC_24255 = 1645
  integer, parameter :: nGC_24256 = 1646
  integer, parameter :: nGC_24251 = 1647
  integer, parameter :: nGC_24252 = 1648
  integer, parameter :: nGC_24253 = 1649
  integer, parameter :: nGC_17565 = 1650
  integer, parameter :: nGC_17568 = 1651
  integer, parameter :: nGC_TS_GC_119_Hl = 1652
  integer, parameter :: nGC_18868 = 1653
  integer, parameter :: nGC_14805 = 1654
  integer, parameter :: nGC_20557 = 1655
  integer, parameter :: nGC_20556 = 1656
  integer, parameter :: nGC_20555 = 1657
  integer, parameter :: nGC_20550 = 1658
  integer, parameter :: nGC_15041 = 1659
  integer, parameter :: nGC_15040 = 1660
  integer, parameter :: nGC_15043 = 1661
  integer, parameter :: nGC_15045 = 1662
  integer, parameter :: nGC_15229 = 1663
  integer, parameter :: nGC_15228 = 1664
  integer, parameter :: nGC_15221 = 1665
  integer, parameter :: nGC_15220 = 1666
  integer, parameter :: nGC_15222 = 1667
  integer, parameter :: nGC_13670 = 1668
  integer, parameter :: nGC_13671 = 1669
  integer, parameter :: nGC_13678 = 1670
  integer, parameter :: nGC_13679 = 1671
  integer, parameter :: nGC_TS_GC_61_Hh = 1672
  integer, parameter :: nGC_TS_GC_61_Hl = 1673
  integer, parameter :: nGC_TS_GC_31_Hl = 1674
  integer, parameter :: nGC_13781 = 1675
  integer, parameter :: nGC_9054 = 1676
  integer, parameter :: nGC_14576 = 1677
  integer, parameter :: nGC_13529 = 1678
  integer, parameter :: nGC_TS_GC_48_Hl = 1679
  integer, parameter :: nGC_13252 = 1680
  integer, parameter :: nGC_13522 = 1681
  integer, parameter :: nGC_14205 = 1682
  integer, parameter :: nGC_13099 = 1683
  integer, parameter :: nGC_9502 = 1684
  integer, parameter :: nGC_9505 = 1685
  integer, parameter :: nGC_9506 = 1686
  integer, parameter :: nGC_9507 = 1687
  integer, parameter :: nGC_9508 = 1688
  integer, parameter :: nGC_13095 = 1689
  integer, parameter :: nGC_12789 = 1690
  integer, parameter :: nGC_9203 = 1691
  integer, parameter :: nGC_12781 = 1692
  integer, parameter :: nGC_8749 = 1693
  integer, parameter :: nGC_8748 = 1694
  integer, parameter :: nGC_8741 = 1695
  integer, parameter :: nGC_8740 = 1696
  integer, parameter :: nGC_8743 = 1697
  integer, parameter :: nGC_8742 = 1698
  integer, parameter :: nGC_8745 = 1699
  integer, parameter :: nGC_8744 = 1700
  integer, parameter :: nGC_8747 = 1701
  integer, parameter :: nGC_8746 = 1702
  integer, parameter :: nGC_TS_GC_37_Hh = 1703
  integer, parameter :: nGC_TS_GC_37_Hl = 1704
  integer, parameter :: nGC_17170 = 1705
  integer, parameter :: nGC_9348 = 1706
  integer, parameter :: nGC_9349 = 1707
  integer, parameter :: nGC_9438 = 1708
  integer, parameter :: nGC_9342 = 1709
  integer, parameter :: nGC_9343 = 1710
  integer, parameter :: nGC_9437 = 1711
  integer, parameter :: nGC_9430 = 1712
  integer, parameter :: nGC_9347 = 1713
  integer, parameter :: nGC_9344 = 1714
  integer, parameter :: nGC_9345 = 1715
  integer, parameter :: nGC_8902 = 1716
  integer, parameter :: nGC_8900 = 1717
  integer, parameter :: nGC_8906 = 1718
  integer, parameter :: nGC_8904 = 1719
  integer, parameter :: nGC_8908 = 1720
  integer, parameter :: nGC_TS_GC_125_Hh = 1721
  integer, parameter :: nGC_TS_GC_27_Hh = 1722
  integer, parameter :: nGC_16318 = 1723
  integer, parameter :: nGC_9236 = 1724
  integer, parameter :: nGC_9237 = 1725
  integer, parameter :: nGC_9233 = 1726
  integer, parameter :: nGC_9238 = 1727
  integer, parameter :: nGC_9239 = 1728
  integer, parameter :: nGC_17570 = 1729
  integer, parameter :: nGC_14720 = 1730
  integer, parameter :: nGC_TS_GC_141_Hl = 1731
  integer, parameter :: nGC_TS_GC_29_Hh = 1732
  integer, parameter :: nGC_9654 = 1733
  integer, parameter :: nGC_TS_GC_66_Hh = 1734
  integer, parameter :: nGC_9414 = 1735
  integer, parameter :: nGC_16134 = 1736
  integer, parameter :: nGC_16135 = 1737
  integer, parameter :: nGC_16136 = 1738
  integer, parameter :: nGC_14810 = 1739
  integer, parameter :: nGC_15038 = 1740
  integer, parameter :: nGC_15033 = 1741
  integer, parameter :: nGC_15147 = 1742
  integer, parameter :: nGC_15148 = 1743
  integer, parameter :: nGC_13663 = 1744
  integer, parameter :: nGC_13665 = 1745
  integer, parameter :: nGC_13664 = 1746
  integer, parameter :: nGC_15367 = 1747
  integer, parameter :: nGC_14788 = 1748
  integer, parameter :: nGC_15491 = 1749
  integer, parameter :: nGC_14786 = 1750
  integer, parameter :: nGC_13797 = 1751
  integer, parameter :: nGC_13060 = 1752
  integer, parameter :: nGC_13069 = 1753
  integer, parameter :: nGC_13538 = 1754
  integer, parameter :: nGC_977 = 1755
  integer, parameter :: nGC_13532 = 1756
  integer, parameter :: nGC_13080 = 1757
  integer, parameter :: nGC_13085 = 1758
  integer, parameter :: nGC_8756 = 1759
  integer, parameter :: nGC_8757 = 1760
  integer, parameter :: nGC_8754 = 1761
  integer, parameter :: nGC_8755 = 1762
  integer, parameter :: nGC_8752 = 1763
  integer, parameter :: nGC_8753 = 1764
  integer, parameter :: nGC_8750 = 1765
  integer, parameter :: nGC_8751 = 1766
  integer, parameter :: nGC_8759 = 1767
  integer, parameter :: nGC_12931 = 1768
  integer, parameter :: nGC_12758 = 1769
  integer, parameter :: nGC_12751 = 1770
  integer, parameter :: nGC_12757 = 1771
  integer, parameter :: nGC_13330 = 1772
  integer, parameter :: nGC_13337 = 1773
  integer, parameter :: nGC_9409 = 1774
  integer, parameter :: nGC_9408 = 1775
  integer, parameter :: nGC_9400 = 1776
  integer, parameter :: nGC_9405 = 1777
  integer, parameter :: nGC_9407 = 1778
  integer, parameter :: nGC_8910 = 1779
  integer, parameter :: nGC_TS_GC_117_Hh = 1780
  integer, parameter :: nGC_8917 = 1781
  integer, parameter :: nGC_9391 = 1782
  integer, parameter :: nGC_9390 = 1783
  integer, parameter :: nGC_9393 = 1784
  integer, parameter :: nGC_9392 = 1785
  integer, parameter :: nGC_9395 = 1786
  integer, parameter :: nGC_9399 = 1787
  integer, parameter :: nGC_TS_GC_169_Hl = 1788
  integer, parameter :: nGC_9243 = 1789
  integer, parameter :: nGC_24901 = 1790
  integer, parameter :: nGC_24902 = 1791
  integer, parameter :: nGC_24903 = 1792
  integer, parameter :: nGC_9247 = 1793
  integer, parameter :: nGC_9246 = 1794
  integer, parameter :: nGC_9245 = 1795
  integer, parameter :: nGC_9244 = 1796
  integer, parameter :: nGC_9248 = 1797
  integer, parameter :: nGC_9089 = 1798
  integer, parameter :: nGC_16231 = 1799
  integer, parameter :: nGC_16230 = 1800
  integer, parameter :: nGC_16543 = 1801
  integer, parameter :: nGC_16542 = 1802
  integer, parameter :: nGC_9257 = 1803
  integer, parameter :: nGC_18680 = 1804
  integer, parameter :: nGC_18681 = 1805
  integer, parameter :: nGC_18682 = 1806
  integer, parameter :: nGC_18683 = 1807
  integer, parameter :: nGC_3531 = 1808
  integer, parameter :: nGC_17087 = 1809
  integer, parameter :: nGC_TS_GC_137_Hh = 1810
  integer, parameter :: nGC_TS_GC_116_Hh = 1811
  integer, parameter :: nGC_13657 = 1812
  integer, parameter :: nGC_13652 = 1813
  integer, parameter :: nGC_14772 = 1814
  integer, parameter :: nGC_14774 = 1815
  integer, parameter :: nGC_14776 = 1816
  integer, parameter :: nGC_TS_GC_48_Hh = 1817
  integer, parameter :: nGC_13254 = 1818
  integer, parameter :: nGC_9523 = 1819
  integer, parameter :: nGC_9520 = 1820
  integer, parameter :: nGC_9521 = 1821
  integer, parameter :: nGC_9524 = 1822
  integer, parameter :: nGC_8722 = 1823
  integer, parameter :: nGC_8721 = 1824
  integer, parameter :: nGC_8720 = 1825
  integer, parameter :: nGC_8727 = 1826
  integer, parameter :: nGC_8726 = 1827
  integer, parameter :: nGC_8725 = 1828
  integer, parameter :: nGC_9501 = 1829
  integer, parameter :: nGC_8729 = 1830
  integer, parameter :: nGC_8728 = 1831
  integer, parameter :: nGC_12921 = 1832
  integer, parameter :: nGC_19888 = 1833
  integer, parameter :: nGC_13431 = 1834
  integer, parameter :: nGC_12749 = 1835
  integer, parameter :: nGC_12748 = 1836
  integer, parameter :: nGC_12741 = 1837
  integer, parameter :: nGC_12740 = 1838
  integer, parameter :: nGC_9417 = 1839
  integer, parameter :: nGC_13346 = 1840
  integer, parameter :: nGC_9415 = 1841
  integer, parameter :: nGC_9413 = 1842
  integer, parameter :: nGC_9410 = 1843
  integer, parameter :: nGC_9418 = 1844
  integer, parameter :: nGC_9419 = 1845
  integer, parameter :: nGC_12698 = 1846
  integer, parameter :: nGC_12692 = 1847
  integer, parameter :: nGC_12695 = 1848
  integer, parameter :: nGC_9388 = 1849
  integer, parameter :: nGC_9386 = 1850
  integer, parameter :: nGC_9387 = 1851
  integer, parameter :: nGC_9384 = 1852
  integer, parameter :: nGC_9382 = 1853
  integer, parameter :: nGC_9383 = 1854
  integer, parameter :: nGC_9380 = 1855
  integer, parameter :: nGC_9381 = 1856
  integer, parameter :: nGC_9250 = 1857
  integer, parameter :: nGC_9251 = 1858
  integer, parameter :: nGC_9252 = 1859
  integer, parameter :: nGC_9253 = 1860
  integer, parameter :: nGC_9254 = 1861
  integer, parameter :: nGC_9255 = 1862
  integer, parameter :: nGC_9256 = 1863
  integer, parameter :: nGC_TS_GC_124_Hl = 1864
  integer, parameter :: nGC_9258 = 1865
  integer, parameter :: nGC_9259 = 1866
  integer, parameter :: nGC_9093 = 1867
  integer, parameter :: nGC_9090 = 1868
  integer, parameter :: nGC_17082 = 1869
  integer, parameter :: nGC_9094 = 1870
  integer, parameter :: nGC_9095 = 1871
  integer, parameter :: nGC_9099 = 1872
  integer, parameter :: nGC_17089 = 1873
  integer, parameter :: nGC_TS_GC_11_Hl = 1874
  integer, parameter :: nGC_15974 = 1875
  integer, parameter :: nGC_15978 = 1876
  integer, parameter :: nGC_13809 = 1877
  integer, parameter :: nGC_16596 = 1878
  integer, parameter :: nGC_16593 = 1879
  integer, parameter :: nGC_21734 = 1880
  integer, parameter :: nGC_21735 = 1881
  integer, parameter :: nGC_21736 = 1882
  integer, parameter :: nGC_16930 = 1883
  integer, parameter :: nGC_16932 = 1884
  integer, parameter :: nGC_16068 = 1885
  integer, parameter :: nGC_16069 = 1886
  integer, parameter :: nGC_15166 = 1887
  integer, parameter :: nGC_15438 = 1888
  integer, parameter :: nGC_15748 = 1889
  integer, parameter :: nGC_13752 = 1890
  integer, parameter :: nGC_15746 = 1891
  integer, parameter :: nGC_13327 = 1892
  integer, parameter :: nGC_15346 = 1893
  integer, parameter :: nGC_14769 = 1894
  integer, parameter :: nGC_15437 = 1895
  integer, parameter :: nGC_17070 = 1896
  integer, parameter :: nGC_13649 = 1897
  integer, parameter :: nGC_15581 = 1898
  integer, parameter :: nGC_15584 = 1899
  integer, parameter :: nGC_15586 = 1900
  integer, parameter :: nGC_15587 = 1901
  integer, parameter :: nGC_15588 = 1902
  integer, parameter :: nGC_15589 = 1903
  integer, parameter :: nGC_TS_GC_13_Hh = 1904
  integer, parameter :: nGC_TS_GC_13_Hl = 1905
  integer, parameter :: nGC_9341 = 1906
  integer, parameter :: nGC_14235 = 1907
  integer, parameter :: nGC_9346 = 1908
  integer, parameter :: nGC_9431 = 1909
  integer, parameter :: nGC_9432 = 1910
  integer, parameter :: nGC_9433 = 1911
  integer, parameter :: nGC_8730 = 1912
  integer, parameter :: nGC_8731 = 1913
  integer, parameter :: nGC_8732 = 1914
  integer, parameter :: nGC_8733 = 1915
  integer, parameter :: nGC_8734 = 1916
  integer, parameter :: nGC_8735 = 1917
  integer, parameter :: nGC_8736 = 1918
  integer, parameter :: nGC_8737 = 1919
  integer, parameter :: nGC_8738 = 1920
  integer, parameter :: nGC_8739 = 1921
  integer, parameter :: nGC_27171 = 1922
  integer, parameter :: nGC_12910 = 1923
  integer, parameter :: nGC_14343 = 1924
  integer, parameter :: nGC_12776 = 1925
  integer, parameter :: nGC_12774 = 1926
  integer, parameter :: nGC_12775 = 1927
  integer, parameter :: nGC_9463 = 1928
  integer, parameter :: nGC_9462 = 1929
  integer, parameter :: nGC_9461 = 1930
  integer, parameter :: nGC_9460 = 1931
  integer, parameter :: nGC_9467 = 1932
  integer, parameter :: nGC_9465 = 1933
  integer, parameter :: nGC_9464 = 1934
  integer, parameter :: nGC_9469 = 1935
  integer, parameter :: nGC_9468 = 1936
  integer, parameter :: nGC_13358 = 1937
  integer, parameter :: nGC_8765 = 1938
  integer, parameter :: nGC_8938 = 1939
  integer, parameter :: nGC_8932 = 1940
  integer, parameter :: nGC_8933 = 1941
  integer, parameter :: nGC_8930 = 1942
  integer, parameter :: nGC_8931 = 1943
  integer, parameter :: nGC_8936 = 1944
  integer, parameter :: nGC_8937 = 1945
  integer, parameter :: nGC_8935 = 1946
  integer, parameter :: nGC_9269 = 1947
  integer, parameter :: nGC_9268 = 1948
  integer, parameter :: nGC_9265 = 1949
  integer, parameter :: nGC_9264 = 1950
  integer, parameter :: nGC_9267 = 1951
  integer, parameter :: nGC_9266 = 1952
  integer, parameter :: nGC_9261 = 1953
  integer, parameter :: nGC_9260 = 1954
  integer, parameter :: nGC_9263 = 1955
  integer, parameter :: nGC_23252 = 1956
  integer, parameter :: nGC_9069 = 1957
  integer, parameter :: nGC_9068 = 1958
  integer, parameter :: nGC_9067 = 1959
  integer, parameter :: nGC_9066 = 1960
  integer, parameter :: nGC_9065 = 1961
  integer, parameter :: nGC_9064 = 1962
  integer, parameter :: nGC_9063 = 1963
  integer, parameter :: nGC_9062 = 1964
  integer, parameter :: nGC_9286 = 1965
  integer, parameter :: nGC_9285 = 1966
  integer, parameter :: nGC_9283 = 1967
  integer, parameter :: nGC_9282 = 1968
  integer, parameter :: nGC_9281 = 1969
  integer, parameter :: nGC_9280 = 1970
  integer, parameter :: nGC_9289 = 1971
  integer, parameter :: nGC_9288 = 1972
  integer, parameter :: nGC_17859 = 1973
  integer, parameter :: nGC_22850 = 1974
  integer, parameter :: nGC_22855 = 1975
  integer, parameter :: nGC_13570 = 1976
  integer, parameter :: nGC_TS_GC_195_Hh = 1977
  integer, parameter :: nGC_16073 = 1978
  integer, parameter :: nGC_16072 = 1979
  integer, parameter :: nGC_18041 = 1980
  integer, parameter :: nGC_18045 = 1981
  integer, parameter :: nGC_15753 = 1982
  integer, parameter :: nGC_15755 = 1983
  integer, parameter :: nGC_15756 = 1984
  integer, parameter :: nGC_15758 = 1985
  integer, parameter :: nGC_9338 = 1986
  integer, parameter :: nGC_9337 = 1987
  integer, parameter :: nGC_TS_GC_26_Hl = 1988
  integer, parameter :: nGC_TS_GC_26_Hh = 1989
  integer, parameter :: nGC_TS_GC_109_Hl = 1990
  integer, parameter :: nGC_13746 = 1991
  integer, parameter :: nGC_13749 = 1992
  integer, parameter :: nGC_13988 = 1993
  integer, parameter :: nGC_13630 = 1994
  integer, parameter :: nGC_13564 = 1995
  integer, parameter :: nGC_13295 = 1996
  integer, parameter :: nGC_13292 = 1997
  integer, parameter :: nGC_13293 = 1998
  integer, parameter :: nGC_13563 = 1999
  integer, parameter :: nGC_TS_GC_184_Hl = 2000
  integer, parameter :: nGC_12909 = 2001
  integer, parameter :: nGC_8708 = 2002
  integer, parameter :: nGC_8705 = 2003
  integer, parameter :: nGC_27166 = 2004
  integer, parameter :: nGC_8707 = 2005
  integer, parameter :: nGC_8706 = 2006
  integer, parameter :: nGC_13183 = 2007
  integer, parameter :: nGC_13180 = 2008
  integer, parameter :: nGC_13186 = 2009
  integer, parameter :: nGC_8795 = 2010
  integer, parameter :: nGC_12762 = 2011
  integer, parameter :: nGC_8891 = 2012
  integer, parameter :: nGC_8890 = 2013
  integer, parameter :: nGC_13363 = 2014
  integer, parameter :: nGC_13360 = 2015
  integer, parameter :: nGC_12786 = 2016
  integer, parameter :: nGC_9470 = 2017
  integer, parameter :: nGC_9471 = 2018
  integer, parameter :: nGC_9472 = 2019
  integer, parameter :: nGC_9473 = 2020
  integer, parameter :: nGC_9474 = 2021
  integer, parameter :: nGC_9476 = 2022
  integer, parameter :: nGC_9479 = 2023
  integer, parameter :: nGC_13163 = 2024
  integer, parameter :: nGC_13378 = 2025
  integer, parameter :: nGC_8961 = 2026
  integer, parameter :: nGC_8888 = 2027
  integer, parameter :: nGC_12894 = 2028
  integer, parameter :: nGC_9278 = 2029
  integer, parameter :: nGC_9279 = 2030
  integer, parameter :: nGC_9272 = 2031
  integer, parameter :: nGC_9273 = 2032
  integer, parameter :: nGC_9270 = 2033
  integer, parameter :: nGC_9271 = 2034
  integer, parameter :: nGC_9276 = 2035
  integer, parameter :: nGC_9277 = 2036
  integer, parameter :: nGC_9274 = 2037
  integer, parameter :: nGC_9275 = 2038
  integer, parameter :: nGC_9078 = 2039
  integer, parameter :: nGC_9079 = 2040
  integer, parameter :: nGC_9074 = 2041
  integer, parameter :: nGC_9075 = 2042
  integer, parameter :: nGC_9076 = 2043
  integer, parameter :: nGC_9077 = 2044
  integer, parameter :: nGC_9070 = 2045
  integer, parameter :: nGC_9071 = 2046
  integer, parameter :: nGC_9072 = 2047
  integer, parameter :: nGC_9073 = 2048
  integer, parameter :: nGC_9294 = 2049
  integer, parameter :: nGC_9295 = 2050
  integer, parameter :: nGC_9296 = 2051
  integer, parameter :: nGC_9297 = 2052
  integer, parameter :: nGC_9291 = 2053
  integer, parameter :: nGC_9292 = 2054
  integer, parameter :: nGC_9293 = 2055
  integer, parameter :: nGC_9298 = 2056
  integer, parameter :: nGC_9299 = 2057
  integer, parameter :: nGC_19906 = 2058
  integer, parameter :: nGC_15911 = 2059
  integer, parameter :: nGC_28417 = 2060
  integer, parameter :: nGC_TS_GC_10_Hl = 2061
  integer, parameter :: nGC_TS_GC_10_Hh = 2062
  integer, parameter :: nGC_9106 = 2063
  integer, parameter :: nGC_9107 = 2064
  integer, parameter :: nGC_9102 = 2065
  integer, parameter :: nGC_9103 = 2066
  integer, parameter :: nGC_9108 = 2067
  integer, parameter :: nGC_8767 = 2068
  integer, parameter :: nGC_8766 = 2069
  integer, parameter :: nGC_8764 = 2070
  integer, parameter :: nGC_8763 = 2071
  integer, parameter :: nGC_8761 = 2072
  integer, parameter :: nGC_21254 = 2073
  integer, parameter :: nGC_14749 = 2074
  integer, parameter :: nGC_13753 = 2075
  integer, parameter :: nGC_15439 = 2076
  integer, parameter :: nGC_13751 = 2077
  integer, parameter :: nGC_13755 = 2078
  integer, parameter :: nGC_13754 = 2079
  integer, parameter :: nGC_TS_GC_39_Hl = 2080
  integer, parameter :: nGC_19044 = 2081
  integer, parameter :: nGC_13571 = 2082
  integer, parameter :: nGC_8718 = 2083
  integer, parameter :: nGC_8719 = 2084
  integer, parameter :: nGC_8717 = 2085
  integer, parameter :: nGC_8715 = 2086
  integer, parameter :: nGC_14413 = 2087
  integer, parameter :: nGC_13193 = 2088
  integer, parameter :: nGC_13192 = 2089
  integer, parameter :: nGC_8882 = 2090
  integer, parameter :: nGC_8880 = 2091
  integer, parameter :: nGC_12717 = 2092
  integer, parameter :: nGC_8886 = 2093
  integer, parameter :: nGC_8887 = 2094
  integer, parameter :: nGC_8884 = 2095
  integer, parameter :: nGC_8885 = 2096
  integer, parameter :: nGC_13377 = 2097
  integer, parameter :: nGC_8889 = 2098
  integer, parameter :: nGC_9363 = 2099
  integer, parameter :: nGC_9448 = 2100
  integer, parameter :: nGC_9445 = 2101
  integer, parameter :: nGC_9444 = 2102
  integer, parameter :: nGC_9447 = 2103
  integer, parameter :: nGC_9446 = 2104
  integer, parameter :: nGC_9441 = 2105
  integer, parameter :: nGC_9440 = 2106
  integer, parameter :: nGC_9443 = 2107
  integer, parameter :: nGC_9442 = 2108
  integer, parameter :: nGC_12803 = 2109
  integer, parameter :: nGC_9049 = 2110
  integer, parameter :: nGC_9048 = 2111
  integer, parameter :: nGC_TS_GC_104_Hl = 2112
  integer, parameter :: nGC_9042 = 2113
  integer, parameter :: nGC_9045 = 2114
  integer, parameter :: nGC_9044 = 2115
  integer, parameter :: nGC_9047 = 2116
  integer, parameter :: nGC_9046 = 2117
  integer, parameter :: nGC_9041 = 2118
  integer, parameter :: nGC_15928 = 2119
  integer, parameter :: nGC_17874 = 2120
  integer, parameter :: nGC_17875 = 2121
  integer, parameter :: nGC_17872 = 2122
  integer, parameter :: nGC_17873 = 2123
  integer, parameter :: nGC_14507 = 2124
  integer, parameter :: nGC_17473 = 2125
  integer, parameter :: nGC_16478 = 2126
  integer, parameter :: nGC_9133 = 2127
  integer, parameter :: nGC_9137 = 2128
  integer, parameter :: nGC_9136 = 2129
  integer, parameter :: nGC_15288 = 2130
  integer, parameter :: nGC_15287 = 2131
  integer, parameter :: nGC_15286 = 2132
  integer, parameter :: nGC_15285 = 2133
  integer, parameter :: nGC_25414 = 2134
  integer, parameter :: nGC_25417 = 2135
  integer, parameter :: nGC_25418 = 2136
  integer, parameter :: nGC_16700 = 2137
  integer, parameter :: nGC_14730 = 2138
  integer, parameter :: nGC_15605 = 2139
  integer, parameter :: nGC_15604 = 2140
  integer, parameter :: nGC_15420 = 2141
  integer, parameter :: nGC_14082 = 2142
  integer, parameter :: nGC_13615 = 2143
  integer, parameter :: nGC_13968 = 2144
  integer, parameter :: nGC_14063 = 2145
  integer, parameter :: nGC_17594 = 2146
  integer, parameter :: nGC_2297 = 2147
  integer, parameter :: nGC_12968 = 2148
  integer, parameter :: nGC_12966 = 2149
  integer, parameter :: nGC_12965 = 2150
  integer, parameter :: nGC_14463 = 2151
  integer, parameter :: nGC_12702 = 2152
  integer, parameter :: nGC_8879 = 2153
  integer, parameter :: nGC_8878 = 2154
  integer, parameter :: nGC_8877 = 2155
  integer, parameter :: nGC_8876 = 2156
  integer, parameter :: nGC_8875 = 2157
  integer, parameter :: nGC_8874 = 2158
  integer, parameter :: nGC_8873 = 2159
  integer, parameter :: nGC_8872 = 2160
  integer, parameter :: nGC_8870 = 2161
  integer, parameter :: nGC_9452 = 2162
  integer, parameter :: nGC_13144 = 2163
  integer, parameter :: nGC_13142 = 2164
  integer, parameter :: nGC_13143 = 2165
  integer, parameter :: nGC_13141 = 2166
  integer, parameter :: nGC_13818 = 2167
  integer, parameter :: nGC_13542 = 2168
  integer, parameter :: nGC_14263 = 2169
  integer, parameter :: nGC_14260 = 2170
  integer, parameter :: nGC_14266 = 2171
  integer, parameter :: nGC_13428 = 2172
  integer, parameter :: nGC_12638 = 2173
  integer, parameter :: nGC_12632 = 2174
  integer, parameter :: nGC_8989 = 2175
  integer, parameter :: nGC_8988 = 2176
  integer, parameter :: nGC_8983 = 2177
  integer, parameter :: nGC_8982 = 2178
  integer, parameter :: nGC_8981 = 2179
  integer, parameter :: nGC_8980 = 2180
  integer, parameter :: nGC_8987 = 2181
  integer, parameter :: nGC_8986 = 2182
  integer, parameter :: nGC_8985 = 2183
  integer, parameter :: nGC_8984 = 2184
  integer, parameter :: nGC_9056 = 2185
  integer, parameter :: nGC_9057 = 2186
  integer, parameter :: nGC_17041 = 2187
  integer, parameter :: nGC_9055 = 2188
  integer, parameter :: nGC_9052 = 2189
  integer, parameter :: nGC_9053 = 2190
  integer, parameter :: nGC_9050 = 2191
  integer, parameter :: nGC_9051 = 2192
  integer, parameter :: nGC_12918 = 2193
  integer, parameter :: nGC_15881 = 2194
  integer, parameter :: nGC_15930 = 2195
  integer, parameter :: nGC_TS_GC_105_Hh = 2196
  integer, parameter :: nGC_29702 = 2197
  integer, parameter :: nGC_17861 = 2198
  integer, parameter :: nGC_17866 = 2199
  integer, parameter :: nGC_9128 = 2200
  integer, parameter :: nGC_18943 = 2201
  integer, parameter :: nGC_9127 = 2202
  integer, parameter :: nGC_18944 = 2203
  integer, parameter :: nGC_13350 = 2204
  integer, parameter :: nGC_9011 = 2205
  integer, parameter :: nGC_8833 = 2206
  integer, parameter :: nGC_14729 = 2207
  integer, parameter :: nGC_14727 = 2208
  integer, parameter :: nGC_14726 = 2209
  integer, parameter :: nGC_14892 = 2210
  integer, parameter :: nGC_8781 = 2211
  integer, parameter :: nGC_8780 = 2212
  integer, parameter :: nGC_14092 = 2213
  integer, parameter :: nGC_13605 = 2214
  integer, parameter :: nGC_13604 = 2215
  integer, parameter :: nGC_14075 = 2216
  integer, parameter :: nGC_12952 = 2217
  integer, parameter :: nGC_12956 = 2218
  integer, parameter :: nGC_655 = 2219
  integer, parameter :: nGC_13774 = 2220
  integer, parameter :: nGC_8868 = 2221
  integer, parameter :: nGC_8869 = 2222
  integer, parameter :: nGC_13395 = 2223
  integer, parameter :: nGC_8864 = 2224
  integer, parameter :: nGC_8865 = 2225
  integer, parameter :: nGC_8867 = 2226
  integer, parameter :: nGC_8860 = 2227
  integer, parameter :: nGC_8861 = 2228
  integer, parameter :: nGC_8862 = 2229
  integer, parameter :: nGC_8863 = 2230
  integer, parameter :: nGC_13153 = 2231
  integer, parameter :: nGC_13159 = 2232
  integer, parameter :: nGC_843 = 2233
  integer, parameter :: nGC_12826 = 2234
  integer, parameter :: nGC_12824 = 2235
  integer, parameter :: nGC_13554 = 2236
  integer, parameter :: nGC_13569 = 2237
  integer, parameter :: nGC_8998 = 2238
  integer, parameter :: nGC_8999 = 2239
  integer, parameter :: nGC_8990 = 2240
  integer, parameter :: nGC_8991 = 2241
  integer, parameter :: nGC_8992 = 2242
  integer, parameter :: nGC_8993 = 2243
  integer, parameter :: nGC_8994 = 2244
  integer, parameter :: nGC_8995 = 2245
  integer, parameter :: nGC_8996 = 2246
  integer, parameter :: nGC_8997 = 2247
  integer, parameter :: nGC_9023 = 2248
  integer, parameter :: nGC_9022 = 2249
  integer, parameter :: nGC_9021 = 2250
  integer, parameter :: nGC_9020 = 2251
  integer, parameter :: nGC_9027 = 2252
  integer, parameter :: nGC_9026 = 2253
  integer, parameter :: nGC_9025 = 2254
  integer, parameter :: nGC_9024 = 2255
  integer, parameter :: nGC_9029 = 2256
  integer, parameter :: nGC_9028 = 2257
  integer, parameter :: nGC_12738 = 2258
  integer, parameter :: nGC_12739 = 2259
  integer, parameter :: nGC_12735 = 2260
  integer, parameter :: nGC_TS_GC_103_Hl = 2261
  integer, parameter :: nGC_TS_GC_103_Hh = 2262
  integer, parameter :: nGC_17678 = 2263
  integer, parameter :: nGC_9481 = 2264
  integer, parameter :: nGC_9482 = 2265
  integer, parameter :: nGC_9485 = 2266
  integer, parameter :: nGC_9339 = 2267
  integer, parameter :: nGC_9486 = 2268
  integer, parameter :: nGC_9489 = 2269
  integer, parameter :: nGC_9336 = 2270
  integer, parameter :: nGC_9335 = 2271
  integer, parameter :: nGC_9332 = 2272
  integer, parameter :: nGC_9331 = 2273
  integer, parameter :: nGC_9330 = 2274
  integer, parameter :: nGC_9262 = 2275
  integer, parameter :: nGC_17493 = 2276
  integer, parameter :: nGC_17496 = 2277
  integer, parameter :: nGC_17498 = 2278
  integer, parameter :: nGC_17499 = 2279
  integer, parameter :: nGC_9159 = 2280
  integer, parameter :: nGC_9158 = 2281
  integer, parameter :: nGC_9153 = 2282
  integer, parameter :: nGC_9152 = 2283
  integer, parameter :: nGC_9151 = 2284
  integer, parameter :: nGC_9150 = 2285
  integer, parameter :: nGC_9157 = 2286
  integer, parameter :: nGC_9156 = 2287
  integer, parameter :: nGC_9155 = 2288
  integer, parameter :: nGC_16388 = 2289
  integer, parameter :: nGC_33237 = 2290
  integer, parameter :: nGC_8807 = 2291
  integer, parameter :: nGC_TS_GC_130_Hl = 2292
  integer, parameter :: nGC_TS_GC_112_Hh = 2293
  integer, parameter :: nGC_24182 = 2294
  integer, parameter :: nGC_24183 = 2295
  integer, parameter :: nGC_16723 = 2296
  integer, parameter :: nGC_TS_GC_9_Hl = 2297
  integer, parameter :: nGC_TS_GC_9_Hh = 2298
  integer, parameter :: nGC_14667 = 2299
  integer, parameter :: nGC_25347 = 2300
  integer, parameter :: nGC_14668 = 2301
  integer, parameter :: nGC_14669 = 2302
  integer, parameter :: nGC_13018 = 2303
  integer, parameter :: nGC_13019 = 2304
  integer, parameter :: nGC_13496 = 2305
  integer, parameter :: nGC_12708 = 2306
  integer, parameter :: nGC_13708 = 2307
  integer, parameter :: nGC_13706 = 2308
  integer, parameter :: nGC_13707 = 2309
  integer, parameter :: nGC_8859 = 2310
  integer, parameter :: nGC_8858 = 2311
  integer, parameter :: nGC_8851 = 2312
  integer, parameter :: nGC_8850 = 2313
  integer, parameter :: nGC_8853 = 2314
  integer, parameter :: nGC_8852 = 2315
  integer, parameter :: nGC_8855 = 2316
  integer, parameter :: nGC_8854 = 2317
  integer, parameter :: nGC_8857 = 2318
  integer, parameter :: nGC_8856 = 2319
  integer, parameter :: nGC_22024 = 2320
  integer, parameter :: nGC_12833 = 2321
  integer, parameter :: nGC_TS_GC_106_Hh = 2322
  integer, parameter :: nGC_12834 = 2323
  integer, parameter :: nGC_12837 = 2324
  integer, parameter :: nGC_TS_GC_106_Hl = 2325
  integer, parameter :: nGC_13838 = 2326
  integer, parameter :: nGC_13839 = 2327
  integer, parameter :: nGC_13237 = 2328
  integer, parameter :: nGC_9030 = 2329
  integer, parameter :: nGC_9031 = 2330
  integer, parameter :: nGC_9033 = 2331
  integer, parameter :: nGC_9035 = 2332
  integer, parameter :: nGC_9037 = 2333
  integer, parameter :: nGC_9038 = 2334
  integer, parameter :: nGC_17397 = 2335
  integer, parameter :: nGC_17396 = 2336
  integer, parameter :: nGC_17395 = 2337
  integer, parameter :: nGC_17394 = 2338
  integer, parameter :: nGC_9324 = 2339
  integer, parameter :: nGC_9494 = 2340
  integer, parameter :: nGC_9492 = 2341
  integer, parameter :: nGC_9493 = 2342
  integer, parameter :: nGC_9490 = 2343
  integer, parameter :: nGC_9491 = 2344
  integer, parameter :: nGC_17802 = 2345
  integer, parameter :: nGC_17801 = 2346
  integer, parameter :: nGC_17800 = 2347
  integer, parameter :: nGC_19891 = 2348
  integer, parameter :: nGC_9148 = 2349
  integer, parameter :: nGC_9149 = 2350
  integer, parameter :: nGC_9140 = 2351
  integer, parameter :: nGC_9141 = 2352
  integer, parameter :: nGC_9142 = 2353
  integer, parameter :: nGC_9146 = 2354
  integer, parameter :: nGC_9147 = 2355
  integer, parameter :: nGC_19765 = 2356
  integer, parameter :: nGC_19766 = 2357
  integer, parameter :: nGC_19767 = 2358
  integer, parameter :: nGC_16286 = 2359
  integer, parameter :: nGC_14914 = 2360
  integer, parameter :: nGC_14915 = 2361
  integer, parameter :: nGC_13688 = 2362
  integer, parameter :: nGC_14705 = 2363
  integer, parameter :: nGC_14706 = 2364
  integer, parameter :: nGC_15476 = 2365
  integer, parameter :: nGC_15477 = 2366
  integer, parameter :: nGC_14671 = 2367
  integer, parameter :: nGC_14673 = 2368
  integer, parameter :: nGC_14672 = 2369
  integer, parameter :: nGC_13005 = 2370
  integer, parameter :: nGC_TS_GC_23_Hl = 2371
  integer, parameter :: nGC_13489 = 2372
  integer, parameter :: nGC_8911 = 2373
  integer, parameter :: nGC_13480 = 2374
  integer, parameter :: nGC_26223 = 2375
  integer, parameter :: nGC_26222 = 2376
  integer, parameter :: nGC_26597 = 2377
  integer, parameter :: nGC_19375 = 2378
  integer, parameter :: nGC_13710 = 2379
  integer, parameter :: nGC_12681 = 2380
  integer, parameter :: nGC_12990 = 2381
  integer, parameter :: nGC_12991 = 2382
  integer, parameter :: nGC_12841 = 2383
  integer, parameter :: nGC_12667 = 2384
  integer, parameter :: nGC_12660 = 2385
  integer, parameter :: nGC_TS_GC_133_Hh = 2386
  integer, parameter :: nGC_9009 = 2387
  integer, parameter :: nGC_9008 = 2388
  integer, parameter :: nGC_9005 = 2389
  integer, parameter :: nGC_9004 = 2390
  integer, parameter :: nGC_9007 = 2391
  integer, parameter :: nGC_9006 = 2392
  integer, parameter :: nGC_9001 = 2393
  integer, parameter :: nGC_9003 = 2394
  integer, parameter :: nGC_9002 = 2395
  integer, parameter :: nGC_8846 = 2396
  integer, parameter :: nGC_8847 = 2397
  integer, parameter :: nGC_8844 = 2398
  integer, parameter :: nGC_8845 = 2399
  integer, parameter :: nGC_8842 = 2400
  integer, parameter :: nGC_8843 = 2401
  integer, parameter :: nGC_8840 = 2402
  integer, parameter :: nGC_8841 = 2403
  integer, parameter :: nGC_TS_GC_113_Hl = 2404
  integer, parameter :: nGC_8848 = 2405
  integer, parameter :: nGC_8849 = 2406
  integer, parameter :: nGC_13969 = 2407
  integer, parameter :: nGC_17652 = 2408
  integer, parameter :: nGC_17653 = 2409
  integer, parameter :: nGC_32216 = 2410
  integer, parameter :: nGC_9319 = 2411
  integer, parameter :: nGC_9318 = 2412
  integer, parameter :: nGC_9311 = 2413
  integer, parameter :: nGC_9313 = 2414
  integer, parameter :: nGC_9315 = 2415
  integer, parameter :: nGC_9314 = 2416
  integer, parameter :: nGC_9317 = 2417
  integer, parameter :: nGC_13305 = 2418
  integer, parameter :: nGC_9175 = 2419
  integer, parameter :: nGC_9174 = 2420
  integer, parameter :: nGC_9177 = 2421
  integer, parameter :: nGC_19882 = 2422
  integer, parameter :: nGC_9171 = 2423
  integer, parameter :: nGC_9170 = 2424
  integer, parameter :: nGC_9173 = 2425
  integer, parameter :: nGC_9172 = 2426
  integer, parameter :: nGC_19889 = 2427
  integer, parameter :: nGC_TS_GC_15_Hh = 2428
  integer, parameter :: nGC_9179 = 2429
  integer, parameter :: nGC_9178 = 2430
  integer, parameter :: nGC_9242 = 2431
  integer, parameter :: nGC_9241 = 2432
  integer, parameter :: nGC_9240 = 2433
  integer, parameter :: nGC_16291 = 2434
  integer, parameter :: nGC_18820 = 2435
  integer, parameter :: nGC_9085 = 2436
  integer, parameter :: nGC_9084 = 2437
  integer, parameter :: nGC_14907 = 2438
  integer, parameter :: nGC_14905 = 2439
  integer, parameter :: nGC_9081 = 2440
  integer, parameter :: nGC_12767 = 2441
  integer, parameter :: nGC_9080 = 2442
  integer, parameter :: nGC_20995 = 2443
  integer, parameter :: nGC_20994 = 2444
  integer, parameter :: nGC_9083 = 2445
  integer, parameter :: nGC_9082 = 2446
  integer, parameter :: nGC_8776 = 2447
  integer, parameter :: nGC_15464 = 2448
  integer, parameter :: nGC_14594 = 2449
  integer, parameter :: nGC_14595 = 2450
  integer, parameter :: nGC_14596 = 2451
  integer, parameter :: nGC_13928 = 2452
  integer, parameter :: nGC_14605 = 2453
  integer, parameter :: nGC_15268 = 2454
  integer, parameter :: nGC_14021 = 2455
  integer, parameter :: nGC_15514 = 2456
  integer, parameter :: nGC_14116 = 2457
  integer, parameter :: nGC_14117 = 2458
  integer, parameter :: nGC_14118 = 2459
  integer, parameter :: nGC_12984 = 2460
  integer, parameter :: nGC_13455 = 2461
  integer, parameter :: nGC_14336 = 2462
  integer, parameter :: nGC_13855 = 2463
  integer, parameter :: nGC_13585 = 2464
  integer, parameter :: nGC_13851 = 2465
  integer, parameter :: nGC_16233 = 2466
  integer, parameter :: nGC_12673 = 2467
  integer, parameter :: nGC_8949 = 2468
  integer, parameter :: nGC_16232 = 2469
  integer, parameter :: nGC_8947 = 2470
  integer, parameter :: nGC_8946 = 2471
  integer, parameter :: nGC_8945 = 2472
  integer, parameter :: nGC_8944 = 2473
  integer, parameter :: nGC_8943 = 2474
  integer, parameter :: nGC_8941 = 2475
  integer, parameter :: nGC_12678 = 2476
  integer, parameter :: nGC_17009 = 2477
  integer, parameter :: nGC_17007 = 2478
  integer, parameter :: nGC_13214 = 2479
  integer, parameter :: nGC_13215 = 2480
  integer, parameter :: nGC_9018 = 2481
  integer, parameter :: nGC_9019 = 2482
  integer, parameter :: nGC_9013 = 2483
  integer, parameter :: nGC_9010 = 2484
  integer, parameter :: nGC_16234 = 2485
  integer, parameter :: nGC_9016 = 2486
  integer, parameter :: nGC_9017 = 2487
  integer, parameter :: nGC_9014 = 2488
  integer, parameter :: nGC_8785 = 2489
  integer, parameter :: nGC_8784 = 2490
  integer, parameter :: nGC_8831 = 2491
  integer, parameter :: nGC_8830 = 2492
  integer, parameter :: nGC_8837 = 2493
  integer, parameter :: nGC_8836 = 2494
  integer, parameter :: nGC_8835 = 2495
  integer, parameter :: nGC_8782 = 2496
  integer, parameter :: nGC_8839 = 2497
  integer, parameter :: nGC_8838 = 2498
  integer, parameter :: nGC_9306 = 2499
  integer, parameter :: nGC_9309 = 2500
  integer, parameter :: nGC_9162 = 2501
  integer, parameter :: nGC_9163 = 2502
  integer, parameter :: nGC_9160 = 2503
  integer, parameter :: nGC_9161 = 2504
  integer, parameter :: nGC_9167 = 2505
  integer, parameter :: nGC_9164 = 2506
  integer, parameter :: nGC_9168 = 2507
  integer, parameter :: nGC_9169 = 2508
  integer, parameter :: nGC_29946 = 2509
  integer, parameter :: nGC_16514 = 2510
  integer, parameter :: nGC_8774 = 2511
  integer, parameter :: nGC_8775 = 2512
  integer, parameter :: nGC_13812 = 2513
  integer, parameter :: nGC_8770 = 2514
  integer, parameter :: nGC_14933 = 2515
  integer, parameter :: nGC_14267 = 2516
  integer, parameter :: nGC_8772 = 2517
  integer, parameter :: nGC_16171 = 2518
  integer, parameter :: nGC_13931 = 2519
  integer, parameter :: nGC_14581 = 2520
  integer, parameter :: nGC_14617 = 2521
  integer, parameter :: nGC_14616 = 2522
  integer, parameter :: nGC_23950 = 2523
  integer, parameter :: nGC_13930 = 2524
  integer, parameter :: nGC_9350 = 2525
  integer, parameter :: nGC_17799 = 2526
  integer, parameter :: nGC_29690 = 2527
  integer, parameter :: nGC_18875 = 2528
  integer, parameter :: nGC_18874 = 2529
  integer, parameter :: nGC_13731 = 2530
  integer, parameter :: nGC_13730 = 2531
  integer, parameter :: nGC_13732 = 2532
  integer, parameter :: nGC_26169 = 2533
  integer, parameter :: nGC_15454 = 2534
  integer, parameter :: nGC_9154 = 2535
  integer, parameter :: nGC_13449 = 2536
  integer, parameter :: nGC_13118 = 2537
  integer, parameter :: nGC_14248 = 2538
  integer, parameter :: nGC_14249 = 2539
  integer, parameter :: nGC_13445 = 2540
  integer, parameter :: nGC_8709 = 2541
  integer, parameter :: nGC_13027 = 2542
  integer, parameter :: nGC_8895 = 2543
  integer, parameter :: nGC_8894 = 2544
  integer, parameter :: nGC_8897 = 2545
  integer, parameter :: nGC_8896 = 2546
  integer, parameter :: nGC_8959 = 2547
  integer, parameter :: nGC_8893 = 2548
  integer, parameter :: nGC_8892 = 2549
  integer, parameter :: nGC_8955 = 2550
  integer, parameter :: nGC_8956 = 2551
  integer, parameter :: nGC_8957 = 2552
  integer, parameter :: nGC_8899 = 2553
  integer, parameter :: nGC_13367 = 2554
  integer, parameter :: nGC_8953 = 2555
  integer, parameter :: nGC_8951 = 2556
  integer, parameter :: nGC_13200 = 2557
  integer, parameter :: nGC_14811 = 2558
  integer, parameter :: nGC_24659 = 2559
  integer, parameter :: nGC_8821 = 2560
  integer, parameter :: nGC_8823 = 2561
  integer, parameter :: nGC_8825 = 2562
  integer, parameter :: nGC_8827 = 2563
  integer, parameter :: nGC_8829 = 2564
  integer, parameter :: nGC_13709 = 2565
  integer, parameter :: nGC_18620 = 2566
  integer, parameter :: nGC_8898 = 2567
  integer, parameter :: nGC_16180 = 2568
  integer, parameter :: nGC_9199 = 2569
  integer, parameter :: nGC_9198 = 2570
  integer, parameter :: nGC_9197 = 2571
  integer, parameter :: nGC_9196 = 2572
  integer, parameter :: nGC_9195 = 2573
  integer, parameter :: nGC_9194 = 2574
  integer, parameter :: nGC_9193 = 2575
  integer, parameter :: nGC_9192 = 2576
  integer, parameter :: nGC_9191 = 2577
  integer, parameter :: nGC_9190 = 2578
  integer, parameter :: nGC_15493 = 2579
  integer, parameter :: nGC_9209 = 2580
  integer, parameter :: nGC_9208 = 2581
  integer, parameter :: nGC_29895 = 2582
  integer, parameter :: nGC_9206 = 2583
  integer, parameter :: nGC_9205 = 2584
  integer, parameter :: nGC_9204 = 2585
  integer, parameter :: nGC_9201 = 2586
  integer, parameter :: nGC_9200 = 2587
  integer, parameter :: nGC_14104 = 2588
  integer, parameter :: nGC_28418 = 2589
  integer, parameter :: nGC_16701 = 2590
  integer, parameter :: nGC_9104 = 2591
  integer, parameter :: nGC_9105 = 2592
  integer, parameter :: nGC_9100 = 2593
  integer, parameter :: nGC_9101 = 2594
  integer, parameter :: nGC_9109 = 2595
  integer, parameter :: nGC_13294 = 2596
  integer, parameter :: nGC_13088 = 2597
  integer, parameter :: nGC_13312 = 2598
  integer, parameter :: nGC_22025 = 2599
  integer, parameter :: nGC_16761 = 2600
  integer, parameter :: nGC_16763 = 2601
  integer, parameter :: nGC_16169 = 2602
  integer, parameter :: nGC_30044 = 2603
  integer, parameter :: nGC_16160 = 2604
  integer, parameter :: nGC_12759 = 2605
  integer, parameter :: nGC_12750 = 2606
  integer, parameter :: nGC_12752 = 2607
  integer, parameter :: nGC_13333 = 2608
  integer, parameter :: nGC_15291 = 2609
  integer, parameter :: nGC_15292 = 2610
  integer, parameter :: nGC_15668 = 2611
  integer, parameter :: nGC_8912 = 2612
  integer, parameter :: nGC_8913 = 2613
  integer, parameter :: nGC_8914 = 2614
  integer, parameter :: nGC_8915 = 2615
  integer, parameter :: nGC_8916 = 2616
  integer, parameter :: nGC_8918 = 2617
  integer, parameter :: nGC_8919 = 2618
  integer, parameter :: nGC_9228 = 2619
  integer, parameter :: nGC_23949 = 2620
  integer, parameter :: nGC_9249 = 2621
  integer, parameter :: nGC_29927 = 2622
  integer, parameter :: nGC_15207 = 2623
  integer, parameter :: nGC_17095 = 2624
  integer, parameter :: nGC_17090 = 2625
  integer, parameter :: nGC_15202 = 2626
  integer, parameter :: nGC_17093 = 2627
  integer, parameter :: nGC_9088 = 2628
  integer, parameter :: nGC_13694 = 2629
  integer, parameter :: nGC_13695 = 2630
  integer, parameter :: nGC_16545 = 2631
  integer, parameter :: nGC_16544 = 2632
  integer, parameter :: nGC_19890 = 2633
  integer, parameter :: nGC_14734 = 2634
  integer, parameter :: nGC_14135 = 2635
  integer, parameter :: nGC_15333 = 2636
  integer, parameter :: nGC_15440 = 2637
  integer, parameter :: nGC_15334 = 2638
  integer, parameter :: nGC_14250 = 2639
  integer, parameter :: nGC_8712 = 2640
  integer, parameter :: nGC_8713 = 2641
  integer, parameter :: nGC_8710 = 2642
  integer, parameter :: nGC_8711 = 2643
  integer, parameter :: nGC_8714 = 2644
  integer, parameter :: nGC_16121 = 2645
  integer, parameter :: nGC_13055 = 2646
  integer, parameter :: nGC_13056 = 2647
  integer, parameter :: nGC_13057 = 2648
  integer, parameter :: nGC_15606 = 2649
  integer, parameter :: nGC_8969 = 2650
  integer, parameter :: nGC_8962 = 2651
  integer, parameter :: nGC_8965 = 2652
  integer, parameter :: nGC_8964 = 2653
  integer, parameter :: nGC_8967 = 2654
  integer, parameter :: nGC_8966 = 2655
  integer, parameter :: nGC_17501 = 2656
  integer, parameter :: nGC_13271 = 2657
  integer, parameter :: nGC_8819 = 2658
  integer, parameter :: nGC_8818 = 2659
  integer, parameter :: nGC_8768 = 2660
  integer, parameter :: nGC_8815 = 2661
  integer, parameter :: nGC_8814 = 2662
  integer, parameter :: nGC_8817 = 2663
  integer, parameter :: nGC_8816 = 2664
  integer, parameter :: nGC_8811 = 2665
  integer, parameter :: nGC_8810 = 2666
  integer, parameter :: nGC_8813 = 2667
  integer, parameter :: nGC_8812 = 2668
  integer, parameter :: nGC_18638 = 2669
  integer, parameter :: nGC_18635 = 2670
  integer, parameter :: nGC_18637 = 2671
  integer, parameter :: nGC_29815 = 2672
  integer, parameter :: nGC_17500 = 2673
  integer, parameter :: nGC_32089 = 2674
  integer, parameter :: nGC_30952 = 2675
  integer, parameter :: nGC_22652 = 2676
  integer, parameter :: nGC_14684 = 2677
  integer, parameter :: nGC_31634 = 2678
  integer, parameter :: nGC_12885 = 2679
  integer, parameter :: nGC_9188 = 2680
  integer, parameter :: nGC_9189 = 2681
  integer, parameter :: nGC_13169 = 2682
  integer, parameter :: nGC_9184 = 2683
  integer, parameter :: nGC_9185 = 2684
  integer, parameter :: nGC_9186 = 2685
  integer, parameter :: nGC_9187 = 2686
  integer, parameter :: nGC_9180 = 2687
  integer, parameter :: nGC_9181 = 2688
  integer, parameter :: nGC_9182 = 2689
  integer, parameter :: nGC_9183 = 2690
  integer, parameter :: nGC_17599 = 2691
  integer, parameter :: nGC_14775 = 2692
  integer, parameter :: nGC_17595 = 2693
  integer, parameter :: nGC_9215 = 2694
  integer, parameter :: nGC_9216 = 2695
  integer, parameter :: nGC_9118 = 2696
  integer, parameter :: nGC_9210 = 2697
  integer, parameter :: nGC_9211 = 2698
  integer, parameter :: nGC_9212 = 2699
  integer, parameter :: nGC_9213 = 2700
  integer, parameter :: nGC_17876 = 2701
  integer, parameter :: nGC_17877 = 2702
  integer, parameter :: nGC_17471 = 2703
  integer, parameter :: nGC_9131 = 2704
  integer, parameter :: nGC_9130 = 2705
  integer, parameter :: nGC_9132 = 2706
  integer, parameter :: nGC_9135 = 2707
  integer, parameter :: nGC_9134 = 2708
  integer, parameter :: nGC_9139 = 2709
  integer, parameter :: nGC_9138 = 2710
  integer, parameter :: nGC_33353 = 2711
  integer, parameter :: nGC_12992 = 2712
  integer, parameter :: nGC_13500 = 2713
  integer, parameter :: nGC_8723 = 2714
  integer, parameter :: nGC_8724 = 2715
  integer, parameter :: nGC_12847 = 2716
  integer, parameter :: nGC_12923 = 2717
  integer, parameter :: nGC_14420 = 2718
  integer, parameter :: nGC_16409 = 2719
  integer, parameter :: nGC_30169 = 2720
  integer, parameter :: nGC_29447 = 2721
  integer, parameter :: nGC_13435 = 2722
  integer, parameter :: nGC_14839 = 2723
  integer, parameter :: nGC_8929 = 2724
  integer, parameter :: nGC_8928 = 2725
  integer, parameter :: nGC_8925 = 2726
  integer, parameter :: nGC_8924 = 2727
  integer, parameter :: nGC_8927 = 2728
  integer, parameter :: nGC_8926 = 2729
  integer, parameter :: nGC_8921 = 2730
  integer, parameter :: nGC_8920 = 2731
  integer, parameter :: nGC_8923 = 2732
  integer, parameter :: nGC_8922 = 2733
  integer, parameter :: nGC_30533 = 2734
  integer, parameter :: nGC_14630 = 2735
  integer, parameter :: nGC_14882 = 2736
  integer, parameter :: nGC_14883 = 2737
  integer, parameter :: nGC_15230 = 2738
  integer, parameter :: nGC_15231 = 2739
  integer, parameter :: nGC_14731 = 2740
  integer, parameter :: nGC_14732 = 2741
  integer, parameter :: nGC_14733 = 2742
  integer, parameter :: nGC_9092 = 2743
  integer, parameter :: nGC_9091 = 2744
  integer, parameter :: nGC_9096 = 2745
  integer, parameter :: nGC_9097 = 2746
  integer, parameter :: nGC_9098 = 2747
  integer, parameter :: nGC_15541 = 2748
  integer, parameter :: nGC_15542 = 2749
  integer, parameter :: nGC_15421 = 2750
  integer, parameter :: nGC_13681 = 2751
  integer, parameter :: nGC_13680 = 2752
  integer, parameter :: nGC_9176 = 2753
  integer, parameter :: nGC_15979 = 2754
  integer, parameter :: nGC_13616 = 2755
  integer, parameter :: nGC_14646 = 2756
  integer, parameter :: nGC_9218 = 2757
  integer, parameter :: nGC_9219 = 2758
  integer, parameter :: nGC_29412 = 2759
  integer, parameter :: nGC_14308 = 2760
  integer, parameter :: nGC_9214 = 2761
  integer, parameter :: nGC_14992 = 2762
  integer, parameter :: nGC_17597 = 2763
  integer, parameter :: nGC_9217 = 2764
  integer, parameter :: nGC_16111 = 2765
  integer, parameter :: nGC_14464 = 2766
  integer, parameter :: nGC_29525 = 2767
  integer, parameter :: nGC_13046 = 2768
  integer, parameter :: nGC_17094 = 2769
  integer, parameter :: nGC_14908 = 2770
  integer, parameter :: nGC_15206 = 2771
  integer, parameter :: nGC_9087 = 2772
  integer, parameter :: nGC_8808 = 2773
  integer, parameter :: nGC_8809 = 2774
  integer, parameter :: nGC_8778 = 2775
  integer, parameter :: nGC_8779 = 2776
  integer, parameter :: nGC_8806 = 2777
  integer, parameter :: nGC_8771 = 2778
  integer, parameter :: nGC_17091 = 2779
  integer, parameter :: nGC_9086 = 2780
  integer, parameter :: nGC_32144 = 2781
  integer, parameter :: nGC_14486 = 2782
  integer, parameter :: nGC_9058 = 2783
  integer, parameter :: nGC_9059 = 2784
  integer, parameter :: nGC_30372 = 2785
  integer, parameter :: nGC_30370 = 2786
  integer, parameter :: nGC_19689 = 2787
  integer, parameter :: nGC_19688 = 2788
  integer, parameter :: nGC_24259 = 2789
  integer, parameter :: nGC_24257 = 2790
  integer, parameter :: nGC_9229 = 2791
  integer, parameter :: nGC_14762 = 2792
  integer, parameter :: nGC_17569 = 2793
  integer, parameter :: nGC_9223 = 2794
  integer, parameter :: nGC_9222 = 2795
  integer, parameter :: nGC_9225 = 2796
  integer, parameter :: nGC_9224 = 2797
  integer, parameter :: nGC_9227 = 2798
  integer, parameter :: nGC_9226 = 2799
  integer, parameter :: nGC_15515 = 2800
  integer, parameter :: nGC_17598 = 2801
  integer, parameter :: nGC_13061 = 2802
  integer, parameter :: nGC_30309 = 2803
  integer, parameter :: nGC_9129 = 2804
  integer, parameter :: nGC_29671 = 2805
  integer, parameter :: nGC_9124 = 2806
  integer, parameter :: nGC_9125 = 2807
  integer, parameter :: nGC_9122 = 2808
  integer, parameter :: nGC_9123 = 2809
  integer, parameter :: nGC_9120 = 2810
  integer, parameter :: nGC_9121 = 2811
  integer, parameter :: nGC_13516 = 2812
  integer, parameter :: nGC_27172 = 2813
  integer, parameter :: nGC_12915 = 2814
  integer, parameter :: nGC_14348 = 2815
  integer, parameter :: nGC_14346 = 2816
  integer, parameter :: nGC_32524 = 2817
  integer, parameter :: nGC_32526 = 2818
  integer, parameter :: nGC_12778 = 2819
  integer, parameter :: nGC_12777 = 2820
  integer, parameter :: nGC_8940 = 2821
  integer, parameter :: nGC_20559 = 2822
  integer, parameter :: nGC_20558 = 2823
  integer, parameter :: nGC_25077 = 2824
  integer, parameter :: nGC_15042 = 2825
  integer, parameter :: nGC_15044 = 2826
  integer, parameter :: nGC_15046 = 2827
  integer, parameter :: nGC_8832 = 2828
  integer, parameter :: nGC_8787 = 2829
  integer, parameter :: nGC_8939 = 2830
  integer, parameter :: nGC_8834 = 2831
  integer, parameter :: nGC_8934 = 2832
  integer, parameter :: nGC_30448 = 2833
  integer, parameter :: nGC_15227 = 2834
  integer, parameter :: nGC_15226 = 2835
  integer, parameter :: nGC_8786 = 2836
  integer, parameter :: nGC_30208 = 2837
  integer, parameter :: nGC_9061 = 2838
  integer, parameter :: nGC_9060 = 2839
  integer, parameter :: nGC_13970 = 2840
  integer, parameter :: nGC_29466 = 2841
  integer, parameter :: nGC_29463 = 2842
  integer, parameter :: nGC_14076 = 2843
  integer, parameter :: nGC_29545 = 2844
  integer, parameter :: nGC_28422 = 2845
  integer, parameter :: nGC_28421 = 2846
  integer, parameter :: nGC_14268 = 2847
  integer, parameter :: nGC_9117 = 2848
  integer, parameter :: nGC_9116 = 2849
  integer, parameter :: nGC_9115 = 2850
  integer, parameter :: nGC_9114 = 2851
  integer, parameter :: nGC_9113 = 2852
  integer, parameter :: nGC_9112 = 2853
  integer, parameter :: nGC_9111 = 2854
  integer, parameter :: nGC_9110 = 2855
  integer, parameter :: nGC_14573 = 2856
  integer, parameter :: nGC_9119 = 2857
  integer, parameter :: nGC_14571 = 2858
  integer, parameter :: nGC_13258 = 2859
  integer, parameter :: nGC_13259 = 2860
  integer, parameter :: nGC_8866 = 2861
  integer, parameter :: nGC_14203 = 2862
  integer, parameter :: nGC_14204 = 2863
  integer, parameter :: nGC_14206 = 2864
  integer, parameter :: nGC_9207 = 2865
  integer, parameter :: nGC_13091 = 2866
  integer, parameter :: nGC_13092 = 2867
  integer, parameter :: nGC_14517 = 2868
  integer, parameter :: nGC_14619 = 2869
  integer, parameter :: nGC_14618 = 2870
  integer, parameter :: nGC_13815 = 2871
  integer, parameter :: nGC_16075 = 2872
  integer, parameter :: nGC_16074 = 2873
  integer, parameter :: nGC_16170 = 2874
  integer, parameter :: nGC_18656 = 2875
  integer, parameter :: nGC_17175 = 2876
  integer, parameter :: nGC_17074 = 2877
  integer, parameter :: nGC_8903 = 2878
  integer, parameter :: nGC_8901 = 2879
  integer, parameter :: nGC_8907 = 2880
  integer, parameter :: nGC_8905 = 2881
  integer, parameter :: nGC_8909 = 2882
  integer, parameter :: nGC_31832 = 2883
  integer, parameter :: nGC_29766 = 2884
  integer, parameter :: nGC_15757 = 2885
  integer, parameter :: nGC_16319 = 2886
  integer, parameter :: nGC_14582 = 2887
  integer, parameter :: nGC_16312 = 2888
  integer, parameter :: nGC_16313 = 2889
  integer, parameter :: nGC_9234 = 2890
  integer, parameter :: nGC_9235 = 2891
  integer, parameter :: nGC_9232 = 2892
  integer, parameter :: nGC_9230 = 2893
  integer, parameter :: nGC_9231 = 2894
  integer, parameter :: nGC_17572 = 2895
  integer, parameter :: nGC_17571 = 2896
  integer, parameter :: nGC_14750 = 2897
  integer, parameter :: nGC_23257 = 2898
  integer, parameter :: nGC_30259 = 2899
  integer, parameter :: nGC_13063 = 2900
  integer, parameter :: nGC_30103 = 2901
  integer, parameter :: nGC_29588 = 2902
  integer, parameter :: nGC_23400 = 2903
  integer, parameter :: nGC_17092 = 2904
  integer, parameter :: nGC_30145 = 2905
  integer, parameter :: nGC_17472 = 2906
  integer, parameter :: nGC_15205 = 2907
  integer, parameter :: nGC_15204 = 2908
  integer, parameter :: nGC_16314 = 2909
  integer, parameter :: nGC_16320 = 2910
  integer, parameter :: nGC_14105 = 2911
  integer, parameter :: nGC_13062 = 2912
  integer, parameter :: nGC_18657 = 2913
  integer, parameter :: nGC_24258 = 2914
  integer, parameter :: nGC_14347 = 2915
  integer, parameter :: nGC_14572 = 2916
  integer, parameter :: nGC_19503 = 2917
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
