!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_8228) = -cb**3d0*cima*sb
    coupl(nGC_8229) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8222) = -cb*cima*sb**3d0
    coupl(nGC_8223) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8220) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8221) = cb**3d0*cima*sb
    coupl(nGC_8226) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8227) = cb*cima*sb**3d0
    coupl(nGC_8224) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8225) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5  &
                       - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + 6d0*&
                      cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb**2d0&
                      *l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 - l5* &
                      sb**4d0)
    coupl(nGC_7906) = cima*sb
    coupl(nGC_7907) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_7905) = cb*cima
    coupl(nGC_7909) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_8316) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8317) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0 + ca&
                      **2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb**  &
                      2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0* &
                      l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l2&
                      *sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*sb**  &
                      2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_8314) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_8315) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_8312) = cima*ee*(cb**2d0 + sb**2d0)/(4d0*cMZ*sw)
    coupl(nGC_8313) = cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8310) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_8311) = -cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8318) = -cb*cima*sa**2d0*sb
    coupl(nGC_8488) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8550) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_8551) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_8000) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8001) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8554) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
    coupl(nGC_8555) = cima*(cb*ytau1 + sb*ytau2)
    coupl(nGC_8556) = cima*sb
    coupl(nGC_8557) = -cb*cima
    coupl(nGC_8558) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_8559) = sqrt(2d0)*sb/2d0
    coupl(nGC_8008) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0 + ca&
                      **2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb**  &
                      2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0* &
                      l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l2&
                      *sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*sb**  &
                      2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_8009) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8110) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8111) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8112) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8114) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8115) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
    coupl(nGC_8178) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8179) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8176) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8177) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8174) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8172) = -cb*cima
    coupl(nGC_8173) = -cima*sb
    coupl(nGC_8171) = -cima*(cb*yb2 - sb*yd13x3)
    coupl(nGC_74) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_7903) = cima*ee*(cb**2d0 + sb**2d0)
    coupl(nGC_7908) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_349) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_347) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_345) = -ca*cb**2d0*cima*vev2
    coupl(nGC_343) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb*&
                     l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 -  &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8604) = -cima*sb
    coupl(nGC_8605) = -cima*(cb*ydo2 - sb*ydo1)
    coupl(nGC_169) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
    coupl(nGC_162) = -cb*cima*ym2 + cima*sb*ym1
    coupl(nGC_163) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
    coupl(nGC_160) = sqrt(2d0)*cb*ye1/2d0 + sqrt(2d0)*sb*ye2/2d0
    coupl(nGC_161) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
    coupl(nGC_166) = -cb*cima*ym1 - cima*sb*ym2
    coupl(nGC_167) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_164) = sqrt(2d0)*cb*ym2/2d0 - sqrt(2d0)*sb*ym1/2d0
    coupl(nGC_165) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
    coupl(nGC_8608) = cb*cima
    coupl(nGC_8609) = cima*sb
    coupl(nGC_7973) = -cb**2d0*cima*sb**2d0
    coupl(nGC_7972) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7971) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**2d0 - ca&
                      **2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb**  &
                      2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0* &
                      l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0 - l1&
                      *sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*sb**  &
                      2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_7970) = ca*cima*sa*sb**2d0
    coupl(nGC_7977) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_7976) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_7975) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_7974) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8701) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_7979) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**2d0 - ca&
                      **2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb**  &
                      2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0* &
                      l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0 - l1&
                      *sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*sb**  &
                      2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_7978) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8700) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_8363) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8362) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8361) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*l3*&
                      sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5*sb &
                      **2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 + cb* &
                      l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l5*&
                      sa*sb**2d0*vev1)
    coupl(nGC_8360) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8367) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8366) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8365) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_8364) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
    coupl(nGC_8369) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8368) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_MHC) = -cMHC**2d0*cima
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_8569) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_8568) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
    coupl(nGC_8565) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8564) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8567) = -cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_8566) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
    coupl(nGC_8560) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8563) = sqrt(2d0)*cb/2d0
    coupl(nGC_8586) = sqrt(2d0)*cb/2d0
    coupl(nGC_8585) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
    coupl(nGC_8584) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8582) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
    coupl(nGC_8580) = -cb*cima
    coupl(nGC_8589) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8588) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8489) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8486) = sqrt(2d0)*cb/2d0
    coupl(nGC_8109) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8108) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0*&
                      cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5*sa + &
                      2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*l1*sa** &
                      2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb)
    coupl(nGC_8103) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + ca*&
                      cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa  &
                       - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb &
                      **2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8102) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8101) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_8107) = -ca*cb*cima*sa*sb
    coupl(nGC_8104) = -ca*cb*cima*sa*sb
    coupl(nGC_8485) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8482) = sqrt(2d0)*sb/2d0
    coupl(nGC_8480) = -cb*cima
    coupl(nGC_8481) = cima*(cb*yd12x2 + sb*ys2)
    coupl(nGC_8617) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8616) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8615) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8614) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8613) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8612) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + sw &
                      )**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_8611) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_8610) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_8618) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +   &
                      4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3*sa**&
                      2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_8002) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8003) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                      cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0* &
                      ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 &
                       + l5*sa**2d0*sb**2d0)
    coupl(nGC_8552) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8553) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8006) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8007) = ca*cb**2d0*cima*sa
    coupl(nGC_8004) = -ca*cima*sa*sb**2d0
    coupl(nGC_8005) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0 &
                       - 2d0*cb*sa**2d0*sb)
    coupl(nGC_593) = cima/(2d0*cMW)
    coupl(nGC_597) = -cima/(2d0*cMW)
    coupl(nGC_355) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*sb&
                     **2d0)
    coupl(nGC_357) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*l5&
                     *sa*sb)
    coupl(nGC_351) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_353) = cima*sa*sb**2d0*vev1
    coupl(nGC_179) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
    coupl(nGC_178) = cb*cima*yt2 - cima*sb*yt1
    coupl(nGC_171) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_170) = -cb*cima*ys2 + cima*sb*yd12x2
    coupl(nGC_173) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
    coupl(nGC_172) = sqrt(2d0)*cb*ys2/2d0 - sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_175) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_174) = -cb*cima*yd12x2 - cima*sb*ys2
    coupl(nGC_177) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
    coupl(nGC_176) = sqrt(2d0)*cb*yd12x2/2d0 + sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_8409) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_131) = cb*cima*yc2 - cima*sb*yc1
    coupl(nGC_7960) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7961) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7964) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_7965) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_7966) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*cb&
                      *l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*ca*&
                      cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 +  &
                      l5*sa**2d0*sb**2d0)
    coupl(nGC_7967) = -ca*cb**2d0*cima*sa
    coupl(nGC_8047) = -3d0*ca*cima*sa**2d0*vev1
    coupl(nGC_8370) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8371) = cima*ee
    coupl(nGC_8372) = -sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_8373) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8374) = sqrt(2d0)*cb/2d0
    coupl(nGC_8375) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_8376) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_8377) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_8379) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0&
                      *cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa - 2d0&
                      *ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb  &
                       - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_138) = -cb*cima*yd13x3 - cima*sb*yb2
    coupl(nGC_8578) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb**&
                      2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3* &
                      sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8579) = -cima*(cb*ytau2 - sb*ytau1)
    coupl(nGC_8572) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8570) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_8571) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_8576) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8577) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8575) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8594) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8595) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8596) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
    coupl(nGC_8597) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_8590) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
    coupl(nGC_8591) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
    coupl(nGC_8592) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8593) = sqrt(2d0)*cb/2d0
    coupl(nGC_8598) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_8599) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_99) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima* &
                    ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) + cima&
                    *cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa** &
                    2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_98) = -cMW*cb**2d0*cima*cw*ee/(2d0*sw) + cMW*cb**2d0*cima*ee*sw/(&
                    2d0*cw) - cMW*cima*cw*ee*sb**2d0/(2d0*sw) + cMW*cima*ee*sb &
                    **2d0*sw/(2d0*cw)
    coupl(nGC_97) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw - &
                    cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/cw
    coupl(nGC_96) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw  &
                    ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0* &
                    cw)
    coupl(nGC_95) = -cMZ*ca*cb*cima*cw*ee/(2d0*sw) - cMZ*ca*cb*cima*ee*sw/(2d0*&
                    cw) - cMZ*cima*cw*ee*sa*sb/(2d0*sw) - cMZ*cima*ee*sa*sb*sw &
                    /(2d0*cw)
    coupl(nGC_94) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*sb &
                    /(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_93) = -cMZ*ca*cima*cw*ee*sb/(2d0*sw) - cMZ*ca*cima*ee*sb*sw/(2d0*&
                    cw) + cMZ*cb*cima*cw*ee*sa/(2d0*sw) + cMZ*cb*cima*ee*sa*sw &
                    /(2d0*cw)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
