!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_92) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa/(&
                    2d0*sw) - cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_91) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*sa &
                    /(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_90) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_75) = -cMW*cb**2d0*ee/(2d0*sw) - cMW*ee*sb**2d0/(2d0*sw)
    coupl(nGC_77) = cMZ*cb**2d0*cima*ee/(2d0*sw) + cMZ*cima*ee*sb**2d0/(2d0*sw)
    coupl(nGC_76) = cMW*cb**2d0*ee/(2d0*sw) + cMW*ee*sb**2d0/(2d0*sw)
    coupl(nGC_71) = -cMW*ca*cb*cima*ee/(2d0*sw) - cMW*cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_70) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_73) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_72) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
    coupl(nGC_79) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_78) = -cima*ee**2d0/sw**2d0
    coupl(nGC_8606) = -cb*cima
    coupl(nGC_8607) = cima*(cb*yup2 - sb*yup1)
    coupl(nGC_8600) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_8602) = -cima*sb
    coupl(nGC_8603) = cb*cima
    coupl(nGC_8175) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb** &
                      2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5* &
                      sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_8078) = ca*cb*cima*sb*vev1
    coupl(nGC_369) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_363) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca*cb*&
                     l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*vev1 +  &
                     ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0*l3*sa*  &
                     vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*vev1 + l2*sa&
                     *sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
    coupl(nGC_365) = -cb*cima*sa*sb*vev2
    coupl(nGC_367) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_144) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
    coupl(nGC_145) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
    coupl(nGC_146) = -cb*cima*ydo2 + cima*sb*ydo1
    coupl(nGC_147) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
    coupl(nGC_142) = -cb*cima*yb2 + cima*sb*yd13x3
    coupl(nGC_143) = sqrt(2d0)*cb*yb2/2d0 - sqrt(2d0)*sb*yd13x3/2d0
    coupl(nGC_148) = sqrt(2d0)*cb*ydo2/2d0 - sqrt(2d0)*sb*ydo1/2d0
    coupl(nGC_149) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
    coupl(nGC_MI) = -cima
    coupl(nGC_7959) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_7958) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_7957) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_7956) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_7951) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_7950) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_7953) = -sqrt(2d0)*cb/2d0
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_8349) = -cima*ee
    coupl(nGC_8348) = -cb*cima
    coupl(nGC_8345) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8344) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8347) = cima*sb
    coupl(nGC_8346) = cima*(cb*yd13x3 + sb*yb2)
    coupl(nGC_8341) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8340) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**2d0&
                      /(cw**2d0*sw**2d0)
    coupl(nGC_8343) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8342) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_7921) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8337) = sqrt(2d0)*sb/2d0
    coupl(nGC_8299) = cima*ee*sw/(3d0*cw)
    coupl(nGC_8298) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_8443) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_8293) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**2d0)
    coupl(nGC_8290) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8297) = cima*ee/(3d0*cw)
    coupl(nGC_8296) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca*&
                      cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*&
                      l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 - ca*&
                      l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8295) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8294) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8446) = -cima*(cb*ym2 - sb*ym1)
    coupl(nGC_8447) = -cb*cima
    coupl(nGC_8333) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(4d0*cMW&
                      *cw*sw)
    coupl(nGC_8125) = -3d0*cb**4d0*cima
    coupl(nGC_8124) = -3d0*cima*sb**4d0
    coupl(nGC_8126) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8123) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8122) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 -  &
                      ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + l5*sa&
                      **2d0)
    coupl(nGC_8129) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_80) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_81) = -cima*cw*ee/sw
    coupl(nGC_84) = cima*ee*sw/(3d0*cw)
    coupl(nGC_85) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_86) = cima*ee*sw/cw
    coupl(nGC_87) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_67) = -cMW*ca*cima*ee*sb/(2d0*sw) + cMW*cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_64) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_65) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_60) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*cb&
                    **2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0* &
                    cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
    coupl(nGC_61) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_140) = sqrt(2d0)*cb*yd13x3/2d0 + sqrt(2d0)*sb*yb2/2d0
    coupl(nGC_8631) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_8635) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_8634) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8637) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8636) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8639) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
    coupl(nGC_8638) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_377) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - ca*&
                     l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_375) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa - &
                     cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_371) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_379) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb&
                     *l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 - &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
    coupl(nGC_7990) = -cima*sa*sb**2d0*vev2
    coupl(nGC_153) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
    coupl(nGC_152) = sqrt(2d0)*cb*ydo1/2d0 + sqrt(2d0)*sb*ydo2/2d0
    coupl(nGC_151) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
    coupl(nGC_150) = -cb*cima*ydo1 - cima*sb*ydo2
    coupl(nGC_157) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
    coupl(nGC_156) = sqrt(2d0)*cb*ye2/2d0 - sqrt(2d0)*sb*ye1/2d0
    coupl(nGC_155) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
    coupl(nGC_154) = -cb*cima*ye2 + cima*sb*ye1
    coupl(nGC_159) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
    coupl(nGC_158) = -cb*cima*ye1 - cima*sb*ye2
    coupl(nGC_7948) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_7949) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_8439) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca**4d0&
                      *l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 -  &
                      6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0 - 6d0*ca &
                      **2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 + l4*sa**4d0  &
                       + l5*sa**4d0)
    coupl(nGC_7942) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_7943) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_7940) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8386) = -3d0*cima*sa**4d0
    coupl(nGC_7946) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_7947) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_7944) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_7945) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8437) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8358) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb* &
                      l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_8359) = -cb*cima*sa*sb*vev1
    coupl(nGC_8436) = -3d0*ca**3d0*cima*sa
    coupl(nGC_8352) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8353) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8350) = sqrt(2d0)*cb/2d0
    coupl(nGC_8351) = -sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
    coupl(nGC_8356) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*vev1 &
                       - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8357) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5&
                      *sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_8354) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb** &
                      2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*vev1  &
                       - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*sb**  &
                      2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**&
                      2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5*sa*vev1 &
                       + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**&
                      2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_8355) = -ca*cb*cima*sb*vev2
    coupl(nGC_8434) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8432) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8288) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8280) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_8281) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8282) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8283) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8284) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0*&
                      cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0*&
                      ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb + &
                      cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8285) = -cb**2d0*cima*sa**2d0
    coupl(nGC_8286) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**2d0)
    coupl(nGC_8287) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8130) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                      cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2&
                       + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5* &
                      sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 +  &
                      l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_8131) = -cima*sa*sb**2d0*vev2
    coupl(nGC_8136) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8137) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5* &
                      sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb*l4&
                      *sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
    coupl(nGC_8134) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb* &
                      l5*sa*sb)
    coupl(nGC_8135) = -ca*cb**2d0*cima*vev1
    coupl(nGC_8138) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8139) = -cima*sb**4d0
    coupl(nGC_53) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l2&
                    *sb**4d0
    coupl(nGC_52) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l1*sb**4d0
    coupl(nGC_51) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l1*sb**4d0
    coupl(nGC_50) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l1&
                    *sb**4d0
    coupl(nGC_57) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*sb&
                    **2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3* &
                    sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*cima*l5&
                    *sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
    coupl(nGC_56) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima* &
                    l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0*cima&
                    *l5*sb**2d0 - cima*l3*sb**4d0
    coupl(nGC_55) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l2*sb**4d0
    coupl(nGC_54) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l2*sb**4d0
    coupl(nGC_59) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 - 3d0*&
                    cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0 + 4d0&
                    *cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**2d0 +   &
                    4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb &
                    **4d0 - cima*l5*sb**4d0
    coupl(nGC_58) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima* &
                    l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3*&
                    sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0&
                     - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_8626) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8627) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_8624) = -sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_8625) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8622) = ca**2d0*cb*cima*sb
    coupl(nGC_8620) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8621) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_7952) = -sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_8425) = sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_8659) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
    coupl(nGC_8658) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                      cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb&
                      **2d0)
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_196) = cb*cima*yup1 + cima*sb*yup2
    coupl(nGC_419) = -sqrt(2d0)*cb/2d0
    coupl(nGC_417) = -sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
    coupl(nGC_415) = -sqrt(2d0)*sb/2d0
    coupl(nGC_411) = cima*gs
    coupl(nGC_1671) = -coupl(nGC_92)
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_8487) = -sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_7991) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa* &
                      vev2 + 2d0*cb*sa*sb*vev1)
    coupl(nGC_7993) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_7992) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                      cb**2d0*l5*sa + l2*sa*sb**2d0)
    coupl(nGC_7995) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_7994) = -ca*cb**2d0*cima*vev1
    coupl(nGC_7997) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_7996) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb** &
                      2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2  &
                       + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb**&
                      2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_7999) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_7998) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_891) = -coupl(nGC_179)
    coupl(nGC_8381) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**2d0)
    coupl(nGC_8380) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8383) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8382) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8385) = -6d0*ca**2d0*cima*sa**2d0
  end subroutine fill_couplings_mdl2
end module fill_couplings2
