!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl3()
    coupl(nGC_8384) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca* &
                      cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca*&
                      l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 + ca*&
                      l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8387) = -3d0*ca**4d0*cima
    coupl(nGC_8438) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8389) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8435) = 3d0*ca*cima*sa**3d0
    coupl(nGC_8433) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
    coupl(nGC_8430) = -cb*cima
    coupl(nGC_48) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/  &
                    2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb**2d0&
                    *l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_49) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0/ &
                    2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**2d0&
                    *l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_44) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb**&
                    3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima*l1*sb&
                    **3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**3d0 -  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_45) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb** &
                    3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima*l2*sb&
                    **3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**3d0 +  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_46) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb**&
                    3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima*l1*sb&
                    **3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**3d0 -  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_47) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb** &
                    3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima*l2*sb&
                    **3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**3d0 +  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_40) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb**3d0&
                    /2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0*l5* &
                    sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_41) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**  &
                    3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0* &
                    l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_42) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima*l4*&
                    sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima*l3* &
                    sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
    coupl(nGC_43) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4* &
                    sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima*l3* &
                    sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
    coupl(nGC_8653) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8652) = cima*ee/3d0
    coupl(nGC_8651) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_8650) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_8657) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8656) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8655) = -3d0*cima*sb**4d0
    coupl(nGC_8654) = -3d0*cb**4d0*cima
    coupl(nGC_8483) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8292) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8291) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0*&
                      cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa - 2d0*&
                      ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb - &
                      cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_168) = sqrt(2d0)*cb*ym1/2d0 + sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_8274) = -ca*cb*cima*sa*sb
    coupl(nGC_405) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_407) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_8431) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_125) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*vev2 &
                     /(2d0*sw**2d0)
    coupl(nGC_8127) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8121) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_7935) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_88) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_89) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_121) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cima* &
                     l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*cima*l5&
                     *sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*sb**2d0&
                     *vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_82) = cima*cw*ee/sw
    coupl(nGC_83) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_7988) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_7989) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*&
                      l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5*&
                      sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 + cb&
                      *l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l5&
                      *sa*sb**2d0*vev1)
    coupl(nGC_7986) = -cima*sb
    coupl(nGC_7987) = cb*cima
    coupl(nGC_7984) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*cb&
                      *l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*ca*&
                      cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 +  &
                      l5*sa**2d0*sb**2d0)
    coupl(nGC_7985) = -cima*(cb*yc1 + sb*yc2)
    coupl(nGC_7982) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_7983) = cb*cima*sa**2d0*sb
    coupl(nGC_7980) = -ca**2d0*cb*cima*sb
    coupl(nGC_7981) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb**&
                      2d0 - cb*sa**2d0*sb)
    coupl(nGC_8428) = cima*(cb*ym1 + sb*ym2)
    coupl(nGC_8429) = cima*sb
    coupl(nGC_8398) = sqrt(2d0)*cb/2d0
    coupl(nGC_8399) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8420) = sqrt(2d0)*sb/2d0
    coupl(nGC_8421) = -sqrt(2d0)*cb/2d0
    coupl(nGC_39) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_38) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_31) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_30) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_33) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_32) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_35) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_34) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_37) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca*cb*&
                    cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*&
                    sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb + cb&
                    **2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
    coupl(nGC_36) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 &
                     + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/  &
                    2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb&
                    *cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima&
                    *l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa &
                    **2d0*sb**2d0/2d0
    coupl(nGC_8648) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8649) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_8332) = cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*&
                      cw*sw**2d0)
    coupl(nGC_66) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_62) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_63) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_128) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_68) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_69) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_329) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_325) = -cb**2d0*cima*sa*vev2
    coupl(nGC_327) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_323) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                     cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2 &
                      + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa&
                     *vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 + l4* &
                     sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_188) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/2d0
    coupl(nGC_189) = -cb*cima*ytau1 - cima*sb*ytau2
    coupl(nGC_8630) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_180) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
    coupl(nGC_181) = cb*cima*yt1 + cima*sb*yt2
    coupl(nGC_182) = -sqrt(2d0)*cb*yt1/2d0 - sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_183) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_184) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/2d0
    coupl(nGC_185) = -cb*cima*ytau2 + cima*sb*ytau1
    coupl(nGC_186) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_187) = sqrt(2d0)*cb*ytau2/2d0 - sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_8632) = sqrt(2d0)*cb/2d0
    coupl(nGC_431) = sqrt(2d0)*cb/2d0
    coupl(nGC_433) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
    coupl(nGC_435) = -sqrt(2d0)*sb/2d0
    coupl(nGC_1611) = -coupl(nGC_63)
    coupl(nGC_8245) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8243) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb**&
                      2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5* &
                      sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_8099) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
    coupl(nGC_8098) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_871) = -coupl(nGC_72)
    coupl(nGC_8095) = ca*cima*sa*sb**2d0
    coupl(nGC_8094) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8097) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
    coupl(nGC_8096) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb -   &
                      4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*l3*sa**&
                      2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_8091) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0* &
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_8090) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8093) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8092) = -ca*cb**2d0*cima*sa
    coupl(nGC_8259) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8258) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8257) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8256) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8255) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8253) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8252) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8703) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                      sa**2d0)
    coupl(nGC_8702) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*sa&
                      **2d0)
    coupl(nGC_8326) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_8419) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_8418) = -cb*cima
    coupl(nGC_7904) = cima*(cb*yc2 - sb*yc1)
    coupl(nGC_8411) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8410) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8413) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_8412) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb** &
                      2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3* &
                      sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_8415) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**2d0&
                      /(cw**2d0*sw**2d0)
    coupl(nGC_8414) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_8417) = -cima*sb
    coupl(nGC_8416) = -cima*(cb*ye2 - sb*ye1)
    coupl(nGC_28) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb&
                    *cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*cima* &
                    l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb  &
                     - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_29) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*&
                    cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*cima*l5&
                    *sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                    cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - cb*cima*l5*&
                    sa**2d0*sb
    coupl(nGC_22) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*&
                    cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb**2d0 &
                     - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb - cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_23) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0&
                    *cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb**2d0&
                     + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_20) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_21) = cMW*cb**2d0*cima*ee + cMW*cima*ee*sb**2d0
    coupl(nGC_26) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb**&
                    2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima*l5&
                    *sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*  &
                    cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_27) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*&
                    cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb**2d0 &
                     + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb + cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_24) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0&
                    *cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb**2d0&
                     - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb - cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_25) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca*cb &
                    **2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima*&
                    l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*&
                    cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_8675) = -ca*cima*sb**2d0*vev2
    coupl(nGC_8674) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                      cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1&
                       - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5* &
                      sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 +  &
                      l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8676) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8671) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8670) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8673) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8672) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*&
                      sw)
    coupl(nGC_8077) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5*&
                      sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_8076) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb* &
                      l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_8075) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*vev2 &
                       + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8074) = -cb*cima*sa*sb*vev2
    coupl(nGC_8073) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb**  &
                      2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2  &
                       - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb**  &
                      2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**&
                      2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*vev2 &
                       + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**&
                      2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_8072) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8071) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8070) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8677) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb* &
                      l5*sa*sb)
    coupl(nGC_8561) = -sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_8562) = -sqrt(2d0)*sb/2d0
    coupl(nGC_339) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*sb&
                     *vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb*l4*sa&
                     *sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_333) = -ca*cima*sb**2d0*vev1
    coupl(nGC_331) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_337) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*&
                     sb**2d0)
    coupl(nGC_335) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*l5&
                     *sa*sb)
    coupl(nGC_197) = -sqrt(2d0)*cb*yup1/2d0 - sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_195) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
    coupl(nGC_194) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
    coupl(nGC_193) = cb*cima*yup2 - cima*sb*yup1
    coupl(nGC_192) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
    coupl(nGC_191) = sqrt(2d0)*cb*ytau1/2d0 + sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_190) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_198) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_427) = sqrt(2d0)*cb/2d0
    coupl(nGC_425) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
    coupl(nGC_423) = sqrt(2d0)*sb/2d0
    coupl(nGC_373) = ca*cb*cima*sb*vev1
    coupl(nGC_8587) = sqrt(2d0)*sb/2d0
    coupl(nGC_601) = 1d0/(2d0*cMZ)
    coupl(nGC_8254) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8583) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8581) = -cima*sb
    coupl(nGC_8679) = cb**2d0*cima*sa*vev1
    coupl(nGC_8678) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*&
                      sb**2d0)
    coupl(nGC_8251) = cima*cw*ee/sw
    coupl(nGC_8250) = cima*ee/sw
    coupl(nGC_1005) = -coupl(nGC_64)
    coupl(nGC_8088) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_8089) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**  &
                      2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1  &
                       + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb**&
                      2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
    coupl(nGC_8082) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb* &
                      l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                      sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb&
                      *l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                      *sa*sb**2d0*vev2)
    coupl(nGC_8083) = -ca*cb**2d0*cima*vev2
    coupl(nGC_8080) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3* &
                      sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*sb &
                      **2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb* &
                      l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5*&
                      sa*sb**2d0*vev2)
    coupl(nGC_8081) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_8086) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa -  &
                      cb**2d0*l5*sa + l1*sa*sb**2d0)
    coupl(nGC_8087) = cima*sa*sb**2d0*vev1
    coupl(nGC_8084) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*  &
                      vev1 - 2d0*cb*sa*sb*vev2)
    coupl(nGC_8085) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_8248) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb** &
                      2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3* &
                      sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8249) = -cima*cw*ee/sw**2d0
    coupl(nGC_8244) = -ca**2d0*cb**2d0*cima
  end subroutine fill_couplings_mdl3
end module fill_couplings3
