!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl4()
    coupl(nGC_8246) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_8247) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8240) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8241) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*&
                      l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                      6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb &
                      **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0  &
                       - l5*sb**4d0)
    coupl(nGC_8242) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8406) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8407) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**  &
                      2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5* &
                      sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_8404) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8405) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
    coupl(nGC_8402) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8403) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8400) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
    coupl(nGC_8401) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8408) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8484) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_17) = cb**2d0*cima*ee + cima*ee*sb**2d0
    coupl(nGC_16) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_15) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_14) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_13) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 - 3d0*&
                    ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0 + 4d0&
                    *ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**2d0 +   &
                    4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 - cima*l4*sa &
                    **4d0 - cima*l5*sa**4d0
    coupl(nGC_12) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l2*sa**4d0
    coupl(nGC_11) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l1*sa**4d0
    coupl(nGC_10) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca** &
                    3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima*l2*sa&
                    **3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**3d0 +  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_19) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_18) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_8662) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8660) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8666) = -2d0*cima*ee/3d0
    coupl(nGC_8667) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw* &
                      sw)
    coupl(nGC_8664) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8665) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_8668) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*&
                      sw)
    coupl(nGC_8669) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ*cw*&
                      sw)
    coupl(nGC_8064) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8065) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8066) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw* &
                      sw)
    coupl(nGC_8067) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8060) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0* &
                      l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +   &
                      4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3*sa**&
                      2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_8061) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*&
                      sw)
    coupl(nGC_8062) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*&
                      sw)
    coupl(nGC_8063) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(4d0*cMZ*cw*&
                      sw)
    coupl(nGC_8100) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_8068) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8069) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_8105) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_953) = -coupl(nGC_83)/2d0
    coupl(nGC_8279) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_8278) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_8271) = -ca*cb*cima*sa*sb
    coupl(nGC_8272) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa* &
                      sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_8275) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0*&
                      cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5*sb - &
                      4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*l1*sa** &
                      2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb + 2d0*cb&
                      *l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8277) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_8276) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_1495) = -coupl(nGC_194)
    coupl(nGC_8619) = -cb*cima*sa**2d0*sb
    coupl(nGC_8183) = -2d0*cb**3d0*cima*sb
    coupl(nGC_8182) = 2d0*cb*cima*sb**3d0
    coupl(nGC_8181) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8180) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**  &
                      2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3* &
                      sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8187) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8186) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0&
                      *l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 -  &
                      6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb &
                      **2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0  &
                       + l5*sb**4d0)
    coupl(nGC_8185) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8184) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8189) = -3d0*cb*cima*sb**3d0
    coupl(nGC_8188) = 3d0*cb**3d0*cima*sb
    coupl(nGC_8473) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8472) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**4d0*&
                      l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 +   &
                      6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 + 6d0*ca &
                      **2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - l4*sa**4d0  &
                       - l5*sa**4d0)
    coupl(nGC_8471) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8470) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8477) = cima*(cb*ydo1 + sb*ydo2)
    coupl(nGC_8476) = -cb*cima
    coupl(nGC_8475) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
    coupl(nGC_8474) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8478) = cima*sb
    coupl(nGC_8699) = -3d0*ca**3d0*cima*vev2
    coupl(nGC_8698) = 3d0*cima*sa**3d0*vev1
    coupl(nGC_8697) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_8696) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - cb&
                      **2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb**&
                      2d0)
    coupl(nGC_8695) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8694) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8693) = -2d0*cima*sb**4d0
    coupl(nGC_8692) = -2d0*cb**4d0*cima
    coupl(nGC_8691) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8690) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3* &
                      sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1 + &
                      cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa* &
                      vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_8051) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1* &
                      sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa**  &
                      2d0)
    coupl(nGC_8050) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_8053) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*ca&
                      **3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*sa* &
                      vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*vev1 - &
                      7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 + 7d0*ca*&
                      l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 + 7d0*ca*l5*sa**&
                      2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3*sa**3d0*vev1 +   &
                      2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*vev1)
    coupl(nGC_8052) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0* &
                      l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**  &
                      2d0)
    coupl(nGC_8055) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_8054) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8509) = sqrt(2d0)*sb/2d0
    coupl(nGC_8508) = sqrt(2d0)*cb/2d0
    coupl(nGC_8507) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_8506) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8505) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8504) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_8503) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_8502) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8501) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_8500) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_8128) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                       + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5&
                      *sb**2d0)
    coupl(nGC_8493) = -cima*(cb*ys2 - sb*yd12x2)
    coupl(nGC_8495) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_120) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb* &
                     cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb&
                     *vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*vev2 &
                      - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima&
                     *l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*sa*sb**  &
                     2d0*vev2
    coupl(nGC_403) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_8543) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
    coupl(nGC_8542) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_8541) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8118) = -3d0*ca**4d0*cima
    coupl(nGC_8011) = -3d0*ca*cima*sa**2d0*vev2
    coupl(nGC_8546) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
    coupl(nGC_8116) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8545) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_8544) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
    coupl(nGC_8119) = -3d0*cima*sa**4d0
    coupl(nGC_8018) = -3d0*ca**3d0*cima*vev1
    coupl(nGC_8424) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8397) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_8426) = sqrt(2d0)*sb/2d0
    coupl(nGC_8427) = sqrt(2d0)*cb/2d0
    coupl(nGC_8422) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_8423) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8266) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_8267) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8264) = sqrt(2d0)*cb/2d0
    coupl(nGC_8265) = sqrt(2d0)*sb/2d0
    coupl(nGC_8262) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw &
                      )/(cw*sw)
    coupl(nGC_8263) = sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_8260) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw*&
                      sw**2d0)
    coupl(nGC_8261) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw)
    coupl(nGC_8268) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_8269) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_127) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/(2d0&
                     *sw)
    coupl(nGC_8190) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8191) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8192) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*&
                      l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                      6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb &
                      **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0  &
                       - l5*sb**4d0)
    coupl(nGC_8193) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8194) = -2d0*cima*sb**4d0
    coupl(nGC_8195) = -2d0*cb**4d0*cima
    coupl(nGC_8196) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8197) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8198) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 + &
                      cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5*sb&
                      **2d0)
    coupl(nGC_8199) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8460) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_8461) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_8462) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8463) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8464) = sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_8465) = sqrt(2d0)*cb/2d0
    coupl(nGC_8466) = sqrt(2d0)*sb/2d0
    coupl(nGC_8467) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_8468) = 3d0*ca**3d0*cima*sa
    coupl(nGC_129) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_8113) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8688) = cb**2d0*cima*sa*vev1
    coupl(nGC_8689) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8684) = -ca*cima*sb**2d0*vev2
    coupl(nGC_8685) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*sb*&
                      vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8686) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + ca&
                      *l2*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_8687) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 + &
                      l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_8680) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8681) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*sb&
                      *vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*l4* &
                      sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_8682) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_8683) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*&
                      l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                      sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb&
                      *l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                      *sa*sb**2d0*vev2)
    coupl(nGC_8518) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8519) = -2d0*cima*(cb**4d0 + sb**4d0)
    coupl(nGC_8048) = -3d0*ca**2d0*cima*sa*vev2
    coupl(nGC_8049) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_8514) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_8515) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_8516) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8517) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8510) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_8043) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8512) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8513) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_7941) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_8117) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8640) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_8641) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_8642) = cima*ee/cw
    coupl(nGC_8643) = -cima*ee*sw/cw**2d0
    coupl(nGC_8644) = cima*ee*sw/cw
    coupl(nGC_8645) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8646) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8647) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_389) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_383) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_387) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_385) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_8022) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                      sa**2d0)
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_126) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/(2d0&
                     *sw)
    coupl(nGC_124) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*vev1 &
                     /(2d0*sw**2d0)
    coupl(nGC_122) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4*sb*&
                     vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*vev1/2d0&
                      - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 - l5*sb** &
                     3d0*vev2/2d0
    coupl(nGC_123) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*sb&
                     *vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*vev1/  &
                     2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 + l5*sb&
                     **3d0*vev2/2d0
    coupl(nGC_359) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5*sb*&
                     vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb*l4*sa*&
                     sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
    coupl(nGC_8213) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8212) = cMW*cima*ee*(cb**2d0 + sb**2d0)
  end subroutine fill_couplings_mdl4
end module fill_couplings4
