!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl5()
    coupl(nGC_8211) = cima*ee*(cb**2d0 + sb**2d0)/(2d0*cMW)
    coupl(nGC_8210) = sqrt(2d0)*cb/2d0
    coupl(nGC_8217) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8216) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**2d0)
    coupl(nGC_8215) = -cima*sa**2d0*sb**2d0
    coupl(nGC_8214) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0* &
                      cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0*&
                      ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb + &
                      cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_8219) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca* &
                      cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*&
                      l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 - ca*&
                      l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8218) = -ca**2d0*cb**2d0*cima
    coupl(nGC_8449) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_7939) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_7938) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_7937) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_7936) = -cima*ee*(ca*cb + sa*sb)/(4d0*cMW*sw)
    coupl(nGC_I) = cima
    coupl(nGC_7934) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_7933) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_7932) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_7931) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_7930) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8459) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_8458) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_8329) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8328) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8327) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_8454) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
    coupl(nGC_8325) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_8322) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                      cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0* &
                      ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0 &
                       + l5*sa**2d0*sb**2d0)
    coupl(nGC_8321) = ca**2d0*cb*cima*sb
    coupl(nGC_8320) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = cima*gs
    coupl(nGC_6) = -gs
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca** &
                   3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1*sa &
                   **3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0 -   &
                   3d0*ca*cima*l5*sa**3d0
    coupl(nGC_8) = cima*gs**2d0
    coupl(nGC_8529) = -ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
    coupl(nGC_8039) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8038) = sqrt(2d0)*sb/2d0
    coupl(nGC_8663) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8521) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8032) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_8523) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
    coupl(nGC_8030) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8037) = sqrt(2d0)*cb/2d0
    coupl(nGC_8524) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8035) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8034) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_8324) = ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_8323) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8289) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*cb&
                      **2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l1&
                      *sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 + ca*l5&
                      *sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8147) = sqrt(2d0)*cb/2d0
    coupl(nGC_8146) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_8145) = sqrt(2d0)*sb/2d0
    coupl(nGC_8144) = -gs
    coupl(nGC_8143) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 + &
                      cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - l5*sb&
                      **2d0)
    coupl(nGC_8142) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8140) = -cb**4d0*cima
    coupl(nGC_8149) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca* &
                      cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2&
                       + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**2d0*l3* &
                      sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb*vev2 -  &
                      l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
    coupl(nGC_8148) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8628) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                     **2d0)
    coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_8629) = cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev1 + sa*vev2)/(cw**2d0*sw**3d0)
    coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_8079) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_8033) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_MHA) = -cMHA**2d0*cima
    coupl(nGC_8661) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8132) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_8133) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*sa*&
                      sb**2d0)
    coupl(nGC_8141) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_135) = -sqrt(2d0)*cb*yc1/2d0 - sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
    coupl(nGC_137) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
    coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_647) = -coupl(nGC_3)
    coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
    coupl(nGC_133) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
    coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
    coupl(nGC_8036) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
    coupl(nGC_8200) = 3d0*cb*cima*sb**3d0
    coupl(nGC_8201) = -3d0*cb**3d0*cima*sb
    coupl(nGC_8202) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8203) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8204) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0&
                      *l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 -  &
                      6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb &
                      **2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0  &
                       + l5*sb**4d0)
    coupl(nGC_8205) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw* &
                      sw**2d0)
    coupl(nGC_8206) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw &
                      **2d0*sw)
    coupl(nGC_8207) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0*cw*&
                      sw)
    coupl(nGC_8208) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
    coupl(nGC_8209) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8319) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb** &
                      2d0 - cb*sa**2d0*sb)
    coupl(nGC_8528) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_7928) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_7929) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8520) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7924) = -cima*sb**4d0
    coupl(nGC_7925) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7926) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7927) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - cb&
                      **2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*sb**&
                      2d0)
    coupl(nGC_7920) = cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_8031) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_7922) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_7923) = -cb**4d0*cima
    coupl(nGC_8448) = -cima*sb
    coupl(nGC_8522) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8338) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                      **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_8339) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw &
                      **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_8442) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8335) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8440) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_8441) = sqrt(2d0)*sb/2d0
    coupl(nGC_8330) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
    coupl(nGC_8331) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0&
                      *cw**2d0*sw)
    coupl(nGC_8444) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8445) = sqrt(2d0)*cb/2d0
    coupl(nGC_8527) = cb*cima
    coupl(nGC_8526) = -cima*sb
    coupl(nGC_8536) = cima*(cb*yt2 - sb*yt1)
    coupl(nGC_8537) = cb*cima
    coupl(nGC_8534) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_8535) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_8532) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_8533) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_8530) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8531) = -cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_8538) = cima*sb
    coupl(nGC_8539) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8028) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8029) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8020) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8021) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8023) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2* &
                      sa**2d0)
    coupl(nGC_8024) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*l5&
                      *vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*vev1  &
                       - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 - 3d0*&
                      ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 + 2d0*ca*l4* &
                      sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa**3d0*vev1  &
                       + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
    coupl(nGC_8025) = -cima*(cb**4d0 + sb**4d0)
    coupl(nGC_8026) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8027) = -cb**2d0*cima*sb**2d0
    coupl(nGC_8154) = -cb*cima*sa*sb*vev1
    coupl(nGC_8155) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_8156) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca*&
                      cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2&
                       + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5* &
                      sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 +  &
                      l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
    coupl(nGC_8157) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_8150) = -ca*cb*cima*sb*vev2
    coupl(nGC_8151) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_8152) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                       - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_8153) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - ca&
                      *l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_8158) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8159) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_8455) = cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_7962) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_7963) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_8633) = sqrt(2d0)*sb/2d0
    coupl(nGC_7968) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0  &
                       - 2d0*cb*sa**2d0*sb)
    coupl(nGC_7969) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8457) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_8170) = 2d0*cima*gs**2d0
    coupl(nGC_8456) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
    coupl(nGC_8451) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
    coupl(nGC_1015) = -2d0*coupl(nGC_79)
    coupl(nGC_8378) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_8450) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_7955) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_8453) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
    coupl(nGC_7954) = -sqrt(2d0)*sb/2d0
    coupl(nGC_8046) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**  &
                      2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_8452) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_8623) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_8270) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb**&
                      2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*sa  &
                       + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb &
                      **2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 - 2d0&
                      *ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
    coupl(nGC_8273) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_8044) = cb*cima*sa**2d0*sb
    coupl(nGC_141) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
    coupl(nGC_8045) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0* &
                      l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +   &
                      2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa**&
                      2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa**  &
                      2d0*sb**2d0)
    coupl(nGC_8334) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0&
                      *cw*sw)
    coupl(nGC_101) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/(2d0&
                     *cw)
    coupl(nGC_103) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0*   &
                     cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0* &
                     cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca**  &
                     2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 + 2d0*ca&
                     *cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*vev2 + 2d0*&
                     ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*vev1 + cima*l4* &
                     sa**3d0*vev1 + cima*l5*sa**3d0*vev1
    coupl(nGC_104) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 + &
                     3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*vev1 &
                      - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa**3d0* &
                     vev1
    coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 - &
                     3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*vev2 &
                      - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa**3d0* &
                     vev2
    coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0*   &
                     cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0* &
                     cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca**  &
                     2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 + 2d0*ca&
                     *cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*vev1 + 2d0*&
                     ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*vev2 - cima*l4* &
                     sa**3d0*vev2 - cima*l5*sa**3d0*vev2
    coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/(2d0&
                     *cw)
    coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*cima* &
                     l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*vev2&
                      + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cima* &
                     l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*cima*l5&
                     *sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*sb**2d0&
                     *vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_8042) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_8511) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_8239) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8238) = -2d0*cb*cima*sb**3d0
    coupl(nGC_8388) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8704) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0*l5*&
                      vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*vev2 - &
                      2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 + 3d0*ca*&
                      l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 - 2d0*ca*l4*sa**&
                      2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa**3d0*vev2 + l4*&
                      sa**3d0*vev2 + l5*sa**3d0*vev2)
    coupl(nGC_8235) = 2d0*cima*ee**2d0
    coupl(nGC_8234) = -cima*cw*ee/sw
    coupl(nGC_8237) = 2d0*cb**3d0*cima*sb
    coupl(nGC_8236) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8231) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0*l5 &
                       + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - 6d0*&
                      cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb**2d0&
                      *l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0 + l5* &
                      sb**4d0)
    coupl(nGC_8230) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_8233) = -cima*ee/sw
    coupl(nGC_8232) = cima*cw*ee/sw**2d0
    coupl(nGC_8040) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0*&
                      l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb -   &
                      4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*l3*sa**&
                      2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
  end subroutine fill_couplings_mdl5
end module fill_couplings5
