!******************************************************************************!
!                                                                              !
!    fill_couplings6.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings6.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl6()
    coupl(nGC_7919) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_7918) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_1345) = -2d0*coupl(nGC_78)
    coupl(nGC_7911) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_7910) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_7913) = ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_7912) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_7915) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_7914) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_7917) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_7916) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8309) = 2d0*cima*ee**2d0/sw
    coupl(nGC_8308) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8106) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_8041) = -ca**2d0*cb*cima*sb
    coupl(nGC_8301) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8300) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_8303) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8302) = -cima*ee*(ca*sb - cb*sa)/(4d0*cMW*sw)
    coupl(nGC_8305) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_8304) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_8307) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_8306) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
    coupl(nGC_8491) = -cb*cima
    coupl(nGC_8490) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
    coupl(nGC_8492) = -cima*sb
    coupl(nGC_8494) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_8497) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8496) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_8499) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 -  &
                      2d0*l4 - 2d0*l5)
    coupl(nGC_8498) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_923) = -2d0*coupl(nGC_5)
    coupl(nGC_8015) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2* &
                      sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa**  &
                      2d0)
    coupl(nGC_8014) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*l4&
                       - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**2d0)
    coupl(nGC_8017) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_8016) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0*ca &
                      **3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*sa* &
                      vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*vev2 + &
                      7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 + 7d0*ca*&
                      l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 + 7d0*ca*l5*sa**&
                      2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3*sa**3d0*vev2 -   &
                      2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*vev2)
    coupl(nGC_8547) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_8010) = 3d0*ca**2d0*cima*sa*vev1
    coupl(nGC_8013) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8012) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**  &
                      2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_8549) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_8548) = ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
    coupl(nGC_8019) = -3d0*cima*sa**3d0*vev2
    coupl(nGC_8396) = sqrt(2d0)*sb/2d0
    coupl(nGC_617) = -coupl(nGC_68)
    coupl(nGC_8161) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8160) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_8163) = -cb**2d0*cima*sa*vev2
    coupl(nGC_8162) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb&
                      *l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5&
                      *sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 +  &
                      cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + &
                      l5*sa*sb**2d0*vev1)
    coupl(nGC_8165) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0  &
                       + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_8164) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*sb*&
                      vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8167) = -ca*cima*sb**2d0*vev1
    coupl(nGC_8166) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + ca&
                      *l1*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_8169) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca*l3*&
                      sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*vev2 + &
                      cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa* &
                      vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_8168) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_8394) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_8336) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
    coupl(nGC_8395) = -sqrt(2d0)*cb/2d0
    coupl(nGC_8573) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb** &
                      2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5* &
                      sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_8479) = cima*sb
    coupl(nGC_8392) = -cb*cima
    coupl(nGC_8469) = -3d0*ca*cima*sa**3d0
    coupl(nGC_8574) = -ca**2d0*cima*sb**2d0
    coupl(nGC_8393) = cima*sb
    coupl(nGC_8390) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4  &
                       + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - l5&
                      *sa**2d0)
    coupl(nGC_8391) = cima*(cb*ye1 + sb*ye2)
    coupl(nGC_8120) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_8601) = -cima*(cb*yup1 + sb*yup2)
    coupl(nGC_8525) = -cima*(cb*yt1 + sb*yt2)
    coupl(nGC_8057) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_8540) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
    coupl(nGC_8056) = -ca*cima*sa*sb**2d0
    coupl(nGC_759) = -coupl(nGC_81)
    coupl(nGC_8059) = ca*cb**2d0*cima*sa
    coupl(nGC_401) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2 &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_8058) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_119) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima&
                     *l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb** &
                     2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 - cb&
                     *cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima*l4*sa* &
                     sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_118) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*cima* &
                     l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*vev1&
                      - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_117) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 - ca*&
                     cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca*cima* &
                     l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*cima* &
                     l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima*l5*sa* &
                     sb*vev1 - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_116) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*cima* &
                     l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1&
                      - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_115) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*sb&
                     *vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*vev2/  &
                     2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 - l5*sb&
                     **3d0*vev1/2d0
    coupl(nGC_114) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4*sb*&
                     vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*vev2/2d0&
                      - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 + l5*sb** &
                     3d0*vev1/2d0
    coupl(nGC_113) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 - ca*&
                     cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca*cima* &
                     l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*cima* &
                     l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima*l5*sa* &
                     sb*vev2 + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_112) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb* &
                     cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb&
                     *vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*vev1 &
                      - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima&
                     *l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*sa*sb**  &
                     2d0*vev1
    coupl(nGC_111) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima&
                     *l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb** &
                     2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 - cb&
                     *cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*l4*sa* &
                     sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_110) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*cima* &
                     l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2&
                      + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_807) = -coupl(nGC_82)
    coupl(nGC_2059) = -coupl(nGC_91)
    coupl(nGC_683) = -coupl(nGC_94)
    coupl(nGC_1391) = -coupl(nGC_69)
    coupl(nGC_5397) = -coupl(nGC_8)
    coupl(nGC_5393) = -2d0*coupl(nGC_8)
    coupl(nGC_5399) = 2d0*coupl(nGC_8)
    coupl(nGC_977) = -coupl(nGC_4)
    coupl(nGC_3531) = -coupl(nGC_6)
    coupl(nGC_2297) = -coupl(nGC_96)
    coupl(nGC_655) = -coupl(nGC_17)
    coupl(nGC_843) = -coupl(nGC_132)
  end subroutine fill_couplings_mdl6
end module fill_couplings6
