!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_9366) = coupl(nGC_7908)*dsw_QED2 + coupl(nGC_7909)*dZee_QED2
    coupl(nGC_9369) = coupl(nGC_8550)*dsw_QED2 + coupl(nGC_8551)*dZee_QED2
    coupl(nGC_9475) = coupl(nGC_8564)*dytau1_QED3 + coupl(nGC_8565)*dytau2_QED3&
                       + coupl(nGC_8566)*da_QED2
    coupl(nGC_9355) = coupl(nGC_7903)*dZee_QED2
    coupl(nGC_9354) = coupl(nGC_7907)*dZee_QED2
    coupl(nGC_9647) = -cima*dMS_QCD2
    coupl(nGC_9646) = -cima*dMS_QED2
    coupl(nGC_9645) = -cima*dMD_QCD2
    coupl(nGC_9644) = -cima*dMD_QED2
    coupl(nGC_9643) = -cima*dMT_QCD2
    coupl(nGC_9642) = -cima*dMT_QED2
    coupl(nGC_9641) = -cima*dMC_QCD2
    coupl(nGC_9640) = -cima*dMC_QED2
    coupl(nGC_9649) = -cima*dMB_QCD2
    coupl(nGC_9648) = -cima*dMB_QED2
    coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14808) = coupl(nGC_96)*dZGMinus
    coupl(nGC_17940) = coupl(nGC_92)*dZZA_QED2/2d0
    coupl(nGC_17941) = -coupl(nGC_17940)
    coupl(nGC_14575) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_9500) = coupl(nGC_8362)*dyc1_QED3 + coupl(nGC_8363)*dyc2_QED3 +  &
                      coupl(nGC_8364)*da_QED2
    coupl(nGC_9503) = coupl(nGC_8588)*dyup2_QED1_QCD2 + coupl(nGC_8589)*       &
                      dyup1_QED1_QCD2
    coupl(nGC_9504) = coupl(nGC_8588)*dyup2_QED3 + coupl(nGC_8589)*dyup1_QED3  &
                       + coupl(nGC_8590)*da_QED2
    coupl(nGC_9509) = coupl(nGC_8591)*db_QED2 + coupl(nGC_8592)*dyup1_QED3 +   &
                      coupl(nGC_8593)*dyup2_QED3
    coupl(nGC_9439) = coupl(nGC_8488)*dys2_QED1_QCD2 + coupl(nGC_8489)*        &
                      dyd12x2_QED1_QCD2
    coupl(nGC_9340) = coupl(nGC_8341)*dl4_QED4 + coupl(nGC_8342)*dl5_QED4 +    &
                      coupl(nGC_8343)*db_QED2 + coupl(nGC_8344)*dvev1_QED1 +   &
                      coupl(nGC_8345)*dvev2_QED1
    coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
    coupl(nGC_17790) = coupl(nGC_175)*dZG0/2d0
    coupl(nGC_17796) = coupl(nGC_176)*dZG0/2d0
    coupl(nGC_9650) = cima*dMZ2_QED2
    coupl(nGC_9651) = cima*dMW2_QED2
    coupl(nGC_9652) = coupl(nGC_593)*dMW2_QED2
    coupl(nGC_9653) = coupl(nGC_597)*dMW2_QED2
    coupl(nGC_16639) = coupl(nGC_161)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_9510) = coupl(nGC_8592)*dyup1_QED1_QCD2 + coupl(nGC_8593)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_16130) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_16131) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_16132) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_16133) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_14812) = -coupl(nGC_14808)
    coupl(nGC_18018) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_14781) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_13401) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_14566) = coupl(nGC_177)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8758) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_13336) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9401) = coupl(nGC_8607)*db_QED2 + coupl(nGC_8608)*dyup1_QED3 +   &
                      coupl(nGC_8609)*dyup2_QED3
    coupl(nGC_9404) = coupl(nGC_8604)*dydo2_QED3 + coupl(nGC_8605)*db_QED2 +   &
                      coupl(nGC_8606)*dydo1_QED3
    coupl(nGC_9406) = coupl(nGC_7905)*dyc1_QED1_QCD2 + coupl(nGC_7906)*        &
                      dyc2_QED1_QCD2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
