!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_8762) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8760) = cMS*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
    coupl(nGC_18631) = coupl(nGC_85)*dZtR_QCD2
    coupl(nGC_13301) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*        &
                       dZHa_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/2d0 + coupl(    &
                       nGC_48)*dZHhHl_QED2/2d0 + coupl(nGC_49)*dZG0Ha_QED2/2d0 &
                        + coupl(nGC_9325)
    coupl(nGC_18634) = coupl(nGC_88)*dZtL_QCD2
    coupl(nGC_18636) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZtL_QED2 +  &
                       coupl(nGC_9394)
    coupl(nGC_9361) = coupl(nGC_8542)*dvev2_QED1 + coupl(nGC_8543)*dsw_QED2 +  &
                      coupl(nGC_8544)*db_QED2 + coupl(nGC_8545)*dvev1_QED1 +   &
                      coupl(nGC_8546)*dZee_QED2
    coupl(nGC_9362) = coupl(nGC_7910)*dsw_QED2 + coupl(nGC_7911)*dZee_QED2
    coupl(nGC_9364) = coupl(nGC_8645)*dsw_QED2 + coupl(nGC_8646)*db_QED2 +     &
                      coupl(nGC_8647)*dZee_QED2 + coupl(nGC_8648)*da_QED2
    coupl(nGC_9365) = coupl(nGC_8256)*dsw_QED2 + coupl(nGC_8257)*db_QED2 +     &
                      coupl(nGC_8258)*dZee_QED2 + coupl(nGC_8259)*da_QED2
    coupl(nGC_9367) = coupl(nGC_8613)*dsw_QED2 + coupl(nGC_8614)*db_QED2 +     &
                      coupl(nGC_8615)*dZee_QED2 + coupl(nGC_8616)*da_QED2
    coupl(nGC_9368) = coupl(nGC_8640)*dsw_QED2 + coupl(nGC_8641)*dZee_QED2
    coupl(nGC_12656) = coupl(nGC_16)*dZGMinus/2d0
    coupl(nGC_12650) = coupl(nGC_22)*dZHMinus_QED2 + coupl(nGC_22)*dZHh_QED2/  &
                       2d0 + coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_30)*      &
                       dZHlHh_QED2/2d0 + coupl(nGC_34)*dZHhHl_QED2/2d0 + coupl(&
                       nGC_36)*dZGMinusHMinus_QED2 + coupl(nGC_9321)
    coupl(nGC_12653) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
    coupl(nGC_17596) = coupl(nGC_183)*dZtL_QED2/2d0 + coupl(nGC_183)*dZtR_QED2/&
                       2d0 + coupl(nGC_9496)
    coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
    coupl(nGC_17371) = coupl(nGC_117)*dZG0
    coupl(nGC_17373) = coupl(nGC_109)*dZHlHh_QED2/2d0 + coupl(nGC_112)*        &
                       dZHaG0_QED2 + coupl(nGC_117)*dZHh_QED2/2d0 + coupl(     &
                       nGC_9334) + coupl(nGC_TS_GC_25_Hl) + coupl(             &
                       nGC_TS_GC_33_Hh)
    coupl(nGC_18819) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_81)*dZZA_QED2/2d0 &
                        + coupl(nGC_9389)
    coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
    coupl(nGC_16640) = coupl(nGC_161)*dZHl_QED2/2d0 + coupl(nGC_165)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9477)
    coupl(nGC_16641) = coupl(nGC_16639) + coupl(nGC_16640)
    coupl(nGC_9126) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(     &
                      nGC_87) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*  &
                      coupl(nGC_88) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80)**&
                      2d0*coupl(nGC_87) + 36d0*Nc*cima*coupl(nGC_2)*coupl(     &
                      nGC_80)**2d0*coupl(nGC_88) - 32d0*cima*coupl(nGC_3)*coupl&
                      (nGC_647)**2d0*coupl(nGC_82) - 32d0*cima*coupl(nGC_3)*   &
                      coupl(nGC_807)**2d0*coupl(nGC_82) + 36d0*cima*coupl(nGC_4&
                      )*coupl(nGC_80)**2d0*coupl(nGC_89) - 30d0*cima*coupl(    &
                      nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) + 12d0*cima*coupl&
                      (nGC_78)*coupl(nGC_83) + 3d0*coupl(nGC_3)*coupl(nGC_5)*  &
                      coupl(nGC_807) + 6d0*coupl(nGC_3)*coupl(nGC_647)*coupl(  &
                      nGC_953) + 18d0*coupl(nGC_3)*coupl(nGC_78)*coupl(nGC_82  &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl(nGC_807) + 3d0* &
                      coupl(nGC_5)*coupl(nGC_647)*coupl(nGC_82) + 18d0*coupl(  &
                      nGC_647)**2d0*coupl(nGC_83) + 18d0*coupl(nGC_647)*coupl( &
                      nGC_78)*coupl(nGC_807) + 18d0*coupl(nGC_807)**2d0*coupl( &
                      nGC_83) + 6d0*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_953 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16408) = coupl(nGC_33)*dZG0
    coupl(nGC_9375) = coupl(nGC_8205)*dsw_QED2 + coupl(nGC_8206)*dcw_QED2 +    &
                      coupl(nGC_8207)*dZee_QED2
    coupl(nGC_20548) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_20549) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_14838) = coupl(nGC_64)*dZHl_QED2/2d0 + coupl(nGC_64)*            &
                       dZWMinus_QED2/2d0 + coupl(nGC_69)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_9364)
    coupl(nGC_14836) = coupl(nGC_64)*dZGMinus/2d0
    coupl(nGC_20547) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_14833) = coupl(nGC_68)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_8820) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8793) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*coupl(&
                      nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)*coupl(   &
                      nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_8790) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)**2d0&
                       + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) + coupl(   &
                      nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl(nGC_151)*&
                      coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(nGC_150)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_8791) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*coupl(&
                      nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)*coupl(   &
                      nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_86)**2d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_15052) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*dZHMinus_QED2&
                        + coupl(nGC_9355) + coupl(nGC_96)*dZZA_QED2/2d0
    coupl(nGC_15053) = -coupl(nGC_15052)
    coupl(nGC_8824) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8794) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*coupl(&
                      nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl(nGC_4  &
                      ) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - 4d0*    &
                      coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4)**3d0  &
                       + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_15540) = coupl(nGC_7)*dZcR_QCD2
    coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13684) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
    coupl(nGC_14303) = coupl(nGC_62)*dZWMinus_QED2 + coupl(nGC_9368)
    coupl(nGC_14302) = coupl(nGC_62)*dZGMinus
    coupl(nGC_13469) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
