!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16368) = -coupl(nGC_13545)
    coupl(nGC_24254) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_24255) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_24256) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_24251) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_24252) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_24253) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_17565) = coupl(nGC_85)*dZuR_QCD2
    coupl(nGC_17568) = coupl(nGC_88)*dZuL_QCD2
    coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
    coupl(nGC_18868) = coupl(nGC_159)*dZG0/2d0
    coupl(nGC_14805) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*dZnu_muL_QED2&
                        + coupl(nGC_9398)
    coupl(nGC_20557) = coupl(nGC_9642) + coupl(nGC_TS_GC_177_Hl) + coupl(      &
                       nGC_TS_GC_180_Hh)
    coupl(nGC_20556) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_20555) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_20550) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_15041) = coupl(nGC_197)*dZuL_QED2/2d0 + coupl(nGC_197)*dZuR_QED2/&
                       2d0 + coupl(nGC_9487)
    coupl(nGC_15040) = coupl(nGC_194)*dZHaG0_QED2/2d0
    coupl(nGC_15043) = -coupl(nGC_15040) + coupl(nGC_15041)
    coupl(nGC_15045) = coupl(nGC_197)*dZuL_QCD2/2d0 + coupl(nGC_197)*dZuR_QCD2/&
                       2d0 + coupl(nGC_9488)
    coupl(nGC_15229) = coupl(nGC_194)*dZuL_QED2/2d0 + coupl(nGC_194)*dZuR_QED2/&
                       2d0 + coupl(nGC_198)*dZG0Ha_QED2/2d0
    coupl(nGC_15228) = coupl(nGC_194)*dZHa_QED2/2d0 + coupl(nGC_9509)
    coupl(nGC_15221) = coupl(nGC_194)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_15220) = coupl(nGC_194)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_15222) = coupl(nGC_197)*dZG0Ha_QED2/2d0
    coupl(nGC_13670) = coupl(nGC_39)*dZG0
    coupl(nGC_13671) = coupl(nGC_25)*dZHhHl_QED2 + coupl(nGC_28)*dZHaG0_QED2 + &
                       coupl(nGC_39)*dZHl_QED2 + coupl(nGC_9305)
    coupl(nGC_13678) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/ &
                       2d0
    coupl(nGC_13679) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/ &
                       2d0
    coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13781) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*dZHlHh_QED2/&
                       2d0 + coupl(nGC_66)*dZHMinusGMinus_QED2/2d0 + coupl(    &
                       nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*dZHh_QED2/2d0 +    &
                       coupl(nGC_70)*dZWMinus_QED2/2d0 + coupl(nGC_9357)
    coupl(nGC_9054) = -coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6) + &
                      coupl(nGC_7))/(64d0*pi**2d0*Nc)
    coupl(nGC_14576) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_13529) = coupl(nGC_108)*dZGMinus
    coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13252) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/2d0&
                        + coupl(nGC_74)*dZHMinus_QED2/2d0 + coupl(nGC_74)*     &
                       dZHa_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_9356)
    coupl(nGC_13522) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*        &
                       dZHa_QED2/2d0 + coupl(nGC_41)*dZHl_QED2/2d0 + coupl(    &
                       nGC_48)*dZG0Ha_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_9322)
    coupl(nGC_14205) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*dZuR_QCD2/&
                       2d0 + coupl(nGC_9416)
    coupl(nGC_13099) = 3d0*coupl(nGC_44)*dZHMinus_QED2/2d0 + coupl(nGC_51)*    &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_57)*                &
                       dZGMinusHMinus_QED2 + coupl(nGC_60)*dZGMinusHMinus_QED2/&
                       2d0 + coupl(nGC_9333)
    coupl(nGC_9502) = coupl(nGC_8539)*dyt1_QED3 + coupl(nGC_8540)*da_QED2 +    &
                      coupl(nGC_8541)*dyt2_QED3
    coupl(nGC_9505) = coupl(nGC_8637)*dyc1_QED1_QCD2 + coupl(nGC_8638)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9506) = coupl(nGC_8637)*dyc1_QED3 + coupl(nGC_8638)*dyc2_QED3 +  &
                      coupl(nGC_8639)*da_QED2
    coupl(nGC_9507) = coupl(nGC_8522)*dyt1_QED1_QCD2 + coupl(nGC_8524)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_9508) = coupl(nGC_8522)*dyt1_QED3 + coupl(nGC_8523)*da_QED2 +    &
                      coupl(nGC_8524)*dyt2_QED3
    coupl(nGC_13095) = coupl(nGC_44)*dZGMinus/2d0
    coupl(nGC_12789) = coupl(nGC_48)*dZGMinus/2d0
    coupl(nGC_9203) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl(   &
                      nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(nGC_151 &
                      )*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176) + coupl(&
                      nGC_182)*coupl(nGC_183) + coupl(nGC_197)*coupl(nGC_198   &
                      ))/(16d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
