!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl16()
    coupl(nGC_9418) = coupl(nGC_7986)*dyc1_QED1_QCD2 + coupl(nGC_7987)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9419) = coupl(nGC_8479)*dyd12x2_QED1_QCD2 + coupl(nGC_8480)*     &
                      dys2_QED1_QCD2
    coupl(nGC_12698) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*        &
                       dZHh_QED2/2d0 + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(  &
                       nGC_49)*dZHaG0_QED2/2d0 + coupl(nGC_9322)
    coupl(nGC_12692) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/2d0&
                        + coupl(nGC_73)*dZHMinus_QED2/2d0 + coupl(nGC_73)*     &
                       dZHa_QED2/2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_9366)
    coupl(nGC_12695) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9388) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 +   &
                      coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 + coupl(&
                      nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
    coupl(nGC_9386) = coupl(nGC_8338)*dsw_QED2 + coupl(nGC_8339)*dcw_QED2 +    &
                      coupl(nGC_8340)*dZee_QED2
    coupl(nGC_9387) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 +   &
                      coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 + coupl(&
                      nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
    coupl(nGC_9384) = coupl(nGC_8413)*dsw_QED2 + coupl(nGC_8414)*dcw_QED2 +    &
                      coupl(nGC_8415)*dZee_QED2
    coupl(nGC_9382) = coupl(nGC_8452)*dvev2_QED1 + coupl(nGC_8453)*dcw_QED2 +  &
                      coupl(nGC_8454)*db_QED2 + coupl(nGC_8455)*dvev1_QED1 +   &
                      coupl(nGC_8456)*dZee_QED2
    coupl(nGC_9383) = coupl(nGC_8278)*dcw_QED2 + coupl(nGC_8279)*dZee_QED2
    coupl(nGC_9380) = coupl(nGC_8627)*dcw_QED2 + coupl(nGC_8628)*db_QED2 +     &
                      coupl(nGC_8629)*dZee_QED2 + coupl(nGC_8630)*da_QED2
    coupl(nGC_9381) = coupl(nGC_8531)*dvev2_QED1 + coupl(nGC_8532)*dcw_QED2 +  &
                      coupl(nGC_8533)*db_QED2 + coupl(nGC_8534)*dvev1_QED1 +   &
                      coupl(nGC_8535)*dZee_QED2
    coupl(nGC_9250) = cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(32d0*&
                      pi**2d0)
    coupl(nGC_9251) = -cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9252) = (-30d0*Nc*cima*coupl(nGC_80)**4d0 + 3d0*cima*coupl(      &
                      nGC_1345)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 16d0*cima* &
                      coupl(nGC_3)**2d0*coupl(nGC_647)**2d0 - 8d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_82)**2d0 - 32d0*cima*coupl(nGC_3)* &
                      coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_82) - 4d0*cima*  &
                      coupl(nGC_647)**4d0 - 8d0*cima*coupl(nGC_647)**2d0*coupl(&
                      nGC_807)**2d0 - 30d0*cima*coupl(nGC_80)**4d0 - 4d0*cima* &
                      coupl(nGC_807)**4d0 - 16d0*cima*coupl(nGC_807)**2d0*coupl&
                      (nGC_82)**2d0 - 4d0*cima*coupl(nGC_82)**4d0 + 3d0*coupl( &
                      nGC_1345)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_1345)*coupl(&
                      nGC_3)*coupl(nGC_647) + 3d0*coupl(nGC_1345)*coupl(nGC_647&
                      )**2d0 + 3d0*coupl(nGC_1345)*coupl(nGC_807)**2d0 + 18d0* &
                      coupl(nGC_1345)*coupl(nGC_807)*coupl(nGC_82) + 3d0*coupl(&
                      nGC_1345)*coupl(nGC_82)**2d0 + 3d0*coupl(nGC_3)**2d0*    &
                      coupl(nGC_5) + 6d0*coupl(nGC_3)*coupl(nGC_82)*coupl(     &
                      nGC_953) + 3d0*coupl(nGC_5)*coupl(nGC_647)**2d0 + 6d0*   &
                      coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_953) + 3d0*coupl(&
                      nGC_79)*coupl(nGC_807)**2d0 + 3d0*coupl(nGC_79)*coupl(   &
                      nGC_82)**2d0)/(48d0*pi**2d0)
    coupl(nGC_9253) = (36d0*Nc*cima*coupl(nGC_80)**4d0 + 6d0*cima*coupl(       &
                      nGC_1015)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 - 24d0*cima*&
                      coupl(nGC_3)**2d0*coupl(nGC_647)**2d0 - 32d0*cima*coupl( &
                      nGC_3)**2d0*coupl(nGC_82)**2d0 - 48d0*cima*coupl(nGC_3)* &
                      coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_82) - 16d0*cima* &
                      coupl(nGC_647)**4d0 - 32d0*cima*coupl(nGC_647)**2d0*coupl&
                      (nGC_807)**2d0 + 12d0*cima*coupl(nGC_78)**2d0 + 36d0*cima&
                      *coupl(nGC_80)**4d0 - 16d0*cima*coupl(nGC_807)**4d0 -    &
                      24d0*cima*coupl(nGC_807)**2d0*coupl(nGC_82)**2d0 - 16d0* &
                      cima*coupl(nGC_82)**4d0 + 12d0*cima*coupl(nGC_83)**2d0 + &
                      6d0*cima*coupl(nGC_923)**2d0 + 18d0*coupl(nGC_1015)*coupl&
                      (nGC_807)**2d0 + 18d0*coupl(nGC_1015)*coupl(nGC_82)**2d0 &
                       + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 21d0*coupl(nGC_3 &
                      )**2d0*coupl(nGC_78) + 18d0*coupl(nGC_3)**2d0*coupl(     &
                      nGC_923) + 6d0*coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_78  &
                      ) + 36d0*coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_83) + 6d0* &
                      coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_953) + 3d0*coupl(   &
                      nGC_5)*coupl(nGC_647)**2d0 + 21d0*coupl(nGC_647)**2d0*   &
                      coupl(nGC_78) + 18d0*coupl(nGC_647)**2d0*coupl(nGC_923   &
                      ) + 36d0*coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_83) +   &
                      6d0*coupl(nGC_647)*coupl(nGC_807)*coupl(nGC_953) + 21d0* &
                      coupl(nGC_78)*coupl(nGC_807)**2d0 + 6d0*coupl(nGC_78)*   &
                      coupl(nGC_807)*coupl(nGC_82) + 21d0*coupl(nGC_78)*coupl( &
                      nGC_82)**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_807)**2d0 +   &
                      3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(96d0*pi**2d0)
    coupl(nGC_9254) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(     &
                      nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88)** &
                      2d0 - 8d0*cima*coupl(nGC_647)**2d0*coupl(nGC_82)**2d0 +  &
                      4d0*cima*coupl(nGC_79)**2d0 - 4d0*cima*coupl(nGC_80)**2d0&
                      *coupl(nGC_89)**2d0 + 12d0*cima*coupl(nGC_80)**2d0*coupl(&
                      nGC_89)*coupl(nGC_90) - 4d0*cima*coupl(nGC_80)**2d0*coupl&
                      (nGC_90)**2d0 - 8d0*cima*coupl(nGC_807)**2d0*coupl(nGC_82&
                      )**2d0 + 4d0*cima*coupl(nGC_953)**2d0 + 2d0*coupl(       &
                      nGC_1015)*coupl(nGC_807)*coupl(nGC_82) + coupl(nGC_1345)*&
                      coupl(nGC_807)**2d0 + coupl(nGC_647)**2d0*coupl(nGC_79   &
                      ) + 2d0*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_83) + 12d0&
                      *coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_953) + coupl(    &
                      nGC_78)*coupl(nGC_82)**2d0 + coupl(nGC_79)*coupl(nGC_807 &
                      )**2d0 + 12d0*coupl(nGC_79)*coupl(nGC_807)*coupl(nGC_82  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_9255) = (18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 -    &
                      30d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(     &
                      nGC_88) + 18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88)**&
                      2d0 + 6d0*cima*coupl(nGC_1015)*coupl(nGC_78) - 16d0*cima*&
                      coupl(nGC_647)**2d0*coupl(nGC_82)**2d0 + 18d0*cima*coupl(&
                      nGC_80)**2d0*coupl(nGC_89)**2d0 - 30d0*cima*coupl(nGC_80 &
                      )**2d0*coupl(nGC_89)*coupl(nGC_90) + 18d0*cima*coupl(    &
                      nGC_80)**2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_807&
                      )**2d0*coupl(nGC_82)**2d0 + 9d0*coupl(nGC_1015)*coupl(   &
                      nGC_647)**2d0 + 9d0*coupl(nGC_1015)*coupl(nGC_807)**2d0  &
                       + 6d0*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_953) + 9d0*&
                      coupl(nGC_78)*coupl(nGC_807)**2d0 + 9d0*coupl(nGC_78)*   &
                      coupl(nGC_82)**2d0 + 6d0*coupl(nGC_79)*coupl(nGC_807)*   &
                      coupl(nGC_82))/(48d0*pi**2d0)
    coupl(nGC_9256) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(     &
                      nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88)** &
                      2d0 - 8d0*cima*coupl(nGC_647)**2d0*coupl(nGC_82)**2d0 +  &
                      4d0*cima*coupl(nGC_79)**2d0 - 4d0*cima*coupl(nGC_80)**2d0&
                      *coupl(nGC_89)**2d0 + 12d0*cima*coupl(nGC_80)**2d0*coupl(&
                      nGC_89)*coupl(nGC_90) - 4d0*cima*coupl(nGC_80)**2d0*coupl&
                      (nGC_90)**2d0 - 8d0*cima*coupl(nGC_807)**2d0*coupl(nGC_82&
                      )**2d0 + 4d0*cima*coupl(nGC_953)**2d0 + 2d0*coupl(       &
                      nGC_1015)*coupl(nGC_807)*coupl(nGC_82) + coupl(nGC_1345)*&
                      coupl(nGC_82)**2d0 + coupl(nGC_647)**2d0*coupl(nGC_79) + &
                      2d0*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_83) + 12d0*   &
                      coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_953) + coupl(     &
                      nGC_78)*coupl(nGC_807)**2d0 + coupl(nGC_79)*coupl(nGC_807&
                      )**2d0 + 12d0*coupl(nGC_79)*coupl(nGC_807)*coupl(nGC_82  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9258) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 +   &
                      coupl(nGC_141)**2d0 + coupl(nGC_145)**2d0 + coupl(nGC_169&
                      )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_192)**2d0)/(16d0&
                      *pi**2d0*Nc)
    coupl(nGC_9259) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(     &
                      nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*  &
                      cima*coupl(nGC_88)**4d0 + 3d0*cima*coupl(nGC_1015)**2d0  &
                       - 10d0*cima*coupl(nGC_807)**4d0 - 10d0*cima*coupl(nGC_82&
                      )**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima*coupl(   &
                      nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*coupl(  &
                      nGC_1015)*coupl(nGC_807)**2d0 + 9d0*coupl(nGC_1015)*coupl&
                      (nGC_82)**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_807)**2d0 +  &
                      3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(24d0*pi**2d0)
    coupl(nGC_9093) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 -   &
                      24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_647)**2d0 - 16d0*  &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_807)**2d0 - 12d0*cima*  &
                      coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima*coupl(  &
                      nGC_5)**2d0 - 8d0*cima*coupl(nGC_647)**2d0*coupl(nGC_82  &
                      )**2d0 + 12d0*cima*coupl(nGC_953)**2d0 + 3d0*coupl(      &
                      nGC_1345)*coupl(nGC_647)**2d0 + 3d0*coupl(nGC_3)**2d0*   &
                      coupl(nGC_78) + 36d0*coupl(nGC_3)*coupl(nGC_5)*coupl(    &
                      nGC_647) + 6d0*coupl(nGC_3)*coupl(nGC_647)*coupl(nGC_923 &
                      ) + 36d0*coupl(nGC_3)*coupl(nGC_807)*coupl(nGC_953) + 3d0&
                      *coupl(nGC_5)*coupl(nGC_647)**2d0 + 3d0*coupl(nGC_5)*    &
                      coupl(nGC_807)**2d0 + 6d0*coupl(nGC_647)*coupl(nGC_82)*  &
                      coupl(nGC_83))/(96d0*pi**2d0)
    coupl(nGC_9090) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_84) + 6d0*Nc*   &
                      cima*coupl(nGC_1)**3d0*coupl(nGC_87) + 6d0*Nc*cima*coupl(&
                      nGC_2)**3d0*coupl(nGC_85) + 6d0*Nc*cima*coupl(nGC_2)**3d0&
                      *coupl(nGC_88) - 20d0*cima*coupl(nGC_3)**3d0*coupl(nGC_82&
                      ) + 6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_86) + 6d0*cima* &
                      coupl(nGC_4)**3d0*coupl(nGC_89) - 20d0*cima*coupl(nGC_647&
                      )**3d0*coupl(nGC_807) + 6d0*cima*coupl(nGC_83)*coupl(    &
                      nGC_923) + 9d0*coupl(nGC_3)**2d0*coupl(nGC_83) + 3d0*    &
                      coupl(nGC_3)**2d0*coupl(nGC_953) + 3d0*coupl(nGC_3)*coupl&
                      (nGC_5)*coupl(nGC_82) + 9d0*coupl(nGC_3)*coupl(nGC_82)*  &
                      coupl(nGC_923) + 3d0*coupl(nGC_5)*coupl(nGC_647)*coupl(  &
                      nGC_807) + 9d0*coupl(nGC_647)**2d0*coupl(nGC_83) + 3d0*  &
                      coupl(nGC_647)**2d0*coupl(nGC_953) + 9d0*coupl(nGC_647)* &
                      coupl(nGC_807)*coupl(nGC_923))/(48d0*pi**2d0)
    coupl(nGC_17082) = coupl(nGC_136)*dZG0/2d0
    coupl(nGC_9094) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 - 30d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)**2d0 +  &
                      18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 - 16d0*&
                      cima*coupl(nGC_3)**2d0*coupl(nGC_647)**2d0 - 8d0*cima*   &
                      coupl(nGC_3)**2d0*coupl(nGC_807)**2d0 + 18d0*cima*coupl( &
                      nGC_4)**2d0*coupl(nGC_80)**2d0 - 8d0*cima*coupl(nGC_647  &
                      )**2d0*coupl(nGC_82)**2d0 + 6d0*cima*coupl(nGC_78)*coupl(&
                      nGC_923) + 9d0*coupl(nGC_3)**2d0*coupl(nGC_78) + 6d0*    &
                      coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_647) + 3d0*coupl(    &
                      nGC_3)*coupl(nGC_807)*coupl(nGC_953) + 9d0*coupl(nGC_647 &
                      )**2d0*coupl(nGC_78) + 9d0*coupl(nGC_647)**2d0*coupl(    &
                      nGC_923) + 3d0*coupl(nGC_647)*coupl(nGC_82)*coupl(nGC_953&
                      ) + 9d0*coupl(nGC_807)**2d0*coupl(nGC_923))/(48d0*pi**2d0&
                      )
    coupl(nGC_9095) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 -   &
                      24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_647)**2d0 - 8d0*   &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_807)**2d0 - 12d0*cima*  &
                      coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima*coupl(  &
                      nGC_5)**2d0 - 16d0*cima*coupl(nGC_647)**2d0*coupl(nGC_82 &
                      )**2d0 + 12d0*cima*coupl(nGC_953)**2d0 + 3d0*coupl(      &
                      nGC_1345)*coupl(nGC_3)**2d0 + 36d0*coupl(nGC_3)*coupl(   &
                      nGC_5)*coupl(nGC_647) + 6d0*coupl(nGC_3)*coupl(nGC_647)* &
                      coupl(nGC_923) + 6d0*coupl(nGC_3)*coupl(nGC_807)*coupl(  &
                      nGC_83) + 3d0*coupl(nGC_5)*coupl(nGC_647)**2d0 + 3d0*    &
                      coupl(nGC_5)*coupl(nGC_807)**2d0 + 3d0*coupl(nGC_647)**  &
                      2d0*coupl(nGC_78) + 36d0*coupl(nGC_647)*coupl(nGC_82)*   &
                      coupl(nGC_953))/(96d0*pi**2d0)
    coupl(nGC_9099) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*&
                      coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) + 10d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(   &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_146)*coupl(&
                      nGC_150)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_146)*coupl(nGC_150)*coupl(nGC_88) - 16d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84  &
                      ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(      &
                      nGC_174)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_178)*coupl(nGC_181)*coupl(nGC_85) - 16d0*Nc*cima*    &
                      coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87  &
                      ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(      &
                      nGC_196)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_87) - 16d0*Nc*cima*    &
                      coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_85  &
                      ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                      nGC_2)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_138)*coupl(&
                      nGC_142)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(&
                      nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_88) + 10d0&
                      *Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl&
                      (nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*   &
                      coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*&
                      coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*&
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88  &
                      ) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                      nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(&
                      nGC_181)*coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0&
                      *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl&
                      (nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(&
                      nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(   &
                      nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl(   &
                      nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) + 10d0&
                      *cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(  &
                      nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl( &
                      nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185)*coupl(   &
                      nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*coupl(    &
                      nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82) + 9d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                      nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(nGC_68) - &
                      3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68) - 3d0*coupl(&
                      nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*coupl(nGC_16)*  &
                      coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(nGC_1611)*coupl(  &
                      nGC_70)*coupl(nGC_807) - 3d0*coupl(nGC_617)*coupl(nGC_66 &
                      )*coupl(nGC_807) - 3d0*coupl(nGC_63)*coupl(nGC_68)*coupl(&
                      nGC_83) - 3d0*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_83   &
                      ) - 3d0*coupl(nGC_64)*coupl(nGC_70)*coupl(nGC_82) - 3d0* &
                      coupl(nGC_65)*coupl(nGC_68)*coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_17089) = coupl(nGC_132)*dZHaG0_QED2/2d0
    coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
    coupl(nGC_15974) = coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_15978) = coupl(nGC_64)*dZHMinus_QED2/2d0 + coupl(nGC_64)*        &
                       dZHh_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_68)*dZHlHh_QED2/2d0 + coupl(nGC_9364)
    coupl(nGC_13809) = coupl(nGC_22)*dZHhHl_QED2 + coupl(nGC_24)*              &
                       dZGMinusHMinus_QED2 + coupl(nGC_30)*dZHMinus_QED2 +     &
                       coupl(nGC_30)*dZHl_QED2 + coupl(nGC_9300)
    coupl(nGC_16596) = coupl(nGC_TS_GC_108_Hl) + coupl(nGC_TS_GC_116_Hh)
    coupl(nGC_16593) = coupl(nGC_I)*dZGMinus
    coupl(nGC_21734) = coupl(nGC_9648) + coupl(nGC_TS_GC_137_Hh) + coupl(      &
                       nGC_TS_GC_141_Hl)
    coupl(nGC_21735) = coupl(nGC_21730) + coupl(nGC_21734)
    coupl(nGC_21736) = coupl(nGC_21731) + coupl(nGC_9649)
    coupl(nGC_16930) = coupl(nGC_18)*dZGMinus
    coupl(nGC_16932) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_9354) + coupl(nGC_97 &
                       )*dZZA_QED2
    coupl(nGC_16068) = coupl(nGC_7)*dZuL_QED2
    coupl(nGC_16069) = coupl(nGC_7)*dZuL_QCD2
    coupl(nGC_15166) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2 +  &
                       coupl(nGC_9354) + coupl(nGC_97)*dZZA_QED2
    coupl(nGC_15438) = coupl(nGC_139)*dZG0Ha_QED2/2d0 + coupl(nGC_144)*        &
                       dZHa_QED2/2d0 + coupl(nGC_144)*dZbL_QED2/2d0 + coupl(   &
                       nGC_144)*dZbR_QED2/2d0 + coupl(nGC_9459)
    coupl(nGC_15748) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_13752) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9391)
    coupl(nGC_15746) = coupl(nGC_128)*dZHlHh_QED2/2d0 + coupl(nGC_129)*        &
                       dZHh_QED2/2d0 + coupl(nGC_129)*dZZ_QED2 + coupl(nGC_9387&
                       ) + coupl(nGC_TS_GC_99_Hh)
    coupl(nGC_13327) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*             &
                       dZnu_tauL_QED2 + coupl(nGC_9398)
    coupl(nGC_15346) = coupl(nGC_46)*dZHaG0_QED2 + coupl(nGC_47)*dZG0Ha_QED2 + &
                       coupl(nGC_59)*dZHa_QED2 + coupl(nGC_9302)
  end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
