!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl17()
    coupl(nGC_14769) = coupl(nGC_63)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_15437) = coupl(nGC_140)*dZG0Ha_QED2/2d0 + coupl(nGC_143)*        &
                       dZHa_QED2/2d0 + coupl(nGC_143)*dZbL_QED2/2d0 + coupl(   &
                       nGC_143)*dZbR_QED2/2d0 + coupl(nGC_9457)
    coupl(nGC_17070) = coupl(nGC_I)*dZG0Ha_QED2/2d0
    coupl(nGC_13649) = coupl(nGC_15)*dZZA_QED2/2d0 + coupl(nGC_66)*dZA_QED2/2d0&
                        + coupl(nGC_66)*dZHMinus_QED2/2d0 + coupl(nGC_66)*     &
                       dZHh_QED2/2d0 + coupl(nGC_66)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_70)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_9359)
    coupl(nGC_15581) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_15584) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_15586) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
    coupl(nGC_15587) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
    coupl(nGC_15588) = coupl(nGC_13752) + coupl(nGC_15586)
    coupl(nGC_15589) = coupl(nGC_13752) + coupl(nGC_15587)
    coupl(nGC_TS_GC_13_Hh) = -coupl(nGC_13)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_13_Hl) = -coupl(nGC_13)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9341) = coupl(nGC_8148)*dl3_QED4 + coupl(nGC_8149)*db_QED2 +     &
                      coupl(nGC_8150)*dl2_QED4 + coupl(nGC_8151)*dl5_QED4 +    &
                      coupl(nGC_8152)*dvev2_QED1 + coupl(nGC_8153)*dvev1_QED1  &
                       + coupl(nGC_8154)*dl1_QED4 + coupl(nGC_8155)*dl4_QED4 + &
                      coupl(nGC_8156)*da_QED2
    coupl(nGC_14235) = coupl(nGC_101)*dZZA_QED2/2d0
    coupl(nGC_9346) = coupl(nGC_8009)*dl3_QED4 + coupl(nGC_8010)*dl1_QED4 +    &
                      coupl(nGC_8011)*dl2_QED4 + coupl(nGC_8012)*dl5_QED4 +    &
                      coupl(nGC_8013)*dl4_QED4 + coupl(nGC_8014)*dvev1_QED1 +  &
                      coupl(nGC_8015)*dvev2_QED1 + coupl(nGC_8016)*da_QED2
    coupl(nGC_9431) = coupl(nGC_8505)*dyd12x2_QED1_QCD2 + coupl(nGC_8506)*     &
                      dys2_QED1_QCD2
    coupl(nGC_9432) = coupl(nGC_8505)*dyd12x2_QED3 + coupl(nGC_8506)*dys2_QED3 &
                       + coupl(nGC_8507)*db_QED2
    coupl(nGC_9433) = coupl(nGC_8263)*db_QED2 + coupl(nGC_8264)*dyd13x3_QED3 + &
                      coupl(nGC_8265)*dyb2_QED3
    coupl(nGC_8730) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC**&
                      2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima*coupl&
                      (nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(nGC_169)**2d0&
                       - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**2d0 - 8d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_192)**2d0 - 8d0*cME**2d0*cima*coupl(&
                      nGC_153)**2d0 - cMHA**2d0*cima*coupl(nGC_683)*coupl(     &
                      nGC_94) - cMHC**2d0*cima*coupl(nGC_1391)*coupl(nGC_68) - &
                      cMHC**2d0*cima*coupl(nGC_617)*coupl(nGC_69) - 8d0*cMM**  &
                      2d0*cima*coupl(nGC_161)**2d0 - 8d0*cMTA**2d0*cima*coupl( &
                      nGC_184)**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_63) - cMW**2d0*cima*coupl(nGC_1391)*coupl(nGC_68) -  &
                      2d0*cMW**2d0*cima*coupl(nGC_1611)*coupl(nGC_64) - cMW**  &
                      2d0*cima*coupl(nGC_617)*coupl(nGC_69) - 4d0*cMW**2d0*    &
                      coupl(nGC_61) - 2d0*cMZ**2d0*cima*coupl(nGC_2059)*coupl( &
                      nGC_91) - cMZ**2d0*cima*coupl(nGC_683)*coupl(nGC_94) -   &
                      2d0*cMZ**2d0*coupl(nGC_99) + 4d0*cima*coupl(nGC_124)**2d0&
                       + 2d0*cima*coupl(nGC_128)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8731) = cima*(-2d0*Nc*coupl(nGC_80)**2d0 - coupl(nGC_3)**2d0 -   &
                      coupl(nGC_647)**2d0 - 2d0*coupl(nGC_80)**2d0 - coupl(    &
                      nGC_807)**2d0 - coupl(nGC_82)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8732) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_647)**2d0 + coupl(   &
                      nGC_807)**2d0 + coupl(nGC_82)**2d0)/(48d0*pi**2d0)
    coupl(nGC_8733) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_80)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_80)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_80)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_80&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_80)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_80)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_647)**2d0 + 3d0&
                      *cMW**2d0*cima*coupl(nGC_807)**2d0 + 3d0*cMW**2d0*cima*  &
                      coupl(nGC_82)**2d0 - 4d0*cMW**2d0*coupl(nGC_78) + 3d0*cMZ&
                      **2d0*cima*coupl(nGC_807)**2d0 + 3d0*cMZ**2d0*cima*coupl(&
                      nGC_82)**2d0 - 2d0*cMZ**2d0*coupl(nGC_1015))/(32d0*pi**  &
                      2d0)
    coupl(nGC_8734) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85)**&
                      2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(nGC_88)** &
                      2d0 - coupl(nGC_807)**2d0 - coupl(nGC_82)**2d0 - 2d0*    &
                      coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 - 2d0*coupl( &
                      nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8735) = cima*(coupl(nGC_807)**2d0 + coupl(nGC_82)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_8736) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_87)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_88)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_86)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_89)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_86)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_86)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_89&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_807)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_82)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_1015))/(16d0*pi**2d0)
    coupl(nGC_8737) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(nGC_87&
                      ))/(8d0*pi**2d0)
    coupl(nGC_8738) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8739) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_27171) = coupl(nGC_9650) + coupl(nGC_MZ)*dZZ_QED2 + coupl(       &
                       nGC_TS_GC_128_Hl) + coupl(nGC_TS_GC_129_Hh)
    coupl(nGC_12910) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_14343) = coupl(nGC_69)*dZGMinus/2d0
    coupl(nGC_12776) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_12774) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9389)
    coupl(nGC_12775) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/2d0
    coupl(nGC_9463) = coupl(nGC_8579)*db_QED2 + coupl(nGC_8580)*dytau1_QED3 +  &
                      coupl(nGC_8581)*dytau2_QED3
    coupl(nGC_9462) = coupl(nGC_8446)*db_QED2 + coupl(nGC_8447)*dym1_QED3 +    &
                      coupl(nGC_8448)*dym2_QED3
    coupl(nGC_9461) = coupl(nGC_8416)*db_QED2 + coupl(nGC_8417)*dye2_QED3 +    &
                      coupl(nGC_8418)*dye1_QED3
    coupl(nGC_9460) = coupl(nGC_8420)*dyd13x3_QED1_QCD2 + coupl(nGC_8421)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9467) = coupl(nGC_8425)*db_QED2 + coupl(nGC_8426)*dye2_QED3 +    &
                      coupl(nGC_8427)*dye1_QED3
    coupl(nGC_9465) = coupl(nGC_8428)*db_QED2 + coupl(nGC_8429)*dym1_QED3 +    &
                      coupl(nGC_8430)*dym2_QED3
    coupl(nGC_9464) = coupl(nGC_8391)*db_QED2 + coupl(nGC_8392)*dye2_QED3 +    &
                      coupl(nGC_8393)*dye1_QED3
    coupl(nGC_9469) = coupl(nGC_8464)*db_QED2 + coupl(nGC_8465)*dym1_QED3 +    &
                      coupl(nGC_8466)*dym2_QED3
    coupl(nGC_9468) = coupl(nGC_8422)*db_QED2 + coupl(nGC_8423)*dye2_QED3 +    &
                      coupl(nGC_8424)*dye1_QED3
    coupl(nGC_13358) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_8765) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8938) = coupl(nGC_147)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8932) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_137)** &
                      2d0*coupl(nGC_143) - coupl(nGC_137)*coupl(nGC_1671)*coupl&
                      (nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_92) -  &
                      coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_891) - coupl(    &
                      nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141)**2d0*coupl(&
                      nGC_143) - coupl(nGC_141)*coupl(nGC_683)*coupl(nGC_87) - &
                      coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_94) - coupl(      &
                      nGC_142)*coupl(nGC_178)*coupl(nGC_891) - coupl(nGC_142)* &
                      coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_143)*coupl(     &
                      nGC_144)**2d0 + 8d0*coupl(nGC_144)*coupl(nGC_84)*coupl(  &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_8933) = coupl(nGC_144)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8930) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_143) - coupl(nGC_137)** &
                      2d0*coupl(nGC_144) - coupl(nGC_137)*coupl(nGC_1671)*coupl&
                      (nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(nGC_92) -  &
                      coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181) - coupl(    &
                      nGC_140)**2d0*coupl(nGC_144) - coupl(nGC_141)**2d0*coupl(&
                      nGC_144) - coupl(nGC_141)*coupl(nGC_683)*coupl(nGC_84) - &
                      coupl(nGC_141)*coupl(nGC_87)*coupl(nGC_94) - coupl(      &
                      nGC_142)*coupl(nGC_178)*coupl(nGC_179) - coupl(nGC_142)* &
                      coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_143)**2d0*coupl( &
                      nGC_144) + 8d0*coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_8931) = coupl(nGC_143)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
