!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl23()
    coupl(nGC_15930) = coupl(nGC_115)*dZHMinus_QED2/2d0 + coupl(nGC_122)*      &
                       dZHaG0_QED2/2d0 + coupl(nGC_9353) + coupl(              &
                       nGC_TS_GC_40_Hh) + coupl(nGC_TS_GC_49_Hl)
    coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
    coupl(nGC_29702) = -coupl(nGC_8766)
    coupl(nGC_17861) = coupl(nGC_115)*dZG0Ha_QED2/2d0 + coupl(nGC_122)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_122)*dZHa_QED2/2d0 + coupl&
                       (nGC_9342) + coupl(nGC_TS_GC_40_Hl) + coupl(            &
                       nGC_TS_GC_48_Hh)
    coupl(nGC_17866) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 +   &
                       coupl(nGC_13)*dZHl_QED2 + coupl(nGC_9)*dZHlHh_QED2 +    &
                       coupl(nGC_9307)
    coupl(nGC_9128) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(     &
                      nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*   &
                      coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80)** &
                      2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80&
                      )**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_3)*coupl(      &
                      nGC_647)**2d0*coupl(nGC_82) - 8d0*cima*coupl(nGC_3)*coupl&
                      (nGC_807)**2d0*coupl(nGC_82) - 4d0*cima*coupl(nGC_4)*    &
                      coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*cima*coupl(nGC_4)*&
                      coupl(nGC_80)**2d0*coupl(nGC_90) + 4d0*cima*coupl(nGC_5)*&
                      coupl(nGC_953) + 4d0*cima*coupl(nGC_79)*coupl(nGC_953) + &
                      coupl(nGC_1015)*coupl(nGC_3)*coupl(nGC_807) + coupl(     &
                      nGC_1345)*coupl(nGC_3)*coupl(nGC_82) + 6d0*coupl(nGC_3)* &
                      coupl(nGC_5)*coupl(nGC_807) + coupl(nGC_3)*coupl(nGC_647 &
                      )*coupl(nGC_83) + 6d0*coupl(nGC_3)*coupl(nGC_647)*coupl( &
                      nGC_953) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl(nGC_807  &
                      ) + coupl(nGC_647)**2d0*coupl(nGC_953) + coupl(nGC_647)* &
                      coupl(nGC_78)*coupl(nGC_807) + coupl(nGC_647)*coupl(     &
                      nGC_82)*coupl(nGC_923) + coupl(nGC_807)**2d0*coupl(      &
                      nGC_953) + coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_83) +  &
                      6d0*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_953))/(32d0*pi&
                      **2d0)
    coupl(nGC_18943) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2 &
                       )/2d0
    coupl(nGC_9127) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(     &
                      nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*   &
                      coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80)** &
                      2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80&
                      )**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_3)*coupl(      &
                      nGC_647)**2d0*coupl(nGC_82) - 8d0*cima*coupl(nGC_3)*coupl&
                      (nGC_807)**2d0*coupl(nGC_82) - 4d0*cima*coupl(nGC_4)*    &
                      coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*cima*coupl(nGC_4)*&
                      coupl(nGC_80)**2d0*coupl(nGC_90) + 4d0*cima*coupl(nGC_5)*&
                      coupl(nGC_953) + 4d0*cima*coupl(nGC_79)*coupl(nGC_953) + &
                      coupl(nGC_1015)*coupl(nGC_3)*coupl(nGC_807) + coupl(     &
                      nGC_1345)*coupl(nGC_647)*coupl(nGC_807) + coupl(nGC_3)*  &
                      coupl(nGC_647)*coupl(nGC_83) + 6d0*coupl(nGC_3)*coupl(   &
                      nGC_647)*coupl(nGC_953) + coupl(nGC_3)*coupl(nGC_78)*    &
                      coupl(nGC_82) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl(    &
                      nGC_807) + coupl(nGC_3)*coupl(nGC_807)*coupl(nGC_923) +  &
                      6d0*coupl(nGC_5)*coupl(nGC_647)*coupl(nGC_82) + coupl(   &
                      nGC_647)**2d0*coupl(nGC_953) + coupl(nGC_807)**2d0*coupl(&
                      nGC_953) + coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_83) +  &
                      6d0*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_953))/(32d0*pi&
                      **2d0)
    coupl(nGC_18944) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(         &
                       nGC_TS_GC_111_Hh) + coupl(nGC_TS_GC_119_Hl)
    coupl(nGC_13350) = coupl(nGC_27)*dZHMinus_QED2/2d0 + coupl(nGC_27)*        &
                       dZHh_QED2 + coupl(nGC_32)*dZGMinusHMinus_QED2/2d0 +     &
                       coupl(nGC_34)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_36)*  &
                       dZHlHh_QED2 + coupl(nGC_9323)
    coupl(nGC_9011) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*  &
                      coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(    &
                      nGC_134)*coupl(nGC_174) - coupl(nGC_1391)*coupl(nGC_170)*&
                      coupl(nGC_80) - coupl(nGC_169)**3d0 - coupl(nGC_169)*    &
                      coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(nGC_173)**2d0 &
                       - coupl(nGC_169)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_169&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_171)*coupl(    &
                      nGC_683)*coupl(nGC_84) - coupl(nGC_171)*coupl(nGC_87)*   &
                      coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_63)*coupl(nGC_80&
                      ) - coupl(nGC_175)*coupl(nGC_2059)*coupl(nGC_84) - coupl(&
                      nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(32d0*pi**2d0)
    coupl(nGC_8833) = (coupl(nGC_1611)*coupl(nGC_184)*coupl(nGC_80) + coupl(   &
                      nGC_17)*coupl(nGC_189)*coupl(nGC_4) + coupl(nGC_188)*    &
                      coupl(nGC_617)*coupl(nGC_80) + coupl(nGC_189)*coupl(     &
                      nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_189)*coupl(nGC_86&
                      )*coupl(nGC_90) + coupl(nGC_189)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_191)*coupl(nGC_72)*coupl(nGC_80))/(  &
                      32d0*pi**2d0)
    coupl(nGC_14729) = coupl(nGC_132)*dZcL_QED2/2d0 + coupl(nGC_132)*dZcR_QED2/&
                       2d0 + coupl(nGC_136)*dZG0Ha_QED2/2d0
    coupl(nGC_14727) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_14726) = coupl(nGC_132)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_14892) = coupl(nGC_101)*dZHa_QED2 + coupl(nGC_101)*dZZ_QED2 +    &
                       coupl(nGC_9384)
    coupl(nGC_8781) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_80)**2d0 - 11d0*coupl(nGC_3)*coupl(     &
                      nGC_647)**2d0 - 11d0*coupl(nGC_3)*coupl(nGC_807)**2d0 +  &
                      12d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(96d0*pi**2d0)
    coupl(nGC_8780) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_84) - &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_87) -   &
                      4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_84) -   &
                      4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_87) -   &
                      4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_84) -   &
                      4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_87) -   &
                      4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_85) -   &
                      4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_88) -   &
                      4d0*cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_86) - 4d0* &
                      cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_89) - 4d0*cMM* &
                      coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_86) - 4d0*cMM*coupl&
                      (nGC_165)*coupl(nGC_4)*coupl(nGC_89) - 4d0*cMTA*coupl(   &
                      nGC_188)*coupl(nGC_4)*coupl(nGC_86) - 4d0*cMTA*coupl(    &
                      nGC_188)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(    &
                      nGC_125)*coupl(nGC_83) - coupl(nGC_1005)*coupl(nGC_126)* &
                      coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_63 &
                      ) - coupl(nGC_102)*coupl(nGC_64)*coupl(nGC_647) - coupl( &
                      nGC_107)*coupl(nGC_1391)*coupl(nGC_647) - coupl(nGC_107)*&
                      coupl(nGC_3)*coupl(nGC_617) + 6d0*coupl(nGC_125)*coupl(  &
                      nGC_3)*coupl(nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_647)*&
                      coupl(nGC_807) - coupl(nGC_126)*coupl(nGC_1611)*coupl(   &
                      nGC_807) - coupl(nGC_127)*coupl(nGC_68)*coupl(nGC_807) - &
                      coupl(nGC_127)*coupl(nGC_69)*coupl(nGC_82))/(32d0*pi**2d0&
                      )
    coupl(nGC_14092) = coupl(nGC_47)*dZHa_QED2/2d0 + coupl(nGC_55)*dZG0Ha_QED2/&
                       2d0 + 3d0*coupl(nGC_59)*dZHaG0_QED2/2d0 + coupl(nGC_9328&
                       )
    coupl(nGC_13605) = coupl(nGC_13595) + coupl(nGC_13603)
    coupl(nGC_13604) = coupl(nGC_13595) + coupl(nGC_13602)
    coupl(nGC_14075) = coupl(nGC_82)*dZWMinus_QED2/2d0 + coupl(nGC_9286)
    coupl(nGC_12952) = coupl(nGC_11)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_13)*      &
                       dZHhHl_QED2/2d0 + coupl(nGC_9)*dZHh_QED2/2d0 + 3d0*coupl&
                       (nGC_9)*dZHl_QED2/2d0 + coupl(nGC_9320)
    coupl(nGC_12956) = coupl(nGC_134)*dZGMinus/2d0
    coupl(nGC_13774) = coupl(nGC_187)*dZHa_QED2/2d0 + coupl(nGC_187)*          &
                       dZtauMinusL_QED2/2d0 + coupl(nGC_187)*dZtauMinusR_QED2/ &
                       2d0 + coupl(nGC_191)*dZG0Ha_QED2/2d0 + coupl(nGC_9483)
    coupl(nGC_8868) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)*   &
                      coupl(nGC_2059)*coupl(nGC_88) - coupl(nGC_130)*coupl(    &
                      nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)*   &
                      coupl(nGC_176) - coupl(nGC_132)**2d0*coupl(nGC_135) -    &
                      coupl(nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*coupl&
                      (nGC_683)*coupl(nGC_88) - coupl(nGC_133)*coupl(nGC_85)*  &
                      coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)*coupl(     &
                      nGC_176) - coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_871) - &
                      coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*coupl(nGC_136)* &
                      coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)*coupl(nGC_85)*    &
                      coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_8869) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13395) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_muL_QED2/2d0 + &
                       coupl(nGC_9393)
    coupl(nGC_8864) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_137)** &
                      2d0*coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_683)*coupl(&
                      nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_94) -   &
                      coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182) - coupl(    &
                      nGC_138)*coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_139)** &
                      2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*coupl(nGC_84)*   &
                      coupl(nGC_87) - coupl(nGC_140)*coupl(nGC_141)**2d0 -     &
                      coupl(nGC_140)*coupl(nGC_144)**2d0 - coupl(nGC_141)*coupl&
                      (nGC_2059)*coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)* &
                      coupl(nGC_91) - coupl(nGC_142)*coupl(nGC_178)*coupl(     &
                      nGC_182))/(32d0*pi**2d0)
    coupl(nGC_8865) = coupl(nGC_139)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8867) = coupl(nGC_135)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8860) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_85) - 4d0&
                      *Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_88) - 4d0*Nc*&
                      coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_88) + coupl(     &
                      nGC_1391)*coupl(nGC_2297)*coupl(nGC_871) - 4d0*coupl(    &
                      nGC_157)*coupl(nGC_159)*coupl(nGC_86) + 4d0*coupl(nGC_157&
                      )*coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl(nGC_157)*coupl&
                      (nGC_160)*coupl(nGC_86) - 4d0*coupl(nGC_157)*coupl(      &
                      nGC_160)*coupl(nGC_89) - 4d0*coupl(nGC_165)*coupl(nGC_167&
                      )*coupl(nGC_86) + 4d0*coupl(nGC_165)*coupl(nGC_167)*coupl&
                      (nGC_89) + 4d0*coupl(nGC_165)*coupl(nGC_168)*coupl(nGC_86&
                      ) - 4d0*coupl(nGC_165)*coupl(nGC_168)*coupl(nGC_89) +    &
                      coupl(nGC_1671)**2d0*coupl(nGC_683) + coupl(nGC_1671)*   &
                      coupl(nGC_2059)*coupl(nGC_683) - 4d0*coupl(nGC_188)*coupl&
                      (nGC_190)*coupl(nGC_86) + 4d0*coupl(nGC_188)*coupl(      &
                      nGC_190)*coupl(nGC_89) + 4d0*coupl(nGC_188)*coupl(nGC_191&
                      )*coupl(nGC_86) - 4d0*coupl(nGC_188)*coupl(nGC_191)*coupl&
                      (nGC_89) + coupl(nGC_2059)**2d0*coupl(nGC_683) + coupl(  &
                      nGC_617)*coupl(nGC_871)*coupl(nGC_96) - 6d0*coupl(nGC_68 &
                      )*coupl(nGC_72)*coupl(nGC_807) + coupl(nGC_683)**3d0 -   &
                      6d0*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_82))/(96d0*pi**&
                      2d0)
    coupl(nGC_8861) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_85) - 4d0&
                      *Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_88) - 4d0*Nc*&
                      coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_84) + 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_87) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_85) - 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_88) + coupl(     &
                      nGC_1005)*coupl(nGC_2297)*coupl(nGC_871) - 4d0*coupl(    &
                      nGC_153)*coupl(nGC_159)*coupl(nGC_86) + 4d0*coupl(nGC_153&
                      )*coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl(nGC_153)*coupl&
                      (nGC_160)*coupl(nGC_86) - 4d0*coupl(nGC_153)*coupl(      &
                      nGC_160)*coupl(nGC_89) - 4d0*coupl(nGC_161)*coupl(nGC_167&
                      )*coupl(nGC_86) + 4d0*coupl(nGC_161)*coupl(nGC_167)*coupl&
                      (nGC_89) + 4d0*coupl(nGC_161)*coupl(nGC_168)*coupl(nGC_86&
                      ) - 4d0*coupl(nGC_161)*coupl(nGC_168)*coupl(nGC_89) +    &
                      coupl(nGC_1611)*coupl(nGC_871)*coupl(nGC_96) + coupl(    &
                      nGC_1671)*coupl(nGC_683)**2d0 - 4d0*coupl(nGC_184)*coupl(&
                      nGC_190)*coupl(nGC_86) + 4d0*coupl(nGC_184)*coupl(nGC_190&
                      )*coupl(nGC_89) + 4d0*coupl(nGC_184)*coupl(nGC_191)*coupl&
                      (nGC_86) - 4d0*coupl(nGC_184)*coupl(nGC_191)*coupl(nGC_89&
                      ) + coupl(nGC_2059)**3d0 + 2d0*coupl(nGC_2059)*coupl(    &
                      nGC_683)**2d0 - 6d0*coupl(nGC_63)*coupl(nGC_72)*coupl(   &
                      nGC_807) - 6d0*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_82  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_8862) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137)** &
                      2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_683)*coupl(&
                      nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(nGC_94) -   &
                      coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183) - coupl(    &
                      nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_139)*   &
                      coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(nGC_141)**2d0 &
                       - coupl(nGC_139)*coupl(nGC_143)**2d0 + 8d0*coupl(nGC_140&
                      )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_141)*coupl(    &
                      nGC_2059)*coupl(nGC_84) - coupl(nGC_141)*coupl(nGC_87)*  &
                      coupl(nGC_91) - coupl(nGC_142)*coupl(nGC_178)*coupl(     &
                      nGC_183))/(32d0*pi**2d0)
    coupl(nGC_8863) = coupl(nGC_140)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_13153) = coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl(nGC_95)*dZHh_QED2/&
                       2d0 + coupl(nGC_9523)
    coupl(nGC_13159) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*            &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_66)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*          &
                       dZHMinus_QED2/2d0 + coupl(nGC_70)*dZHl_QED2/2d0 + coupl(&
                       nGC_70)*dZWMinus_QED2/2d0 + coupl(nGC_9357)
    coupl(nGC_12826) = coupl(nGC_181)*dZbL_QCD2/2d0 + coupl(nGC_181)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9410)
    coupl(nGC_12824) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*&
                       dZbL_QED2/2d0 + coupl(nGC_181)*dZtR_QED2/2d0 + coupl(   &
                       nGC_9409)
    coupl(nGC_13554) = -coupl(nGC_12702)
    coupl(nGC_13569) = coupl(nGC_13564) + coupl(nGC_9499)
    coupl(nGC_8998) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_133)**  &
                      2d0 - coupl(nGC_130)*coupl(nGC_135)**2d0 + 8d0*coupl(    &
                      nGC_130)*coupl(nGC_2)**2d0 - coupl(nGC_130)*coupl(nGC_843&
                      )**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl(nGC_88   &
                      ) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170) - coupl(&
                      nGC_131)*coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_134)*   &
                      coupl(nGC_1611)*coupl(nGC_80) - coupl(nGC_134)*coupl(    &
                      nGC_169)*coupl(nGC_174) - coupl(nGC_135)*coupl(nGC_2059)*&
                      coupl(nGC_88) - coupl(nGC_135)*coupl(nGC_85)*coupl(nGC_91&
                      ) - coupl(nGC_683)*coupl(nGC_843)*coupl(nGC_88) - coupl( &
                      nGC_843)*coupl(nGC_85)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8999) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_132)**  &
                      2d0 - coupl(nGC_130)*coupl(nGC_133)**2d0 - coupl(nGC_130 &
                      )*coupl(nGC_136)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_2)**&
                      2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl(nGC_88) -   &
                      coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170) - coupl(    &
                      nGC_131)*coupl(nGC_617)*coupl(nGC_80) - coupl(nGC_132)*  &
                      coupl(nGC_683)*coupl(nGC_85) - coupl(nGC_132)*coupl(     &
                      nGC_88)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_169)*   &
                      coupl(nGC_174) - coupl(nGC_134)*coupl(nGC_64)*coupl(     &
                      nGC_80) - coupl(nGC_136)*coupl(nGC_2059)*coupl(nGC_85) - &
                      coupl(nGC_136)*coupl(nGC_88)*coupl(nGC_91))/(32d0*pi**2d0&
                      )
    coupl(nGC_8990) = (-coupl(nGC_1005)*coupl(nGC_193)*coupl(nGC_80) - coupl(  &
                      nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(nGC_149)* &
                      coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1671)*coupl(   &
                      nGC_194)*coupl(nGC_85) - coupl(nGC_192)**2d0*coupl(      &
                      nGC_195) - coupl(nGC_194)**2d0*coupl(nGC_195) - coupl(   &
                      nGC_194)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_195)**  &
                      3d0 - coupl(nGC_195)*coupl(nGC_198)**2d0 + 8d0*coupl(    &
                      nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl(   &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_69)*    &
                      coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_683)*coupl(     &
                      nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8991) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8992) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(  &
                      nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc* &
                      cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)**3d0 &
                       + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(nGC_153&
                      )**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*coupl(   &
                      nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(nGC_61) +  &
                      2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl(nGC_1005)* &
                      coupl(nGC_108)*coupl(nGC_63) + coupl(nGC_1005)*coupl(    &
                      nGC_119)*coupl(nGC_1391) - coupl(nGC_1005)*coupl(nGC_124 &
                      )*coupl(nGC_63) + coupl(nGC_108)*coupl(nGC_1611)*coupl(  &
                      nGC_64) + coupl(nGC_109)*coupl(nGC_2059)*coupl(nGC_91) + &
                      coupl(nGC_110)*coupl(nGC_1391)*coupl(nGC_68) + coupl(    &
                      nGC_110)*coupl(nGC_617)*coupl(nGC_69) + coupl(nGC_113)*  &
                      coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_119)*coupl(     &
                      nGC_1611)*coupl(nGC_617) + coupl(nGC_119)*coupl(nGC_63)* &
                      coupl(nGC_68) + coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_69&
                      ) + coupl(nGC_120)*coupl(nGC_2059)*coupl(nGC_94) + coupl(&
                      nGC_120)*coupl(nGC_683)*coupl(nGC_91) - coupl(nGC_124)*  &
                      coupl(nGC_1391)*coupl(nGC_68) - coupl(nGC_124)*coupl(    &
                      nGC_1611)*coupl(nGC_64) - coupl(nGC_124)*coupl(nGC_617)* &
                      coupl(nGC_69) - coupl(nGC_128)*coupl(nGC_2059)*coupl(    &
                      nGC_91) - coupl(nGC_128)*coupl(nGC_683)*coupl(nGC_94))/( &
                      32d0*pi**2d0)
    coupl(nGC_8993) = (-4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_80)**2d0 - 4d0*Nc* &
                      cMC*coupl(nGC_130)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*coupl(&
                      nGC_145)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(nGC_169)* &
                      coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_177)*coupl(    &
                      nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_80)** &
                      2d0 - 4d0*cME*coupl(nGC_153)*coupl(nGC_80)**2d0 - 4d0*cMM&
                      *coupl(nGC_161)*coupl(nGC_80)**2d0 - 4d0*cMTA*coupl(     &
                      nGC_184)*coupl(nGC_80)**2d0 + 2d0*cima*coupl(nGC_1015)*  &
                      coupl(nGC_128) + 4d0*cima*coupl(nGC_124)*coupl(nGC_78) - &
                      coupl(nGC_102)*coupl(nGC_617)*coupl(nGC_807) - coupl(    &
                      nGC_102)*coupl(nGC_69)*coupl(nGC_807) - coupl(nGC_107)*  &
                      coupl(nGC_1611)*coupl(nGC_807) - coupl(nGC_107)*coupl(   &
                      nGC_64)*coupl(nGC_807) + 6d0*coupl(nGC_124)*coupl(nGC_647&
                      )**2d0 + 6d0*coupl(nGC_124)*coupl(nGC_807)**2d0 - coupl( &
                      nGC_126)*coupl(nGC_617)*coupl(nGC_647) - coupl(nGC_126)* &
                      coupl(nGC_647)*coupl(nGC_69) - coupl(nGC_127)*coupl(     &
                      nGC_1611)*coupl(nGC_647) - coupl(nGC_127)*coupl(nGC_64)* &
                      coupl(nGC_647) + 6d0*coupl(nGC_128)*coupl(nGC_82)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_8994) = (-8d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_84)**2d0 + 8d0*Nc* &
                      cMB*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87) - 8d0*Nc* &
                      cMB*coupl(nGC_141)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC*coupl(&
                      nGC_130)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(nGC_130)* &
                      coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_130)* &
                      coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_145)*coupl(    &
                      nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_84)*  &
                      coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_87)**&
                      2d0 - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84)**2d0 + 8d0*&
                      Nc*cMS*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                      Nc*cMS*coupl(nGC_169)*coupl(nGC_87)**2d0 - 8d0*Nc*cMT*   &
                      coupl(nGC_177)*coupl(nGC_85)**2d0 + 8d0*Nc*cMT*coupl(    &
                      nGC_177)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMT*coupl( &
                      nGC_177)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*coupl(nGC_192)* &
                      coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(nGC_192)*coupl(    &
                      nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl(nGC_192)*coupl( &
                      nGC_88)**2d0 - 8d0*cME*coupl(nGC_153)*coupl(nGC_86)**2d0 &
                       + 8d0*cME*coupl(nGC_153)*coupl(nGC_86)*coupl(nGC_89) -  &
                      8d0*cME*coupl(nGC_153)*coupl(nGC_89)**2d0 - 8d0*cMM*coupl&
                      (nGC_161)*coupl(nGC_86)**2d0 + 8d0*cMM*coupl(nGC_161)*   &
                      coupl(nGC_86)*coupl(nGC_89) - 8d0*cMM*coupl(nGC_161)*    &
                      coupl(nGC_89)**2d0 - 8d0*cMTA*coupl(nGC_184)*coupl(nGC_86&
                      )**2d0 + 8d0*cMTA*coupl(nGC_184)*coupl(nGC_86)*coupl(    &
                      nGC_89) - 8d0*cMTA*coupl(nGC_184)*coupl(nGC_89)**2d0 +   &
                      4d0*cima*coupl(nGC_1015)*coupl(nGC_124) - coupl(nGC_1005 &
                      )*coupl(nGC_107)*coupl(nGC_807) - coupl(nGC_102)*coupl(  &
                      nGC_1391)*coupl(nGC_807) - coupl(nGC_102)*coupl(nGC_617)*&
                      coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_68)*coupl(      &
                      nGC_807) - coupl(nGC_102)*coupl(nGC_69)*coupl(nGC_82) -  &
                      coupl(nGC_107)*coupl(nGC_1611)*coupl(nGC_82) - coupl(    &
                      nGC_107)*coupl(nGC_63)*coupl(nGC_807) - coupl(nGC_107)*  &
                      coupl(nGC_64)*coupl(nGC_82) + 6d0*coupl(nGC_124)*coupl(  &
                      nGC_807)**2d0 + 6d0*coupl(nGC_124)*coupl(nGC_82)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_8995) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_1005)* &
                      coupl(nGC_138)*coupl(nGC_80) - coupl(nGC_137)**2d0*coupl(&
                      nGC_141) - coupl(nGC_138)*coupl(nGC_177)*coupl(nGC_181   &
                      ) - coupl(nGC_140)**2d0*coupl(nGC_141) - coupl(nGC_140)* &
                      coupl(nGC_2059)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                      nGC_84)*coupl(nGC_91) - coupl(nGC_141)**3d0 - coupl(     &
                      nGC_141)*coupl(nGC_143)**2d0 + 8d0*coupl(nGC_141)*coupl( &
                      nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(nGC_177)*   &
                      coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_68)*coupl(     &
                      nGC_80) - coupl(nGC_143)*coupl(nGC_683)*coupl(nGC_87) -  &
                      coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_94))/(32d0*pi**2d0&
                      )
    coupl(nGC_8996) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137)** &
                      2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)*coupl(&
                      nGC_181) - coupl(nGC_138)*coupl(nGC_63)*coupl(nGC_80) -  &
                      coupl(nGC_139)**2d0*coupl(nGC_141) - coupl(nGC_139)*coupl&
                      (nGC_2059)*coupl(nGC_84) - coupl(nGC_139)*coupl(nGC_87)* &
                      coupl(nGC_91) - coupl(nGC_1391)*coupl(nGC_142)*coupl(    &
                      nGC_80) - coupl(nGC_141)**3d0 - coupl(nGC_141)*coupl(    &
                      nGC_144)**2d0 + 8d0*coupl(nGC_141)*coupl(nGC_84)*coupl(  &
                      nGC_87) - coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_178) - &
                      coupl(nGC_144)*coupl(nGC_683)*coupl(nGC_84) - coupl(     &
                      nGC_144)*coupl(nGC_87)*coupl(nGC_94))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
