!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl25()
    coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14667) = coupl(nGC_7)*dZtR_QED2
    coupl(nGC_25347) = -coupl(nGC_25346)
    coupl(nGC_14668) = coupl(nGC_7)*dZtR_QCD2
    coupl(nGC_14669) = coupl(nGC_7)*dZtL_QED2
    coupl(nGC_13018) = coupl(nGC_150)*dZdR_QCD2/2d0 + coupl(nGC_150)*dZuL_QCD2/&
                       2d0 + coupl(nGC_9403)
    coupl(nGC_13019) = coupl(nGC_196)*dZdL_QCD2/2d0 + coupl(nGC_196)*dZuR_QCD2/&
                       2d0 + coupl(nGC_9402)
    coupl(nGC_13496) = coupl(nGC_43)*dZHMinusGMinus_QED2 + coupl(nGC_43)*      &
                       dZHaG0_QED2 + coupl(nGC_9291)
    coupl(nGC_12708) = coupl(nGC_TS_GC_63_Hl) + coupl(nGC_TS_GC_68_Hh)
    coupl(nGC_13708) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*             &
                       dZtauMinusL_QED2 + coupl(nGC_9399)
    coupl(nGC_13706) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_13707) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*             &
                       dZtauMinusR_QED2 + coupl(nGC_9400)
    coupl(nGC_8859) = (8d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_143  &
                      ) + 4d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(      &
                      nGC_144) + 4d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_141)*coupl&
                      (nGC_143) + 8d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_141)*    &
                      coupl(nGC_144) + 8d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_132 &
                      )*coupl(nGC_135) + 4d0*Nc*cMC*coupl(nGC_130)*coupl(      &
                      nGC_132)*coupl(nGC_136) + 4d0*Nc*cMC*coupl(nGC_130)*coupl&
                      (nGC_135)*coupl(nGC_843) + 8d0*Nc*cMC*coupl(nGC_130)*    &
                      coupl(nGC_136)*coupl(nGC_843) + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_147)*coupl(nGC_151) + 8d0*Nc*cMD*coupl(      &
                      nGC_145)*coupl(nGC_147)*coupl(nGC_152) + 8d0*Nc*cMD*coupl&
                      (nGC_145)*coupl(nGC_148)*coupl(nGC_151) + 4d0*Nc*cMD*    &
                      coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_152) + 4d0*Nc*cMS&
                      *coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_175) + 8d0*Nc*  &
                      cMS*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_176) + 8d0*Nc&
                      *cMS*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_175) + 4d0* &
                      Nc*cMS*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_176) + 8d0&
                      *Nc*cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_182) +   &
                      4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_183   &
                      ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_182)*coupl(      &
                      nGC_891) + 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_183)*coupl&
                      (nGC_891) + 4d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_192)*   &
                      coupl(nGC_197) + 8d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_192&
                      )*coupl(nGC_198) + 8d0*Nc*cMU*coupl(nGC_192)*coupl(      &
                      nGC_194)*coupl(nGC_197) + 4d0*Nc*cMU*coupl(nGC_192)*coupl&
                      (nGC_194)*coupl(nGC_198) + 4d0*cME*coupl(nGC_153)*coupl( &
                      nGC_155)*coupl(nGC_159) + 8d0*cME*coupl(nGC_153)*coupl(  &
                      nGC_155)*coupl(nGC_160) + 8d0*cME*coupl(nGC_153)*coupl(  &
                      nGC_156)*coupl(nGC_159) + 4d0*cME*coupl(nGC_153)*coupl(  &
                      nGC_156)*coupl(nGC_160) + 4d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_163)*coupl(nGC_167) + 8d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_163)*coupl(nGC_168) + 8d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_164)*coupl(nGC_167) + 4d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_164)*coupl(nGC_168) + 4d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_186)*coupl(nGC_190) + 8d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_186)*coupl(nGC_191) + 8d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_187)*coupl(nGC_190) + 4d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_187)*coupl(nGC_191) + coupl(nGC_1005)*coupl(nGC_115)*&
                      coupl(nGC_871) + coupl(nGC_103)*coupl(nGC_683)*coupl(    &
                      nGC_92) + coupl(nGC_104)*coupl(nGC_2059)*coupl(nGC_94) + &
                      coupl(nGC_106)*coupl(nGC_2059)*coupl(nGC_92) + coupl(    &
                      nGC_106)*coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_109)*  &
                      coupl(nGC_2059)*coupl(nGC_683) + coupl(nGC_112)*coupl(   &
                      nGC_1671)*coupl(nGC_683) + coupl(nGC_112)*coupl(nGC_91)* &
                      coupl(nGC_94) + coupl(nGC_113)*coupl(nGC_91)*coupl(nGC_94&
                      ) + coupl(nGC_114)*coupl(nGC_1611)*coupl(nGC_871) + coupl&
                      (nGC_117)*coupl(nGC_1671)*coupl(nGC_2059) + 2d0*coupl(   &
                      nGC_119)*coupl(nGC_72)*coupl(nGC_871) + coupl(nGC_120)*  &
                      coupl(nGC_683)**2d0 + coupl(nGC_120)*coupl(nGC_91)**2d0  &
                       + coupl(nGC_121)*coupl(nGC_94)**2d0 + coupl(nGC_122)*   &
                      coupl(nGC_1391)*coupl(nGC_72) + coupl(nGC_123)*coupl(    &
                      nGC_617)*coupl(nGC_72) - coupl(nGC_128)*coupl(nGC_1671)* &
                      coupl(nGC_94) - coupl(nGC_128)*coupl(nGC_683)*coupl(     &
                      nGC_91))/(32d0*pi**2d0)
    coupl(nGC_8858) = (8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_143  &
                      ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(      &
                      nGC_144) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)*coupl&
                      (nGC_143) + 8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)*    &
                      coupl(nGC_144) + 8d0*Nc*cMC*coupl(nGC_132)*coupl(nGC_133 &
                      )*coupl(nGC_135) + 4d0*Nc*cMC*coupl(nGC_132)*coupl(      &
                      nGC_133)*coupl(nGC_136) + 4d0*Nc*cMC*coupl(nGC_133)*coupl&
                      (nGC_135)*coupl(nGC_843) + 8d0*Nc*cMC*coupl(nGC_133)*    &
                      coupl(nGC_136)*coupl(nGC_843) + 4d0*Nc*cMD*coupl(nGC_147 &
                      )*coupl(nGC_149)*coupl(nGC_151) + 8d0*Nc*cMD*coupl(      &
                      nGC_147)*coupl(nGC_149)*coupl(nGC_152) + 8d0*Nc*cMD*coupl&
                      (nGC_148)*coupl(nGC_149)*coupl(nGC_151) + 4d0*Nc*cMD*    &
                      coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_152) + 4d0*Nc*cMS&
                      *coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_175) + 8d0*Nc*  &
                      cMS*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_176) + 8d0*Nc&
                      *cMS*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_175) + 4d0* &
                      Nc*cMS*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_176) + 8d0&
                      *Nc*cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_182) +   &
                      4d0*Nc*cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_183   &
                      ) + 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_182)*coupl(      &
                      nGC_891) + 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_183)*coupl&
                      (nGC_891) + 4d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_195)*   &
                      coupl(nGC_197) + 8d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_195&
                      )*coupl(nGC_198) + 8d0*Nc*cMU*coupl(nGC_194)*coupl(      &
                      nGC_195)*coupl(nGC_197) + 4d0*Nc*cMU*coupl(nGC_194)*coupl&
                      (nGC_195)*coupl(nGC_198) + 4d0*cME*coupl(nGC_155)*coupl( &
                      nGC_157)*coupl(nGC_159) + 8d0*cME*coupl(nGC_155)*coupl(  &
                      nGC_157)*coupl(nGC_160) + 8d0*cME*coupl(nGC_156)*coupl(  &
                      nGC_157)*coupl(nGC_159) + 4d0*cME*coupl(nGC_156)*coupl(  &
                      nGC_157)*coupl(nGC_160) + 4d0*cMM*coupl(nGC_163)*coupl(  &
                      nGC_165)*coupl(nGC_167) + 8d0*cMM*coupl(nGC_163)*coupl(  &
                      nGC_165)*coupl(nGC_168) + 8d0*cMM*coupl(nGC_164)*coupl(  &
                      nGC_165)*coupl(nGC_167) + 4d0*cMM*coupl(nGC_164)*coupl(  &
                      nGC_165)*coupl(nGC_168) + 4d0*cMTA*coupl(nGC_186)*coupl( &
                      nGC_188)*coupl(nGC_190) + 8d0*cMTA*coupl(nGC_186)*coupl( &
                      nGC_188)*coupl(nGC_191) + 8d0*cMTA*coupl(nGC_187)*coupl( &
                      nGC_188)*coupl(nGC_190) + 4d0*cMTA*coupl(nGC_187)*coupl( &
                      nGC_188)*coupl(nGC_191) + coupl(nGC_1005)*coupl(nGC_123)*&
                      coupl(nGC_72) + coupl(nGC_103)*coupl(nGC_2059)*coupl(    &
                      nGC_92) + coupl(nGC_103)*coupl(nGC_683)*coupl(nGC_94) +  &
                      coupl(nGC_105)*coupl(nGC_683)*coupl(nGC_92) + coupl(     &
                      nGC_106)*coupl(nGC_2059)*coupl(nGC_94) + coupl(nGC_109)* &
                      coupl(nGC_683)**2d0 + 2d0*coupl(nGC_111)*coupl(nGC_72)*  &
                      coupl(nGC_871) + coupl(nGC_112)*coupl(nGC_1671)**2d0 +   &
                      coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_113)*coupl(&
                      nGC_91)*coupl(nGC_92) + coupl(nGC_114)*coupl(nGC_617)*   &
                      coupl(nGC_871) + coupl(nGC_115)*coupl(nGC_1391)*coupl(   &
                      nGC_871) + coupl(nGC_117)*coupl(nGC_1671)*coupl(nGC_683  &
                      ) + coupl(nGC_120)*coupl(nGC_1671)*coupl(nGC_683) + coupl&
                      (nGC_120)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_121)*  &
                      coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_122)*coupl(      &
                      nGC_1611)*coupl(nGC_72) - coupl(nGC_129)*coupl(nGC_1671)*&
                      coupl(nGC_94) - coupl(nGC_129)*coupl(nGC_683)*coupl(     &
                      nGC_91))/(32d0*pi**2d0)
    coupl(nGC_8851) = (coupl(nGC_161)*coupl(nGC_64)*coupl(nGC_80) + coupl(     &
                      nGC_165)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_166)*   &
                      coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_166)*coupl(       &
                      nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_166)*coupl(nGC_86&
                      )*coupl(nGC_90) + coupl(nGC_166)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_871))/( &
                      32d0*pi**2d0)
    coupl(nGC_8850) = (coupl(nGC_153)*coupl(nGC_64)*coupl(nGC_80) + coupl(     &
                      nGC_157)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_158)*   &
                      coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_158)*coupl(       &
                      nGC_2297)*coupl(nGC_90) + 8d0*coupl(nGC_158)*coupl(nGC_86&
                      )*coupl(nGC_90) + coupl(nGC_158)*coupl(nGC_86)*coupl(    &
                      nGC_96) + coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_871))/( &
                      32d0*pi**2d0)
    coupl(nGC_8853) = (2d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_143) + 4d0*Nc* &
                      cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_143) + 4d0*Nc&
                      *cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_144) + 2d0* &
                      Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_144) + 2d0*Nc*cMC*  &
                      coupl(nGC_132)*coupl(nGC_135)**2d0 + 4d0*Nc*cMC*coupl(   &
                      nGC_132)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*cMC*coupl&
                      (nGC_135)*coupl(nGC_136)*coupl(nGC_843) + 2d0*Nc*cMC*    &
                      coupl(nGC_136)**2d0*coupl(nGC_843) + 4d0*Nc*cMD*coupl(   &
                      nGC_147)*coupl(nGC_151)*coupl(nGC_152) + 2d0*Nc*cMD*coupl&
                      (nGC_147)*coupl(nGC_152)**2d0 + 2d0*Nc*cMD*coupl(nGC_148 &
                      )*coupl(nGC_151)**2d0 + 4d0*Nc*cMD*coupl(nGC_148)*coupl( &
                      nGC_151)*coupl(nGC_152) + 4d0*Nc*cMS*coupl(nGC_171)*coupl&
                      (nGC_175)*coupl(nGC_176) + 2d0*Nc*cMS*coupl(nGC_171)*    &
                      coupl(nGC_176)**2d0 + 2d0*Nc*cMS*coupl(nGC_172)*coupl(   &
                      nGC_175)**2d0 + 4d0*Nc*cMS*coupl(nGC_172)*coupl(nGC_175)*&
                      coupl(nGC_176) + 2d0*Nc*cMT*coupl(nGC_179)*coupl(nGC_182 &
                      )**2d0 + 4d0*Nc*cMT*coupl(nGC_179)*coupl(nGC_182)*coupl( &
                      nGC_183) + 4d0*Nc*cMT*coupl(nGC_182)*coupl(nGC_183)*coupl&
                      (nGC_891) + 2d0*Nc*cMT*coupl(nGC_183)**2d0*coupl(nGC_891 &
                      ) + 4d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_197)*coupl(     &
                      nGC_198) + 2d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_198)**2d0&
                       + 2d0*Nc*cMU*coupl(nGC_194)*coupl(nGC_197)**2d0 + 4d0*Nc&
                      *cMU*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_198) + 4d0* &
                      cME*coupl(nGC_155)*coupl(nGC_159)*coupl(nGC_160) + 2d0*  &
                      cME*coupl(nGC_155)*coupl(nGC_160)**2d0 + 2d0*cME*coupl(  &
                      nGC_156)*coupl(nGC_159)**2d0 + 4d0*cME*coupl(nGC_156)*   &
                      coupl(nGC_159)*coupl(nGC_160) + 4d0*cMM*coupl(nGC_163)*  &
                      coupl(nGC_167)*coupl(nGC_168) + 2d0*cMM*coupl(nGC_163)*  &
                      coupl(nGC_168)**2d0 + 2d0*cMM*coupl(nGC_164)*coupl(      &
                      nGC_167)**2d0 + 4d0*cMM*coupl(nGC_164)*coupl(nGC_167)*   &
                      coupl(nGC_168) + 4d0*cMTA*coupl(nGC_186)*coupl(nGC_190)* &
                      coupl(nGC_191) + 2d0*cMTA*coupl(nGC_186)*coupl(nGC_191)**&
                      2d0 + 2d0*cMTA*coupl(nGC_187)*coupl(nGC_190)**2d0 + 4d0* &
                      cMTA*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_191) + coupl&
                      (nGC_114)*coupl(nGC_72)*coupl(nGC_871) + coupl(nGC_115)* &
                      coupl(nGC_72)*coupl(nGC_871))/(16d0*pi**2d0)
    coupl(nGC_8852) = (-coupl(nGC_1005)*coupl(nGC_184)*coupl(nGC_80) - coupl(  &
                      nGC_1391)*coupl(nGC_188)*coupl(nGC_80) - coupl(nGC_189)* &
                      coupl(nGC_2297)*coupl(nGC_86) - coupl(nGC_189)*coupl(    &
                      nGC_4)*coupl(nGC_655) + 8d0*coupl(nGC_189)*coupl(nGC_86)*&
                      coupl(nGC_90) - coupl(nGC_189)*coupl(nGC_90)*coupl(nGC_96&
                      ) - coupl(nGC_190)*coupl(nGC_72)*coupl(nGC_80))/(32d0*pi &
                      **2d0)
    coupl(nGC_8855) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0*Nc*&
                      cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) + 4d0*Nc&
                      *cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*cMC*    &
                      coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*coupl(  &
                      nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*cMC*coupl&
                      (nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(nGC_145)*coupl(&
                      nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*coupl(nGC_145)*coupl&
                      (nGC_152)**2d0 + 4d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_175 &
                      )**2d0 + 16d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_175)*coupl(&
                      nGC_176) + 4d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_176)**2d0 &
                       + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_182)**2d0 + 16d0* &
                      Nc*cMT*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0&
                      *Nc*cMT*coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU* &
                      coupl(nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(  &
                      nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*coupl&
                      (nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(nGC_153)*  &
                      coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*coupl(     &
                      nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*coupl(  &
                      nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(nGC_167)**  &
                      2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*coupl(      &
                      nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168)**2d0 +  &
                      4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + 16d0*cMTA* &
                      coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191) + 4d0*cMTA* &
                      coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0*cima*coupl(     &
                      nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(nGC_124)*coupl( &
                      nGC_62) + coupl(nGC_103)*coupl(nGC_683)*coupl(nGC_94) +  &
                      coupl(nGC_104)*coupl(nGC_2059)*coupl(nGC_91) + coupl(    &
                      nGC_106)*coupl(nGC_2059)*coupl(nGC_94) + coupl(nGC_106)* &
                      coupl(nGC_683)*coupl(nGC_91) + 2d0*coupl(nGC_108)*coupl( &
                      nGC_72)*coupl(nGC_871) + coupl(nGC_109)*coupl(nGC_2059)**&
                      2d0 + coupl(nGC_109)*coupl(nGC_91)**2d0 + coupl(nGC_112)*&
                      coupl(nGC_683)**2d0 + coupl(nGC_112)*coupl(nGC_94)**2d0  &
                       + coupl(nGC_114)*coupl(nGC_617)*coupl(nGC_72) + coupl(  &
                      nGC_114)*coupl(nGC_68)*coupl(nGC_871) + coupl(nGC_115)*  &
                      coupl(nGC_1391)*coupl(nGC_72) + coupl(nGC_115)*coupl(    &
                      nGC_69)*coupl(nGC_871) + coupl(nGC_117)*coupl(nGC_2059)* &
                      coupl(nGC_683) + coupl(nGC_117)*coupl(nGC_91)*coupl(     &
                      nGC_94) + coupl(nGC_120)*coupl(nGC_2059)*coupl(nGC_683   &
                      ) + coupl(nGC_120)*coupl(nGC_91)*coupl(nGC_94) - 2d0*    &
                      coupl(nGC_124)*coupl(nGC_72)*coupl(nGC_871) - coupl(     &
                      nGC_128)*coupl(nGC_2059)*coupl(nGC_91) - coupl(nGC_128)* &
                      coupl(nGC_683)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8854) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)**2d0 + 16d0*Nc*&
                      cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140) + 4d0*Nc&
                      *cMB*coupl(nGC_137)*coupl(nGC_140)**2d0 + 4d0*Nc*cMC*    &
                      coupl(nGC_133)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*coupl(  &
                      nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*cMC*coupl&
                      (nGC_133)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*coupl(nGC_149 &
                      )*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(nGC_149)*coupl(&
                      nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*coupl(nGC_149)*coupl&
                      (nGC_152)**2d0 + 4d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_175 &
                      )**2d0 + 16d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_175)*coupl(&
                      nGC_176) + 4d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_176)**2d0 &
                       + 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_182)**2d0 + 16d0* &
                      Nc*cMT*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 4d0&
                      *Nc*cMT*coupl(nGC_180)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU* &
                      coupl(nGC_195)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(  &
                      nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*coupl&
                      (nGC_195)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(nGC_157)*  &
                      coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_157)*coupl(     &
                      nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_157)*coupl(  &
                      nGC_160)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(nGC_167)**  &
                      2d0 + 16d0*cMM*coupl(nGC_165)*coupl(nGC_167)*coupl(      &
                      nGC_168) + 4d0*cMM*coupl(nGC_165)*coupl(nGC_168)**2d0 +  &
                      4d0*cMTA*coupl(nGC_188)*coupl(nGC_190)**2d0 + 16d0*cMTA* &
                      coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191) + 4d0*cMTA* &
                      coupl(nGC_188)*coupl(nGC_191)**2d0 + 2d0*cima*coupl(     &
                      nGC_101)*coupl(nGC_129) + 4d0*cima*coupl(nGC_125)*coupl( &
                      nGC_62) + coupl(nGC_1005)*coupl(nGC_114)*coupl(nGC_72) + &
                      coupl(nGC_103)*coupl(nGC_2059)*coupl(nGC_94) + coupl(    &
                      nGC_103)*coupl(nGC_683)*coupl(nGC_91) + coupl(nGC_105)*  &
                      coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_106)*coupl(     &
                      nGC_2059)*coupl(nGC_91) + coupl(nGC_109)*coupl(nGC_2059)*&
                      coupl(nGC_683) + coupl(nGC_109)*coupl(nGC_91)*coupl(     &
                      nGC_94) + coupl(nGC_112)*coupl(nGC_1671)*coupl(nGC_683   &
                      ) + coupl(nGC_112)*coupl(nGC_92)*coupl(nGC_94) + coupl(  &
                      nGC_114)*coupl(nGC_64)*coupl(nGC_871) + coupl(nGC_115)*  &
                      coupl(nGC_1611)*coupl(nGC_72) + coupl(nGC_115)*coupl(    &
                      nGC_63)*coupl(nGC_871) + 2d0*coupl(nGC_116)*coupl(nGC_72 &
                      )*coupl(nGC_871) + coupl(nGC_117)*coupl(nGC_683)**2d0 +  &
                      coupl(nGC_117)*coupl(nGC_94)**2d0 + coupl(nGC_120)*coupl(&
                      nGC_1671)*coupl(nGC_2059) + coupl(nGC_120)*coupl(nGC_91)*&
                      coupl(nGC_92) - 2d0*coupl(nGC_125)*coupl(nGC_72)*coupl(  &
                      nGC_871) - coupl(nGC_129)*coupl(nGC_2059)*coupl(nGC_91   &
                      ) - coupl(nGC_129)*coupl(nGC_683)*coupl(nGC_94))/(32d0*pi&
                      **2d0)
    coupl(nGC_8857) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80) + coupl(     &
                      nGC_1005)*coupl(nGC_69)*coupl(nGC_871) - 4d0*coupl(      &
                      nGC_154)*coupl(nGC_160)*coupl(nGC_80) - 4d0*coupl(nGC_162&
                      )*coupl(nGC_168)*coupl(nGC_80) - 4d0*coupl(nGC_185)*coupl&
                      (nGC_191)*coupl(nGC_80) + coupl(nGC_2059)*coupl(nGC_2297 &
                      )*coupl(nGC_68) + coupl(nGC_2297)*coupl(nGC_64)*coupl(   &
                      nGC_683) + coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_871) - &
                      6d0*coupl(nGC_64)*coupl(nGC_807)*coupl(nGC_94) - 6d0*    &
                      coupl(nGC_68)*coupl(nGC_807)*coupl(nGC_91))/(96d0*pi**2d0&
                      )
    coupl(nGC_8856) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80) +   &
                      4d0*Nc*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80) + 4d0*&
                      Nc*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) + 4d0*Nc* &
                      coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80) + coupl(     &
                      nGC_1391)*coupl(nGC_63)*coupl(nGC_871) + 4d0*coupl(      &
                      nGC_154)*coupl(nGC_159)*coupl(nGC_80) + coupl(nGC_1611)* &
                      coupl(nGC_68)*coupl(nGC_871) + 4d0*coupl(nGC_162)*coupl( &
                      nGC_167)*coupl(nGC_80) + 4d0*coupl(nGC_185)*coupl(nGC_190&
                      )*coupl(nGC_80) + coupl(nGC_2059)*coupl(nGC_69)*coupl(   &
                      nGC_96) + coupl(nGC_63)*coupl(nGC_683)*coupl(nGC_96) -   &
                      6d0*coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_94) - 6d0*coupl&
                      (nGC_69)*coupl(nGC_82)*coupl(nGC_91))/(96d0*pi**2d0)
    coupl(nGC_22024) = coupl(nGC_9635) + coupl(nGC_TS_GC_153_Hl) + coupl(      &
                       nGC_TS_GC_157_Hh)
    coupl(nGC_12833) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*          &
                       dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_9480)
    coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12834) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*          &
                       dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_9479)
    coupl(nGC_12837) = coupl(nGC_62)*dZHMinus_QED2 + coupl(nGC_62)*            &
                       dZWMinus_QED2 + coupl(nGC_9368)
    coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13838) = coupl(nGC_101)*dZG0
    coupl(nGC_13839) = coupl(nGC_101)*dZZ_QED2 + coupl(nGC_9384)
    coupl(nGC_13237) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*        &
                       dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_19)*dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/2d0 +    &
                       coupl(nGC_9383)
    coupl(nGC_9030) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9031) = (coupl(nGC_130)**2d0*coupl(nGC_85) + coupl(nGC_132)*coupl&
                      (nGC_843)*coupl(nGC_85) + coupl(nGC_133)**2d0*coupl(     &
                      nGC_85) + coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_85) +  &
                      coupl(nGC_170)**2d0*coupl(nGC_84) + coupl(nGC_174)**2d0* &
                      coupl(nGC_84) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_88) + 4d0&
                      *coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**  &
                      2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)**3d0)/(32d0*pi**2d0&
                      )
    coupl(nGC_9033) = (coupl(nGC_130)**2d0*coupl(nGC_88) + coupl(nGC_131)**2d0*&
                      coupl(nGC_87) + coupl(nGC_132)*coupl(nGC_843)*coupl(     &
                      nGC_88) + coupl(nGC_133)**2d0*coupl(nGC_88) + coupl(     &
                      nGC_134)**2d0*coupl(nGC_87) + coupl(nGC_135)*coupl(      &
                      nGC_136)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(    &
                      nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9035) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**  &
                      2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl( &
                      nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(     &
                      nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193)** &
                      2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85) +  &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_807) + 4d0*coupl(nGC_80 &
                      )**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_9037) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**2d0*&
                      coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl(     &
                      nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(     &
                      nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(      &
                      nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(    &
                      nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9038) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*coupl&
                      (nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*coupl(     &
                      nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_86) +  &
                      4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*coupl(nGC_80)**&
                      2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_90  &
                      ) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_17397) = coupl(nGC_147)*dZHaG0_QED2/2d0 + coupl(nGC_151)*        &
                       dZdL_QED2/2d0 + coupl(nGC_151)*dZdR_QED2/2d0 + coupl(   &
                       nGC_9426)
    coupl(nGC_17396) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*        &
                       dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl(   &
                       nGC_9428)
    coupl(nGC_17395) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9425)
    coupl(nGC_17394) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZdR_QCD2/&
                       2d0 + coupl(nGC_9427)
    coupl(nGC_9324) = coupl(nGC_8039)*dl3_QED4 + coupl(nGC_8040)*db_QED2 +     &
                      coupl(nGC_8041)*dl2_QED4 + coupl(nGC_8042)*dl5_QED4 +    &
                      coupl(nGC_8043)*dl4_QED4 + coupl(nGC_8044)*dl1_QED4 +    &
                      coupl(nGC_8045)*da_QED2
    coupl(nGC_9494) = coupl(nGC_415)*dyt2_QED3 + coupl(nGC_417)*db_QED2 + coupl&
                      (nGC_419)*dyt1_QED3
    coupl(nGC_9492) = coupl(nGC_7953)*dyc1_QED1_QCD2 + coupl(nGC_7954)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9493) = coupl(nGC_415)*dyt2_QED1_QCD2 + coupl(nGC_419)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_9490) = coupl(nGC_8037)*dyc1_QED1_QCD2 + coupl(nGC_8038)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9491) = coupl(nGC_7952)*db_QED2 + coupl(nGC_7953)*dyc1_QED3 +    &
                      coupl(nGC_7954)*dyc2_QED3
    coupl(nGC_17802) = coupl(nGC_172)*dZHaG0_QED2/2d0 + coupl(nGC_176)*        &
                       dZsL_QED2/2d0 + coupl(nGC_176)*dZsR_QED2/2d0 + coupl(   &
                       nGC_9430)
    coupl(nGC_17801) = coupl(nGC_171)*dZHaG0_QED2/2d0 + coupl(nGC_175)*        &
                       dZsL_QED2/2d0 + coupl(nGC_175)*dZsR_QED2/2d0 + coupl(   &
                       nGC_9432)
  end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
