!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl32()
    coupl(nGC_13056) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_133)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_9506)
    coupl(nGC_13057) = coupl(nGC_13053) + coupl(nGC_13056)
    coupl(nGC_15606) = -coupl(nGC_15605)
    coupl(nGC_8969) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)*   &
                      coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(    &
                      nGC_63)*coupl(nGC_80) - coupl(nGC_133)**3d0 - coupl(     &
                      nGC_133)*coupl(nGC_135)**2d0 + 8d0*coupl(nGC_133)*coupl( &
                      nGC_2)**2d0 - coupl(nGC_133)*coupl(nGC_843)**2d0 + 8d0*  &
                      coupl(nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(      &
                      nGC_134)*coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)* &
                      coupl(nGC_617)*coupl(nGC_80) - coupl(nGC_135)*coupl(     &
                      nGC_683)*coupl(nGC_88) - coupl(nGC_135)*coupl(nGC_85)*   &
                      coupl(nGC_94) - coupl(nGC_1671)*coupl(nGC_843)*coupl(    &
                      nGC_88) - coupl(nGC_843)*coupl(nGC_85)*coupl(nGC_92))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8962) = (24d0*Nc*cMB*coupl(nGC_137)**2d0*coupl(nGC_141) + 24d0*Nc&
                      *cMC*coupl(nGC_130)*coupl(nGC_133)**2d0 + 24d0*Nc*cMD*   &
                      coupl(nGC_145)*coupl(nGC_149)**2d0 + 24d0*Nc*cMS*coupl(  &
                      nGC_169)*coupl(nGC_173)**2d0 + 24d0*Nc*cMT*coupl(nGC_177 &
                      )*coupl(nGC_180)**2d0 + 24d0*Nc*cMU*coupl(nGC_192)*coupl(&
                      nGC_195)**2d0 + 24d0*cME*coupl(nGC_153)*coupl(nGC_157)** &
                      2d0 + 24d0*cMM*coupl(nGC_161)*coupl(nGC_165)**2d0 + 24d0*&
                      cMTA*coupl(nGC_184)*coupl(nGC_188)**2d0 + 4d0*cima*coupl(&
                      nGC_124)*coupl(nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(  &
                      nGC_99) + coupl(nGC_1005)*coupl(nGC_110)*coupl(nGC_63) + &
                      2d0*coupl(nGC_1005)*coupl(nGC_111)*coupl(nGC_1611) +     &
                      coupl(nGC_1005)*coupl(nGC_116)*coupl(nGC_68) + coupl(    &
                      nGC_1005)*coupl(nGC_118)*coupl(nGC_69) + coupl(nGC_1005)*&
                      coupl(nGC_119)*coupl(nGC_617) - coupl(nGC_1005)*coupl(   &
                      nGC_124)*coupl(nGC_63) - coupl(nGC_1005)*coupl(nGC_125)* &
                      coupl(nGC_68) - coupl(nGC_1005)*coupl(nGC_125)*coupl(    &
                      nGC_69) + coupl(nGC_108)*coupl(nGC_1391)*coupl(nGC_68) + &
                      coupl(nGC_108)*coupl(nGC_617)*coupl(nGC_69) + coupl(     &
                      nGC_109)*coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_110)*  &
                      coupl(nGC_1611)*coupl(nGC_64) + coupl(nGC_111)*coupl(    &
                      nGC_1391)**2d0 + coupl(nGC_111)*coupl(nGC_617)**2d0 + 2d0&
                      *coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_64) + coupl(     &
                      nGC_111)*coupl(nGC_68)**2d0 + coupl(nGC_111)*coupl(nGC_69&
                      )**2d0 + coupl(nGC_112)*coupl(nGC_1671)*coupl(nGC_91) +  &
                      coupl(nGC_112)*coupl(nGC_2059)*coupl(nGC_92) + 2d0*coupl(&
                      nGC_112)*coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_113)*  &
                      coupl(nGC_1671)*coupl(nGC_92) + coupl(nGC_116)*coupl(    &
                      nGC_1391)*coupl(nGC_63) + coupl(nGC_116)*coupl(nGC_1611)*&
                      coupl(nGC_69) + coupl(nGC_116)*coupl(nGC_617)*coupl(     &
                      nGC_64) + coupl(nGC_117)*coupl(nGC_2059)*coupl(nGC_94) + &
                      coupl(nGC_117)*coupl(nGC_683)*coupl(nGC_91) + coupl(     &
                      nGC_118)*coupl(nGC_1391)*coupl(nGC_64) + coupl(nGC_118)* &
                      coupl(nGC_1611)*coupl(nGC_68) + coupl(nGC_118)*coupl(    &
                      nGC_617)*coupl(nGC_63) + coupl(nGC_119)*coupl(nGC_1391)* &
                      coupl(nGC_1611) + coupl(nGC_119)*coupl(nGC_63)*coupl(    &
                      nGC_69) + coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_68) +   &
                      coupl(nGC_120)*coupl(nGC_1671)*coupl(nGC_94) + coupl(    &
                      nGC_120)*coupl(nGC_683)*coupl(nGC_92) + coupl(nGC_121)*  &
                      coupl(nGC_1671)*coupl(nGC_94) + coupl(nGC_121)*coupl(    &
                      nGC_683)*coupl(nGC_92) - coupl(nGC_124)*coupl(nGC_1391)* &
                      coupl(nGC_68) - coupl(nGC_124)*coupl(nGC_1611)*coupl(    &
                      nGC_64) - coupl(nGC_124)*coupl(nGC_617)*coupl(nGC_69) -  &
                      coupl(nGC_125)*coupl(nGC_1391)*coupl(nGC_63) - coupl(    &
                      nGC_125)*coupl(nGC_1391)*coupl(nGC_64) - coupl(nGC_125)* &
                      coupl(nGC_1611)*coupl(nGC_68) - coupl(nGC_125)*coupl(    &
                      nGC_1611)*coupl(nGC_69) - coupl(nGC_125)*coupl(nGC_617)* &
                      coupl(nGC_63) - coupl(nGC_125)*coupl(nGC_617)*coupl(     &
                      nGC_64) - coupl(nGC_128)*coupl(nGC_1671)*coupl(nGC_92) - &
                      coupl(nGC_128)*coupl(nGC_683)*coupl(nGC_94) - coupl(     &
                      nGC_129)*coupl(nGC_1671)*coupl(nGC_94) - coupl(nGC_129)* &
                      coupl(nGC_2059)*coupl(nGC_94) - coupl(nGC_129)*coupl(    &
                      nGC_683)*coupl(nGC_91) - coupl(nGC_129)*coupl(nGC_683)*  &
                      coupl(nGC_92))/(32d0*pi**2d0)
    coupl(nGC_8965) = (-8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_84)**2d0 + 8d0*Nc* &
                      cMB*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - 8d0*Nc* &
                      cMB*coupl(nGC_137)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC*coupl(&
                      nGC_133)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(nGC_133)* &
                      coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_133)* &
                      coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_149)*coupl(    &
                      nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_84)*  &
                      coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_87)**&
                      2d0 - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84)**2d0 + 8d0*&
                      Nc*cMS*coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                      Nc*cMS*coupl(nGC_173)*coupl(nGC_87)**2d0 - 8d0*Nc*cMT*   &
                      coupl(nGC_180)*coupl(nGC_85)**2d0 + 8d0*Nc*cMT*coupl(    &
                      nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMT*coupl( &
                      nGC_180)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*coupl(nGC_195)* &
                      coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(nGC_195)*coupl(    &
                      nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl(nGC_195)*coupl( &
                      nGC_88)**2d0 - 8d0*cME*coupl(nGC_157)*coupl(nGC_86)**2d0 &
                       + 8d0*cME*coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_89) -  &
                      8d0*cME*coupl(nGC_157)*coupl(nGC_89)**2d0 - 8d0*cMM*coupl&
                      (nGC_165)*coupl(nGC_86)**2d0 + 8d0*cMM*coupl(nGC_165)*   &
                      coupl(nGC_86)*coupl(nGC_89) - 8d0*cMM*coupl(nGC_165)*    &
                      coupl(nGC_89)**2d0 - 8d0*cMTA*coupl(nGC_188)*coupl(nGC_86&
                      )**2d0 + 8d0*cMTA*coupl(nGC_188)*coupl(nGC_86)*coupl(    &
                      nGC_89) - 8d0*cMTA*coupl(nGC_188)*coupl(nGC_89)**2d0 +   &
                      4d0*cima*coupl(nGC_1015)*coupl(nGC_125) - coupl(nGC_1005 &
                      )*coupl(nGC_102)*coupl(nGC_82) - coupl(nGC_102)*coupl(   &
                      nGC_1611)*coupl(nGC_807) - coupl(nGC_102)*coupl(nGC_63)* &
                      coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_64)*coupl(      &
                      nGC_807) - coupl(nGC_107)*coupl(nGC_1391)*coupl(nGC_807  &
                      ) - coupl(nGC_107)*coupl(nGC_617)*coupl(nGC_82) - coupl( &
                      nGC_107)*coupl(nGC_68)*coupl(nGC_807) - coupl(nGC_107)*  &
                      coupl(nGC_69)*coupl(nGC_82) + 6d0*coupl(nGC_125)*coupl(  &
                      nGC_807)**2d0 + 6d0*coupl(nGC_125)*coupl(nGC_82)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_8964) = (24d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_141)**2d0 + 24d0*Nc&
                      *cMC*coupl(nGC_130)**2d0*coupl(nGC_133) + 24d0*Nc*cMD*   &
                      coupl(nGC_145)**2d0*coupl(nGC_149) + 24d0*Nc*cMS*coupl(  &
                      nGC_169)**2d0*coupl(nGC_173) + 24d0*Nc*cMT*coupl(nGC_177 &
                      )**2d0*coupl(nGC_180) + 24d0*Nc*cMU*coupl(nGC_192)**2d0* &
                      coupl(nGC_195) + 24d0*cME*coupl(nGC_153)**2d0*coupl(     &
                      nGC_157) + 24d0*cMM*coupl(nGC_161)**2d0*coupl(nGC_165) + &
                      24d0*cMTA*coupl(nGC_184)**2d0*coupl(nGC_188) + 4d0*cima* &
                      coupl(nGC_125)*coupl(nGC_61) + 2d0*cima*coupl(nGC_129)*  &
                      coupl(nGC_99) + coupl(nGC_1005)*coupl(nGC_108)*coupl(    &
                      nGC_68) + coupl(nGC_1005)*coupl(nGC_110)*coupl(nGC_69) + &
                      coupl(nGC_1005)*coupl(nGC_111)*coupl(nGC_1391) + coupl(  &
                      nGC_1005)*coupl(nGC_116)*coupl(nGC_63) + 2d0*coupl(      &
                      nGC_1005)*coupl(nGC_119)*coupl(nGC_1611) - coupl(nGC_1005&
                      )*coupl(nGC_124)*coupl(nGC_68) - coupl(nGC_1005)*coupl(  &
                      nGC_124)*coupl(nGC_69) - coupl(nGC_1005)*coupl(nGC_125)* &
                      coupl(nGC_63) + coupl(nGC_108)*coupl(nGC_1391)*coupl(    &
                      nGC_63) + coupl(nGC_108)*coupl(nGC_1611)*coupl(nGC_69) + &
                      coupl(nGC_108)*coupl(nGC_617)*coupl(nGC_64) + coupl(     &
                      nGC_109)*coupl(nGC_2059)*coupl(nGC_94) + coupl(nGC_109)* &
                      coupl(nGC_683)*coupl(nGC_91) + coupl(nGC_110)*coupl(     &
                      nGC_1391)*coupl(nGC_64) + coupl(nGC_110)*coupl(nGC_1611)*&
                      coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_617)*coupl(     &
                      nGC_63) + coupl(nGC_111)*coupl(nGC_1611)*coupl(nGC_617   &
                      ) + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_68) + coupl(  &
                      nGC_111)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_112)*   &
                      coupl(nGC_2059)*coupl(nGC_94) + coupl(nGC_112)*coupl(    &
                      nGC_683)*coupl(nGC_91) + coupl(nGC_113)*coupl(nGC_1671)* &
                      coupl(nGC_94) + coupl(nGC_113)*coupl(nGC_683)*coupl(     &
                      nGC_92) + coupl(nGC_116)*coupl(nGC_1611)*coupl(nGC_64) + &
                      coupl(nGC_117)*coupl(nGC_2059)*coupl(nGC_91) + coupl(    &
                      nGC_118)*coupl(nGC_1391)*coupl(nGC_68) + coupl(nGC_118)* &
                      coupl(nGC_617)*coupl(nGC_69) + coupl(nGC_119)*coupl(     &
                      nGC_1391)**2d0 + coupl(nGC_119)*coupl(nGC_617)**2d0 + 2d0&
                      *coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_64) + coupl(     &
                      nGC_119)*coupl(nGC_68)**2d0 + coupl(nGC_119)*coupl(nGC_69&
                      )**2d0 + coupl(nGC_120)*coupl(nGC_1671)*coupl(nGC_91) +  &
                      coupl(nGC_120)*coupl(nGC_2059)*coupl(nGC_92) + 2d0*coupl(&
                      nGC_120)*coupl(nGC_683)*coupl(nGC_94) + coupl(nGC_121)*  &
                      coupl(nGC_683)*coupl(nGC_94) - coupl(nGC_124)*coupl(     &
                      nGC_1391)*coupl(nGC_63) - coupl(nGC_124)*coupl(nGC_1391)*&
                      coupl(nGC_64) - coupl(nGC_124)*coupl(nGC_1611)*coupl(    &
                      nGC_68) - coupl(nGC_124)*coupl(nGC_1611)*coupl(nGC_69) - &
                      coupl(nGC_124)*coupl(nGC_617)*coupl(nGC_63) - coupl(     &
                      nGC_124)*coupl(nGC_617)*coupl(nGC_64) - coupl(nGC_125)*  &
                      coupl(nGC_1391)*coupl(nGC_68) - coupl(nGC_125)*coupl(    &
                      nGC_1611)*coupl(nGC_64) - coupl(nGC_125)*coupl(nGC_617)* &
                      coupl(nGC_69) - coupl(nGC_128)*coupl(nGC_1671)*coupl(    &
                      nGC_94) - coupl(nGC_128)*coupl(nGC_2059)*coupl(nGC_94) - &
                      coupl(nGC_128)*coupl(nGC_683)*coupl(nGC_91) - coupl(     &
                      nGC_128)*coupl(nGC_683)*coupl(nGC_92) - coupl(nGC_129)*  &
                      coupl(nGC_2059)*coupl(nGC_91) - coupl(nGC_129)*coupl(    &
                      nGC_683)*coupl(nGC_94))/(32d0*pi**2d0)
    coupl(nGC_8967) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_137)** &
                      3d0 - coupl(nGC_137)*coupl(nGC_139)**2d0 - coupl(nGC_137 &
                      )*coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_144)**  &
                      2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) -   &
                      coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(    &
                      nGC_138)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_139)*   &
                      coupl(nGC_683)*coupl(nGC_84) - coupl(nGC_139)*coupl(     &
                      nGC_87)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_1611)*  &
                      coupl(nGC_80) - coupl(nGC_142)*coupl(nGC_178)*coupl(     &
                      nGC_180) - coupl(nGC_144)*coupl(nGC_1671)*coupl(nGC_84   &
                      ) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_92))/(32d0*pi &
                      **2d0)
    coupl(nGC_8966) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_137)** &
                      3d0 - coupl(nGC_137)*coupl(nGC_140)**2d0 - coupl(nGC_137 &
                      )*coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_143)**  &
                      2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) -   &
                      coupl(nGC_138)*coupl(nGC_1391)*coupl(nGC_80) - coupl(    &
                      nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(nGC_140)* &
                      coupl(nGC_683)*coupl(nGC_87) - coupl(nGC_140)*coupl(     &
                      nGC_84)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)*   &
                      coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_64)*coupl(     &
                      nGC_80) - coupl(nGC_143)*coupl(nGC_1671)*coupl(nGC_87) - &
                      coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_92))/(32d0*pi**2d0&
                      )
    coupl(nGC_17501) = coupl(nGC_13928) + coupl(nGC_17499)
    coupl(nGC_13271) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_111)*        &
                       dZGMinusHMinus_QED2 + coupl(nGC_118)*dZHMinus_QED2 +    &
                       coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_9339) + coupl( &
                       nGC_TS_GC_22_Hl) + coupl(nGC_TS_GC_34_Hh)
    coupl(nGC_8819) = (8d0*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_138)*coupl(nGC_655) - coupl(nGC_137)*   &
                      coupl(nGC_180)*coupl(nGC_181) - coupl(nGC_137)*coupl(    &
                      nGC_68)*coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_17)*    &
                      coupl(nGC_2) - coupl(nGC_138)*coupl(nGC_2297)*coupl(     &
                      nGC_84) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88  &
                      ) - coupl(nGC_138)*coupl(nGC_88)*coupl(nGC_96) - coupl(  &
                      nGC_140)*coupl(nGC_181)*coupl(nGC_182) - coupl(nGC_140)* &
                      coupl(nGC_80)*coupl(nGC_871) - coupl(nGC_141)*coupl(     &
                      nGC_177)*coupl(nGC_181) - coupl(nGC_141)*coupl(nGC_63)*  &
                      coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_181)*coupl(     &
                      nGC_891))/(32d0*pi**2d0)
    coupl(nGC_8818) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84) - &
                      2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -  &
                      2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) +  &
                      2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) - 2d0*&
                      cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cME*&
                      coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMM*    &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89) - 2d0*cMTA*   &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*coupl(nGC_127)*  &
                      coupl(nGC_953) - coupl(nGC_107)*coupl(nGC_2297)*coupl(   &
                      nGC_807) - coupl(nGC_107)*coupl(nGC_647)*coupl(nGC_655   &
                      ) + 6d0*coupl(nGC_107)*coupl(nGC_807)*coupl(nGC_82) -    &
                      coupl(nGC_124)*coupl(nGC_63)*coupl(nGC_82) - coupl(      &
                      nGC_125)*coupl(nGC_68)*coupl(nGC_82) + 6d0*coupl(nGC_127 &
                      )*coupl(nGC_647)*coupl(nGC_82) - coupl(nGC_128)*coupl(   &
                      nGC_1611)*coupl(nGC_82) - coupl(nGC_129)*coupl(nGC_617)* &
                      coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_8768) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80) -   &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80) -   &
                      2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80) +   &
                      4d0*cima*coupl(nGC_107)*coupl(nGC_953) + 4d0*cima*coupl( &
                      nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(nGC_3)* &
                      coupl(nGC_807) - coupl(nGC_124)*coupl(nGC_3)*coupl(nGC_63&
                      ) - coupl(nGC_125)*coupl(nGC_3)*coupl(nGC_68) - coupl(   &
                      nGC_127)*coupl(nGC_2297)*coupl(nGC_807) + 6d0*coupl(     &
                      nGC_127)*coupl(nGC_3)*coupl(nGC_647) - coupl(nGC_127)*   &
                      coupl(nGC_647)*coupl(nGC_655))/(32d0*pi**2d0)
    coupl(nGC_8815) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_843) - 4d0&
                      *Nc*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_1495)*coupl(nGC_196)*coupl(nGC_80) - 4d0*Nc*   &
                      coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_891) - 4d0*coupl( &
                      nGC_155)*coupl(nGC_158)*coupl(nGC_80) + coupl(nGC_1611)* &
                      coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(nGC_163)*coupl(  &
                      nGC_166)*coupl(nGC_80) - 6d0*coupl(nGC_1671)*coupl(nGC_68&
                      )*coupl(nGC_807) - 4d0*coupl(nGC_186)*coupl(nGC_189)*    &
                      coupl(nGC_80) + coupl(nGC_2297)*coupl(nGC_63)*coupl(     &
                      nGC_94) + coupl(nGC_2297)*coupl(nGC_68)*coupl(nGC_92) +  &
                      coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_72) - 6d0*coupl(  &
                      nGC_63)*coupl(nGC_683)*coupl(nGC_807))/(96d0*pi**2d0)
    coupl(nGC_8814) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) +   &
                      4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) + 4d0*&
                      Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) - 4d0*Nc* &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) + 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) - 4d0*Nc*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) - 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) - 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) + 4d0*Nc*    &
                      coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) + coupl(     &
                      nGC_1005)*coupl(nGC_72)*coupl(nGC_94) + 4d0*coupl(nGC_154&
                      )*coupl(nGC_158)*coupl(nGC_86) - 4d0*coupl(nGC_154)*coupl&
                      (nGC_158)*coupl(nGC_90) + coupl(nGC_1611)*coupl(nGC_683)*&
                      coupl(nGC_871) + 4d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                      nGC_86) - 4d0*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_90 &
                      ) + coupl(nGC_1671)*coupl(nGC_617)*coupl(nGC_871) + 4d0* &
                      coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl( &
                      nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_617)*  &
                      coupl(nGC_72)*coupl(nGC_91) - 6d0*coupl(nGC_63)*coupl(   &
                      nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_64)*coupl(nGC_68)* &
                      coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_8817) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) + coupl(     &
                      nGC_1005)*coupl(nGC_1611)**2d0 + coupl(nGC_1005)*coupl(  &
                      nGC_617)**2d0 + coupl(nGC_1005)*coupl(nGC_72)**2d0 - 4d0*&
                      coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80) - 4d0*coupl( &
                      nGC_161)*coupl(nGC_166)*coupl(nGC_80) + coupl(nGC_1611)* &
                      coupl(nGC_68)*coupl(nGC_69) - 6d0*coupl(nGC_17)*coupl(   &
                      nGC_3)*coupl(nGC_63) - 4d0*coupl(nGC_184)*coupl(nGC_189)*&
                      coupl(nGC_80) + coupl(nGC_2059)*coupl(nGC_2297)*coupl(   &
                      nGC_871) + coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_68) -  &
                      6d0*coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl&
                      (nGC_807)*coupl(nGC_871)*coupl(nGC_91))/(96d0*pi**2d0)
    coupl(nGC_8816) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) + coupl(     &
                      nGC_1391)*coupl(nGC_1611)**2d0 + coupl(nGC_1391)*coupl(  &
                      nGC_617)**2d0 + coupl(nGC_1391)*coupl(nGC_72)**2d0 - 4d0*&
                      coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) + coupl(     &
                      nGC_1611)*coupl(nGC_64)*coupl(nGC_69) - 4d0*coupl(nGC_165&
                      )*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(&
                      nGC_3)*coupl(nGC_68) - 4d0*coupl(nGC_188)*coupl(nGC_189)*&
                      coupl(nGC_80) + coupl(nGC_2297)*coupl(nGC_683)*coupl(    &
                      nGC_871) + coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_64) -  &
                      6d0*coupl(nGC_68)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl&
                      (nGC_807)*coupl(nGC_871)*coupl(nGC_94))/(96d0*pi**2d0)
    coupl(nGC_8811) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(      &
                      nGC_144) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_179) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_181)*    &
                      coupl(nGC_891) + 2d0*Nc*cMB*coupl(nGC_143)*coupl(nGC_178 &
                      )*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_144)*coupl(      &
                      nGC_178)*coupl(nGC_181) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_132)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_843) + 2d0*Nc*cMC*coupl(nGC_131 &
                      )*coupl(nGC_171)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(      &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl&
                      (nGC_134)*coupl(nGC_170)*coupl(nGC_172) + 2d0*Nc*cMC*    &
                      coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_843) + 2d0*Nc*cMD&
                      *coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_150) + 2d0*Nc*  &
                      cMD*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150) + 2d0*Nc&
                      *cMD*coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_196) + 2d0*&
                      Nc*cMD*coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 2d0&
                      *Nc*cMD*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) +   &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_194   &
                      ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_132)*coupl(      &
                      nGC_174) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_171) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*    &
                      coupl(nGC_172) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(nGC_170 &
                      )*coupl(nGC_843) + 2d0*Nc*cMS*coupl(nGC_170)*coupl(      &
                      nGC_171)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_170)*coupl&
                      (nGC_172)*coupl(nGC_174) + 2d0*Nc*cMT*coupl(nGC_138)*    &
                      coupl(nGC_142)*coupl(nGC_179) + 2d0*Nc*cMT*coupl(nGC_138 &
                      )*coupl(nGC_142)*coupl(nGC_891) + 2d0*Nc*cMT*coupl(      &
                      nGC_138)*coupl(nGC_144)*coupl(nGC_178) + 2d0*Nc*cMT*coupl&
                      (nGC_142)*coupl(nGC_143)*coupl(nGC_181) + 2d0*Nc*cMT*    &
                      coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_181) + 2d0*Nc*cMT&
                      *coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_891) + 2d0*Nc*  &
                      cMU*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_196) + 2d0*Nc&
                      *cMU*coupl(nGC_146)*coupl(nGC_1495)*coupl(nGC_150) + 2d0*&
                      Nc*cMU*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194) + 2d0&
                      *Nc*cMU*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_193) +   &
                      2d0*Nc*cMU*coupl(nGC_1495)*coupl(nGC_193)*coupl(nGC_196  &
                      ) + 2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_194)*coupl(      &
                      nGC_196) + 2d0*cME*coupl(nGC_154)*coupl(nGC_155)*coupl(  &
                      nGC_158) + 2d0*cME*coupl(nGC_154)*coupl(nGC_156)*coupl(  &
                      nGC_158) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_163)*coupl(  &
                      nGC_166) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_164)*coupl(  &
                      nGC_166) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_186)*coupl( &
                      nGC_189) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_187)*coupl( &
                      nGC_189) + 4d0*cima*coupl(nGC_107)*coupl(nGC_20) + 4d0*  &
                      cima*coupl(nGC_127)*coupl(nGC_74) - coupl(nGC_1005)*coupl&
                      (nGC_107)*coupl(nGC_1671) + coupl(nGC_1005)*coupl(nGC_112&
                      )*coupl(nGC_72) - coupl(nGC_102)*coupl(nGC_1611)*coupl(  &
                      nGC_94) - coupl(nGC_102)*coupl(nGC_617)*coupl(nGC_92) -  &
                      coupl(nGC_107)*coupl(nGC_2297)*coupl(nGC_871) - coupl(   &
                      nGC_107)*coupl(nGC_617)*coupl(nGC_683) + coupl(nGC_110)* &
                      coupl(nGC_63)*coupl(nGC_871) + coupl(nGC_111)*coupl(     &
                      nGC_1671)*coupl(nGC_96) + coupl(nGC_111)*coupl(nGC_64)*  &
                      coupl(nGC_72) + coupl(nGC_111)*coupl(nGC_92)*coupl(nGC_96&
                      ) + coupl(nGC_113)*coupl(nGC_1611)*coupl(nGC_871) + coupl&
                      (nGC_118)*coupl(nGC_68)*coupl(nGC_871) + coupl(nGC_119)* &
                      coupl(nGC_68)*coupl(nGC_72) + coupl(nGC_119)*coupl(      &
                      nGC_683)*coupl(nGC_96) + coupl(nGC_119)*coupl(nGC_94)*   &
                      coupl(nGC_96) + coupl(nGC_120)*coupl(nGC_617)*coupl(     &
                      nGC_72) + coupl(nGC_121)*coupl(nGC_617)*coupl(nGC_871) + &
                      coupl(nGC_122)*coupl(nGC_2297)**2d0 + coupl(nGC_122)*    &
                      coupl(nGC_655)**2d0 + coupl(nGC_122)*coupl(nGC_72)**2d0  &
                       - coupl(nGC_127)*coupl(nGC_655)*coupl(nGC_871))/(32d0*pi&
                      **2d0)
    coupl(nGC_8810) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80) - 4d0&
                      *Nc*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80) - 4d0*Nc*&
                      coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) - 4d0*Nc*    &
                      coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) + 4d0*Nc*    &
                      coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80) - 4d0*coupl( &
                      nGC_158)*coupl(nGC_159)*coupl(nGC_80) + coupl(nGC_1611)**&
                      2d0*coupl(nGC_72) - 4d0*coupl(nGC_166)*coupl(nGC_167)*   &
                      coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(    &
                      nGC_871) - 4d0*coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_80&
                      ) - 6d0*coupl(nGC_2059)*coupl(nGC_63)*coupl(nGC_807) +   &
                      coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_91) + coupl(     &
                      nGC_2297)*coupl(nGC_68)*coupl(nGC_94) + coupl(nGC_617)** &
                      2d0*coupl(nGC_72) - 6d0*coupl(nGC_68)*coupl(nGC_683)*    &
                      coupl(nGC_807) + coupl(nGC_72)**3d0 - 6d0*coupl(nGC_82)* &
                      coupl(nGC_871)*coupl(nGC_96))/(96d0*pi**2d0)
    coupl(nGC_8813) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142  &
                      ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(      &
                      nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*coupl&
                      (nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_177)*    &
                      coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_131 &
                      )*coupl(nGC_134) + 4d0*Nc*cMC*coupl(nGC_130)*coupl(      &
                      nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_131)*coupl&
                      (nGC_169)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*    &
                      coupl(nGC_169)*coupl(nGC_170) + 4d0*Nc*cMD*coupl(nGC_145 &
                      )*coupl(nGC_146)*coupl(nGC_150) + 4d0*Nc*cMD*coupl(      &
                      nGC_145)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*cMD*coupl&
                      (nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 2d0*Nc*cMD*    &
                      coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_193) + 2d0*Nc*cMS&
                      *coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174) + 2d0*Nc*  &
                      cMS*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc&
                      *cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0* &
                      Nc*cMS*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0&
                      *Nc*cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) +   &
                      4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177   &
                      ) + 2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(      &
                      nGC_181) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl&
                      (nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*    &
                      coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_150 &
                      )*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                      nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(nGC_192)*coupl&
                      (nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(nGC_153)*coupl( &
                      nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(nGC_161)*coupl(  &
                      nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl(nGC_184)*coupl( &
                      nGC_185)*coupl(nGC_189) + 4d0*cima*coupl(nGC_102)*coupl( &
                      nGC_14) + 4d0*cima*coupl(nGC_107)*coupl(nGC_16) + 4d0*   &
                      cima*coupl(nGC_126)*coupl(nGC_65) + 4d0*cima*coupl(      &
                      nGC_127)*coupl(nGC_70) + coupl(nGC_1005)*coupl(nGC_103)* &
                      coupl(nGC_617) + coupl(nGC_1005)*coupl(nGC_106)*coupl(   &
                      nGC_1611) - coupl(nGC_102)*coupl(nGC_1611)*coupl(nGC_2297&
                      ) - coupl(nGC_102)*coupl(nGC_2059)*coupl(nGC_72) + coupl(&
                      nGC_104)*coupl(nGC_1611)*coupl(nGC_617) + coupl(nGC_106)*&
                      coupl(nGC_617)**2d0 - coupl(nGC_107)*coupl(nGC_2297)*    &
                      coupl(nGC_617) - coupl(nGC_107)*coupl(nGC_871)*coupl(    &
                      nGC_94) + coupl(nGC_108)*coupl(nGC_1611)*coupl(nGC_68) + &
                      coupl(nGC_110)*coupl(nGC_617)*coupl(nGC_63) + coupl(     &
                      nGC_111)*coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_111)*   &
                      coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_115)*coupl(      &
                      nGC_2059)*coupl(nGC_96) + coupl(nGC_115)*coupl(nGC_64)*  &
                      coupl(nGC_871) + coupl(nGC_115)*coupl(nGC_91)*coupl(     &
                      nGC_96) + coupl(nGC_116)*coupl(nGC_1611)*coupl(nGC_64) + &
                      coupl(nGC_118)*coupl(nGC_617)*coupl(nGC_68) + coupl(     &
                      nGC_119)*coupl(nGC_2297)**2d0 + coupl(nGC_119)*coupl(    &
                      nGC_63)*coupl(nGC_64) + coupl(nGC_119)*coupl(nGC_655)**  &
                      2d0 + coupl(nGC_119)*coupl(nGC_68)*coupl(nGC_69) + coupl(&
                      nGC_120)*coupl(nGC_72)*coupl(nGC_871) + coupl(nGC_122)*  &
                      coupl(nGC_683)*coupl(nGC_96) + coupl(nGC_122)*coupl(     &
                      nGC_69)*coupl(nGC_72) + coupl(nGC_122)*coupl(nGC_94)*    &
                      coupl(nGC_96) - coupl(nGC_124)*coupl(nGC_63)*coupl(nGC_68&
                      ) - coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_68) - coupl(  &
                      nGC_126)*coupl(nGC_1611)*coupl(nGC_655) - coupl(nGC_127)*&
                      coupl(nGC_617)*coupl(nGC_655))/(32d0*pi**2d0)
    coupl(nGC_8812) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142  &
                      ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(      &
                      nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*coupl&
                      (nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_180)*    &
                      coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_133 &
                      )*coupl(nGC_134) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(      &
                      nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*coupl(nGC_133)*coupl&
                      (nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*coupl(nGC_134)*    &
                      coupl(nGC_170)*coupl(nGC_173) + 4d0*Nc*cMD*coupl(nGC_146 &
                      )*coupl(nGC_149)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(      &
                      nGC_146)*coupl(nGC_195)*coupl(nGC_196) + 4d0*Nc*cMD*coupl&
                      (nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*cMD*    &
                      coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 2d0*Nc*cMS&
                      *coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174) + 4d0*Nc*  &
                      cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc&
                      *cMS*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0* &
                      Nc*cMS*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0&
                      *Nc*cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) +   &
                      2d0*Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181   &
                      ) + 4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(      &
                      nGC_180) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl&
                      (nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*    &
                      coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(      &
                      nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_193)*coupl&
                      (nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(nGC_154)*coupl( &
                      nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(nGC_162)*coupl(  &
                      nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl(nGC_185)*coupl( &
                      nGC_188)*coupl(nGC_189) + 4d0*cima*coupl(nGC_102)*coupl( &
                      nGC_16) + 4d0*cima*coupl(nGC_107)*coupl(nGC_15) + 4d0*   &
                      cima*coupl(nGC_126)*coupl(nGC_70) + 4d0*cima*coupl(      &
                      nGC_127)*coupl(nGC_66) + coupl(nGC_1005)*coupl(nGC_103)* &
                      coupl(nGC_1611) + coupl(nGC_1005)*coupl(nGC_105)*coupl(  &
                      nGC_617) - coupl(nGC_1005)*coupl(nGC_107)*coupl(nGC_2297 &
                      ) + coupl(nGC_1005)*coupl(nGC_110)*coupl(nGC_63) + coupl(&
                      nGC_1005)*coupl(nGC_118)*coupl(nGC_68) - coupl(nGC_1005)*&
                      coupl(nGC_127)*coupl(nGC_655) - coupl(nGC_102)*coupl(    &
                      nGC_2297)*coupl(nGC_617) - coupl(nGC_102)*coupl(nGC_683)*&
                      coupl(nGC_72) + coupl(nGC_103)*coupl(nGC_617)**2d0 +     &
                      coupl(nGC_106)*coupl(nGC_1611)*coupl(nGC_617) - coupl(   &
                      nGC_107)*coupl(nGC_871)*coupl(nGC_92) + coupl(nGC_108)*  &
                      coupl(nGC_617)*coupl(nGC_68) + coupl(nGC_111)*coupl(     &
                      nGC_2297)**2d0 + coupl(nGC_111)*coupl(nGC_63)*coupl(     &
                      nGC_64) + coupl(nGC_111)*coupl(nGC_655)**2d0 + coupl(    &
                      nGC_111)*coupl(nGC_68)*coupl(nGC_69) + coupl(nGC_112)*   &
                      coupl(nGC_72)*coupl(nGC_871) + coupl(nGC_115)*coupl(     &
                      nGC_683)*coupl(nGC_96) + coupl(nGC_115)*coupl(nGC_69)*   &
                      coupl(nGC_871) + coupl(nGC_115)*coupl(nGC_94)*coupl(     &
                      nGC_96) + coupl(nGC_116)*coupl(nGC_617)*coupl(nGC_64) +  &
                      coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(      &
                      nGC_119)*coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_122)*   &
                      coupl(nGC_1671)*coupl(nGC_96) + coupl(nGC_122)*coupl(    &
                      nGC_63)*coupl(nGC_72) + coupl(nGC_122)*coupl(nGC_92)*    &
                      coupl(nGC_96) - coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_68&
                      ) - coupl(nGC_125)*coupl(nGC_64)*coupl(nGC_68) - coupl(  &
                      nGC_126)*coupl(nGC_617)*coupl(nGC_655))/(32d0*pi**2d0)
    coupl(nGC_18638) = coupl(nGC_15506) + coupl(nGC_18636)
    coupl(nGC_18635) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2 +  &
                       coupl(nGC_9395)
    coupl(nGC_18637) = coupl(nGC_15506) + coupl(nGC_18635)
    coupl(nGC_29815) = -coupl(nGC_8814)
    coupl(nGC_17500) = coupl(nGC_13928) + coupl(nGC_17498)
    coupl(nGC_32089) = -coupl(nGC_8817)
    coupl(nGC_30952) = -coupl(nGC_8842)
    coupl(nGC_22652) = -coupl(nGC_13614) + coupl(nGC_13615)
    coupl(nGC_14684) = coupl(nGC_9386) + coupl(nGC_99)*dZHh_QED2 + coupl(nGC_99&
                       )*dZZ_QED2
    coupl(nGC_31634) = -coupl(nGC_8839)
    coupl(nGC_12885) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_65)*dZA_QED2/2d0&
                        + coupl(nGC_65)*dZHl_QED2/2d0 + coupl(nGC_65)*         &
                       dZWMinus_QED2/2d0 + coupl(nGC_70)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0 + coupl(nGC_9358)
    coupl(nGC_9188) = (20d0*Nc*cima*coupl(nGC_135)**2d0*coupl(nGC_136)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_140)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_151)**2d0*coupl(nGC_152)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_175)**2d0*coupl(nGC_176)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_182)**2d0*coupl(nGC_183)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_198)**2d0 +   &
                      3d0*cima*coupl(nGC_101)**2d0 + 20d0*cima*coupl(nGC_159)**&
                      2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl(nGC_167)**2d0* &
                      coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_190)**2d0*coupl&
                      (nGC_191)**2d0 - 5d0*cima*coupl(nGC_2059)**2d0*coupl(    &
                      nGC_91)**2d0 - 10d0*cima*coupl(nGC_2059)*coupl(nGC_683)* &
                      coupl(nGC_91)*coupl(nGC_94) + 6d0*cima*coupl(nGC_62)**2d0&
                       - 5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_94)**2d0 - 10d0&
                      *cima*coupl(nGC_72)**2d0*coupl(nGC_871)**2d0 - 3d0*coupl(&
                      nGC_101)*coupl(nGC_2059)*coupl(nGC_91) - 3d0*coupl(      &
                      nGC_101)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_25)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_39)*coupl(nGC_91) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_33)*coupl(&
                      nGC_683)*coupl(nGC_94) + 6d0*coupl(nGC_53)*coupl(nGC_72)*&
                      coupl(nGC_871) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(  &
                      nGC_871))/(16d0*pi**2d0)
    coupl(nGC_9189) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)**2d0*coupl(  &
                      nGC_136) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)**  &
                      2d0*coupl(nGC_843) + 20d0*Nc*cima*coupl(nGC_139)**2d0*   &
                      coupl(nGC_140)*coupl(nGC_143) + 20d0*Nc*cima*coupl(      &
                      nGC_139)*coupl(nGC_140)**2d0*coupl(nGC_144) + 20d0*Nc*   &
                      cima*coupl(nGC_147)*coupl(nGC_151)*coupl(nGC_152)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)**2d0*coupl(   &
                      nGC_152) + 20d0*Nc*cima*coupl(nGC_1495)*coupl(nGC_197)*  &
                      coupl(nGC_198)**2d0 + 20d0*Nc*cima*coupl(nGC_171)*coupl( &
                      nGC_175)*coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_172&
                      )*coupl(nGC_175)**2d0*coupl(nGC_176) + 20d0*Nc*cima*coupl&
                      (nGC_179)*coupl(nGC_182)**2d0*coupl(nGC_183) + 20d0*Nc*  &
                      cima*coupl(nGC_182)*coupl(nGC_183)**2d0*coupl(nGC_891) + &
                      20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_197)**2d0*coupl(   &
                      nGC_198) + 20d0*cima*coupl(nGC_155)*coupl(nGC_159)*coupl(&
                      nGC_160)**2d0 + 20d0*cima*coupl(nGC_156)*coupl(nGC_159)**&
                      2d0*coupl(nGC_160) + 20d0*cima*coupl(nGC_163)*coupl(     &
                      nGC_167)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_164)* &
                      coupl(nGC_167)**2d0*coupl(nGC_168) - 5d0*cima*coupl(     &
                      nGC_1671)*coupl(nGC_2059)*coupl(nGC_91)*coupl(nGC_94) -  &
                      5d0*cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_94)**  &
                      2d0 + 20d0*cima*coupl(nGC_186)*coupl(nGC_190)*coupl(     &
                      nGC_191)**2d0 + 20d0*cima*coupl(nGC_187)*coupl(nGC_190)**&
                      2d0*coupl(nGC_191) - 5d0*cima*coupl(nGC_2059)**2d0*coupl(&
                      nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_2059)*coupl(  &
                      nGC_683)*coupl(nGC_91)**2d0 - 5d0*cima*coupl(nGC_2059)*  &
                      coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*   &
                      coupl(nGC_2059)*coupl(nGC_683)*coupl(nGC_94)**2d0 - 5d0* &
                      cima*coupl(nGC_683)**2d0*coupl(nGC_91)*coupl(nGC_94) -   &
                      5d0*cima*coupl(nGC_683)**2d0*coupl(nGC_92)*coupl(nGC_94  &
                      ) - 2d0*coupl(nGC_101)*coupl(nGC_1671)*coupl(nGC_94) -   &
                      coupl(nGC_101)*coupl(nGC_2059)*coupl(nGC_94) - 2d0*coupl(&
                      nGC_101)*coupl(nGC_683)*coupl(nGC_91) - coupl(nGC_101)*  &
                      coupl(nGC_683)*coupl(nGC_92) + coupl(nGC_1671)*coupl(    &
                      nGC_25)*coupl(nGC_91) + coupl(nGC_1671)*coupl(nGC_33)*   &
                      coupl(nGC_94) + 2d0*coupl(nGC_2059)*coupl(nGC_25)*coupl( &
                      nGC_92) + 3d0*coupl(nGC_2059)*coupl(nGC_28)*coupl(nGC_91 &
                      ) + 3d0*coupl(nGC_2059)*coupl(nGC_37)*coupl(nGC_94) + 2d0&
                      *coupl(nGC_2059)*coupl(nGC_39)*coupl(nGC_94) + 3d0*coupl(&
                      nGC_25)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_29)*&
                      coupl(nGC_683)*coupl(nGC_94) + 2d0*coupl(nGC_33)*coupl(  &
                      nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(nGC_683 &
                      )*coupl(nGC_91) + coupl(nGC_39)*coupl(nGC_683)*coupl(    &
                      nGC_91) + 12d0*coupl(nGC_43)*coupl(nGC_72)*coupl(nGC_871 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_13169) = coupl(nGC_9651) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(  &
                       nGC_TS_GC_124_Hl) + coupl(nGC_TS_GC_125_Hh)
    coupl(nGC_9184) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl&
                      (nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*    &
                      coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(  &
                      nGC_138)*coupl(nGC_142)*coupl(nGC_84)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)*coupl(nGC_88&
                      ) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(    &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150 &
                      )*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)*coupl(&
                      nGC_150)*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl&
                      (nGC_146)*coupl(nGC_150)*coupl(nGC_88)**2d0 - 16d0*Nc*   &
                      cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84)*&
                      coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174&
                      )*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(&
                      nGC_181)*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178 &
                      )*coupl(nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                      cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl&
                      (nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*    &
                      coupl(nGC_196)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(      &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_2059)*coupl(nGC_91   &
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*coupl(      &
                      nGC_683)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_1611)*coupl(nGC_2059)*coupl(nGC_94) + 4d0*cima*coupl(&
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_683)*coupl(nGC_92) + &
                      4d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_1671)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_683)*  &
                      coupl(nGC_91) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*&
                      coupl(nGC_1671)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1391)*&
                      coupl(nGC_1611)*coupl(nGC_683)*coupl(nGC_94) - 16d0*cima*&
                      coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)**2d0 + 20d0* &
                      cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)*coupl(  &
                      nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl( &
                      nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)*coupl(nGC_166)*  &
                      coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl(     &
                      nGC_166)*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(  &
                      nGC_162)*coupl(nGC_166)*coupl(nGC_90)**2d0 + 4d0*cima*   &
                      coupl(nGC_1671)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_94&
                      ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86 &
                      )**2d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(  &
                      nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(  &
                      nGC_189)*coupl(nGC_90)**2d0 + 9d0*cima*coupl(nGC_63)*    &
                      coupl(nGC_69)*coupl(nGC_807)**2d0 + 9d0*cima*coupl(nGC_64&
                      )*coupl(nGC_69)*coupl(nGC_807)**2d0 + 4d0*cima*coupl(    &
                      nGC_683)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_91) + 3d0&
                      *coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_99) - 3d0*    &
                      coupl(nGC_1015)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl( &
                      nGC_1015)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_99) - 6d0*coupl(     &
                      nGC_14)*coupl(nGC_69)*coupl(nGC_807) - 6d0*coupl(nGC_15)*&
                      coupl(nGC_69)*coupl(nGC_807) - 6d0*coupl(nGC_16)*coupl(  &
                      nGC_63)*coupl(nGC_807) - 6d0*coupl(nGC_16)*coupl(nGC_64)*&
                      coupl(nGC_807))/(96d0*pi**2d0)
    coupl(nGC_9185) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_132)*coupl(     &
                      nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_132)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_148)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_172)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_194)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_68)*coupl(nGC_72)*coupl( &
                      nGC_96) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_683)*coupl( &
                      nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1671)* &
                      coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(     &
                      nGC_64)*coupl(nGC_72)*coupl(nGC_96) + 20d0*cima*coupl(   &
                      nGC_156)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_156)*coupl(nGC_158)* &
                      coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_164)*  &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 9d0*cima*coupl(nGC_1671)*coupl(nGC_69)*&
                      coupl(nGC_807)*coupl(nGC_82) + 20d0*cima*coupl(nGC_187)* &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_64)*&
                      coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96) + 9d0*cima*    &
                      coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_807)*coupl(nGC_82 &
                      ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_72)**2d0*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_68)*coupl(nGC_72)**2d0*coupl&
                      (nGC_91) + 4d0*cima*coupl(nGC_871)*coupl(nGC_91)*coupl(  &
                      nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_871)*coupl(   &
                      nGC_92)*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_1005 &
                      )*coupl(nGC_16)*coupl(nGC_72) + 6d0*coupl(nGC_1391)*coupl&
                      (nGC_15)*coupl(nGC_72) - 6d0*coupl(nGC_14)*coupl(nGC_683 &
                      )*coupl(nGC_82) + 6d0*coupl(nGC_14)*coupl(nGC_94)*coupl( &
                      nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_1671)*coupl(nGC_82 &
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_92)*coupl(nGC_96) - 6d0* &
                      coupl(nGC_1671)*coupl(nGC_69)*coupl(nGC_79) - 6d0*coupl( &
                      nGC_64)*coupl(nGC_683)*coupl(nGC_79))/(192d0*pi**2d0)
    coupl(nGC_9186) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*coupl(     &
                      nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)**2d0*coupl(nGC_617)*coupl(nGC_96   &
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_2059)*coupl(      &
                      nGC_617)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1005)*coupl( &
                      nGC_617)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(   &
                      nGC_1005)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_96) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_683)*coupl(&
                      nGC_72) + 4d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_617)*  &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1671)*&
                      coupl(nGC_63)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_617)*coupl(nGC_683)*coupl(nGC_72) + 4d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_72)*coupl(nGC_94&
                      ) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_64)*&
                      coupl(nGC_96) + 20d0*cima*coupl(nGC_157)*coupl(nGC_158)* &
                      coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_157)*  &
                      coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79) + 20d0*cima*   &
                      coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_165)*coupl(nGC_166 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1671  &
                      )**2d0*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*coupl(     &
                      nGC_1671)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_96) +   &
                      20d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_188)*coupl(nGC_189)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_188)*  &
                      coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_2059)*coupl(nGC_64)*coupl(nGC_683)*coupl(nGC_96&
                      ) + 4d0*cima*coupl(nGC_2297)*coupl(nGC_683)*coupl(nGC_871&
                      )*coupl(nGC_96) + 9d0*cima*coupl(nGC_2297)*coupl(nGC_69)*&
                      coupl(nGC_807)*coupl(nGC_82) + 4d0*cima*coupl(nGC_617)*  &
                      coupl(nGC_72)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_63 &
                      )*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_91   &
                      ) + 9d0*cima*coupl(nGC_647)*coupl(nGC_655)*coupl(nGC_69)*&
                      coupl(nGC_82) + 4d0*cima*coupl(nGC_683)**2d0*coupl(nGC_69&
                      )*coupl(nGC_96) + 24d0*cima*coupl(nGC_70)*coupl(nGC_953  &
                      ) + 9d0*cima*coupl(nGC_807)*coupl(nGC_82)*coupl(nGC_871)*&
                      coupl(nGC_94) - 6d0*coupl(nGC_100)*coupl(nGC_69)*coupl(  &
                      nGC_807) + 6d0*coupl(nGC_1005)*coupl(nGC_14)*coupl(      &
                      nGC_617) + 6d0*coupl(nGC_1005)*coupl(nGC_16)*coupl(nGC_63&
                      ) + 6d0*coupl(nGC_1391)*coupl(nGC_15)*coupl(nGC_63) + 6d0&
                      *coupl(nGC_1391)*coupl(nGC_16)*coupl(nGC_617) - 6d0*coupl&
                      (nGC_16)*coupl(nGC_2297)*coupl(nGC_807) - 6d0*coupl(     &
                      nGC_16)*coupl(nGC_647)*coupl(nGC_655) + 36d0*coupl(nGC_16&
                      )*coupl(nGC_807)*coupl(nGC_82) + 6d0*coupl(nGC_20)*coupl(&
                      nGC_617)*coupl(nGC_72) + 6d0*coupl(nGC_20)*coupl(nGC_683 &
                      )*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl( &
                      nGC_94) - 6d0*coupl(nGC_2297)*coupl(nGC_69)*coupl(nGC_79 &
                      ) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl(nGC_807) - 6d0*&
                      coupl(nGC_61)*coupl(nGC_69)*coupl(nGC_807) - 6d0*coupl(  &
                      nGC_62)*coupl(nGC_69)*coupl(nGC_82) - 6d0*coupl(nGC_647)*&
                      coupl(nGC_69)*coupl(nGC_97) - 6d0*coupl(nGC_655)*coupl(  &
                      nGC_69)*coupl(nGC_953) - 6d0*coupl(nGC_69)*coupl(nGC_82)*&
                      coupl(nGC_99) - 6d0*coupl(nGC_79)*coupl(nGC_871)*coupl(  &
                      nGC_94))/(192d0*pi**2d0)
    coupl(nGC_9187) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl(nGC_96  &
                      ) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)*coupl(      &
                      nGC_2059)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1005)*coupl(&
                      nGC_1611)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_96) + 4d0&
                      *cima*coupl(nGC_1005)*coupl(nGC_683)*coupl(nGC_69)*coupl(&
                      nGC_72) + 4d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_1611)* &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*&
                      coupl(nGC_683)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_1611)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_1671)*coupl(nGC_69)*coupl(     &
                      nGC_72) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_64)*coupl(  &
                      nGC_69)*coupl(nGC_96) + 24d0*cima*coupl(nGC_14)*coupl(   &
                      nGC_79) + 20d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl( &
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_153)*coupl(  &
                      nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) +    &
                      20d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)*   &
                      coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_166)* &
                      coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161)*  &
                      coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_72)**2d0*coupl(nGC_96) + 4d0*  &
                      cima*coupl(nGC_1671)*coupl(nGC_683)*coupl(nGC_69)*coupl( &
                      nGC_96) + 20d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl( &
                      nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(  &
                      nGC_189)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(  &
                      nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0&
                      *cima*coupl(nGC_2059)**2d0*coupl(nGC_64)*coupl(nGC_96) + &
                      4d0*cima*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_871)* &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_2059)*coupl(nGC_683)* &
                      coupl(nGC_69)*coupl(nGC_96) + 9d0*cima*coupl(nGC_2297)*  &
                      coupl(nGC_64)*coupl(nGC_807)*coupl(nGC_82) + 9d0*cima*   &
                      coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_655)*coupl(nGC_82 &
                      ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_683)**2d0*coupl(    &
                      nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(    &
                      nGC_72)*coupl(nGC_94) + 24d0*cima*coupl(nGC_65)*coupl(   &
                      nGC_953) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(   &
                      nGC_72)*coupl(nGC_91) + 9d0*cima*coupl(nGC_807)*coupl(   &
                      nGC_82)*coupl(nGC_871)*coupl(nGC_91) - 6d0*coupl(nGC_100 &
                      )*coupl(nGC_64)*coupl(nGC_807) + 6d0*coupl(nGC_1005)*    &
                      coupl(nGC_14)*coupl(nGC_1611) + 6d0*coupl(nGC_1005)*coupl&
                      (nGC_16)*coupl(nGC_69) + 6d0*coupl(nGC_1391)*coupl(nGC_15&
                      )*coupl(nGC_69) + 6d0*coupl(nGC_1391)*coupl(nGC_16)*coupl&
                      (nGC_1611) - 6d0*coupl(nGC_14)*coupl(nGC_2297)*coupl(    &
                      nGC_807) - 6d0*coupl(nGC_14)*coupl(nGC_647)*coupl(nGC_655&
                      ) + 36d0*coupl(nGC_14)*coupl(nGC_807)*coupl(nGC_82) + 6d0&
                      *coupl(nGC_1611)*coupl(nGC_20)*coupl(nGC_72) + 6d0*coupl(&
                      nGC_20)*coupl(nGC_2059)*coupl(nGC_96) - 6d0*coupl(nGC_20 &
                      )*coupl(nGC_82)*coupl(nGC_91) - 6d0*coupl(nGC_2297)*coupl&
                      (nGC_64)*coupl(nGC_79) + 36d0*coupl(nGC_3)*coupl(nGC_65)*&
                      coupl(nGC_807) - 6d0*coupl(nGC_61)*coupl(nGC_64)*coupl(  &
                      nGC_807) - 6d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_82  &
                      ) - 6d0*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_97) - 6d0*&
                      coupl(nGC_64)*coupl(nGC_655)*coupl(nGC_953) - 6d0*coupl( &
                      nGC_64)*coupl(nGC_82)*coupl(nGC_99) - 6d0*coupl(nGC_79)* &
                      coupl(nGC_871)*coupl(nGC_91))/(192d0*pi**2d0)
    coupl(nGC_9180) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                      coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174) + &
                      20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_170 &
                      )*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                      (nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_137)** &
                      2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(  &
                      nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl(nGC_180) +  &
                      20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_180 &
                      )*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc*cima*coupl(nGC_146&
                      )*coupl(nGC_149)**2d0*coupl(nGC_150) + 20d0*Nc*cima*coupl&
                      (nGC_146)*coupl(nGC_149)*coupl(nGC_195)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_195 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_193)*&
                      coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_149)*coupl(      &
                      nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 20d0*Nc*cima*   &
                      coupl(nGC_170)*coupl(nGC_173)**2d0*coupl(nGC_174) + 20d0*&
                      Nc*cima*coupl(nGC_178)*coupl(nGC_180)**2d0*coupl(nGC_181 &
                      ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)**2d0*coupl&
                      (nGC_196) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_1611)*   &
                      coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_1611)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_1671)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69 &
                      ) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_64)*coupl(nGC_68 &
                      )*coupl(nGC_69) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16   &
                      ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(  &
                      nGC_158) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_63)*coupl(&
                      nGC_64)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1611)*coupl( &
                      nGC_64)**2d0*coupl(nGC_69) - 5d0*cima*coupl(nGC_1611)*   &
                      coupl(nGC_871)*coupl(nGC_94)*coupl(nGC_96) + 20d0*cima*  &
                      coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(nGC_166) + 20d0*&
                      cima*coupl(nGC_185)*coupl(nGC_188)**2d0*coupl(nGC_189) - &
                      5d0*cima*coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_683)*   &
                      coupl(nGC_72) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_69)*  &
                      coupl(nGC_871)*coupl(nGC_92) + 24d0*cima*coupl(nGC_66)*  &
                      coupl(nGC_70) - 10d0*cima*coupl(nGC_683)*coupl(nGC_72)*  &
                      coupl(nGC_871)*coupl(nGC_92) + 3d0*coupl(nGC_10)*coupl(  &
                      nGC_1005)*coupl(nGC_1611) + 3d0*coupl(nGC_10)*coupl(     &
                      nGC_1391)**2d0 + 3d0*coupl(nGC_1005)*coupl(nGC_13)*coupl(&
                      nGC_1391) + 3d0*coupl(nGC_1005)*coupl(nGC_44)*coupl(     &
                      nGC_63) + 3d0*coupl(nGC_1005)*coupl(nGC_60)*coupl(nGC_617&
                      ) + 3d0*coupl(nGC_12)*coupl(nGC_1391)*coupl(nGC_1611) -  &
                      6d0*coupl(nGC_1391)*coupl(nGC_15)*coupl(nGC_96) + 3d0*   &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_57) - 6d0*coupl&
                      (nGC_1391)*coupl(nGC_17)*coupl(nGC_66) + 6d0*coupl(      &
                      nGC_1391)*coupl(nGC_23)*coupl(nGC_69) + 6d0*coupl(       &
                      nGC_1391)*coupl(nGC_32)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1391)*coupl(nGC_45)*coupl(nGC_68) - 6d0*coupl(nGC_15 &
                      )*coupl(nGC_683)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(&
                      nGC_1611)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_871&
                      )*coupl(nGC_92) - 6d0*coupl(nGC_1611)*coupl(nGC_17)*coupl&
                      (nGC_70) + 6d0*coupl(nGC_1611)*coupl(nGC_22)*coupl(nGC_64&
                      ) + 6d0*coupl(nGC_1611)*coupl(nGC_34)*coupl(nGC_69) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_44)*coupl(nGC_64) + 6d0*coupl(&
                      nGC_1671)*coupl(nGC_2297)*coupl(nGC_49) + 3d0*coupl(     &
                      nGC_1671)*coupl(nGC_42)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_27) + 6d0*coupl(nGC_2297)*coupl(nGC_41)*&
                      coupl(nGC_683) + 6d0*coupl(nGC_2297)*coupl(nGC_41)*coupl(&
                      nGC_94) + 6d0*coupl(nGC_2297)*coupl(nGC_49)*coupl(nGC_92 &
                      ) + 6d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64) + 6d0* &
                      coupl(nGC_27)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(   &
                      nGC_27)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_29)*coupl(    &
                      nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_36)*coupl(nGC_64)*&
                      coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl(   &
                      nGC_69) + 6d0*coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_43)*coupl(nGC_683)*coupl(nGC_94) + 3d0*&
                      coupl(nGC_45)*coupl(nGC_617)*coupl(nGC_69) + 6d0*coupl(  &
                      nGC_49)*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_57)* &
                      coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl(   &
                      nGC_683)*coupl(nGC_92) + 3d0*coupl(nGC_60)*coupl(nGC_64)*&
                      coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(   &
                      nGC_69) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_9181) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_133&
                      )*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl(      &
                      nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                      coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(      &
                      nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174) +  &
                      20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169 &
                      )*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)*coupl(    &
                      nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*   &
                      coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl(      &
                      nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*   &
                      coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(      &
                      nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) +  &
                      10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_177 &
                      )*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(    &
                      nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*   &
                      coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(      &
                      nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                      10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_195 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*   &
                      coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl(      &
                      nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*   &
                      coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195) +  &
                      10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_192 &
                      )*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)*coupl(    &
                      nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl(      &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*   &
                      coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_1611)*coupl(nGC_17)**2d0 - 5d0*cima*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_96)**2d0 - 5d0*cima* &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69 &
                      ) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_64)*coupl(nGC_68)*&
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)**2d0*coupl(     &
                      nGC_17)**2d0 - 5d0*cima*coupl(nGC_1391)**2d0*coupl(nGC_96&
                      )**2d0 - 5d0*cima*coupl(nGC_1391)*coupl(nGC_63)**2d0*    &
                      coupl(nGC_69) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_63)* &
                      coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*  &
                      coupl(nGC_64)**2d0*coupl(nGC_69) - 5d0*cima*coupl(       &
                      nGC_1391)*coupl(nGC_683)*coupl(nGC_72)*coupl(nGC_96) +   &
                      12d0*cima*coupl(nGC_14)*coupl(nGC_15) + 20d0*cima*coupl( &
                      nGC_153)*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158) +  &
                      12d0*cima*coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)* &
                      coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_166) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69 &
                      ) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68)*&
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1611)*coupl(nGC_871)* &
                      coupl(nGC_91)*coupl(nGC_96) + 20d0*cima*coupl(nGC_184)*  &
                      coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189) - 5d0*cima* &
                      coupl(nGC_2059)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_92&
                      ) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_64)*coupl(nGC_871 &
                      )*coupl(nGC_92) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_683 &
                      )*coupl(nGC_69)*coupl(nGC_72) + 12d0*cima*coupl(nGC_65)* &
                      coupl(nGC_66) - 5d0*cima*coupl(nGC_683)*coupl(nGC_72)*   &
                      coupl(nGC_871)*coupl(nGC_94) + 12d0*cima*coupl(nGC_70)** &
                      2d0 + 3d0*coupl(nGC_10)*coupl(nGC_1391)*coupl(nGC_1611   &
                      ) + 3d0*coupl(nGC_1005)*coupl(nGC_13)*coupl(nGC_1611) +  &
                      3d0*coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_9) - 3d0*  &
                      coupl(nGC_1005)*coupl(nGC_15)*coupl(nGC_96) + 3d0*coupl( &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_57) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_60) - 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_17)*coupl(nGC_66) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_23)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_32)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_44)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_68) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_1391)**2d0 - 6d0*coupl(nGC_1391)*coupl(nGC_16&
                      )*coupl(nGC_96) - 6d0*coupl(nGC_1391)*coupl(nGC_17)*coupl&
                      (nGC_70) + 3d0*coupl(nGC_1391)*coupl(nGC_22)*coupl(nGC_64&
                      ) + 3d0*coupl(nGC_1391)*coupl(nGC_23)*coupl(nGC_63) + 3d0&
                      *coupl(nGC_1391)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(&
                      nGC_1391)*coupl(nGC_35)*coupl(nGC_69) - 3d0*coupl(nGC_14 &
                      )*coupl(nGC_1611)*coupl(nGC_96) - 3d0*coupl(nGC_14)*coupl&
                      (nGC_871)*coupl(nGC_92) - 3d0*coupl(nGC_15)*coupl(       &
                      nGC_2059)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(nGC_683&
                      )*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(nGC_871)*coupl(&
                      nGC_94) - 3d0*coupl(nGC_1611)*coupl(nGC_17)*coupl(nGC_65 &
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_22)*coupl(nGC_69) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_30)*coupl(nGC_64) + 3d0*coupl(&
                      nGC_1611)*coupl(nGC_44)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_45)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1671)*coupl(nGC_2297)*coupl(nGC_41) + 3d0*coupl(     &
                      nGC_17)**2d0*coupl(nGC_36) + 3d0*coupl(nGC_2059)*coupl(  &
                      nGC_2297)*coupl(nGC_41) + 3d0*coupl(nGC_2059)*coupl(     &
                      nGC_43)*coupl(nGC_94) + 3d0*coupl(nGC_2059)*coupl(nGC_58 &
                      )*coupl(nGC_92) + 3d0*coupl(nGC_2297)*coupl(nGC_41)*coupl&
                      (nGC_91) + 3d0*coupl(nGC_2297)*coupl(nGC_41)*coupl(nGC_92&
                      ) + 3d0*coupl(nGC_2297)*coupl(nGC_48)*coupl(nGC_683) +   &
                      3d0*coupl(nGC_2297)*coupl(nGC_48)*coupl(nGC_94) + 3d0*   &
                      coupl(nGC_2297)*coupl(nGC_49)*coupl(nGC_683) + 3d0*coupl(&
                      nGC_2297)*coupl(nGC_49)*coupl(nGC_94) + 3d0*coupl(nGC_24 &
                      )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl( &
                      nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_63)* &
                      coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(   &
                      nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_64   &
                      ) + 6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(nGC_69) + 3d0* &
                      coupl(nGC_36)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_37)*    &
                      coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_41)*coupl(  &
                      nGC_63)*coupl(nGC_871) + 3d0*coupl(nGC_41)*coupl(nGC_64)*&
                      coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_683)*coupl(  &
                      nGC_92) + 3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_57)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_58)*    &
                      coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_60)*coupl(  &
                      nGC_68)**2d0)/(96d0*pi**2d0)
    coupl(nGC_9182) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(  &
                      nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170&
                      )*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)*coupl(    &
                      nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*   &
                      coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl(      &
                      nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*   &
                      coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl( &
                      nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138&
                      )*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*&
                      cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_178)*coupl(   &
                      nGC_181) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*   &
                      coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*cima*coupl(      &
                      nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150) + 20d0*Nc*   &
                      cima*coupl(nGC_145)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_192 &
                      )*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                      nGC_150)*coupl(nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*   &
                      coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)**2d0 + 20d0*&
                      Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_170)*coupl(nGC_174 &
                      ) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_178)*coupl&
                      (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(      &
                      nGC_193)*coupl(nGC_196) - 10d0*cima*coupl(nGC_1005)*coupl&
                      (nGC_1391)*coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_1005 &
                      )*coupl(nGC_1391)*coupl(nGC_96)**2d0 - 10d0*cima*coupl(  &
                      nGC_1005)*coupl(nGC_63)**2d0*coupl(nGC_69) - 10d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69 &
                      ) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_683)*coupl(nGC_72 &
                      )*coupl(nGC_96) - 10d0*cima*coupl(nGC_1391)*coupl(nGC_63 &
                      )*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1391 &
                      )*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_871)*coupl(nGC_91)*coupl(nGC_96&
                      ) + 24d0*cima*coupl(nGC_14)*coupl(nGC_16) + 20d0*cima*   &
                      coupl(nGC_153)**2d0*coupl(nGC_154)*coupl(nGC_158) + 20d0*&
                      cima*coupl(nGC_161)**2d0*coupl(nGC_162)*coupl(nGC_166) + &
                      20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_185)*coupl(      &
                      nGC_189) - 5d0*cima*coupl(nGC_2059)*coupl(nGC_2297)*coupl&
                      (nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(nGC_2059)*coupl(&
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) - 5d0*cima*coupl(   &
                      nGC_2297)*coupl(nGC_64)*coupl(nGC_871)*coupl(nGC_94) +   &
                      24d0*cima*coupl(nGC_65)*coupl(nGC_70) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_11)*coupl(nGC_1391) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_57) - 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_16)*coupl(nGC_96) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_9) - 6d0*coupl(      &
                      nGC_1005)*coupl(nGC_17)*coupl(nGC_70) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_23)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1005)*coupl(nGC_35)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_45)*coupl(nGC_63) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_1391)*coupl(nGC_1611) + 3d0*coupl(nGC_1391)**&
                      2d0*coupl(nGC_9) - 6d0*coupl(nGC_1391)*coupl(nGC_14)*    &
                      coupl(nGC_96) - 6d0*coupl(nGC_1391)*coupl(nGC_17)*coupl( &
                      nGC_65) + 6d0*coupl(nGC_1391)*coupl(nGC_22)*coupl(nGC_69 &
                      ) + 6d0*coupl(nGC_1391)*coupl(nGC_30)*coupl(nGC_64) + 3d0&
                      *coupl(nGC_1391)*coupl(nGC_44)*coupl(nGC_68) - 6d0*coupl(&
                      nGC_14)*coupl(nGC_871)*coupl(nGC_94) - 6d0*coupl(nGC_16)*&
                      coupl(nGC_2059)*coupl(nGC_72) + 3d0*coupl(nGC_1611)*coupl&
                      (nGC_45)*coupl(nGC_64) + 3d0*coupl(nGC_1611)*coupl(nGC_60&
                      )*coupl(nGC_617) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_24   &
                      ) + 6d0*coupl(nGC_2059)*coupl(nGC_2297)*coupl(nGC_48) +  &
                      3d0*coupl(nGC_2059)*coupl(nGC_43)*coupl(nGC_91) + 3d0*   &
                      coupl(nGC_2059)*coupl(nGC_58)*coupl(nGC_94) + 6d0*coupl( &
                      nGC_2297)*coupl(nGC_41)*coupl(nGC_683) + 6d0*coupl(      &
                      nGC_2297)*coupl(nGC_41)*coupl(nGC_94) + 6d0*coupl(       &
                      nGC_2297)*coupl(nGC_48)*coupl(nGC_91) + 6d0*coupl(nGC_24 &
                      )*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_24)*coupl( &
                      nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl(nGC_96)**&
                      2d0 + 3d0*coupl(nGC_28)*coupl(nGC_72)*coupl(nGC_871) +   &
                      6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl&
                      (nGC_36)*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl(nGC_41)*&
                      coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl(   &
                      nGC_683)*coupl(nGC_94) + 3d0*coupl(nGC_44)*coupl(nGC_617 &
                      )*coupl(nGC_69) + 6d0*coupl(nGC_48)*coupl(nGC_63)*coupl( &
                      nGC_871) + 3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_69  &
                      ) + 3d0*coupl(nGC_58)*coupl(nGC_683)*coupl(nGC_91) + 3d0*&
                      coupl(nGC_60)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(   &
                      nGC_61)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_61)* &
                      coupl(nGC_64)*coupl(nGC_69))/(96d0*pi**2d0)
    coupl(nGC_9183) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_80&
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl&
                      (nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150&
                      )*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                      nGC_174)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_178 &
                      )*coupl(nGC_181)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(&
                      nGC_193)*coupl(nGC_196)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1005)**2d0*coupl(nGC_1391)*coupl(nGC_63) + 4d0*&
                      cima*coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl(nGC_68   &
                      ) + 4d0*cima*coupl(nGC_1005)**2d0*coupl(nGC_1611)*coupl( &
                      nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391)**2d0* &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*&
                      coupl(nGC_1611)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1005)*&
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_64) + 4d0*cima*&
                      coupl(nGC_1005)*coupl(nGC_1391)*coupl(nGC_617)*coupl(    &
                      nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611)**2d0* &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_1005)*coupl(nGC_1611  &
                      )**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_1005)*coupl(   &
                      nGC_68)*coupl(nGC_871)**2d0 + 4d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_69)*coupl(nGC_871)**2d0 + 4d0*cima*coupl(      &
                      nGC_1391)**3d0*coupl(nGC_63) + 4d0*cima*coupl(nGC_1391)**&
                      3d0*coupl(nGC_64) + 4d0*cima*coupl(nGC_1391)**2d0*coupl( &
                      nGC_1611)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1391)**2d0* &
                      coupl(nGC_617)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1391)**&
                      2d0*coupl(nGC_617)*coupl(nGC_64) + 4d0*cima*coupl(       &
                      nGC_1391)*coupl(nGC_1611)**2d0*coupl(nGC_64) + 4d0*cima* &
                      coupl(nGC_1391)*coupl(nGC_1611)*coupl(nGC_617)*coupl(    &
                      nGC_69) + 4d0*cima*coupl(nGC_1391)*coupl(nGC_63)*coupl(  &
                      nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(nGC_63)*   &
                      coupl(nGC_871)**2d0 + 4d0*cima*coupl(nGC_1391)*coupl(    &
                      nGC_64)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1391)*   &
                      coupl(nGC_64)*coupl(nGC_871)**2d0 - 16d0*cima*coupl(     &
                      nGC_154)*coupl(nGC_158)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1611)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*  &
                      cima*coupl(nGC_1611)*coupl(nGC_69)*coupl(nGC_72)**2d0 -  &
                      16d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_80)**  &
                      2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_63)*coupl(   &
                      nGC_69) + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_64)*coupl&
                      (nGC_69) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(&
                      nGC_80)**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)* &
                      coupl(nGC_69) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_64)*&
                      coupl(nGC_69) + 9d0*cima*coupl(nGC_63)*coupl(nGC_69)*    &
                      coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_69 &
                      )*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_64)*coupl(     &
                      nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_64)*coupl&
                      (nGC_69)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_1005)*coupl( &
                      nGC_1391)*coupl(nGC_61) + 6d0*coupl(nGC_1391)*coupl(     &
                      nGC_1611)*coupl(nGC_61) - 6d0*coupl(nGC_14)*coupl(nGC_69 &
                      )*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_69)*coupl( &
                      nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82   &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)*   &
                      coupl(nGC_65)*coupl(nGC_69) - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_66)*coupl(nGC_69) - 6d0*coupl(nGC_63)*coupl(nGC_69)* &
                      coupl(nGC_78) - 6d0*coupl(nGC_64)*coupl(nGC_69)*coupl(   &
                      nGC_78))/(192d0*pi**2d0)
    coupl(nGC_17599) = coupl(nGC_17588) + coupl(nGC_17596)
    coupl(nGC_14775) = coupl(nGC_14769) - coupl(nGC_14774)
    coupl(nGC_17595) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9493)
    coupl(nGC_9215) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)**2d0*coupl(  &
                      nGC_133) + 20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                      coupl(nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_133)*coupl(nGC_170)**2d0 + 20d0*Nc*   &
                      cima*coupl(nGC_131)**2d0*coupl(nGC_169)*coupl(nGC_173) + &
                      20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_169 &
                      )*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_141)*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_137&
                      )*coupl(nGC_141)*coupl(nGC_178)**2d0 + 20d0*Nc*cima*coupl&
                      (nGC_137)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_178) + &
                      20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_178 &
                      )*coupl(nGC_180) + 20d0*Nc*cima*coupl(nGC_142)**2d0*coupl&
                      (nGC_177)*coupl(nGC_180) + 20d0*Nc*cima*coupl(nGC_145)*  &
                      coupl(nGC_146)**2d0*coupl(nGC_149) + 20d0*Nc*cima*coupl( &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_195) +  &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_193 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_192)*&
                      coupl(nGC_195) + 20d0*Nc*cima*coupl(nGC_146)*coupl(      &
                      nGC_149)*coupl(nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*   &
                      coupl(nGC_169)*coupl(nGC_170)**2d0*coupl(nGC_173) + 20d0*&
                      Nc*cima*coupl(nGC_177)*coupl(nGC_178)**2d0*coupl(nGC_180 &
                      ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)**2d0*coupl&
                      (nGC_195) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_1391)*    &
                      coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*  &
                      coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1005)*coupl(nGC_2297)**2d0*coupl(nGC_69) - 5d0*&
                      cima*coupl(nGC_1005)*coupl(nGC_2297)*coupl(nGC_871)*coupl&
                      (nGC_94) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_655)**2d0* &
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1005)*coupl(nGC_69)*  &
                      coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(nGC_1391)* &
                      coupl(nGC_1611)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*  &
                      coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_68&
                      ) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_64 &
                      )*coupl(nGC_68) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_871 &
                      )*coupl(nGC_92)*coupl(nGC_96) + 24d0*cima*coupl(nGC_15)* &
                      coupl(nGC_16) + 20d0*cima*coupl(nGC_153)*coupl(nGC_154)**&
                      2d0*coupl(nGC_157) + 20d0*cima*coupl(nGC_161)*coupl(     &
                      nGC_162)**2d0*coupl(nGC_165) - 5d0*cima*coupl(nGC_1611)**&
                      2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1611&
                      )*coupl(nGC_617)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima* &
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)**2d0 - 5d0* &
                      cima*coupl(nGC_1611)*coupl(nGC_69)*coupl(nGC_72)*coupl(  &
                      nGC_871) - 5d0*cima*coupl(nGC_1671)*coupl(nGC_68)*coupl( &
                      nGC_72)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1671)*coupl(  &
                      nGC_72)*coupl(nGC_871)*coupl(nGC_94) - 5d0*cima*coupl(   &
                      nGC_1671)*coupl(nGC_94)*coupl(nGC_96)**2d0 + 20d0*cima*  &
                      coupl(nGC_184)*coupl(nGC_185)**2d0*coupl(nGC_188) - 5d0* &
                      cima*coupl(nGC_2059)*coupl(nGC_94)*coupl(nGC_96)**2d0 -  &
                      5d0*cima*coupl(nGC_2297)**2d0*coupl(nGC_617)*coupl(nGC_63&
                      ) - 5d0*cima*coupl(nGC_2297)*coupl(nGC_63)*coupl(nGC_683 &
                      )*coupl(nGC_72) - 5d0*cima*coupl(nGC_617)*coupl(nGC_63)* &
                      coupl(nGC_655)**2d0 - 5d0*cima*coupl(nGC_617)*coupl(     &
                      nGC_63)*coupl(nGC_72)*coupl(nGC_871) - 5d0*cima*coupl(   &
                      nGC_617)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_871) +    &
                      24d0*cima*coupl(nGC_66)*coupl(nGC_70) - 5d0*cima*coupl(  &
                      nGC_683)*coupl(nGC_72)*coupl(nGC_871)*coupl(nGC_92) - 5d0&
                      *cima*coupl(nGC_683)*coupl(nGC_91)*coupl(nGC_96)**2d0 -  &
                      5d0*cima*coupl(nGC_683)*coupl(nGC_92)*coupl(nGC_96)**2d0 &
                       + 3d0*coupl(nGC_10)*coupl(nGC_1005)*coupl(nGC_63) - 3d0*&
                      coupl(nGC_100)*coupl(nGC_1671)*coupl(nGC_94) - 3d0*coupl(&
                      nGC_100)*coupl(nGC_683)*coupl(nGC_91) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_13)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_30) - 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_16)*coupl(nGC_2297) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_22) + 6d0*coupl(     &
                      nGC_1005)*coupl(nGC_1611)*coupl(nGC_44) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_51)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_57)*coupl(nGC_68) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_655)*coupl(nGC_70) + 3d0*coupl(nGC_13&
                      )*coupl(nGC_617)*coupl(nGC_63) + 3d0*coupl(nGC_1391)*    &
                      coupl(nGC_22)*coupl(nGC_617) + 3d0*coupl(nGC_1391)*coupl(&
                      nGC_24)*coupl(nGC_69) + 3d0*coupl(nGC_1391)*coupl(nGC_36 &
                      )*coupl(nGC_64) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl&
                      (nGC_63) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_64&
                      ) - 3d0*coupl(nGC_15)*coupl(nGC_2297)*coupl(nGC_617) -   &
                      3d0*coupl(nGC_15)*coupl(nGC_2297)*coupl(nGC_69) - 3d0*   &
                      coupl(nGC_15)*coupl(nGC_683)*coupl(nGC_72) - 3d0*coupl(  &
                      nGC_15)*coupl(nGC_871)*coupl(nGC_94) - 3d0*coupl(nGC_16)*&
                      coupl(nGC_1671)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl( &
                      nGC_2297)*coupl(nGC_63) - 3d0*coupl(nGC_16)*coupl(nGC_871&
                      )*coupl(nGC_92) + 6d0*coupl(nGC_1611)*coupl(nGC_27)*coupl&
                      (nGC_64) + 3d0*coupl(nGC_1611)*coupl(nGC_34)*coupl(      &
                      nGC_617) + 3d0*coupl(nGC_1611)*coupl(nGC_36)*coupl(nGC_68&
                      ) + 3d0*coupl(nGC_1611)*coupl(nGC_36)*coupl(nGC_69) + 3d0&
                      *coupl(nGC_1611)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(&
                      nGC_1611)*coupl(nGC_51)*coupl(nGC_68) + 3d0*coupl(       &
                      nGC_1611)*coupl(nGC_57)*coupl(nGC_69) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_42)*coupl(nGC_92) + 3d0*coupl(       &
                      nGC_2059)*coupl(nGC_56)*coupl(nGC_94) + 3d0*coupl(nGC_22 &
                      )*coupl(nGC_2297)**2d0 + 3d0*coupl(nGC_22)*coupl(nGC_63)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_22)*coupl(nGC_655)**2d0 +  &
                      3d0*coupl(nGC_22)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_24)*coupl(nGC_617)*coupl(nGC_68) + 3d0*coupl(nGC_26 &
                      )*coupl(nGC_72)*coupl(nGC_871) + 3d0*coupl(nGC_30)*coupl(&
                      nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_34)*coupl(nGC_64)* &
                      coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_617)*coupl(  &
                      nGC_64) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_871  &
                      ) + 3d0*coupl(nGC_41)*coupl(nGC_617)*coupl(nGC_72) + 3d0*&
                      coupl(nGC_42)*coupl(nGC_683)*coupl(nGC_94) + 3d0*coupl(  &
                      nGC_44)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_44)*coupl(    &
                      nGC_69)**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(    &
                      nGC_871) + 3d0*coupl(nGC_50)*coupl(nGC_683)*coupl(nGC_92 &
                      ) - 3d0*coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_63) - 3d0*&
                      coupl(nGC_617)*coupl(nGC_62)*coupl(nGC_64) - 3d0*coupl(  &
                      nGC_617)*coupl(nGC_655)*coupl(nGC_66) + 3d0*coupl(nGC_617&
                      )*coupl(nGC_69)*coupl(nGC_9) - 3d0*coupl(nGC_63)*coupl(  &
                      nGC_655)*coupl(nGC_70) - 3d0*coupl(nGC_655)*coupl(nGC_66 &
                      )*coupl(nGC_69))/(96d0*pi**2d0)
    coupl(nGC_9216) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_169 &
                      )*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl&
                      (nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                      nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(  &
                      nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                      nGC_142)**2d0*coupl(nGC_177)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_146)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_193)**2d0 + 40d0*Nc*cima*coupl(  &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193) +  &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_192)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_170)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_178)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_193)**2d0 +   &
                      6d0*cima*coupl(nGC_100)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1391)*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_68) -  &
                      10d0*cima*coupl(nGC_1391)*coupl(nGC_617)*coupl(nGC_68)*  &
                      coupl(nGC_69) - 5d0*cima*coupl(nGC_1391)*coupl(nGC_871)* &
                      coupl(nGC_94)*coupl(nGC_96) + 20d0*cima*coupl(nGC_153)** &
                      2d0*coupl(nGC_154)**2d0 + 24d0*cima*coupl(nGC_16)**2d0 + &
                      20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_162)**2d0 - 10d0*&
                      cima*coupl(nGC_1611)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*&
                      coupl(nGC_1611)*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_69&
                      ) - 10d0*cima*coupl(nGC_1611)*coupl(nGC_64)*coupl(nGC_72 &
                      )*coupl(nGC_871) + 20d0*cima*coupl(nGC_184)**2d0*coupl(  &
                      nGC_185)**2d0 - 10d0*cima*coupl(nGC_2059)*coupl(nGC_91)* &
                      coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_2297)**2d0*coupl&
                      (nGC_617)*coupl(nGC_69) - 5d0*cima*coupl(nGC_2297)*coupl(&
                      nGC_617)*coupl(nGC_871)*coupl(nGC_94) - 5d0*cima*coupl(  &
                      nGC_2297)*coupl(nGC_683)*coupl(nGC_69)*coupl(nGC_72) +   &
                      12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*coupl( &
                      nGC_617)*coupl(nGC_655)**2d0*coupl(nGC_69) - 10d0*cima*  &
                      coupl(nGC_617)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_871 &
                      ) - 5d0*cima*coupl(nGC_68)*coupl(nGC_683)*coupl(nGC_72)* &
                      coupl(nGC_96) - 10d0*cima*coupl(nGC_683)*coupl(nGC_72)*  &
                      coupl(nGC_871)*coupl(nGC_94) - 10d0*cima*coupl(nGC_683)* &
                      coupl(nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima*coupl(nGC_70&
                      )**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_2059)*coupl(nGC_91 &
                      ) - 3d0*coupl(nGC_100)*coupl(nGC_683)*coupl(nGC_94) + 3d0&
                      *coupl(nGC_1005)*coupl(nGC_13)*coupl(nGC_63) + 3d0*coupl(&
                      nGC_1005)*coupl(nGC_1391)*coupl(nGC_44) + 3d0*coupl(     &
                      nGC_1005)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1005)*coupl(nGC_69)*coupl(nGC_9) + 3d0*coupl(nGC_11)*&
                      coupl(nGC_617)*coupl(nGC_69) + 6d0*coupl(nGC_1391)*coupl(&
                      nGC_24)*coupl(nGC_64) + 6d0*coupl(nGC_1391)*coupl(nGC_30 &
                      )*coupl(nGC_617) + 3d0*coupl(nGC_1391)*coupl(nGC_51)*    &
                      coupl(nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_61)*coupl( &
                      nGC_68) - 3d0*coupl(nGC_1391)*coupl(nGC_62)*coupl(nGC_68 &
                      ) - 6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_617) -   &
                      6d0*coupl(nGC_16)*coupl(nGC_2297)*coupl(nGC_69) - 6d0*   &
                      coupl(nGC_16)*coupl(nGC_683)*coupl(nGC_72) - 6d0*coupl(  &
                      nGC_16)*coupl(nGC_871)*coupl(nGC_94) + 6d0*coupl(nGC_1611&
                      )*coupl(nGC_22)*coupl(nGC_617) + 6d0*coupl(nGC_1611)*    &
                      coupl(nGC_24)*coupl(nGC_68) + 12d0*coupl(nGC_1611)*coupl(&
                      nGC_36)*coupl(nGC_64) + 6d0*coupl(nGC_1611)*coupl(nGC_41 &
                      )*coupl(nGC_72) + 3d0*coupl(nGC_1611)*coupl(nGC_44)*coupl&
                      (nGC_617) + 3d0*coupl(nGC_1611)*coupl(nGC_57)*coupl(     &
                      nGC_64) - 3d0*coupl(nGC_1611)*coupl(nGC_61)*coupl(nGC_64 &
                      ) - 3d0*coupl(nGC_1611)*coupl(nGC_62)*coupl(nGC_64) + 3d0&
                      *coupl(nGC_2059)*coupl(nGC_42)*coupl(nGC_94) + 3d0*coupl(&
                      nGC_2059)*coupl(nGC_56)*coupl(nGC_91) + 6d0*coupl(nGC_22 &
                      )*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_2297)**2d0*&
                      coupl(nGC_30) + 3d0*coupl(nGC_30)*coupl(nGC_655)**2d0 +  &
                      6d0*coupl(nGC_30)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl&
                      (nGC_31)*coupl(nGC_72)*coupl(nGC_871) + 6d0*coupl(nGC_40 &
                      )*coupl(nGC_64)*coupl(nGC_871) + 3d0*coupl(nGC_42)*coupl(&
                      nGC_683)*coupl(nGC_91) + 3d0*coupl(nGC_44)*coupl(nGC_63)*&
                      coupl(nGC_68) + 3d0*coupl(nGC_44)*coupl(nGC_64)*coupl(   &
                      nGC_69) + 3d0*coupl(nGC_50)*coupl(nGC_683)*coupl(nGC_94  &
                      ) + 3d0*coupl(nGC_51)*coupl(nGC_617)*coupl(nGC_69) - 3d0*&
                      coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_871) - 3d0*coupl(  &
                      nGC_617)*coupl(nGC_62)*coupl(nGC_69) + 3d0*coupl(nGC_617 &
                      )*coupl(nGC_63)*coupl(nGC_9) - 6d0*coupl(nGC_617)*coupl( &
                      nGC_655)*coupl(nGC_70) - 6d0*coupl(nGC_655)*coupl(nGC_69 &
                      )*coupl(nGC_70) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99))/(&
                      96d0*pi**2d0)
    coupl(nGC_9118) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_143)*    &
                      coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(    &
                      nGC_143)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_140)* &
                      coupl(nGC_144)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(    &
                      nGC_140)*coupl(nGC_144)*coupl(nGC_87) - Nc*coupl(nGC_1)* &
                      coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_84) - Nc*coupl(  &
                      nGC_1)*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87) - Nc* &
                      coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_84  &
                      ) - Nc*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151)*coupl( &
                      nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_176)* &
                      coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_171)*coupl(    &
                      nGC_176)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_172)* &
                      coupl(nGC_175)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(    &
                      nGC_172)*coupl(nGC_175)*coupl(nGC_87) - Nc*coupl(nGC_132 &
                      )*coupl(nGC_135)*coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(  &
                      nGC_132)*coupl(nGC_135)*coupl(nGC_2)*coupl(nGC_88) - Nc* &
                      coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_843)*coupl(nGC_85  &
                      ) - Nc*coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_843)*coupl( &
                      nGC_88) - Nc*coupl(nGC_1495)*coupl(nGC_198)*coupl(nGC_2)*&
                      coupl(nGC_85) - Nc*coupl(nGC_1495)*coupl(nGC_198)*coupl( &
                      nGC_2)*coupl(nGC_88) - Nc*coupl(nGC_179)*coupl(nGC_182)* &
                      coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(nGC_179)*coupl(    &
                      nGC_182)*coupl(nGC_2)*coupl(nGC_88) - Nc*coupl(nGC_183)* &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_891) - Nc*coupl(    &
                      nGC_183)*coupl(nGC_2)*coupl(nGC_88)*coupl(nGC_891) - Nc* &
                      coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_85  &
                      ) - Nc*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                      nGC_88) - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4)*    &
                      coupl(nGC_86) - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4&
                      )*coupl(nGC_89) - coupl(nGC_156)*coupl(nGC_159)*coupl(   &
                      nGC_4)*coupl(nGC_86) - coupl(nGC_156)*coupl(nGC_159)*    &
                      coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_163)*coupl(nGC_168&
                      )*coupl(nGC_4)*coupl(nGC_86) - coupl(nGC_163)*coupl(     &
                      nGC_168)*coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_164)*    &
                      coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_86) - coupl(nGC_164&
                      )*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_89) - coupl(     &
                      nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_86) -     &
                      coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_89  &
                      ) - coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_4)*coupl(    &
                      nGC_86) - coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_4)*    &
                      coupl(nGC_89))/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
