!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_16387) = coupl(nGC_32)*dZGMinus
    coupl(nGC_22023) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_17928) = -coupl(nGC_14234)
    coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14565) = coupl(nGC_177)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_9434) = coupl(nGC_8264)*dyd13x3_QED1_QCD2 + coupl(nGC_8265)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_25346) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_13015) = coupl(nGC_196)*dZGMinus/2d0
    coupl(nGC_18573) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_13495) = coupl(nGC_53)*(dZG0 + dZGMinus)
    coupl(nGC_13947) = coupl(nGC_77)*dZGMinus/2d0
    coupl(nGC_13125) = coupl(nGC_98)*dZGMinus/2d0
    coupl(nGC_22021) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17069) = coupl(nGC_I)*dZHaG0_QED2/2d0
    coupl(nGC_9039) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_12729) = coupl(nGC_140)*dZG0/2d0
    coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17391) = coupl(nGC_151)*dZG0/2d0
    coupl(nGC_9498) = coupl(nGC_8594)*dyup2_QED3 + coupl(nGC_8595)*dyup1_QED3  &
                       + coupl(nGC_8596)*da_QED2
    coupl(nGC_9497) = coupl(nGC_8594)*dyup2_QED1_QCD2 + coupl(nGC_8595)*       &
                      dyup1_QED1_QCD2
    coupl(nGC_12715) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9327) = coupl(nGC_7978)*dl3_QED4 + coupl(nGC_7979)*db_QED2 +     &
                      coupl(nGC_7980)*dl2_QED4 + coupl(nGC_7981)*dl5_QED4 +    &
                      coupl(nGC_7982)*dl4_QED4 + coupl(nGC_7983)*dl1_QED4 +    &
                      coupl(nGC_7984)*da_QED2
    coupl(nGC_9320) = coupl(nGC_8434)*dl3_QED4 + coupl(nGC_8435)*dl1_QED4 +    &
                      coupl(nGC_8436)*dl2_QED4 + coupl(nGC_8437)*dl5_QED4 +    &
                      coupl(nGC_8438)*dl4_QED4 + coupl(nGC_8439)*da_QED2
    coupl(nGC_9321) = coupl(nGC_8090)*dl3_QED4 + coupl(nGC_8091)*db_QED2 +     &
                      coupl(nGC_8092)*dl2_QED4 + coupl(nGC_8093)*dl5_QED4 +    &
                      coupl(nGC_8094)*dl4_QED4 + coupl(nGC_8095)*dl1_QED4 +    &
                      coupl(nGC_8096)*da_QED2
    coupl(nGC_8948) = coupl(nGC_172)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9143) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(   &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_9144) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(  &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_9145) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(   &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19764) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_19763) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_16285) = 2d0*coupl(nGC_54)*dZGMinus
    coupl(nGC_14913) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16759) = coupl(nGC_195)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_20988) = coupl(nGC_167)*dZG0/2d0
    coupl(nGC_14700) = coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_14703) = coupl(nGC_63)*dZGMinus/2d0
    coupl(nGC_15654) = coupl(nGC_75)*dZG0Ha_QED2/2d0
    coupl(nGC_15093) = coupl(nGC_61)*dZHl_QED2 + coupl(nGC_61)*dZWMinus_QED2 + &
                       coupl(nGC_9369)
    coupl(nGC_9032) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9034) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9036) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**  &
                      2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88) +  &
                      coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl(     &
                      nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*coupl( &
                      nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_87) +  &
                      4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_14670) = coupl(nGC_7)*dZtL_QCD2
    coupl(nGC_13955) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/2d0
    coupl(nGC_9403) = coupl(nGC_8604)*dydo2_QED1_QCD2 + coupl(nGC_8606)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_15509) = coupl(nGC_88)*dZcL_QCD2
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
