!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_9402) = coupl(nGC_8608)*dyup1_QED1_QCD2 + coupl(nGC_8609)*       &
                      dyup2_QED1_QCD2
    coupl(nGC_13004) = coupl(nGC_56)*dZGMinus
    coupl(nGC_13009) = coupl(nGC_150)*dZGMinus/2d0
    coupl(nGC_15506) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14459) = coupl(nGC_64)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_13485) = coupl(nGC_24)*dZGMinus/2d0
    coupl(nGC_26592) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_13715) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/2d0&
                        + coupl(nGC_73)*dZWMinus_QED2/2d0 + coupl(nGC_9366)
    coupl(nGC_13713) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
    coupl(nGC_8716) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_647)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_12725) = coupl(nGC_62)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_12665) = coupl(nGC_123)*dZGMinus/2d0
    coupl(nGC_14265) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_9000) = coupl(nGC_130)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13614) = coupl(nGC_68)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_17651) = coupl(nGC_165)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_13304) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_9310) = coupl(nGC_7972)*dl3_QED4 + coupl(nGC_7973)*dl1_QED4 +    &
                      coupl(nGC_7974)*dl2_QED4 + coupl(nGC_7975)*dl5_QED4 +    &
                      coupl(nGC_7976)*dl4_QED4 + coupl(nGC_7977)*db_QED2
    coupl(nGC_9312) = coupl(nGC_7943)*db_QED2 + coupl(nGC_7944)*dl5_QED4 +     &
                      coupl(nGC_7945)*dl4_QED4 + coupl(nGC_7946)*da_QED2
    coupl(nGC_9316) = coupl(nGC_8002)*dl3_QED4 + coupl(nGC_8003)*db_QED2 +     &
                      coupl(nGC_8004)*dl2_QED4 + coupl(nGC_8005)*dl5_QED4 +    &
                      coupl(nGC_8006)*dl4_QED4 + coupl(nGC_8007)*dl1_QED4 +    &
                      coupl(nGC_8008)*da_QED2
    coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14900) = coupl(nGC_87)*dZbL_QCD2
    coupl(nGC_14906) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZbR_QED2 +  &
                       coupl(nGC_9397)
    coupl(nGC_14904) = coupl(nGC_84)*dZbR_QCD2
    coupl(nGC_9328) = coupl(nGC_8187)*dl3_QED4 + coupl(nGC_8188)*dl1_QED4 +    &
                      coupl(nGC_8189)*dl2_QED4 + coupl(nGC_8190)*dl5_QED4 +    &
                      coupl(nGC_8191)*dl4_QED4 + coupl(nGC_8192)*db_QED2
    coupl(nGC_8883) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9329) = coupl(nGC_8220)*dl3_QED4 + coupl(nGC_8221)*dl1_QED4 +    &
                      coupl(nGC_8222)*dl2_QED4 + coupl(nGC_8223)*dl5_QED4 +    &
                      coupl(nGC_8224)*dl4_QED4 + coupl(nGC_8225)*db_QED2
    coupl(nGC_9499) = coupl(nGC_8362)*dyc1_QED1_QCD2 + coupl(nGC_8363)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9496) = coupl(nGC_423)*dyt2_QED3 + coupl(nGC_425)*db_QED2 + coupl&
                      (nGC_427)*dyt1_QED3
    coupl(nGC_9325) = coupl(nGC_8252)*db_QED2 + coupl(nGC_8253)*dl5_QED4 +     &
                      coupl(nGC_8254)*dl4_QED4 + coupl(nGC_8255)*da_QED2
    coupl(nGC_9326) = coupl(nGC_8316)*dl3_QED4 + coupl(nGC_8317)*db_QED2 +     &
                      coupl(nGC_8318)*dl2_QED4 + coupl(nGC_8319)*dl5_QED4 +    &
                      coupl(nGC_8320)*dl4_QED4 + coupl(nGC_8321)*dl1_QED4 +    &
                      coupl(nGC_8322)*da_QED2
    coupl(nGC_9495) = coupl(nGC_423)*dyt2_QED1_QCD2 + coupl(nGC_427)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_12967) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2/&
                       2d0 + coupl(nGC_9406)
    coupl(nGC_9322) = coupl(nGC_8662)*db_QED2 + coupl(nGC_8663)*dl5_QED4 +     &
                      coupl(nGC_8664)*dl4_QED4 + coupl(nGC_8665)*da_QED2
    coupl(nGC_8881) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9323) = coupl(nGC_8617)*dl3_QED4 + coupl(nGC_8618)*db_QED2 +     &
                      coupl(nGC_8619)*dl2_QED4 + coupl(nGC_8620)*dl5_QED4 +    &
                      coupl(nGC_8621)*dl4_QED4 + coupl(nGC_8622)*dl1_QED4 +    &
                      coupl(nGC_8623)*da_QED2
    coupl(nGC_15463) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_9389)
    coupl(nGC_15460) = coupl(nGC_76)*dZG0Ha_QED2/2d0
    coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14593) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142)*&
                       dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 + coupl&
                       (nGC_142)*dZtL_QED2/2d0 + coupl(nGC_9423)
    coupl(nGC_13929) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_13925) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_13927) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
    coupl(nGC_13920) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_13035) = coupl(nGC_100)*dZZ_QED2 + coupl(nGC_9385) + coupl(nGC_97&
                       )*dZAZ_QED2
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
