!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl7()
    coupl(nGC_13033) = coupl(nGC_100)*dZGMinus
    coupl(nGC_13030) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
    coupl(nGC_15513) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZcL_QED2 +  &
                       coupl(nGC_9394)
    coupl(nGC_15512) = coupl(nGC_85)*dZcR_QCD2
    coupl(nGC_15516) = coupl(nGC_15506) + coupl(nGC_15513)
    coupl(nGC_13038) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
    coupl(nGC_14115) = coupl(nGC_83)*dZAZ_QED2
    coupl(nGC_13728) = coupl(nGC_137)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_13729) = coupl(nGC_137)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_26219) = coupl(nGC_MZ_GF)*dZG0/2d0
    coupl(nGC_12989) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_13101) = coupl(nGC_21)*dZGMinus/2d0
    coupl(nGC_13454) = coupl(nGC_60)*dZGMinus
    coupl(nGC_13104) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_12859) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_12858) = coupl(nGC_43)*dZHa_QED2/2d0 + coupl(nGC_53)*dZG0Ha_QED2/&
                       2d0 + coupl(nGC_56)*dZHaG0_QED2/2d0 + coupl(nGC_58)*    &
                       dZHMinusGMinus_QED2 + coupl(nGC_9329)
    coupl(nGC_15887) = -coupl(nGC_15886)
    coupl(nGC_8942) = coupl(nGC_132)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8871) = coupl(nGC_152)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_17008) = coupl(nGC_9636) + coupl(nGC_TS_GC_161_Hl) + coupl(      &
                       nGC_TS_GC_165_Hh)
    coupl(nGC_22022) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_17003) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_9012) = coupl(nGC_169)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9458) = coupl(nGC_8373)*dyd13x3_QED1_QCD2 + coupl(nGC_8374)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9015) = coupl(nGC_177)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8783) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)**2d0&
                       + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) + coupl(   &
                      nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl(nGC_143)*&
                      coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84)**2d0 +   &
                      coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(nGC_142)**2d0*  &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_8789) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)**2d0&
                       + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) + coupl(   &
                      nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl(nGC_151)*&
                      coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_87)**2d0 +   &
                      coupl(nGC_193)**2d0*coupl(nGC_2) + coupl(nGC_196)**2d0*  &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0 + 4d0*&
                      coupl(nGC_647)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8788) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(&
                      32d0*pi**2d0*Nc)
    coupl(nGC_9453) = coupl(nGC_8485)*dyd12x2_QED1_QCD2 + coupl(nGC_8486)*     &
                      dys2_QED1_QCD2
    coupl(nGC_9307) = coupl(nGC_7928)*dl3_QED4 + coupl(nGC_7929)*dl1_QED4 +    &
                      coupl(nGC_7930)*dl2_QED4 + coupl(nGC_7931)*dl5_QED4 +    &
                      coupl(nGC_7932)*dl4_QED4 + coupl(nGC_7933)*da_QED2
    coupl(nGC_9304) = coupl(nGC_8283)*dl3_QED4 + coupl(nGC_8284)*db_QED2 +     &
                      coupl(nGC_8285)*dl2_QED4 + coupl(nGC_8286)*dl5_QED4 +    &
                      coupl(nGC_8287)*dl4_QED4 + coupl(nGC_8288)*dl1_QED4 +    &
                      coupl(nGC_8289)*da_QED2
    coupl(nGC_9451) = coupl(nGC_8335)*dydo2_QED1_QCD2 + coupl(nGC_8337)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9302) = coupl(nGC_7959)*dl3_QED4 + coupl(nGC_7960)*dl1_QED4 +    &
                      coupl(nGC_7961)*dl2_QED4 + coupl(nGC_7962)*dl5_QED4 +    &
                      coupl(nGC_7963)*dl4_QED4 + coupl(nGC_7964)*db_QED2
    coupl(nGC_9303) = coupl(nGC_8025)*dl3_QED4 + coupl(nGC_8026)*dl1_QED4 +    &
                      coupl(nGC_8027)*dl2_QED4 + coupl(nGC_8028)*dl5_QED4 +    &
                      coupl(nGC_8029)*dl4_QED4 + coupl(nGC_8030)*db_QED2
    coupl(nGC_9300) = coupl(nGC_8242)*dl3_QED4 + coupl(nGC_8243)*db_QED2 +     &
                      coupl(nGC_8244)*dl2_QED4 + coupl(nGC_8245)*dl5_QED4 +    &
                      coupl(nGC_8246)*dl4_QED4 + coupl(nGC_8247)*dl1_QED4 +    &
                      coupl(nGC_8248)*da_QED2
    coupl(nGC_9301) = coupl(nGC_8193)*dl3_QED4 + coupl(nGC_8194)*dl1_QED4 +    &
                      coupl(nGC_8195)*dl2_QED4 + coupl(nGC_8196)*dl5_QED4 +    &
                      coupl(nGC_8197)*dl4_QED4 + coupl(nGC_8198)*db_QED2
    coupl(nGC_9456) = coupl(nGC_8482)*dyd12x2_QED3 + coupl(nGC_8483)*dys2_QED3 &
                       + coupl(nGC_8484)*db_QED2
    coupl(nGC_9308) = coupl(nGC_8494)*dl3_QED4 + coupl(nGC_8495)*dl1_QED4 +    &
                      coupl(nGC_8496)*dl2_QED4 + coupl(nGC_8497)*dl5_QED4 +    &
                      coupl(nGC_8498)*dl4_QED4 + coupl(nGC_8499)*db_QED2
    coupl(nGC_9455) = coupl(nGC_8482)*dyd12x2_QED1_QCD2 + coupl(nGC_8483)*     &
                      dys2_QED1_QCD2
    coupl(nGC_9450) = coupl(nGC_8350)*dydo2_QED3 + coupl(nGC_8351)*db_QED2 +   &
                      coupl(nGC_8352)*dydo1_QED3
    coupl(nGC_9166) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl(   &
                      nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(nGC_146 &
                      )*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174) + coupl(&
                      nGC_178)*coupl(nGC_181) + coupl(nGC_193)*coupl(nGC_196   &
                      ))/(32d0*pi**2d0*Nc)
    coupl(nGC_9165) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(  &
                      nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(nGC_146 &
                      )*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174) - coupl(&
                      nGC_178)*coupl(nGC_181) - coupl(nGC_193)*coupl(nGC_196   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16512) = coupl(nGC_188)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_16513) = coupl(nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_188)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9475)
    coupl(nGC_14580) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_8777) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80) -   &
                      2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80) -   &
                      2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80) +   &
                      4d0*cima*coupl(nGC_102)*coupl(nGC_953) + 4d0*cima*coupl( &
                      nGC_126)*coupl(nGC_5) - coupl(nGC_1005)*coupl(nGC_125)*  &
                      coupl(nGC_647) + 6d0*coupl(nGC_102)*coupl(nGC_647)*coupl(&
                      nGC_82) - coupl(nGC_124)*coupl(nGC_617)*coupl(nGC_647) - &
                      coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(   &
                      nGC_126)*coupl(nGC_3)*coupl(nGC_647) - coupl(nGC_126)*   &
                      coupl(nGC_82)*coupl(nGC_96))/(32d0*pi**2d0)
    coupl(nGC_14930) = coupl(nGC_I)*dZG0
    coupl(nGC_16178) = coupl(nGC_166)*dZGMinus/2d0
    coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
  end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
