!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17586) = coupl(nGC_183)*dZG0/2d0
    coupl(nGC_9202) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(  &
                      nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(nGC_151 &
                      )*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176) - coupl(&
                      nGC_182)*coupl(nGC_183) - coupl(nGC_197)*coupl(nGC_198   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_TS_GC_14_Hl) = -coupl(nGC_14)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
    coupl(nGC_19758) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19755) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_19757) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_19756) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
    coupl(nGC_24656) = coupl(nGC_46)*dZG0/2d0
    coupl(nGC_14246) = coupl(nGC_141)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_14247) = coupl(nGC_141)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_16766) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/2d0
    coupl(nGC_16760) = coupl(nGC_195)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_16762) = coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(nGC_195)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9498)
    coupl(nGC_16163) = coupl(nGC_149)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_16164) = coupl(nGC_149)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_15197) = coupl(nGC_179)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_15196) = coupl(nGC_179)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_15198) = coupl(nGC_182)*dZG0Ha_QED2/2d0
    coupl(nGC_15669) = -coupl(nGC_14703)
    coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15203) = coupl(nGC_179)*dZtL_QED2/2d0 + coupl(nGC_179)*dZtR_QED2/&
                       2d0 + coupl(nGC_183)*dZG0Ha_QED2/2d0
    coupl(nGC_15535) = coupl(nGC_7)*dZcL_QED2
    coupl(nGC_15536) = coupl(nGC_7)*dZcL_QCD2
    coupl(nGC_15539) = coupl(nGC_7)*dZcR_QED2
    coupl(nGC_9221) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 +   &
                      coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_170&
                      )**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)**2d0)/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9220) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 -  &
                      coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_170&
                      )**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)**2d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_14485) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_82)*dZZA_QED2/2d0 &
                        + coupl(nGC_9284)
    coupl(nGC_14133) = coupl(nGC_158)*dZGMinus/2d0
    coupl(nGC_15332) = coupl(nGC_7)*dZsL_QCD2
    coupl(nGC_15331) = coupl(nGC_7)*dZsL_QED2
    coupl(nGC_15330) = coupl(nGC_7)*dZsR_QCD2
    coupl(nGC_14138) = coupl(nGC_18)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_12874) = coupl(nGC_14)*dZGMinus/2d0
    coupl(nGC_12878) = coupl(nGC_14)*dZHl_QED2/2d0 + coupl(nGC_14)*            &
                       dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl( &
                       nGC_16)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*        &
                       dZHhHl_QED2/2d0 + coupl(nGC_65)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_9379)
    coupl(nGC_13054) = coupl(nGC_130)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_13053) = coupl(nGC_130)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_8968) = coupl(nGC_137)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_12893) = coupl(nGC_17)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_8960) = coupl(nGC_194)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8963) = (-4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_80)**2d0 - 4d0*Nc* &
                      cMC*coupl(nGC_133)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*coupl(&
                      nGC_149)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(nGC_173)* &
                      coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_180)*coupl(    &
                      nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_80)** &
                      2d0 - 4d0*cME*coupl(nGC_157)*coupl(nGC_80)**2d0 - 4d0*cMM&
                      *coupl(nGC_165)*coupl(nGC_80)**2d0 - 4d0*cMTA*coupl(     &
                      nGC_188)*coupl(nGC_80)**2d0 + 2d0*cima*coupl(nGC_1015)*  &
                      coupl(nGC_129) + 4d0*cima*coupl(nGC_125)*coupl(nGC_78) - &
                      coupl(nGC_1005)*coupl(nGC_102)*coupl(nGC_807) - coupl(   &
                      nGC_1005)*coupl(nGC_126)*coupl(nGC_647) - coupl(nGC_102)*&
                      coupl(nGC_63)*coupl(nGC_807) - coupl(nGC_107)*coupl(     &
                      nGC_617)*coupl(nGC_807) - coupl(nGC_107)*coupl(nGC_69)*  &
                      coupl(nGC_807) + 6d0*coupl(nGC_125)*coupl(nGC_647)**2d0  &
                       + 6d0*coupl(nGC_125)*coupl(nGC_807)**2d0 - coupl(nGC_126&
                      )*coupl(nGC_63)*coupl(nGC_647) - coupl(nGC_127)*coupl(   &
                      nGC_617)*coupl(nGC_647) - coupl(nGC_127)*coupl(nGC_647)* &
                      coupl(nGC_69) + 6d0*coupl(nGC_129)*coupl(nGC_82)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_13275) = coupl(nGC_20)*dZHMinus_QED2/2d0 + coupl(nGC_20)*        &
                       dZHa_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_20)*dZZ_QED2/2d0 + coupl(nGC_74)*dZAZ_QED2/2d0 +    &
                       coupl(nGC_9377)
    coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
    coupl(nGC_27431) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_27432) = -coupl(nGC_27431)
    coupl(nGC_8769) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80) -   &
                      2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) -   &
                      2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80) -   &
                      2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80) +   &
                      4d0*cima*coupl(nGC_107)*coupl(nGC_953) + 4d0*cima*coupl( &
                      nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(nGC_647 &
                      )*coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_64)*coupl(    &
                      nGC_647) - coupl(nGC_125)*coupl(nGC_647)*coupl(nGC_69) - &
                      coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(   &
                      nGC_127)*coupl(nGC_3)*coupl(nGC_647) - coupl(nGC_127)*   &
                      coupl(nGC_82)*coupl(nGC_96))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
