!******************************************************************************!
!                                                                              !
!    ctparameter108.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter108.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter108
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter108()
  OS2_Hvv_da_QED3 = (4d0*cima*pi**2d0*Ten1144*cMHA**2d0*ca*cb*ee**3d0*(-ca*sb  &
                     + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*     &
                    Ten1145*cMHC**2d0*ca*cb*ee**3d0*(-ca*sb + cb*sa)/(cMW*sb*sw&
                    **3d0) + 8d0*cima*pi**2d0*Ten1146*cMHC**2d0*ca*cb*ee**3d0  &
                    *(-ca*sb + cb*sa)/(cMW*sb*sw**3d0) + 16d0*cima*pi**2d0*    &
                    Ten1147*cMW*ca*ee**3d0*(cMHH**2d0*ca*cb + cMHH**2d0*sa*sb  &
                     - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*sw**&
                    3d0) + 4d0*cima*pi**2d0*Ten1148*cMHA**2d0*ca*cb*ee**3d0*(- &
                    ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*&
                    Ten1149*cMW*ca*ee**3d0*(cMHH**2d0*ca*cb*cw**2d0 + cMHH**2d0&
                    *cw**2d0*sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(&
                    cMHH**2d0*cw**6d0*sw**3d0) + 32d0*cima*pi**2d0*Ten1150*cMW*&
                    ee**3d0*(cMHH**2d0*ca*sa*sb - cMHH**2d0*cb*sa**2d0 - cMHL**&
                    2d0*ca**2d0*cb - cMHL**2d0*ca*sa*sb)/(cMHH**2d0*cMHL**2d0* &
                    sw**3d0) + 16d0*cima*pi**2d0*Ten1151*cMW*ee**3d0*(cMHH**2d0&
                    *ca*sa*sb - cMHH**2d0*cb*sa**2d0 - cMHL**2d0*ca**2d0*cb -  &
                    cMHL**2d0*ca*sa*sb)/(cMHH**2d0*cMHL**2d0*cw**4d0*sw**3d0   &
                    ) + 2d0*cima*pi**2d0*Ten1155*ca*cb*ee**3d0*(ca*sb - cb*sa  &
                    )/(cMW*cw**2d0*sb*sw**3d0) + 4d0*cima*pi**2d0*Ten1156*ca*cb&
                    *ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0) + 4d0*cima*pi**  &
                    2d0*Ten1157*ca*cb*ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0  &
                    ) + 8d0*cima*pi**2d0*Ten1158*ca*ee**3d0*(-cMHH**2d0*ca*cb  &
                     - cMHH**2d0*sa*sb + 4d0*cMW**2d0*ca*cb + 4d0*cMW**2d0*sa* &
                    sb)/(cMHH**2d0*cMW*sw**3d0) + 2d0*cima*pi**2d0*Ten1159*ca* &
                    cb*ee**3d0*(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0* &
                    cima*pi**2d0*Ten1160*ca*ee**3d0*(-cMHH**2d0*ca*cb*cw**2d0  &
                     - cMHH**2d0*cw**2d0*sa*sb + 4d0*cMW**2d0*ca*cb + 4d0*cMW**&
                    2d0*sa*sb)/(cMHH**2d0*cMW*cw**4d0*sw**3d0) + 4d0*cima*pi** &
                    2d0*Ten1161*cMHA**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW* &
                    cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1162*cMHC**2d0*cb&
                    *ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*sb*sw**3d0) + 8d0*cima*pi&
                    **2d0*Ten1163*cMHC**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW&
                    *sb*sw**3d0) + 16d0*cima*pi**2d0*Ten1164*cMW*ee**3d0*sa*(- &
                    cMHL**2d0*ca*sb + cMHL**2d0*cb*sa + 2d0*cMW**2d0*ca*sb -   &
                    2d0*cMW**2d0*cb*sa)/(cMHL**2d0*sw**3d0) + 4d0*cima*pi**2d0*&
                    Ten1165*cMHA**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*cw** &
                    2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1166*cMW*ee**3d0*sa  &
                    *(-cMHL**2d0*ca*cw**2d0*sb + cMHL**2d0*cb*cw**2d0*sa + 2d0*&
                    cMW**2d0*ca*sb - 2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cw**6d0*sw &
                    **3d0) + 2d0*cima*pi**2d0*Ten1167*cb*ee**3d0*sa*(ca*cb + sa&
                    *sb)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*cima*pi**2d0*Ten1168*cb&
                    *ee**3d0*sa*(ca*cb + sa*sb)/(cMW*sb*sw**3d0) + 4d0*cima*pi &
                    **2d0*Ten1169*cb*ee**3d0*sa*(ca*cb + sa*sb)/(cMW*sb*sw**3d0&
                    ) + 8d0*cima*pi**2d0*Ten1170*ee**3d0*sa*(cMHL**2d0*ca*sb - &
                    cMHL**2d0*cb*sa - 4d0*cMW**2d0*ca*sb + 4d0*cMW**2d0*cb*sa  &
                    )/(cMHL**2d0*cMW*sw**3d0) + 2d0*cima*pi**2d0*Ten1171*cb*ee &
                    **3d0*sa*(ca*cb + sa*sb)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*   &
                    cima*pi**2d0*Ten1172*ee**3d0*sa*(cMHL**2d0*ca*cw**2d0*sb - &
                    cMHL**2d0*cb*cw**2d0*sa - 4d0*cMW**2d0*ca*sb + 4d0*cMW**2d0&
                    *cb*sa)/(cMHL**2d0*cMW*cw**4d0*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS2_Hvv_da_QED3 = cone*real(OS2_Hvv_da_QED3,kind=dp)
    end if 
end subroutine set_ctparameter108
end module ctparameter108
