!******************************************************************************!
!                                                                              !
!    ctparameter118.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter118.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter118
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter118()
  dMHC2_QED2 = (4d0*Nc*Ten253*cMD*cMU*coupl(nGC_146)*coupl(nGC_193) + 4d0*Nc*  &
               Ten254*cMC*cMS*coupl(nGC_131)*coupl(nGC_170) + 4d0*Nc*Ten255*cMB&
               *cMT*coupl(nGC_142)*coupl(nGC_178) + 2d0*Nc*Ten271*cMHC**2d0*(  &
               coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0) + 8d0*Nc*Ten272*(    &
               coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0) + 2d0*Nc*Ten273*cMHC &
               **2d0*(coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0) + 2d0*Nc*     &
               Ten274*cMHC**2d0*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0) +  &
               8d0*Nc*Ten275*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0) + 2d0*&
               Nc*Ten276*cMHC**2d0*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0  &
               ) + 2d0*Nc*Ten277*cMHC**2d0*(coupl(nGC_142)**2d0 + coupl(nGC_178&
               )**2d0) + 8d0*Nc*Ten278*(coupl(nGC_142)**2d0 + coupl(nGC_178)** &
               2d0) + 2d0*Nc*Ten279*cMHC**2d0*(coupl(nGC_142)**2d0 + coupl(    &
               nGC_178)**2d0) + 4d0*Nc*Ten313*cMD*cMU*coupl(nGC_146)*coupl(    &
               nGC_193)*(cMHC**2d0 - rMHC**2d0) + 4d0*Nc*Ten314*cMC*cMS*coupl( &
               nGC_131)*coupl(nGC_170)*(cMHC**2d0 - rMHC**2d0) + 4d0*Nc*Ten315*&
               cMB*cMT*coupl(nGC_142)*coupl(nGC_178)*(cMHC**2d0 - rMHC**2d0) + &
               2d0*Nc*Ten319*rMHC**2d0*(cMHC**2d0*coupl(nGC_146)**2d0 + cMHC** &
               2d0*coupl(nGC_193)**2d0 - coupl(nGC_146)**2d0*rMHC**2d0 - coupl(&
               nGC_193)**2d0*rMHC**2d0) + 2d0*Nc*Ten320*rMHC**2d0*(cMHC**2d0*  &
               coupl(nGC_131)**2d0 + cMHC**2d0*coupl(nGC_170)**2d0 - coupl(    &
               nGC_131)**2d0*rMHC**2d0 - coupl(nGC_170)**2d0*rMHC**2d0) + 2d0* &
               Nc*Ten321*rMHC**2d0*(cMHC**2d0*coupl(nGC_142)**2d0 + cMHC**2d0* &
               coupl(nGC_178)**2d0 - coupl(nGC_142)**2d0*rMHC**2d0 - coupl(    &
               nGC_178)**2d0*rMHC**2d0) + 8d0*Nc*Ten325*(cMHC**2d0*coupl(      &
               nGC_146)**2d0 + cMHC**2d0*coupl(nGC_193)**2d0 - coupl(nGC_146)**&
               2d0*rMHC**2d0 - coupl(nGC_193)**2d0*rMHC**2d0) + 8d0*Nc*Ten326*(&
               cMHC**2d0*coupl(nGC_131)**2d0 + cMHC**2d0*coupl(nGC_170)**2d0 - &
               coupl(nGC_131)**2d0*rMHC**2d0 - coupl(nGC_170)**2d0*rMHC**2d0   &
               ) + 8d0*Nc*Ten327*(cMHC**2d0*coupl(nGC_142)**2d0 + cMHC**2d0*   &
               coupl(nGC_178)**2d0 - coupl(nGC_142)**2d0*rMHC**2d0 - coupl(    &
               nGC_178)**2d0*rMHC**2d0) + 2d0*Nc*Ten331*rMHC**2d0*(cMHC**2d0*  &
               coupl(nGC_146)**2d0 + cMHC**2d0*coupl(nGC_193)**2d0 - coupl(    &
               nGC_146)**2d0*rMHC**2d0 - coupl(nGC_193)**2d0*rMHC**2d0) + 2d0* &
               Nc*Ten332*rMHC**2d0*(cMHC**2d0*coupl(nGC_131)**2d0 + cMHC**2d0* &
               coupl(nGC_170)**2d0 - coupl(nGC_131)**2d0*rMHC**2d0 - coupl(    &
               nGC_170)**2d0*rMHC**2d0) + 2d0*Nc*Ten333*rMHC**2d0*(cMHC**2d0*  &
               coupl(nGC_142)**2d0 + cMHC**2d0*coupl(nGC_178)**2d0 - coupl(    &
               nGC_142)**2d0*rMHC**2d0 - coupl(nGC_178)**2d0*rMHC**2d0) + cima*&
               Ten0*coupl(nGC_30)/2d0 + cima*Ten1*(-4d0*coupl(nGC_100) + coupl(&
               nGC_56))/2d0 + cima*Ten13*coupl(nGC_51) + cima*Ten14*coupl(     &
               nGC_50)/2d0 + cima*Ten2*coupl(nGC_34)/2d0 - 2d0*cima*Ten243*    &
               coupl(nGC_18) + 4d0*Ten245*cMHC**2d0*coupl(nGC_17)**2d0 + Ten247&
               *cMHC**2d0*coupl(nGC_96)**2d0 - Ten248*coupl(nGC_110)**2d0 -    &
               Ten249*coupl(nGC_118)**2d0 + Ten250*(-cMHC**2d0*coupl(nGC_68)*  &
               coupl(nGC_69) - coupl(nGC_119)**2d0) + Ten251*(-cMHC**2d0*coupl(&
               nGC_63)*coupl(nGC_64) - coupl(nGC_111)**2d0) + Ten252*(-cMHC**  &
               2d0*coupl(nGC_72)**2d0 - coupl(nGC_122)*coupl(nGC_123)) + 4d0*  &
               Ten256*cMHC**2d0*coupl(nGC_17)**2d0 + 4d0*Ten257*coupl(nGC_17)**&
               2d0 + Ten258*cMHC**2d0*coupl(nGC_17)**2d0 - 2d0*Ten259*cMHC**2d0&
               *coupl(nGC_96)**2d0 + 4d0*Ten260*coupl(nGC_96)**2d0 + Ten261*   &
               cMHC**2d0*coupl(nGC_96)**2d0 + 2d0*Ten262*cMHC**2d0*coupl(nGC_68&
               )*coupl(nGC_69) - 4d0*Ten263*coupl(nGC_68)*coupl(nGC_69) -      &
               Ten264*cMHC**2d0*coupl(nGC_68)*coupl(nGC_69) + 2d0*Ten265*cMHC**&
               2d0*coupl(nGC_63)*coupl(nGC_64) - 4d0*Ten266*coupl(nGC_63)*coupl&
               (nGC_64) - Ten267*cMHC**2d0*coupl(nGC_63)*coupl(nGC_64) + 2d0*  &
               Ten268*cMHC**2d0*coupl(nGC_72)**2d0 - 4d0*Ten269*coupl(nGC_72)**&
               2d0 - Ten270*cMHC**2d0*coupl(nGC_72)**2d0 + 2d0*Ten280*cMHC**2d0&
               *coupl(nGC_154)**2d0 + 2d0*Ten281*cMHC**2d0*coupl(nGC_162)**2d0 &
                + 2d0*Ten282*cMHC**2d0*coupl(nGC_185)**2d0 + 8d0*Ten283*coupl( &
               nGC_154)**2d0 + 8d0*Ten284*coupl(nGC_162)**2d0 + 8d0*Ten285*    &
               coupl(nGC_185)**2d0 + 2d0*Ten286*cMHC**2d0*coupl(nGC_154)**2d0  &
                + 2d0*Ten287*cMHC**2d0*coupl(nGC_162)**2d0 + 2d0*Ten288*cMHC** &
               2d0*coupl(nGC_185)**2d0 + 4d0*Ten289*coupl(nGC_17)**2d0*rMHC**  &
               2d0*(cMHC**2d0 - rMHC**2d0) + 4d0*Ten290*coupl(nGC_17)**2d0*rMHC&
               **2d0*(cMHC**2d0 - rMHC**2d0) + 4d0*Ten291*coupl(nGC_17)**2d0*( &
               cMHC**2d0 - rMHC**2d0) + Ten292*coupl(nGC_17)**2d0*rMHC**2d0*(  &
               cMHC**2d0 - rMHC**2d0) + Ten293*coupl(nGC_96)**2d0*rMHC**2d0*(  &
               cMHC**2d0 - rMHC**2d0) + 2d0*Ten294*coupl(nGC_96)**2d0*rMHC**2d0&
               *(-cMHC**2d0 + rMHC**2d0) + 4d0*Ten295*coupl(nGC_96)**2d0*(cMHC &
               **2d0 - rMHC**2d0) + Ten296*coupl(nGC_96)**2d0*rMHC**2d0*(cMHC**&
               2d0 - rMHC**2d0) + Ten297*(-cMHC**2d0*coupl(nGC_119)**2d0 - cMHC&
               **2d0*coupl(nGC_68)*coupl(nGC_69)*rMHC**2d0 + coupl(nGC_119)**  &
               2d0*rMHC**2d0 + coupl(nGC_68)*coupl(nGC_69)*rMHC**4d0) + 2d0*   &
               Ten298*coupl(nGC_68)*coupl(nGC_69)*rMHC**2d0*(cMHC**2d0 - rMHC**&
               2d0) + 4d0*Ten299*coupl(nGC_68)*coupl(nGC_69)*(-cMHC**2d0 + rMHC&
               **2d0) + cima*Ten3*(coupl(nGC_57) - 4d0*coupl(nGC_62)) + Ten300*&
               coupl(nGC_68)*coupl(nGC_69)*rMHC**2d0*(-cMHC**2d0 + rMHC**2d0   &
               ) + Ten301*(-cMHC**2d0*coupl(nGC_111)**2d0 - cMHC**2d0*coupl(   &
               nGC_63)*coupl(nGC_64)*rMHC**2d0 + coupl(nGC_111)**2d0*rMHC**2d0 &
                + coupl(nGC_63)*coupl(nGC_64)*rMHC**4d0) + 2d0*Ten302*coupl(   &
               nGC_63)*coupl(nGC_64)*rMHC**2d0*(cMHC**2d0 - rMHC**2d0) + 4d0*  &
               Ten303*coupl(nGC_63)*coupl(nGC_64)*(-cMHC**2d0 + rMHC**2d0) +   &
               Ten304*coupl(nGC_63)*coupl(nGC_64)*rMHC**2d0*(-cMHC**2d0 + rMHC &
               **2d0) + Ten305*(-cMHC**2d0*coupl(nGC_122)*coupl(nGC_123) - cMHC&
               **2d0*coupl(nGC_72)**2d0*rMHC**2d0 + coupl(nGC_122)*coupl(      &
               nGC_123)*rMHC**2d0 + coupl(nGC_72)**2d0*rMHC**4d0) + 2d0*Ten306*&
               coupl(nGC_72)**2d0*rMHC**2d0*(cMHC**2d0 - rMHC**2d0) + 4d0*     &
               Ten307*coupl(nGC_72)**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten308*    &
               coupl(nGC_72)**2d0*rMHC**2d0*(-cMHC**2d0 + rMHC**2d0) + 4d0*    &
               Ten309*coupl(nGC_126)**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten310*   &
               coupl(nGC_110)**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten311*coupl(    &
               nGC_118)**2d0*(-cMHC**2d0 + rMHC**2d0) + Ten312*(-4d0*cMHC**2d0*&
               coupl(nGC_102)**2d0 - cMHC**2d0*coupl(nGC_114)*coupl(nGC_115) + &
               4d0*coupl(nGC_102)**2d0*rMHC**2d0 + coupl(nGC_114)*coupl(nGC_115&
               )*rMHC**2d0) + 2d0*Ten316*coupl(nGC_154)**2d0*rMHC**2d0*(cMHC** &
               2d0 - rMHC**2d0) + 2d0*Ten317*coupl(nGC_162)**2d0*rMHC**2d0*(   &
               cMHC**2d0 - rMHC**2d0) + 2d0*Ten318*coupl(nGC_185)**2d0*rMHC**  &
               2d0*(cMHC**2d0 - rMHC**2d0) + 8d0*Ten322*coupl(nGC_154)**2d0*(  &
               cMHC**2d0 - rMHC**2d0) + 8d0*Ten323*coupl(nGC_162)**2d0*(cMHC** &
               2d0 - rMHC**2d0) + 8d0*Ten324*coupl(nGC_185)**2d0*(cMHC**2d0 -  &
               rMHC**2d0) + 2d0*Ten328*coupl(nGC_154)**2d0*rMHC**2d0*(cMHC**2d0&
                - rMHC**2d0) + 2d0*Ten329*coupl(nGC_162)**2d0*rMHC**2d0*(cMHC**&
               2d0 - rMHC**2d0) + 2d0*Ten330*coupl(nGC_185)**2d0*rMHC**2d0*(   &
               cMHC**2d0 - rMHC**2d0) + pi**2d0*(-Nc*cMB**2d0*coupl(nGC_142)** &
               2d0/pi**2d0 - Nc*cMB**2d0*coupl(nGC_178)**2d0/pi**2d0 - Nc*cMC**&
               2d0*coupl(nGC_131)**2d0/pi**2d0 - Nc*cMC**2d0*coupl(nGC_170)**  &
               2d0/pi**2d0 - Nc*cMD**2d0*coupl(nGC_146)**2d0/pi**2d0 - Nc*cMD**&
               2d0*coupl(nGC_193)**2d0/pi**2d0 + Nc*cMHC**2d0*coupl(nGC_131)** &
               2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*coupl(nGC_142)**2d0/(3d0*pi**  &
               2d0) + Nc*cMHC**2d0*coupl(nGC_146)**2d0/(3d0*pi**2d0) + Nc*cMHC &
               **2d0*coupl(nGC_170)**2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*coupl(   &
               nGC_178)**2d0/(3d0*pi**2d0) + Nc*cMHC**2d0*coupl(nGC_193)**2d0/(&
               3d0*pi**2d0) - Nc*cMS**2d0*coupl(nGC_131)**2d0/pi**2d0 - Nc*cMS &
               **2d0*coupl(nGC_170)**2d0/pi**2d0 - Nc*cMT**2d0*coupl(nGC_142)**&
               2d0/pi**2d0 - Nc*cMT**2d0*coupl(nGC_178)**2d0/pi**2d0 - Nc*cMU**&
               2d0*coupl(nGC_146)**2d0/pi**2d0 - Nc*cMU**2d0*coupl(nGC_193)**  &
               2d0/pi**2d0 - 16d0*aEW*cMHC**2d0/pi + 16d0*aEW*rMHC**2d0/pi -   &
               cME**2d0*coupl(nGC_154)**2d0/pi**2d0 + cMHA**2d0*coupl(nGC_72)**&
               2d0/(2d0*pi**2d0) + cMHC**2d0*coupl(nGC_154)**2d0/(3d0*pi**2d0  &
               ) + cMHC**2d0*coupl(nGC_162)**2d0/(3d0*pi**2d0) - cMHC**2d0*    &
               coupl(nGC_17)**2d0/(3d0*pi**2d0) + cMHC**2d0*coupl(nGC_185)**2d0&
               /(3d0*pi**2d0) - cMHC**2d0*coupl(nGC_63)*coupl(nGC_64)/(6d0*pi**&
               2d0) - cMHC**2d0*coupl(nGC_68)*coupl(nGC_69)/(6d0*pi**2d0) -    &
               cMHC**2d0*coupl(nGC_72)**2d0/(6d0*pi**2d0) - cMHC**2d0*coupl(   &
               nGC_96)**2d0/(3d0*pi**2d0) + cMHH**2d0*coupl(nGC_63)*coupl(     &
               nGC_64)/(2d0*pi**2d0) + cMHL**2d0*coupl(nGC_68)*coupl(nGC_69)/( &
               2d0*pi**2d0) - cMM**2d0*coupl(nGC_162)**2d0/pi**2d0 - cMTA**2d0*&
               coupl(nGC_185)**2d0/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_62)/pi&
               **2d0 + cMW**2d0*coupl(nGC_63)*coupl(nGC_64)/(2d0*pi**2d0) + cMW&
               **2d0*coupl(nGC_68)*coupl(nGC_69)/(2d0*pi**2d0) + cMW**2d0*coupl&
               (nGC_72)**2d0/(2d0*pi**2d0) + cima*cMZ**2d0*coupl(nGC_100)/pi** &
               2d0 - cMZ**2d0*coupl(nGC_96)**2d0/(2d0*pi**2d0) + 2d0*coupl(    &
               nGC_102)**2d0/pi**2d0 + 2d0*coupl(nGC_126)**2d0/pi**2d0))/(16d0*&
               pi**2d0) + cima*coupl(nGC_110)*dtHl_QED1/cMHL**2d0 + cima*coupl(&
               nGC_118)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHC2_QED2 = cone*real(dMHC2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter118
end module ctparameter118
