!******************************************************************************!
!                                                                              !
!    ctparameter140.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter140.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter140
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter140()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dZHl_MS_BSM_QED2 = DeltaUV*(Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_141)**2d0  &
                      + Nc*coupl(nGC_145)**2d0 + Nc*coupl(nGC_169)**2d0 + Nc*  &
                     coupl(nGC_177)**2d0 + Nc*coupl(nGC_192)**2d0 + coupl(     &
                     nGC_153)**2d0 + coupl(nGC_161)**2d0 + coupl(nGC_184)**2d0 &
                      + 2d0*coupl(nGC_63)*coupl(nGC_64) + 2d0*coupl(nGC_68)*   &
                     coupl(nGC_69) + coupl(nGC_91)**2d0 + coupl(nGC_94)**2d0)/(&
                     8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_MS_BSM_QED2 = cone*real(dZHl_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter140
end module ctparameter140
