!******************************************************************************!
!                                                                              !
!    ctparameter146.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter146.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter146
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter146()
  if (dZmuMinusR_QED2_scheme .eq. 2) then
    dZmuMinusR_QED2 = (Ten556*coupl(nGC_4)**2d0 + Ten616*(-coupl(nGC_167)*coupl&
                      (nGC_168) - 2d0*coupl(nGC_86)**2d0) - Ten617*coupl(      &
                      nGC_163)*coupl(nGC_164) - Ten618*coupl(nGC_165)**2d0 -   &
                      Ten619*coupl(nGC_161)**2d0 - Ten861*coupl(nGC_166)**2d0  &
                       - Ten862*coupl(nGC_162)**2d0 - coupl(nGC_86)**2d0)/(16d0&
                      *pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter146
end module ctparameter146
