!******************************************************************************!
!                                                                              !
!    ctparameter147.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter147.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter147
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter147()
  if (dZtauMinusL_QED2_scheme .eq. 0) then
    dZtauMinusL_QED2 = (2d0*Ten911*coupl(nGC_4)**2d0 + Ten912*coupl(nGC_186)*  &
                       coupl(nGC_187) + Ten913*coupl(nGC_184)**2d0 + Ten914*   &
                       coupl(nGC_188)**2d0 + Ten915*(-coupl(nGC_190)*coupl(    &
                       nGC_191) - 2d0*coupl(nGC_89)**2d0) + 2d0*Ten916*coupl(  &
                       nGC_4)**2d0 - 2d0*Ten917*coupl(nGC_80)**2d0 + Ten919*   &
                       coupl(nGC_186)*coupl(nGC_187) + Ten920*coupl(nGC_184)** &
                       2d0 + Ten921*coupl(nGC_188)**2d0 + Ten923*cMTA*rMTA*(   &
                       coupl(nGC_190)**2d0 + coupl(nGC_191)**2d0 - 8d0*coupl(  &
                       nGC_86)*coupl(nGC_89)) + 4d0*Ten924*coupl(nGC_4)**2d0*  &
                       rMTA*(-2d0*cMTA + rMTA) + Ten925*rMTA*(cMTA*coupl(      &
                       nGC_186)**2d0 + cMTA*coupl(nGC_187)**2d0 + 2d0*coupl(   &
                       nGC_186)*coupl(nGC_187)*rMTA) + 2d0*Ten926*coupl(nGC_184&
                       )**2d0*rMTA*(cMTA + rMTA) + 2d0*Ten927*coupl(nGC_188)** &
                       2d0*rMTA*(cMTA + rMTA) + 2d0*Ten928*rMTA**2d0*(-coupl(  &
                       nGC_190)*coupl(nGC_191) - coupl(nGC_86)**2d0 - coupl(   &
                       nGC_89)**2d0) + 4d0*Ten929*coupl(nGC_4)**2d0*rMTA**2d0  &
                        + Ten930*rMTA**2d0*(-coupl(nGC_189)**2d0 - 2d0*coupl(  &
                       nGC_80)**2d0) - Ten931*coupl(nGC_185)**2d0*rMTA**2d0 +  &
                       2d0*Ten932*coupl(nGC_186)*coupl(nGC_187)*rMTA**2d0 + 2d0&
                       *Ten933*coupl(nGC_184)**2d0*rMTA**2d0 + 2d0*Ten934*coupl&
                       (nGC_188)**2d0*rMTA**2d0 + pi**2d0*(-coupl(nGC_4)**2d0/ &
                       pi**2d0 - coupl(nGC_80)**2d0/pi**2d0 - coupl(nGC_89)**  &
                       2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter147
end module ctparameter147
