!******************************************************************************!
!                                                                              !
!    ctparameter170.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter170.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter170
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter170()
  dMZ2_QED2 = (2d0*Nc*Ten1001*(-6d0*cMU**2d0*coupl(nGC_85)*coupl(nGC_88) - cMZ &
              **2d0*coupl(nGC_85)**2d0 - cMZ**2d0*coupl(nGC_88)**2d0 + coupl(  &
              nGC_85)**2d0*rMZ**2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten1002*(-6d0*cMC**2d0*coupl(nGC_85)*coupl(nGC_88) - cMZ**2d0*  &
              coupl(nGC_85)**2d0 - cMZ**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85  &
              )**2d0*rMZ**2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten1003*(-6d0*cMT**2d0*coupl(nGC_85)*coupl(nGC_88) - cMZ**2d0*   &
              coupl(nGC_85)**2d0 - cMZ**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85  &
              )**2d0*rMZ**2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten1004*(-6d0*cMD**2d0*coupl(nGC_84)*coupl(nGC_87) - cMZ**2d0*   &
              coupl(nGC_84)**2d0 - cMZ**2d0*coupl(nGC_87)**2d0 + coupl(nGC_84  &
              )**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten1005*(-6d0*cMS**2d0*coupl(nGC_84)*coupl(nGC_87) - cMZ**2d0*   &
              coupl(nGC_84)**2d0 - cMZ**2d0*coupl(nGC_87)**2d0 + coupl(nGC_84  &
              )**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten1006*(-6d0*cMB**2d0*coupl(nGC_84)*coupl(nGC_87) - cMZ**2d0*   &
              coupl(nGC_84)**2d0 - cMZ**2d0*coupl(nGC_87)**2d0 + coupl(nGC_84  &
              )**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten1019*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) + 2d0*&
              Nc*Ten1020*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) +  &
              2d0*Nc*Ten1021*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0 &
              ) + 4d0*Nc*Ten1022*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) +   &
              4d0*Nc*Ten1023*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) + 4d0*Nc&
              *Ten1024*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) + 2d0*Nc*     &
              Ten1025*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) + 2d0*&
              Nc*Ten1026*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) +  &
              2d0*Nc*Ten1027*rMZ**2d0*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0 &
              ) + 2d0*Nc*Ten1028*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(nGC_87)**&
              2d0) + 2d0*Nc*Ten1029*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(nGC_87&
              )**2d0) + 2d0*Nc*Ten1030*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(   &
              nGC_87)**2d0) + 4d0*Nc*Ten1031*(coupl(nGC_84)**2d0 + coupl(nGC_87&
              )**2d0) + 4d0*Nc*Ten1032*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0&
              ) + 4d0*Nc*Ten1033*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0) +   &
              2d0*Nc*Ten1034*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0 &
              ) + 2d0*Nc*Ten1035*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(nGC_87)**&
              2d0) + 2d0*Nc*Ten1036*rMZ**2d0*(coupl(nGC_84)**2d0 + coupl(nGC_87&
              )**2d0) + 2d0*Nc*Ten1054*(cMU**2d0*cMZ**2d0*coupl(nGC_85)**2d0 - &
              6d0*cMU**2d0*cMZ**2d0*coupl(nGC_85)*coupl(nGC_88) + cMU**2d0*cMZ &
              **2d0*coupl(nGC_88)**2d0 - cMU**2d0*coupl(nGC_85)**2d0*rMZ**2d0  &
               + 6d0*cMU**2d0*coupl(nGC_85)*coupl(nGC_88)*rMZ**2d0 - cMU**2d0* &
              coupl(nGC_88)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_85)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_88)**2d0*rMZ**2d0 + coupl(nGC_85)**2d0* &
              rMZ**4d0 + coupl(nGC_88)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten1055*(cMC&
              **2d0*cMZ**2d0*coupl(nGC_85)**2d0 - 6d0*cMC**2d0*cMZ**2d0*coupl( &
              nGC_85)*coupl(nGC_88) + cMC**2d0*cMZ**2d0*coupl(nGC_88)**2d0 -   &
              cMC**2d0*coupl(nGC_85)**2d0*rMZ**2d0 + 6d0*cMC**2d0*coupl(nGC_85 &
              )*coupl(nGC_88)*rMZ**2d0 - cMC**2d0*coupl(nGC_88)**2d0*rMZ**2d0  &
               - cMZ**2d0*coupl(nGC_85)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_88  &
              )**2d0*rMZ**2d0 + coupl(nGC_85)**2d0*rMZ**4d0 + coupl(nGC_88)**  &
              2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten1056*(cMT**2d0*cMZ**2d0*coupl(     &
              nGC_85)**2d0 - 6d0*cMT**2d0*cMZ**2d0*coupl(nGC_85)*coupl(nGC_88  &
              ) + cMT**2d0*cMZ**2d0*coupl(nGC_88)**2d0 - cMT**2d0*coupl(nGC_85 &
              )**2d0*rMZ**2d0 + 6d0*cMT**2d0*coupl(nGC_85)*coupl(nGC_88)*rMZ** &
              2d0 - cMT**2d0*coupl(nGC_88)**2d0*rMZ**2d0 - cMZ**2d0*coupl(     &
              nGC_85)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_88)**2d0*rMZ**2d0 +   &
              coupl(nGC_85)**2d0*rMZ**4d0 + coupl(nGC_88)**2d0*rMZ**4d0)/3d0 + &
              2d0*Nc*Ten1057*(cMD**2d0*cMZ**2d0*coupl(nGC_84)**2d0 - 6d0*cMD** &
              2d0*cMZ**2d0*coupl(nGC_84)*coupl(nGC_87) + cMD**2d0*cMZ**2d0*    &
              coupl(nGC_87)**2d0 - cMD**2d0*coupl(nGC_84)**2d0*rMZ**2d0 + 6d0* &
              cMD**2d0*coupl(nGC_84)*coupl(nGC_87)*rMZ**2d0 - cMD**2d0*coupl(  &
              nGC_87)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_84)**2d0*rMZ**2d0 -   &
              cMZ**2d0*coupl(nGC_87)**2d0*rMZ**2d0 + coupl(nGC_84)**2d0*rMZ**  &
              4d0 + coupl(nGC_87)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten1058*(cMS**2d0&
              *cMZ**2d0*coupl(nGC_84)**2d0 - 6d0*cMS**2d0*cMZ**2d0*coupl(nGC_84&
              )*coupl(nGC_87) + cMS**2d0*cMZ**2d0*coupl(nGC_87)**2d0 - cMS**2d0&
              *coupl(nGC_84)**2d0*rMZ**2d0 + 6d0*cMS**2d0*coupl(nGC_84)*coupl( &
              nGC_87)*rMZ**2d0 - cMS**2d0*coupl(nGC_87)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_84)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_87)**2d0*rMZ&
              **2d0 + coupl(nGC_84)**2d0*rMZ**4d0 + coupl(nGC_87)**2d0*rMZ**4d0&
              )/3d0 + 2d0*Nc*Ten1059*(cMB**2d0*cMZ**2d0*coupl(nGC_84)**2d0 -   &
              6d0*cMB**2d0*cMZ**2d0*coupl(nGC_84)*coupl(nGC_87) + cMB**2d0*cMZ &
              **2d0*coupl(nGC_87)**2d0 - cMB**2d0*coupl(nGC_84)**2d0*rMZ**2d0  &
               + 6d0*cMB**2d0*coupl(nGC_84)*coupl(nGC_87)*rMZ**2d0 - cMB**2d0* &
              coupl(nGC_87)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_84)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_87)**2d0*rMZ**2d0 + coupl(nGC_84)**2d0* &
              rMZ**4d0 + coupl(nGC_87)**2d0*rMZ**4d0)/3d0 + Ten0*(-2d0*cMHA**  &
              2d0*cMZ**2d0*coupl(nGC_94)**2d0 + 2d0*cMHA**2d0*coupl(nGC_94)**  &
              2d0*rMZ**2d0 + 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_91)**2d0 + 2d0*  &
              cMHL**2d0*cMZ**2d0*coupl(nGC_94)**2d0 - 2d0*cMHL**2d0*coupl(     &
              nGC_91)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*coupl(nGC_94)**2d0*rMZ**2d0&
               - 2d0*cMZ**4d0*coupl(nGC_91)**2d0 + 2d0*cMZ**2d0*coupl(nGC_91)**&
              2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_99)*rMZ**4d0)/(6d0*rMZ**4d0) + &
              Ten1*(-2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_94)**2d0 + 2d0*cMHH**2d0*&
              coupl(nGC_94)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_91&
              )**2d0 + 2d0*cMHL**2d0*coupl(nGC_91)**2d0*rMZ**2d0 + 2d0*cMZ**4d0&
              *coupl(nGC_91)**2d0 + 2d0*cMZ**4d0*coupl(nGC_94)**2d0 - 2d0*cMZ**&
              2d0*coupl(nGC_91)**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_94)**2d0&
              *rMZ**2d0 - 3d0*cima*coupl(nGC_101)*rMZ**4d0)/(6d0*rMZ**4d0) +   &
              Ten1000*(-4d0*cMTA**2d0*coupl(nGC_86)*coupl(nGC_89) - 2d0*cMZ**  &
              2d0*coupl(nGC_86)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_89)**2d0/3d0 &
               + 2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_89)**2d0* &
              rMZ**2d0/3d0) + 2d0*Ten1007*coupl(nGC_82)**2d0*rMZ**2d0 + Ten1008&
              *(-coupl(nGC_81)**2d0 + 17d0*coupl(nGC_82)**2d0 + 4d0*coupl(     &
              nGC_96)**2d0) + 2d0*Ten1009*coupl(nGC_82)**2d0*rMZ**2d0 + 2d0*   &
              Ten1010*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) + 2d0*&
              Ten1011*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) + 2d0*&
              Ten1012*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) +     &
              Ten1013*(4d0*coupl(nGC_86)**2d0 + 4d0*coupl(nGC_89)**2d0) +      &
              Ten1014*(4d0*coupl(nGC_86)**2d0 + 4d0*coupl(nGC_89)**2d0) +      &
              Ten1015*(4d0*coupl(nGC_86)**2d0 + 4d0*coupl(nGC_89)**2d0) + 2d0* &
              Ten1016*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) + 2d0*&
              Ten1017*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) + 2d0*&
              Ten1018*rMZ**2d0*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0) + 6d0*&
              Ten1037*coupl(nGC_90)**2d0*rMZ**2d0 - 4d0*Ten1038*coupl(nGC_91)**&
              2d0 - 4d0*Ten1039*coupl(nGC_94)**2d0 + 4d0*Ten1040*coupl(nGC_96  &
              )**2d0 + 12d0*Ten1041*coupl(nGC_90)**2d0 - 4d0*Ten1042*coupl(    &
              nGC_94)**2d0 - 4d0*Ten1043*coupl(nGC_92)**2d0 + 6d0*Ten1044*coupl&
              (nGC_90)**2d0*rMZ**2d0 + 2d0*Ten1045*coupl(nGC_90)**2d0*(-cMZ**  &
              2d0 + rMZ**2d0) + Ten1046*coupl(nGC_96)**2d0*(-cMZ**2d0 + rMZ**  &
              2d0)/3d0 + Ten1047*coupl(nGC_94)**2d0*(-cMHA**4d0*cMZ**2d0 + cMHA&
              **4d0*rMZ**2d0 + 2d0*cMHA**2d0*cMHL**2d0*cMZ**2d0 - 2d0*cMHA**2d0&
              *cMHL**2d0*rMZ**2d0 - cMHL**4d0*cMZ**2d0 + cMHL**4d0*rMZ**2d0 +  &
              cMZ**2d0*rMZ**4d0 - rMZ**6d0)/(3d0*rMZ**4d0) + Ten1048*coupl(    &
              nGC_92)**2d0*(-cMHA**4d0*cMZ**2d0 + cMHA**4d0*rMZ**2d0 + 2d0*cMHA&
              **2d0*cMHH**2d0*cMZ**2d0 - 2d0*cMHA**2d0*cMHH**2d0*rMZ**2d0 -    &
              cMHH**4d0*cMZ**2d0 + cMHH**4d0*rMZ**2d0 + cMZ**2d0*rMZ**4d0 - rMZ&
              **6d0)/(3d0*rMZ**4d0) + Ten1049*(-cMW**2d0*cMZ**2d0*coupl(nGC_81 &
              )**2d0/3d0 + 5d0*cMW**2d0*cMZ**2d0*coupl(nGC_82)**2d0 + 4d0*cMW**&
              2d0*cMZ**2d0*coupl(nGC_96)**2d0/3d0 + cMW**2d0*coupl(nGC_81)**2d0&
              *rMZ**2d0/3d0 - 5d0*cMW**2d0*coupl(nGC_82)**2d0*rMZ**2d0 - 4d0*  &
              cMW**2d0*coupl(nGC_96)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(   &
              nGC_107)**2d0 + cMZ**2d0*coupl(nGC_81)**2d0*rMZ**2d0/12d0 + 13d0*&
              cMZ**2d0*coupl(nGC_82)**2d0*rMZ**2d0/4d0 - cMZ**2d0*coupl(nGC_96 &
              )**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_107)**2d0*rMZ**2d0 - coupl(  &
              nGC_81)**2d0*rMZ**4d0/12d0 - 13d0*coupl(nGC_82)**2d0*rMZ**4d0/4d0&
               + coupl(nGC_96)**2d0*rMZ**4d0/3d0) + Ten1050*coupl(nGC_96)**2d0 &
              *(4d0*cMHC**2d0*cMZ**2d0 - 4d0*cMHC**2d0*rMZ**2d0 - cMZ**2d0*rMZ &
              **2d0 + rMZ**4d0)/3d0 + Ten1051*(2d0*cME**2d0*cMZ**2d0*coupl(    &
              nGC_86)**2d0/3d0 - 4d0*cME**2d0*cMZ**2d0*coupl(nGC_86)*coupl(    &
              nGC_89) + 2d0*cME**2d0*cMZ**2d0*coupl(nGC_89)**2d0/3d0 - 2d0*cME &
              **2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 + 4d0*cME**2d0*coupl(nGC_86&
              )*coupl(nGC_89)*rMZ**2d0 - 2d0*cME**2d0*coupl(nGC_89)**2d0*rMZ** &
              2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 - 2d0*cMZ &
              **2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_86)**2d0*  &
              rMZ**4d0/3d0 + 2d0*coupl(nGC_89)**2d0*rMZ**4d0/3d0) + Ten1052*(  &
              2d0*cMM**2d0*cMZ**2d0*coupl(nGC_86)**2d0/3d0 - 4d0*cMM**2d0*cMZ**&
              2d0*coupl(nGC_86)*coupl(nGC_89) + 2d0*cMM**2d0*cMZ**2d0*coupl(   &
              nGC_89)**2d0/3d0 - 2d0*cMM**2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0  &
               + 4d0*cMM**2d0*coupl(nGC_86)*coupl(nGC_89)*rMZ**2d0 - 2d0*cMM** &
              2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_86  &
              )**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_89)**2d0*rMZ**2d0/  &
              3d0 + 2d0*coupl(nGC_86)**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_89)**  &
              2d0*rMZ**4d0/3d0) + Ten1053*(2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_86 &
              )**2d0/3d0 - 4d0*cMTA**2d0*cMZ**2d0*coupl(nGC_86)*coupl(nGC_89   &
              ) + 2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_89)**2d0/3d0 - 2d0*cMTA**2d0&
              *coupl(nGC_86)**2d0*rMZ**2d0/3d0 + 4d0*cMTA**2d0*coupl(nGC_86)*  &
              coupl(nGC_89)*rMZ**2d0 - 2d0*cMTA**2d0*coupl(nGC_89)**2d0*rMZ**  &
              2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 - 2d0*cMZ &
              **2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_86)**2d0*  &
              rMZ**4d0/3d0 + 2d0*coupl(nGC_89)**2d0*rMZ**4d0/3d0) + 2d0*Ten1060&
              *coupl(nGC_90)**2d0*rMZ**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten1061*(  &
              cMHL**4d0*cMZ**2d0*coupl(nGC_91)**2d0 - cMHL**4d0*coupl(nGC_91)**&
              2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_91)**2d0 + 2d0*  &
              cMHL**2d0*coupl(nGC_91)**2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_91)** &
              2d0 - 3d0*cMZ**4d0*coupl(nGC_91)**2d0*rMZ**2d0 - 3d0*cMZ**2d0*   &
              coupl(nGC_128)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_91)**2d0*  &
              rMZ**4d0 + 3d0*coupl(nGC_128)**2d0*rMZ**4d0 - coupl(nGC_91)**2d0*&
              rMZ**6d0)/(3d0*rMZ**2d0) + Ten1062*(cMHH**4d0*cMZ**2d0*coupl(    &
              nGC_94)**2d0 - cMHH**4d0*coupl(nGC_94)**2d0*rMZ**2d0 - 2d0*cMHH**&
              2d0*cMZ**4d0*coupl(nGC_94)**2d0 + 2d0*cMHH**2d0*coupl(nGC_94)**  &
              2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_94)**2d0 - 3d0*cMZ**4d0*coupl( &
              nGC_94)**2d0*rMZ**2d0 - 3d0*cMZ**2d0*coupl(nGC_129)**2d0*rMZ**2d0&
               + 3d0*cMZ**2d0*coupl(nGC_94)**2d0*rMZ**4d0 + 3d0*coupl(nGC_129  &
              )**2d0*rMZ**4d0 - coupl(nGC_94)**2d0*rMZ**6d0)/(3d0*rMZ**2d0) +  &
              Ten1063*coupl(nGC_94)**2d0*(cMHA**4d0*cMZ**2d0 - cMHA**4d0*rMZ** &
              2d0 - 2d0*cMHA**2d0*cMHL**2d0*cMZ**2d0 + 2d0*cMHA**2d0*cMHL**2d0*&
              rMZ**2d0 - 2d0*cMHA**2d0*cMZ**2d0*rMZ**2d0 + 2d0*cMHA**2d0*rMZ** &
              4d0 + cMHL**4d0*cMZ**2d0 - cMHL**4d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ&
              **2d0*rMZ**2d0 + 2d0*cMHL**2d0*rMZ**4d0 + cMZ**2d0*rMZ**4d0 - rMZ&
              **6d0)/(3d0*rMZ**2d0) + Ten1064*coupl(nGC_92)**2d0*(cMHA**4d0*cMZ&
              **2d0 - cMHA**4d0*rMZ**2d0 - 2d0*cMHA**2d0*cMHH**2d0*cMZ**2d0 +  &
              2d0*cMHA**2d0*cMHH**2d0*rMZ**2d0 - 2d0*cMHA**2d0*cMZ**2d0*rMZ**  &
              2d0 + 2d0*cMHA**2d0*rMZ**4d0 + cMHH**4d0*cMZ**2d0 - cMHH**4d0*rMZ&
              **2d0 - 2d0*cMHH**2d0*cMZ**2d0*rMZ**2d0 + 2d0*cMHH**2d0*rMZ**4d0 &
               + cMZ**2d0*rMZ**4d0 - rMZ**6d0)/(3d0*rMZ**2d0) + 2d0*Ten1065*   &
              coupl(nGC_102)**2d0*(-cMZ**2d0 + rMZ**2d0) - cima*Ten13*coupl(   &
              nGC_100) + Ten14*(2d0*cMHA**2d0*cMZ**2d0*coupl(nGC_92)**2d0 + 2d0&
              *cMHA**2d0*cMZ**2d0*coupl(nGC_94)**2d0 - 2d0*cMHA**2d0*coupl(    &
              nGC_92)**2d0*rMZ**2d0 - 2d0*cMHA**2d0*coupl(nGC_94)**2d0*rMZ**2d0&
               - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_92)**2d0 + 2d0*cMHH**2d0*    &
              coupl(nGC_92)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_94&
              )**2d0 + 2d0*cMHL**2d0*coupl(nGC_94)**2d0*rMZ**2d0 - 3d0*cima*   &
              coupl(nGC_101)*rMZ**4d0)/(6d0*rMZ**4d0) + Ten2*(-2d0*cMHA**2d0*  &
              cMZ**2d0*coupl(nGC_92)**2d0 + 2d0*cMHA**2d0*coupl(nGC_92)**2d0*  &
              rMZ**2d0 + 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_92)**2d0 + 2d0*cMHH**&
              2d0*cMZ**2d0*coupl(nGC_94)**2d0 - 2d0*cMHH**2d0*coupl(nGC_92)**  &
              2d0*rMZ**2d0 - 2d0*cMHH**2d0*coupl(nGC_94)**2d0*rMZ**2d0 - 2d0*  &
              cMZ**4d0*coupl(nGC_94)**2d0 + 2d0*cMZ**2d0*coupl(nGC_94)**2d0*rMZ&
              **2d0 - 3d0*cima*coupl(nGC_99)*rMZ**4d0)/(6d0*rMZ**4d0) + cima*  &
              Ten3*(-coupl(nGC_100) - 6d0*coupl(nGC_79)) + Ten994*(-cMHL**4d0* &
              cMZ**2d0*coupl(nGC_91)**2d0 + cMHL**4d0*coupl(nGC_91)**2d0*rMZ** &
              2d0 + 2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_91)**2d0 - 2d0*cMHL**2d0* &
              cMZ**2d0*coupl(nGC_91)**2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_91)**  &
              2d0 + cMZ**4d0*coupl(nGC_91)**2d0*rMZ**2d0 + cMZ**2d0*coupl(     &
              nGC_91)**2d0*rMZ**4d0 - 3d0*coupl(nGC_128)**2d0*rMZ**4d0 - coupl(&
              nGC_91)**2d0*rMZ**6d0)/(3d0*rMZ**4d0) + Ten995*(-cMHH**4d0*cMZ** &
              2d0*coupl(nGC_94)**2d0 + cMHH**4d0*coupl(nGC_94)**2d0*rMZ**2d0 + &
              2d0*cMHH**2d0*cMZ**4d0*coupl(nGC_94)**2d0 - 2d0*cMHH**2d0*cMZ**  &
              2d0*coupl(nGC_94)**2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_94)**2d0 +  &
              cMZ**4d0*coupl(nGC_94)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_94)**  &
              2d0*rMZ**4d0 - 3d0*coupl(nGC_129)**2d0*rMZ**4d0 - coupl(nGC_94)**&
              2d0*rMZ**6d0)/(3d0*rMZ**4d0) + Ten996*(cMZ**2d0*coupl(nGC_81)**  &
              2d0/12d0 + 13d0*cMZ**2d0*coupl(nGC_82)**2d0/4d0 - cMZ**2d0*coupl(&
              nGC_96)**2d0/3d0 - 2d0*coupl(nGC_107)**2d0 - coupl(nGC_81)**2d0* &
              rMZ**2d0/12d0 + 7d0*coupl(nGC_82)**2d0*rMZ**2d0/4d0 + coupl(     &
              nGC_96)**2d0*rMZ**2d0/3d0) + Ten998*(-4d0*cME**2d0*coupl(nGC_86)*&
              coupl(nGC_89) - 2d0*cMZ**2d0*coupl(nGC_86)**2d0/3d0 - 2d0*cMZ**  &
              2d0*coupl(nGC_89)**2d0/3d0 + 2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 &
               + 2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0) + Ten999*(-4d0*cMM**2d0* &
              coupl(nGC_86)*coupl(nGC_89) - 2d0*cMZ**2d0*coupl(nGC_86)**2d0/3d0&
               - 2d0*cMZ**2d0*coupl(nGC_89)**2d0/3d0 + 2d0*coupl(nGC_86)**2d0* &
              rMZ**2d0/3d0 + 2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0) + pi**2d0*(- &
              2d0*Nc*cMB**2d0*coupl(nGC_84)**2d0/pi**2d0 - 2d0*Nc*cMB**2d0*    &
              coupl(nGC_87)**2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_85)**2d0/ &
              pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_88)**2d0/pi**2d0 - 2d0*Nc*cMD&
              **2d0*coupl(nGC_84)**2d0/pi**2d0 - 2d0*Nc*cMD**2d0*coupl(nGC_87  &
              )**2d0/pi**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_84)**2d0/pi**2d0 - 2d0&
              *Nc*cMS**2d0*coupl(nGC_87)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0*coupl( &
              nGC_85)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_88)**2d0/pi**2d0&
               - 2d0*Nc*cMU**2d0*coupl(nGC_85)**2d0/pi**2d0 - 2d0*Nc*cMU**2d0* &
              coupl(nGC_88)**2d0/pi**2d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_84)**2d0/(&
              3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_85)**2d0/(3d0*pi**2d0   &
              ) + 2d0*Nc*cMZ**2d0*coupl(nGC_87)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMZ&
              **2d0*coupl(nGC_88)**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_84)**2d0*  &
              rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_85)**2d0*rMZ**2d0/(3d0*pi**&
              2d0) + Nc*coupl(nGC_87)**2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(  &
              nGC_88)**2d0*rMZ**2d0/(3d0*pi**2d0) - 2d0*cME**2d0*coupl(nGC_86  &
              )**2d0/pi**2d0 - 2d0*cME**2d0*coupl(nGC_89)**2d0/pi**2d0 - 2d0*  &
              cMM**2d0*coupl(nGC_86)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(nGC_89  &
              )**2d0/pi**2d0 - 2d0*cMTA**2d0*coupl(nGC_86)**2d0/pi**2d0 - 2d0* &
              cMTA**2d0*coupl(nGC_89)**2d0/pi**2d0 + 4d0*cima*cMW**2d0*coupl(  &
              nGC_79)/pi**2d0 - 6d0*cMW**2d0*coupl(nGC_82)**2d0/pi**2d0 + cMZ**&
              2d0*coupl(nGC_81)**2d0/(18d0*pi**2d0) + cMZ**2d0*coupl(nGC_82)** &
              2d0/(6d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_86)**2d0/(3d0*pi**2d0 &
              ) + 2d0*cMZ**2d0*coupl(nGC_89)**2d0/(3d0*pi**2d0) + 2d0*cMZ**2d0*&
              coupl(nGC_90)**2d0/(3d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_91)**  &
              2d0/(9d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_92)**2d0/(9d0*pi**2d0 &
              ) + 4d0*cMZ**2d0*coupl(nGC_94)**2d0/(9d0*pi**2d0) - 4d0*cMZ**2d0*&
              coupl(nGC_96)**2d0/(9d0*pi**2d0) - coupl(nGC_81)**2d0*rMZ**2d0/( &
              18d0*pi**2d0) + 5d0*coupl(nGC_82)**2d0*rMZ**2d0/(6d0*pi**2d0) +  &
              coupl(nGC_86)**2d0*rMZ**2d0/(3d0*pi**2d0) + coupl(nGC_89)**2d0*  &
              rMZ**2d0/(3d0*pi**2d0) + coupl(nGC_90)**2d0*rMZ**2d0/(3d0*pi**2d0&
              ) - 2d0*coupl(nGC_91)**2d0*rMZ**2d0/(9d0*pi**2d0) - 2d0*coupl(   &
              nGC_92)**2d0*rMZ**2d0/(9d0*pi**2d0) - 4d0*coupl(nGC_94)**2d0*rMZ &
              **2d0/(9d0*pi**2d0) + 4d0*coupl(nGC_96)**2d0*rMZ**2d0/(9d0*pi**  &
              2d0)))/(16d0*pi**2d0) - cima*coupl(nGC_128)*dtHl_QED1/cMHL**2d0  &
               - cima*coupl(nGC_129)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter170
end module ctparameter170
