!******************************************************************************!
!                                                                              !
!    ctparameter171.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter171.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter171
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter171()
  if (dMTA_QED2_scheme .eq. 0) then
    dMTA_QED2 = (2d0*Ten911*cMTA*coupl(nGC_4)**2d0 - 2d0*Ten913*cMTA*coupl(    &
                nGC_184)**2d0 - 2d0*Ten914*cMTA*coupl(nGC_188)**2d0 + Ten915*  &
                cMTA*(coupl(nGC_190)*coupl(nGC_191) + coupl(nGC_86)**2d0 +     &
                coupl(nGC_89)**2d0) - 2d0*Ten916*cMTA*coupl(nGC_4)**2d0 +      &
                Ten917*cMTA*(coupl(nGC_189)**2d0 + 2d0*coupl(nGC_80)**2d0)/2d0 &
                 + Ten918*cMTA*coupl(nGC_185)**2d0/2d0 - Ten919*cMTA*coupl(    &
                nGC_186)*coupl(nGC_187) - Ten920*cMTA*coupl(nGC_184)**2d0 -    &
                Ten921*cMTA*coupl(nGC_188)**2d0 + Ten922*cMTA*(-coupl(nGC_190  &
                )**2d0 - coupl(nGC_191)**2d0 + 8d0*coupl(nGC_86)*coupl(nGC_89  &
                ))/2d0 + Ten923*cMTA*rMTA*(-cMTA*coupl(nGC_190)**2d0 - cMTA*   &
                coupl(nGC_191)**2d0 + 8d0*cMTA*coupl(nGC_86)*coupl(nGC_89) +   &
                coupl(nGC_190)**2d0*rMTA + coupl(nGC_191)**2d0*rMTA - 8d0*coupl&
                (nGC_86)*coupl(nGC_89)*rMTA) + 4d0*Ten924*coupl(nGC_4)**2d0*   &
                rMTA*(2d0*cMTA**2d0 - 3d0*cMTA*rMTA + rMTA**2d0) + Ten925*rMTA &
                *(-cMTA**2d0*coupl(nGC_186)**2d0 - cMTA**2d0*coupl(nGC_187)**  &
                2d0 + cMTA*coupl(nGC_186)**2d0*rMTA - 2d0*cMTA*coupl(nGC_186)* &
                coupl(nGC_187)*rMTA + cMTA*coupl(nGC_187)**2d0*rMTA + 2d0*coupl&
                (nGC_186)*coupl(nGC_187)*rMTA**2d0) + 2d0*Ten926*coupl(nGC_184 &
                )**2d0*rMTA*(-cMTA**2d0 + rMTA**2d0) + 2d0*Ten927*coupl(nGC_188&
                )**2d0*rMTA*(-cMTA**2d0 + rMTA**2d0) + 2d0*Ten928*rMTA**2d0*(  &
                cMTA*coupl(nGC_190)*coupl(nGC_191) + cMTA*coupl(nGC_86)**2d0 + &
                cMTA*coupl(nGC_89)**2d0 - coupl(nGC_190)*coupl(nGC_191)*rMTA - &
                coupl(nGC_86)**2d0*rMTA - coupl(nGC_89)**2d0*rMTA) + 4d0*Ten929&
                *coupl(nGC_4)**2d0*rMTA**2d0*(-cMTA + rMTA) + Ten930*rMTA**2d0 &
                *(cMTA*coupl(nGC_189)**2d0 + 2d0*cMTA*coupl(nGC_80)**2d0 -     &
                coupl(nGC_189)**2d0*rMTA - 2d0*coupl(nGC_80)**2d0*rMTA) +      &
                Ten931*coupl(nGC_185)**2d0*rMTA**2d0*(cMTA - rMTA) + 2d0*Ten932&
                *coupl(nGC_186)*coupl(nGC_187)*rMTA**2d0*(-cMTA + rMTA) + 2d0* &
                Ten933*coupl(nGC_184)**2d0*rMTA**2d0*(-cMTA + rMTA) + 2d0*     &
                Ten934*coupl(nGC_188)**2d0*rMTA**2d0*(-cMTA + rMTA) + pi**2d0  &
                *(-8d0*aEW*cMTA**2d0/(pi*rMTA) + 8d0*aEW*rMTA/pi - cMTA*coupl( &
                nGC_4)**2d0/pi**2d0 + cMTA*coupl(nGC_80)**2d0/(2d0*pi**2d0) +  &
                cMTA*coupl(nGC_86)**2d0/(2d0*pi**2d0) - 2d0*cMTA*coupl(nGC_86)*&
                coupl(nGC_89)/pi**2d0 + cMTA*coupl(nGC_89)**2d0/(2d0*pi**2d0   &
                )))/(16d0*pi**2d0) + cima*coupl(nGC_184)*dtHl_QED1/cMHL**2d0 + &
                cima*coupl(nGC_188)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMTA_QED2 = cone*real(dMTA_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter171
end module ctparameter171
