!******************************************************************************!
!                                                                              !
!    ctparameter187.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter187.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter187
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter187()
  dZHaG0_QED2 = (16d0*Nc*Ten489*coupl(nGC_194)*(coupl(nGC_197) - coupl(nGC_198 &
                ))/cMHA**2d0 + 16d0*Nc*Ten490*coupl(nGC_132)*(coupl(nGC_135) - &
                coupl(nGC_136))/cMHA**2d0 + 16d0*Nc*Ten491*coupl(nGC_179)*(    &
                coupl(nGC_182) - coupl(nGC_183))/cMHA**2d0 + 16d0*Nc*Ten492*(  &
                coupl(nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl(nGC_151))/&
                cMHA**2d0 + 16d0*Nc*Ten493*(coupl(nGC_171)*coupl(nGC_176) +    &
                coupl(nGC_172)*coupl(nGC_175))/cMHA**2d0 + 16d0*Nc*Ten494*(    &
                coupl(nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144))/&
                cMHA**2d0 + 4d0*Nc*Ten500*cMU**2d0*coupl(nGC_194)*(-coupl(     &
                nGC_197) + coupl(nGC_198))/cMHA**2d0 + 4d0*Nc*Ten501*cMC**2d0* &
                coupl(nGC_132)*(-coupl(nGC_135) + coupl(nGC_136))/cMHA**2d0 +  &
                4d0*Nc*Ten502*cMT**2d0*coupl(nGC_179)*(-coupl(nGC_182) + coupl(&
                nGC_183))/cMHA**2d0 + 4d0*Nc*Ten503*cMD**2d0*(coupl(nGC_147)*  &
                coupl(nGC_151) + coupl(nGC_148)*coupl(nGC_152))/cMHA**2d0 + 4d0&
                *Nc*Ten504*cMS**2d0*(coupl(nGC_171)*coupl(nGC_175) + coupl(    &
                nGC_172)*coupl(nGC_176))/cMHA**2d0 + 4d0*Nc*Ten505*cMB**2d0*(  &
                coupl(nGC_139)*coupl(nGC_144) + coupl(nGC_140)*coupl(nGC_143))/&
                cMHA**2d0 + cima*Ten0*coupl(nGC_28)/cMHA**2d0 + cima*Ten1*coupl&
                (nGC_47)/cMHA**2d0 + 2d0*cima*Ten13*coupl(nGC_42)/cMHA**2d0 +  &
                cima*Ten14*coupl(nGC_46)/cMHA**2d0 + cima*Ten2*coupl(nGC_29)/  &
                cMHA**2d0 + 2d0*cima*Ten3*coupl(nGC_43)/cMHA**2d0 - 8d0*Ten484*&
                coupl(nGC_91)*coupl(nGC_94)/cMHA**2d0 - 8d0*Ten485*coupl(nGC_92&
                )*coupl(nGC_94)/cMHA**2d0 + 16d0*Ten486*(coupl(nGC_155)*coupl( &
                nGC_160) + coupl(nGC_156)*coupl(nGC_159))/cMHA**2d0 + 16d0*    &
                Ten487*(coupl(nGC_163)*coupl(nGC_168) + coupl(nGC_164)*coupl(  &
                nGC_167))/cMHA**2d0 + 16d0*Ten488*(coupl(nGC_186)*coupl(nGC_191&
                ) + coupl(nGC_187)*coupl(nGC_190))/cMHA**2d0 - 2d0*Ten495*coupl&
                (nGC_109)*coupl(nGC_120)/cMHA**2d0 - 2d0*Ten496*coupl(nGC_112)*&
                coupl(nGC_117)/cMHA**2d0 + 4d0*Ten497*cME**2d0*(coupl(nGC_155)*&
                coupl(nGC_159) + coupl(nGC_156)*coupl(nGC_160))/cMHA**2d0 + 4d0&
                *Ten498*cMM**2d0*(coupl(nGC_163)*coupl(nGC_167) + coupl(nGC_164&
                )*coupl(nGC_168))/cMHA**2d0 + 4d0*Ten499*cMTA**2d0*(coupl(     &
                nGC_186)*coupl(nGC_190) + coupl(nGC_187)*coupl(nGC_191))/cMHA**&
                2d0 - 2d0*Ten507*coupl(nGC_113)*coupl(nGC_120)/cMHA**2d0 - 2d0*&
                Ten508*coupl(nGC_112)*coupl(nGC_121)/cMHA**2d0 + pi**2d0*(-4d0*&
                Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143)/(pi**2d0*cMHA**2d0   &
                ) - 4d0*Nc*cMB**2d0*coupl(nGC_140)*coupl(nGC_144)/(pi**2d0*cMHA&
                **2d0) - 4d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(nGC_135)/(pi**2d0&
                *cMHA**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(nGC_136)/(pi&
                **2d0*cMHA**2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_147)*coupl(nGC_152&
                )/(pi**2d0*cMHA**2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_148)*coupl(  &
                nGC_151)/(pi**2d0*cMHA**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_171)* &
                coupl(nGC_176)/(pi**2d0*cMHA**2d0) - 4d0*Nc*cMS**2d0*coupl(    &
                nGC_172)*coupl(nGC_175)/(pi**2d0*cMHA**2d0) - 4d0*Nc*cMT**2d0* &
                coupl(nGC_179)*coupl(nGC_182)/(pi**2d0*cMHA**2d0) + 4d0*Nc*cMT &
                **2d0*coupl(nGC_179)*coupl(nGC_183)/(pi**2d0*cMHA**2d0) - 4d0* &
                Nc*cMU**2d0*coupl(nGC_194)*coupl(nGC_197)/(pi**2d0*cMHA**2d0   &
                ) + 4d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(nGC_198)/(pi**2d0*cMHA&
                **2d0) - 4d0*cME**2d0*coupl(nGC_155)*coupl(nGC_160)/(pi**2d0*  &
                cMHA**2d0) - 4d0*cME**2d0*coupl(nGC_156)*coupl(nGC_159)/(pi**  &
                2d0*cMHA**2d0) + cMHH**2d0*coupl(nGC_92)*coupl(nGC_94)/(pi**2d0&
                *cMHA**2d0) + cMHL**2d0*coupl(nGC_91)*coupl(nGC_94)/(pi**2d0*  &
                cMHA**2d0) - 4d0*cMM**2d0*coupl(nGC_163)*coupl(nGC_168)/(pi**  &
                2d0*cMHA**2d0) - 4d0*cMM**2d0*coupl(nGC_164)*coupl(nGC_167)/(pi&
                **2d0*cMHA**2d0) - 4d0*cMTA**2d0*coupl(nGC_186)*coupl(nGC_191  &
                )/(pi**2d0*cMHA**2d0) - 4d0*cMTA**2d0*coupl(nGC_187)*coupl(    &
                nGC_190)/(pi**2d0*cMHA**2d0) + cMZ**2d0*coupl(nGC_91)*coupl(   &
                nGC_94)/(pi**2d0*cMHA**2d0) + cMZ**2d0*coupl(nGC_92)*coupl(    &
                nGC_94)/(pi**2d0*cMHA**2d0)))/(16d0*pi**2d0) + 2d0*cima*coupl( &
                nGC_120)*dtHl_QED1/(cMHA**2d0*cMHL**2d0) + 2d0*cima*coupl(     &
                nGC_112)*dtHh_QED1/(cMHA**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZHaG0_QED2 = cone*real(dZHaG0_QED2,kind=dp)
    end if 
end subroutine set_ctparameter187
end module ctparameter187
