!******************************************************************************!
!                                                                              !
!    ctparameter190.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter190.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter190
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter190()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dl5_MS_BSM_QED4 = DeltaUV*cb**2d0*sb**2d0*(-8d0*cima*Nc*cMB*coupl(nGC_137)*  &
                    coupl(nGC_142)**2d0 - 8d0*cima*Nc*cMB*coupl(nGC_137)*coupl(&
                    nGC_178)**2d0 - 8d0*cima*Nc*cMB*coupl(nGC_142)*coupl(      &
                    nGC_178)*coupl(nGC_180) - 8d0*cima*Nc*cMC*coupl(nGC_131)** &
                    2d0*coupl(nGC_133) - 8d0*cima*Nc*cMC*coupl(nGC_131)*coupl( &
                    nGC_170)*coupl(nGC_173) - 8d0*cima*Nc*cMC*coupl(nGC_133)*  &
                    coupl(nGC_170)**2d0 - 8d0*cima*Nc*cMD*coupl(nGC_146)**2d0* &
                    coupl(nGC_149) - 8d0*cima*Nc*cMD*coupl(nGC_146)*coupl(     &
                    nGC_193)*coupl(nGC_195) - 8d0*cima*Nc*cMD*coupl(nGC_149)*  &
                    coupl(nGC_193)**2d0 - 8d0*cima*Nc*cMS*coupl(nGC_131)**2d0* &
                    coupl(nGC_173) - 8d0*cima*Nc*cMS*coupl(nGC_131)*coupl(     &
                    nGC_133)*coupl(nGC_170) - 8d0*cima*Nc*cMS*coupl(nGC_170)** &
                    2d0*coupl(nGC_173) - 8d0*cima*Nc*cMT*coupl(nGC_137)*coupl( &
                    nGC_142)*coupl(nGC_178) - 8d0*cima*Nc*cMT*coupl(nGC_142)** &
                    2d0*coupl(nGC_180) - 8d0*cima*Nc*cMT*coupl(nGC_178)**2d0*  &
                    coupl(nGC_180) - 8d0*cima*Nc*cMU*coupl(nGC_146)**2d0*coupl(&
                    nGC_195) - 8d0*cima*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*  &
                    coupl(nGC_193) - 8d0*cima*Nc*cMU*coupl(nGC_193)**2d0*coupl(&
                    nGC_195) - 8d0*cima*cME*coupl(nGC_154)**2d0*coupl(nGC_157  &
                    ) - 8d0*cima*cMM*coupl(nGC_162)**2d0*coupl(nGC_165) - 8d0* &
                    cima*cMTA*coupl(nGC_185)**2d0*coupl(nGC_188) + 4d0*coupl(  &
                    nGC_100)*coupl(nGC_129) + 16d0*coupl(nGC_102)*coupl(nGC_15 &
                    ) - 2d0*cima*coupl(nGC_102)*coupl(nGC_63)*coupl(nGC_96) +  &
                    2d0*cima*coupl(nGC_102)*coupl(nGC_64)*coupl(nGC_96) - 4d0* &
                    cima*coupl(nGC_102)*coupl(nGC_72)*coupl(nGC_92) + 2d0*coupl&
                    (nGC_103)*coupl(nGC_22) + 2d0*cima*coupl(nGC_103)*coupl(   &
                    nGC_63)*coupl(nGC_68) + 2d0*cima*coupl(nGC_103)*coupl(     &
                    nGC_64)*coupl(nGC_69) + coupl(nGC_105)*coupl(nGC_34) + 2d0*&
                    cima*coupl(nGC_105)*coupl(nGC_63)*coupl(nGC_64) + coupl(   &
                    nGC_106)*coupl(nGC_30) + 2d0*cima*coupl(nGC_106)*coupl(    &
                    nGC_68)*coupl(nGC_69) + 4d0*coupl(nGC_110)*coupl(nGC_22) - &
                    2d0*cima*coupl(nGC_110)*coupl(nGC_63)*coupl(nGC_68) - 2d0* &
                    cima*coupl(nGC_110)*coupl(nGC_64)*coupl(nGC_69) + 4d0*coupl&
                    (nGC_111)*coupl(nGC_27) + 4d0*coupl(nGC_111)*coupl(nGC_44  &
                    ) + 2d0*cima*coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_69) +  &
                    2d0*cima*coupl(nGC_111)*coupl(nGC_64)*coupl(nGC_68) + 2d0* &
                    coupl(nGC_112)*coupl(nGC_42) + 2d0*coupl(nGC_114)*coupl(   &
                    nGC_40) + 2d0*coupl(nGC_115)*coupl(nGC_41) + 2d0*coupl(    &
                    nGC_116)*coupl(nGC_57) + coupl(nGC_117)*coupl(nGC_56) - 2d0&
                    *cima*coupl(nGC_118)*coupl(nGC_17)**2d0 + 4d0*coupl(nGC_118&
                    )*coupl(nGC_34) + 2d0*coupl(nGC_118)*coupl(nGC_51) - 4d0*  &
                    cima*coupl(nGC_118)*coupl(nGC_63)*coupl(nGC_64) - 2d0*cima*&
                    coupl(nGC_118)*coupl(nGC_96)**2d0 + 4d0*coupl(nGC_119)*    &
                    coupl(nGC_36) + 2d0*cima*coupl(nGC_119)*coupl(nGC_68)**2d0 &
                     + 2d0*cima*coupl(nGC_119)*coupl(nGC_69)**2d0 + coupl(     &
                    nGC_121)*coupl(nGC_50) + 2d0*cima*coupl(nGC_121)*coupl(    &
                    nGC_72)**2d0 + 2d0*coupl(nGC_122)*coupl(nGC_49) + 2d0*cima*&
                    coupl(nGC_122)*coupl(nGC_69)*coupl(nGC_72) + 2d0*coupl(    &
                    nGC_123)*coupl(nGC_48) + 2d0*cima*coupl(nGC_123)*coupl(    &
                    nGC_68)*coupl(nGC_72) + 8d0*coupl(nGC_125)*coupl(nGC_62) - &
                    2d0*cima*coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_64) - 2d0* &
                    cima*coupl(nGC_125)*coupl(nGC_68)*coupl(nGC_69) - 2d0*cima*&
                    coupl(nGC_125)*coupl(nGC_72)**2d0 - 2d0*cima*coupl(nGC_126 &
                    )*coupl(nGC_17)*coupl(nGC_63) + 2d0*cima*coupl(nGC_126)*   &
                    coupl(nGC_17)*coupl(nGC_64) + 16d0*coupl(nGC_126)*coupl(   &
                    nGC_66) + 2d0*cima*coupl(nGC_129)*coupl(nGC_96)**2d0)/(32d0&
                    *pi**2d0*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb** &
                    3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*sb**4d0*   &
                    vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**&
                    3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2)) + cima*cb**&
                    2d0*coupl(nGC_110)*dZHlHh_MS_BSM_QED2*sb**2d0/(2d0*(-ca*cb &
                    **6d0*vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 &
                     - ca*cb**2d0*sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa* &
                    vev2 - cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*   &
                    vev1 + cb**2d0*sa*sb**2d0*vev2)) + cima*cb**2d0*coupl(     &
                    nGC_111)*dZGMinusHMinus_MS_BSM_QED2*sb**2d0/(-ca*cb**6d0*  &
                    vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca* &
                    cb**2d0*sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - &
                    cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb &
                    **2d0*sa*sb**2d0*vev2) + cima*cb**2d0*coupl(nGC_118)*      &
                    dZHMinus_MS_BSM_QED2*sb**2d0/(-ca*cb**6d0*vev1 + ca*cb**4d0&
                    *vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*  &
                    vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb** &
                    2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0&
                    *vev2) + cima*cb**2d0*coupl(nGC_118)*dZHh_MS_BSM_QED2*sb** &
                    2d0/(2d0*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb** &
                    3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*sb**4d0*   &
                    vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**&
                    3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2)) + cb**2d0* &
                    dMHC2_MS_BSM_QED2*gw**2d0*(-ca*cb**4d0*vev1 + ca*cb**2d0*  &
                    vev1 + ca*cb*sb**3d0*vev2 - cb**2d0*sa*sb**2d0*vev2 + cb*sa&
                    *sb**3d0*vev1 + sa*sb**2d0*vev2)/(2d0*cMW**2d0*(-ca*cb**6d0&
                    *vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*&
                    cb**2d0*sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - &
                    cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb &
                    **2d0*sa*sb**2d0*vev2)) + dMHA2_MS_BSM_QED2*gw**2d0*(ca*cb &
                    **6d0*vev1 - ca*cb**4d0*vev1 - 2d0*ca*cb**3d0*sb**3d0*vev2 &
                     + ca*cb**2d0*sb**4d0*vev1 - ca*sb**4d0*vev1 - cb**6d0*sa* &
                    vev2 + cb**4d0*sa*sb**2d0*vev2 - 2d0*cb**3d0*sa*sb**3d0*   &
                    vev1 - cb**2d0*sa*sb**2d0*vev2)/(4d0*cMW**2d0*(-ca*cb**6d0*&
                    vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca* &
                    cb**2d0*sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - &
                    cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb &
                    **2d0*sa*sb**2d0*vev2)) + dMHH2_MS_BSM_QED2*gw**2d0*(ca**  &
                    2d0*cb**3d0*sa*sb*vev1 + ca*cb*sa**2d0*sb**3d0*vev2 - ca*sa&
                    **2d0*sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**4d0*sa**3d0*vev2&
                    )/(4d0*cMW**2d0*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 + 2d0* &
                    ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*sb**&
                    4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 + 2d0*&
                    cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2)) +      &
                    dZee_MS_BSM_QED2*(cMHA**2d0*ca*cb**6d0*gw**3d0*vev1 - cMHA &
                    **2d0*ca*cb**4d0*gw**3d0*vev1 - 2d0*cMHA**2d0*ca*cb**3d0*gw&
                    **3d0*sb**3d0*vev2 + cMHA**2d0*ca*cb**2d0*gw**3d0*sb**4d0* &
                    vev1 - cMHA**2d0*ca*gw**3d0*sb**4d0*vev1 - cMHA**2d0*cb**  &
                    6d0*gw**3d0*sa*vev2 + cMHA**2d0*cb**4d0*gw**3d0*sa*sb**2d0*&
                    vev2 - 2d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**3d0*vev1 - cMHA&
                    **2d0*cb**2d0*gw**3d0*sa*sb**2d0*vev2 - 2d0*cMHC**2d0*ca*cb&
                    **6d0*gw**3d0*vev1 + 2d0*cMHC**2d0*ca*cb**4d0*gw**3d0*vev1 &
                     + 2d0*cMHC**2d0*ca*cb**3d0*gw**3d0*sb**3d0*vev2 - 2d0*cMHC&
                    **2d0*cb**4d0*gw**3d0*sa*sb**2d0*vev2 + 2d0*cMHC**2d0*cb** &
                    3d0*gw**3d0*sa*sb**3d0*vev1 + 2d0*cMHC**2d0*cb**2d0*gw**3d0&
                    *sa*sb**2d0*vev2 + cMHH**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*&
                    vev1 + cMHH**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2 - cMHH &
                    **2d0*ca*gw**3d0*sa**2d0*sb**4d0*vev1 + cMHH**2d0*ca*gw**  &
                    3d0*sb**4d0*vev1 + cMHH**2d0*cb**4d0*gw**3d0*sa**3d0*vev2  &
                     - cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*vev1 - cMHL**2d0&
                    *ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2 + cMHL**2d0*ca*gw**3d0*&
                    sa**2d0*sb**4d0*vev1 - cMHL**2d0*cb**4d0*gw**3d0*sa**3d0*  &
                    vev2 + cMHL**2d0*cb**4d0*gw**3d0*sa*vev2 - 4d0*cMW**3d0*ca*&
                    cb**5d0*l3*sb**2d0 - 4d0*cMW**3d0*ca*cb**3d0*l1*sb**4d0 +  &
                    4d0*cMW**3d0*ca*cb**3d0*l4*sb**4d0 + 4d0*cMW**3d0*ca*cb**  &
                    3d0*l5*sb**4d0 - 4d0*cMW**3d0*cb**4d0*l2*sa*sb**3d0 + 4d0* &
                    cMW**3d0*cb**4d0*l4*sa*sb**3d0 + 4d0*cMW**3d0*cb**4d0*l5*sa&
                    *sb**3d0 - 4d0*cMW**3d0*cb**2d0*l3*sa*sb**5d0)/(2d0*cMW**  &
                    2d0*gw*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 + 2d0*ca*cb**3d0&
                    *sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*sb**4d0*vev1  &
                     + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 + 2d0*cb**3d0*&
                    sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2)) +              &
                    da_MS_BSM_QED2*(-2d0*cMHH**2d0*ca**2d0*gw**2d0*sa*sb**4d0* &
                    vev1 + 2d0*cMHH**2d0*ca*cb**4d0*gw**2d0*sa**2d0*vev2 - 2d0*&
                    cMHH**2d0*ca*cb**3d0*gw**2d0*sa**2d0*sb*vev1 + cMHH**2d0*ca&
                    *cb**3d0*gw**2d0*sb*vev1 - 2d0*cMHH**2d0*cb*gw**2d0*sa**3d0&
                    *sb**3d0*vev2 + cMHH**2d0*cb*gw**2d0*sa*sb**3d0*vev2 + 2d0*&
                    cMHL**2d0*ca**2d0*gw**2d0*sa*sb**4d0*vev1 - 2d0*cMHL**2d0* &
                    ca*cb**4d0*gw**2d0*sa**2d0*vev2 + 2d0*cMHL**2d0*ca*cb**3d0*&
                    gw**2d0*sa**2d0*sb*vev1 - cMHL**2d0*ca*cb**3d0*gw**2d0*sb* &
                    vev1 + 2d0*cMHL**2d0*cb*gw**2d0*sa**3d0*sb**3d0*vev2 - cMHL&
                    **2d0*cb*gw**2d0*sa*sb**3d0*vev2 + 4d0*cMW**2d0*ca*cb**4d0*&
                    l2*sb**2d0*vev2 - 4d0*cMW**2d0*ca*cb**3d0*l4*sb**3d0*vev1  &
                     - 4d0*cMW**2d0*ca*cb**3d0*l5*sb**3d0*vev1 + 4d0*cMW**2d0* &
                    ca*cb**2d0*l3*sb**4d0*vev2 - 4d0*cMW**2d0*cb**4d0*l3*sa*sb &
                    **2d0*vev1 + 4d0*cMW**2d0*cb**3d0*l4*sa*sb**3d0*vev2 + 4d0*&
                    cMW**2d0*cb**3d0*l5*sa*sb**3d0*vev2 - 4d0*cMW**2d0*cb**2d0*&
                    l1*sa*sb**4d0*vev1)/(4d0*cMW**2d0*(-ca*cb**6d0*vev1 + ca*cb&
                    **4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb** &
                    4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa* &
                    sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb &
                    **2d0*vev2)) + db_MS_BSM_QED2*(-2d0*cMHA**2d0*ca*gw**3d0*sb&
                    **6d0*vev1 + 2d0*cMHA**2d0*cb**6d0*gw**3d0*sa*vev2 - 2d0*  &
                    cMHH**2d0*ca**2d0*cb**5d0*gw**3d0*sa*sb*vev1 + cMHH**2d0*ca&
                    **2d0*cb**3d0*gw**3d0*sa*sb*vev1 - 2d0*cMHH**2d0*ca*cb**3d0&
                    *gw**3d0*sa**2d0*sb**3d0*vev2 + cMHH**2d0*ca*cb*gw**3d0*sa &
                    **2d0*sb**3d0*vev2 - 2d0*cMHH**2d0*ca*gw**3d0*sa**2d0*sb** &
                    6d0*vev1 + 2d0*cMHH**2d0*ca*gw**3d0*sb**6d0*vev1 - 2d0*cMHH&
                    **2d0*cb**6d0*gw**3d0*sa**3d0*vev2 + 2d0*cMHL**2d0*ca**2d0*&
                    cb**5d0*gw**3d0*sa*sb*vev1 - cMHL**2d0*ca**2d0*cb**3d0*gw**&
                    3d0*sa*sb*vev1 + 2d0*cMHL**2d0*ca*cb**3d0*gw**3d0*sa**2d0* &
                    sb**3d0*vev2 - cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2&
                     + 2d0*cMHL**2d0*ca*gw**3d0*sa**2d0*sb**6d0*vev1 + 2d0*cMHL&
                    **2d0*cb**6d0*gw**3d0*sa**3d0*vev2 - 2d0*cMHL**2d0*cb**6d0*&
                    gw**3d0*sa*vev2 - 8d0*cMW**3d0*ca*cb**5d0*l3*sb**4d0 - 8d0*&
                    cMW**3d0*ca*cb**5d0*l4*sb**4d0 - 8d0*cMW**3d0*ca*cb**5d0*l5&
                    *sb**4d0 - 8d0*cMW**3d0*ca*cb**3d0*l1*sb**6d0 + 8d0*cMW**  &
                    3d0*cb**6d0*l2*sa*sb**3d0 + 8d0*cMW**3d0*cb**4d0*l3*sa*sb**&
                    5d0 + 8d0*cMW**3d0*cb**4d0*l4*sa*sb**5d0 + 8d0*cMW**3d0*cb &
                    **4d0*l5*sa*sb**5d0 - 4d0*cMW**2d0*ca*cb**5d0*gw*l4*sb**3d0&
                    *vev2 - 4d0*cMW**2d0*ca*cb**5d0*gw*l5*sb**3d0*vev2 + 8d0*  &
                    cMW**2d0*ca*cb**4d0*gw*l1*sb**4d0*vev1 - 8d0*cMW**2d0*ca*cb&
                    **4d0*gw*l3*sb**4d0*vev1 + 4d0*cMW**2d0*ca*cb**3d0*gw*l4*sb&
                    **5d0*vev2 + 4d0*cMW**2d0*ca*cb**3d0*gw*l5*sb**5d0*vev2 -  &
                    8d0*cMW**2d0*ca*gw*l5*sb**6d0*vev1 + 8d0*cMW**2d0*cb**6d0* &
                    gw*l5*sa*vev2 - 4d0*cMW**2d0*cb**5d0*gw*l4*sa*sb**3d0*vev1 &
                     - 4d0*cMW**2d0*cb**5d0*gw*l5*sa*sb**3d0*vev1 - 8d0*cMW**  &
                    2d0*cb**4d0*gw*l2*sa*sb**4d0*vev2 + 8d0*cMW**2d0*cb**4d0*gw&
                    *l3*sa*sb**4d0*vev2 + 4d0*cMW**2d0*cb**3d0*gw*l4*sa*sb**5d0&
                    *vev1 + 4d0*cMW**2d0*cb**3d0*gw*l5*sa*sb**5d0*vev1)/(4d0*  &
                    cMW**2d0*cb*gw*sb*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 + 2d0&
                    *ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*sb &
                    **4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 +   &
                    2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2)) +  &
                    dMW2_MS_BSM_QED2*(-2d0*cMHA**2d0*ca*cb**6d0*gw**3d0*sw**2d0&
                    *vev1 + cMHA**2d0*ca*cb**6d0*gw**3d0*vev1 + 2d0*cMHA**2d0* &
                    ca*cb**4d0*gw**3d0*sw**2d0*vev1 - cMHA**2d0*ca*cb**4d0*gw**&
                    3d0*vev1 + 4d0*cMHA**2d0*ca*cb**3d0*gw**3d0*sb**3d0*sw**2d0&
                    *vev2 - 2d0*cMHA**2d0*ca*cb**3d0*gw**3d0*sb**3d0*vev2 - 2d0&
                    *cMHA**2d0*ca*cb**2d0*gw**3d0*sb**4d0*sw**2d0*vev1 + cMHA**&
                    2d0*ca*cb**2d0*gw**3d0*sb**4d0*vev1 + 2d0*cMHA**2d0*ca*gw**&
                    3d0*sb**4d0*sw**2d0*vev1 - cMHA**2d0*ca*gw**3d0*sb**4d0*   &
                    vev1 + 2d0*cMHA**2d0*cb**6d0*gw**3d0*sa*sw**2d0*vev2 - cMHA&
                    **2d0*cb**6d0*gw**3d0*sa*vev2 - 2d0*cMHA**2d0*cb**4d0*gw** &
                    3d0*sa*sb**2d0*sw**2d0*vev2 + cMHA**2d0*cb**4d0*gw**3d0*sa*&
                    sb**2d0*vev2 + 4d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**3d0*sw &
                    **2d0*vev1 - 2d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**3d0*vev1 &
                     + 2d0*cMHA**2d0*cb**2d0*gw**3d0*sa*sb**2d0*sw**2d0*vev2 - &
                    cMHA**2d0*cb**2d0*gw**3d0*sa*sb**2d0*vev2 + 4d0*cMHC**2d0* &
                    ca*cb**6d0*gw**3d0*sw**2d0*vev1 - 2d0*cMHC**2d0*ca*cb**6d0*&
                    gw**3d0*vev1 - 4d0*cMHC**2d0*ca*cb**4d0*gw**3d0*sw**2d0*   &
                    vev1 + 2d0*cMHC**2d0*ca*cb**4d0*gw**3d0*vev1 - 4d0*cMHC**  &
                    2d0*ca*cb**3d0*gw**3d0*sb**3d0*sw**2d0*vev2 + 2d0*cMHC**2d0&
                    *ca*cb**3d0*gw**3d0*sb**3d0*vev2 + 4d0*cMHC**2d0*cb**4d0*gw&
                    **3d0*sa*sb**2d0*sw**2d0*vev2 - 2d0*cMHC**2d0*cb**4d0*gw** &
                    3d0*sa*sb**2d0*vev2 - 4d0*cMHC**2d0*cb**3d0*gw**3d0*sa*sb**&
                    3d0*sw**2d0*vev1 + 2d0*cMHC**2d0*cb**3d0*gw**3d0*sa*sb**3d0&
                    *vev1 - 4d0*cMHC**2d0*cb**2d0*gw**3d0*sa*sb**2d0*sw**2d0*  &
                    vev2 + 2d0*cMHC**2d0*cb**2d0*gw**3d0*sa*sb**2d0*vev2 - 2d0*&
                    cMHH**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*sw**2d0*vev1 + cMHH&
                    **2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*vev1 - 2d0*cMHH**2d0*ca&
                    *cb*gw**3d0*sa**2d0*sb**3d0*sw**2d0*vev2 + cMHH**2d0*ca*cb*&
                    gw**3d0*sa**2d0*sb**3d0*vev2 + 2d0*cMHH**2d0*ca*gw**3d0*sa &
                    **2d0*sb**4d0*sw**2d0*vev1 - cMHH**2d0*ca*gw**3d0*sa**2d0* &
                    sb**4d0*vev1 - 2d0*cMHH**2d0*ca*gw**3d0*sb**4d0*sw**2d0*   &
                    vev1 + cMHH**2d0*ca*gw**3d0*sb**4d0*vev1 - 2d0*cMHH**2d0*cb&
                    **4d0*gw**3d0*sa**3d0*sw**2d0*vev2 + cMHH**2d0*cb**4d0*gw**&
                    3d0*sa**3d0*vev2 + 2d0*cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa&
                    *sb*sw**2d0*vev1 - cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*&
                    vev1 + 2d0*cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*sw**2d0*&
                    vev2 - cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2 - 2d0* &
                    cMHL**2d0*ca*gw**3d0*sa**2d0*sb**4d0*sw**2d0*vev1 + cMHL** &
                    2d0*ca*gw**3d0*sa**2d0*sb**4d0*vev1 + 2d0*cMHL**2d0*cb**4d0&
                    *gw**3d0*sa**3d0*sw**2d0*vev2 - cMHL**2d0*cb**4d0*gw**3d0* &
                    sa**3d0*vev2 - 2d0*cMHL**2d0*cb**4d0*gw**3d0*sa*sw**2d0*   &
                    vev2 + cMHL**2d0*cb**4d0*gw**3d0*sa*vev2 - 4d0*cMW**3d0*ca*&
                    cb**5d0*cw**2d0*l3*sb**2d0 + 4d0*cMW**3d0*ca*cb**5d0*l3*sb &
                    **2d0*sw**2d0 - 4d0*cMW**3d0*ca*cb**3d0*cw**2d0*l1*sb**4d0 &
                     + 4d0*cMW**3d0*ca*cb**3d0*cw**2d0*l4*sb**4d0 + 4d0*cMW**  &
                    3d0*ca*cb**3d0*cw**2d0*l5*sb**4d0 + 4d0*cMW**3d0*ca*cb**3d0&
                    *l1*sb**4d0*sw**2d0 - 4d0*cMW**3d0*ca*cb**3d0*l4*sb**4d0*sw&
                    **2d0 - 4d0*cMW**3d0*ca*cb**3d0*l5*sb**4d0*sw**2d0 - 4d0*  &
                    cMW**3d0*cb**4d0*cw**2d0*l2*sa*sb**3d0 + 4d0*cMW**3d0*cb** &
                    4d0*cw**2d0*l4*sa*sb**3d0 + 4d0*cMW**3d0*cb**4d0*cw**2d0*l5&
                    *sa*sb**3d0 + 4d0*cMW**3d0*cb**4d0*l2*sa*sb**3d0*sw**2d0 - &
                    4d0*cMW**3d0*cb**4d0*l4*sa*sb**3d0*sw**2d0 - 4d0*cMW**3d0* &
                    cb**4d0*l5*sa*sb**3d0*sw**2d0 - 4d0*cMW**3d0*cb**2d0*cw**  &
                    2d0*l3*sa*sb**5d0 + 4d0*cMW**3d0*cb**2d0*l3*sa*sb**5d0*sw**&
                    2d0)/(4d0*cMW**4d0*gw*sw**2d0*(-ca*cb**6d0*vev1 + ca*cb**  &
                    4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0&
                    *vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**&
                    2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0&
                    *vev2)) + dMZ2_MS_BSM_QED2*(-cMHA**2d0*ca*cb**6d0*gw**3d0* &
                    sw**4d0*vev1 + 2d0*cMHA**2d0*ca*cb**6d0*gw**3d0*sw**2d0*   &
                    vev1 - cMHA**2d0*ca*cb**6d0*gw**3d0*vev1 + cMHA**2d0*ca*cb &
                    **4d0*gw**3d0*sw**4d0*vev1 - 2d0*cMHA**2d0*ca*cb**4d0*gw** &
                    3d0*sw**2d0*vev1 + cMHA**2d0*ca*cb**4d0*gw**3d0*vev1 + 2d0*&
                    cMHA**2d0*ca*cb**3d0*gw**3d0*sb**3d0*sw**4d0*vev2 - 4d0*   &
                    cMHA**2d0*ca*cb**3d0*gw**3d0*sb**3d0*sw**2d0*vev2 + 2d0*   &
                    cMHA**2d0*ca*cb**3d0*gw**3d0*sb**3d0*vev2 - cMHA**2d0*ca*cb&
                    **2d0*gw**3d0*sb**4d0*sw**4d0*vev1 + 2d0*cMHA**2d0*ca*cb** &
                    2d0*gw**3d0*sb**4d0*sw**2d0*vev1 - cMHA**2d0*ca*cb**2d0*gw &
                    **3d0*sb**4d0*vev1 + cMHA**2d0*ca*gw**3d0*sb**4d0*sw**4d0* &
                    vev1 - 2d0*cMHA**2d0*ca*gw**3d0*sb**4d0*sw**2d0*vev1 + cMHA&
                    **2d0*ca*gw**3d0*sb**4d0*vev1 + cMHA**2d0*cb**6d0*gw**3d0* &
                    sa*sw**4d0*vev2 - 2d0*cMHA**2d0*cb**6d0*gw**3d0*sa*sw**2d0*&
                    vev2 + cMHA**2d0*cb**6d0*gw**3d0*sa*vev2 - cMHA**2d0*cb**  &
                    4d0*gw**3d0*sa*sb**2d0*sw**4d0*vev2 + 2d0*cMHA**2d0*cb**4d0&
                    *gw**3d0*sa*sb**2d0*sw**2d0*vev2 - cMHA**2d0*cb**4d0*gw**  &
                    3d0*sa*sb**2d0*vev2 + 2d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**&
                    3d0*sw**4d0*vev1 - 4d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**3d0&
                    *sw**2d0*vev1 + 2d0*cMHA**2d0*cb**3d0*gw**3d0*sa*sb**3d0*  &
                    vev1 + cMHA**2d0*cb**2d0*gw**3d0*sa*sb**2d0*sw**4d0*vev2 - &
                    2d0*cMHA**2d0*cb**2d0*gw**3d0*sa*sb**2d0*sw**2d0*vev2 +    &
                    cMHA**2d0*cb**2d0*gw**3d0*sa*sb**2d0*vev2 + 2d0*cMHC**2d0* &
                    ca*cb**6d0*gw**3d0*sw**4d0*vev1 - 4d0*cMHC**2d0*ca*cb**6d0*&
                    gw**3d0*sw**2d0*vev1 + 2d0*cMHC**2d0*ca*cb**6d0*gw**3d0*   &
                    vev1 - 2d0*cMHC**2d0*ca*cb**4d0*gw**3d0*sw**4d0*vev1 + 4d0*&
                    cMHC**2d0*ca*cb**4d0*gw**3d0*sw**2d0*vev1 - 2d0*cMHC**2d0* &
                    ca*cb**4d0*gw**3d0*vev1 - 2d0*cMHC**2d0*ca*cb**3d0*gw**3d0*&
                    sb**3d0*sw**4d0*vev2 + 4d0*cMHC**2d0*ca*cb**3d0*gw**3d0*sb &
                    **3d0*sw**2d0*vev2 - 2d0*cMHC**2d0*ca*cb**3d0*gw**3d0*sb** &
                    3d0*vev2 + 2d0*cMHC**2d0*cb**4d0*gw**3d0*sa*sb**2d0*sw**4d0&
                    *vev2 - 4d0*cMHC**2d0*cb**4d0*gw**3d0*sa*sb**2d0*sw**2d0*  &
                    vev2 + 2d0*cMHC**2d0*cb**4d0*gw**3d0*sa*sb**2d0*vev2 - 2d0*&
                    cMHC**2d0*cb**3d0*gw**3d0*sa*sb**3d0*sw**4d0*vev1 + 4d0*   &
                    cMHC**2d0*cb**3d0*gw**3d0*sa*sb**3d0*sw**2d0*vev1 - 2d0*   &
                    cMHC**2d0*cb**3d0*gw**3d0*sa*sb**3d0*vev1 - 2d0*cMHC**2d0* &
                    cb**2d0*gw**3d0*sa*sb**2d0*sw**4d0*vev2 + 4d0*cMHC**2d0*cb &
                    **2d0*gw**3d0*sa*sb**2d0*sw**2d0*vev2 - 2d0*cMHC**2d0*cb** &
                    2d0*gw**3d0*sa*sb**2d0*vev2 - cMHH**2d0*ca**2d0*cb**3d0*gw &
                    **3d0*sa*sb*sw**4d0*vev1 + 2d0*cMHH**2d0*ca**2d0*cb**3d0*gw&
                    **3d0*sa*sb*sw**2d0*vev1 - cMHH**2d0*ca**2d0*cb**3d0*gw**  &
                    3d0*sa*sb*vev1 - cMHH**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*sw&
                    **4d0*vev2 + 2d0*cMHH**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*sw&
                    **2d0*vev2 - cMHH**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2  &
                     + cMHH**2d0*ca*gw**3d0*sa**2d0*sb**4d0*sw**4d0*vev1 - 2d0*&
                    cMHH**2d0*ca*gw**3d0*sa**2d0*sb**4d0*sw**2d0*vev1 + cMHH** &
                    2d0*ca*gw**3d0*sa**2d0*sb**4d0*vev1 - cMHH**2d0*ca*gw**3d0*&
                    sb**4d0*sw**4d0*vev1 + 2d0*cMHH**2d0*ca*gw**3d0*sb**4d0*sw &
                    **2d0*vev1 - cMHH**2d0*ca*gw**3d0*sb**4d0*vev1 - cMHH**2d0*&
                    cb**4d0*gw**3d0*sa**3d0*sw**4d0*vev2 + 2d0*cMHH**2d0*cb**  &
                    4d0*gw**3d0*sa**3d0*sw**2d0*vev2 - cMHH**2d0*cb**4d0*gw**  &
                    3d0*sa**3d0*vev2 + cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*&
                    sw**4d0*vev1 - 2d0*cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*&
                    sw**2d0*vev1 + cMHL**2d0*ca**2d0*cb**3d0*gw**3d0*sa*sb*vev1&
                     + cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*sw**4d0*vev2 -  &
                    2d0*cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*sw**2d0*vev2 + &
                    cMHL**2d0*ca*cb*gw**3d0*sa**2d0*sb**3d0*vev2 - cMHL**2d0*ca&
                    *gw**3d0*sa**2d0*sb**4d0*sw**4d0*vev1 + 2d0*cMHL**2d0*ca*gw&
                    **3d0*sa**2d0*sb**4d0*sw**2d0*vev1 - cMHL**2d0*ca*gw**3d0* &
                    sa**2d0*sb**4d0*vev1 + cMHL**2d0*cb**4d0*gw**3d0*sa**3d0*sw&
                    **4d0*vev2 - 2d0*cMHL**2d0*cb**4d0*gw**3d0*sa**3d0*sw**2d0*&
                    vev2 + cMHL**2d0*cb**4d0*gw**3d0*sa**3d0*vev2 - cMHL**2d0* &
                    cb**4d0*gw**3d0*sa*sw**4d0*vev2 + 2d0*cMHL**2d0*cb**4d0*gw &
                    **3d0*sa*sw**2d0*vev2 - cMHL**2d0*cb**4d0*gw**3d0*sa*vev2  &
                     + 4d0*cMW**3d0*ca*cb**5d0*cw**4d0*l3*sb**2d0 + 4d0*cMW**  &
                    3d0*ca*cb**3d0*cw**4d0*l1*sb**4d0 - 4d0*cMW**3d0*ca*cb**3d0&
                    *cw**4d0*l4*sb**4d0 - 4d0*cMW**3d0*ca*cb**3d0*cw**4d0*l5*sb&
                    **4d0 + 4d0*cMW**3d0*cb**4d0*cw**4d0*l2*sa*sb**3d0 - 4d0*  &
                    cMW**3d0*cb**4d0*cw**4d0*l4*sa*sb**3d0 - 4d0*cMW**3d0*cb** &
                    4d0*cw**4d0*l5*sa*sb**3d0 + 4d0*cMW**3d0*cb**2d0*cw**4d0*l3&
                    *sa*sb**5d0)/(4d0*cMW**4d0*gw*sw**2d0*(-ca*cb**6d0*vev1 +  &
                    ca*cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*&
                    sb**4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*&
                    sa*sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*&
                    sb**2d0*vev2)) - cima*cb**2d0*coupl(nGC_22)*               &
                    dtHl_MS_BSM_QED1*sb**2d0/(cMHL**2d0*(-ca*cb**6d0*vev1 + ca*&
                    cb**4d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb &
                    **4d0*vev1 + ca*sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa&
                    *sb**2d0*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb&
                    **2d0*vev2)) - cima*cb**2d0*coupl(nGC_34)*dtHh_MS_BSM_QED1*&
                    sb**2d0/(cMHH**2d0*(-ca*cb**6d0*vev1 + ca*cb**4d0*vev1 +   &
                    2d0*ca*cb**3d0*sb**3d0*vev2 - ca*cb**2d0*sb**4d0*vev1 + ca*&
                    sb**4d0*vev1 + cb**6d0*sa*vev2 - cb**4d0*sa*sb**2d0*vev2 + &
                    2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa*sb**2d0*vev2))
  dl5_MS_BSM_QED4 = cone*real(dl5_MS_BSM_QED4,kind=dp)
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter190
end module ctparameter190
