!******************************************************************************!
!                                                                              !
!    ctparameter23.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter23.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter23
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter23()
  dZZ_QED2 = (2d0*Nc*Ten1001*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 +   &
             2d0*Nc*Ten1002*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 + 2d0&
             *Nc*Ten1003*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 + 2d0*Nc&
             *Ten1004*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*  &
             Ten1005*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*   &
             Ten1006*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*   &
             Ten1054*(-cMU**2d0*coupl(nGC_85)**2d0 + 6d0*cMU**2d0*coupl(nGC_85 &
             )*coupl(nGC_88) - cMU**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0&
             *rMZ**2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1055*(-  &
             cMC**2d0*coupl(nGC_85)**2d0 + 6d0*cMC**2d0*coupl(nGC_85)*coupl(   &
             nGC_88) - cMC**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0*rMZ**  &
             2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1056*(-cMT**2d0&
             *coupl(nGC_85)**2d0 + 6d0*cMT**2d0*coupl(nGC_85)*coupl(nGC_88) -  &
             cMT**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0*rMZ**2d0 + coupl(&
             nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1057*(-cMD**2d0*coupl(     &
             nGC_84)**2d0 + 6d0*cMD**2d0*coupl(nGC_84)*coupl(nGC_87) - cMD**2d0&
             *coupl(nGC_87)**2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1058*(-cMS**2d0*coupl(nGC_84)**  &
             2d0 + 6d0*cMS**2d0*coupl(nGC_84)*coupl(nGC_87) - cMS**2d0*coupl(  &
             nGC_87)**2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten1059*(-cMB**2d0*coupl(nGC_84)**2d0 + 6d0&
             *cMB**2d0*coupl(nGC_84)*coupl(nGC_87) - cMB**2d0*coupl(nGC_87)**  &
             2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*rMZ**2d0)/ &
             3d0 + Ten0*(cMHA**2d0*coupl(nGC_94)**2d0 - cMHL**2d0*coupl(nGC_91 &
             )**2d0 - cMHL**2d0*coupl(nGC_94)**2d0 + cMZ**2d0*coupl(nGC_91)**  &
             2d0)/(3d0*rMZ**4d0) + Ten1*(cMHH**2d0*coupl(nGC_94)**2d0 + cMHL** &
             2d0*coupl(nGC_91)**2d0 - cMZ**2d0*coupl(nGC_91)**2d0 - cMZ**2d0*  &
             coupl(nGC_94)**2d0)/(3d0*rMZ**4d0) + Ten1000*(2d0*coupl(nGC_86)** &
             2d0/3d0 + 2d0*coupl(nGC_89)**2d0/3d0) + 2d0*Ten1045*coupl(nGC_90  &
             )**2d0 + Ten1046*coupl(nGC_96)**2d0/3d0 + Ten1047*coupl(nGC_94)** &
             2d0*(cMHA**4d0 - 2d0*cMHA**2d0*cMHL**2d0 + cMHL**4d0 - rMZ**4d0)/(&
             3d0*rMZ**4d0) + Ten1048*coupl(nGC_92)**2d0*(cMHA**4d0 - 2d0*cMHA**&
             2d0*cMHH**2d0 + cMHH**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten1049*(  &
             cMW**2d0*coupl(nGC_81)**2d0/3d0 - 5d0*cMW**2d0*coupl(nGC_82)**2d0 &
              - 4d0*cMW**2d0*coupl(nGC_96)**2d0/3d0 + 2d0*coupl(nGC_107)**2d0  &
              - coupl(nGC_81)**2d0*rMZ**2d0/12d0 - 13d0*coupl(nGC_82)**2d0*rMZ &
             **2d0/4d0 + coupl(nGC_96)**2d0*rMZ**2d0/3d0) + Ten1050*coupl(     &
             nGC_96)**2d0*(-4d0*cMHC**2d0 + rMZ**2d0)/3d0 + Ten1051*(-2d0*cME**&
             2d0*coupl(nGC_86)**2d0/3d0 + 4d0*cME**2d0*coupl(nGC_86)*coupl(    &
             nGC_89) - 2d0*cME**2d0*coupl(nGC_89)**2d0/3d0 + 2d0*coupl(nGC_86  &
             )**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_89)**2d0*rMZ**2d0/3d0) +      &
             Ten1052*(-2d0*cMM**2d0*coupl(nGC_86)**2d0/3d0 + 4d0*cMM**2d0*coupl&
             (nGC_86)*coupl(nGC_89) - 2d0*cMM**2d0*coupl(nGC_89)**2d0/3d0 + 2d0&
             *coupl(nGC_86)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_89)**2d0*rMZ**2d0&
             /3d0) + Ten1053*(-2d0*cMTA**2d0*coupl(nGC_86)**2d0/3d0 + 4d0*cMTA &
             **2d0*coupl(nGC_86)*coupl(nGC_89) - 2d0*cMTA**2d0*coupl(nGC_89)** &
             2d0/3d0 + 2d0*coupl(nGC_86)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_89  &
             )**2d0*rMZ**2d0/3d0) + 2d0*Ten1060*coupl(nGC_90)**2d0*rMZ**2d0 +  &
             Ten1061*(-cMHL**4d0*coupl(nGC_91)**2d0 + 2d0*cMHL**2d0*cMZ**2d0*  &
             coupl(nGC_91)**2d0 + 2d0*cMHL**2d0*coupl(nGC_91)**2d0*rMZ**2d0 -  &
             cMZ**4d0*coupl(nGC_91)**2d0 + 2d0*cMZ**2d0*coupl(nGC_91)**2d0*rMZ &
             **2d0 + 3d0*coupl(nGC_128)**2d0*rMZ**2d0 - coupl(nGC_91)**2d0*rMZ &
             **4d0)/(3d0*rMZ**2d0) + Ten1062*(-cMHH**4d0*coupl(nGC_94)**2d0 +  &
             2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_94)**2d0 + 2d0*cMHH**2d0*coupl(  &
             nGC_94)**2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_94)**2d0 + 2d0*cMZ**2d0&
             *coupl(nGC_94)**2d0*rMZ**2d0 + 3d0*coupl(nGC_129)**2d0*rMZ**2d0 - &
             coupl(nGC_94)**2d0*rMZ**4d0)/(3d0*rMZ**2d0) + Ten1063*coupl(nGC_94&
             )**2d0*(-cMHA**4d0 + 2d0*cMHA**2d0*cMHL**2d0 + 2d0*cMHA**2d0*rMZ**&
             2d0 - cMHL**4d0 + 2d0*cMHL**2d0*rMZ**2d0 - rMZ**4d0)/(3d0*rMZ**2d0&
             ) + Ten1064*coupl(nGC_92)**2d0*(-cMHA**4d0 + 2d0*cMHA**2d0*cMHH** &
             2d0 + 2d0*cMHA**2d0*rMZ**2d0 - cMHH**4d0 + 2d0*cMHH**2d0*rMZ**2d0 &
              - rMZ**4d0)/(3d0*rMZ**2d0) + Ten14*(-cMHA**2d0*coupl(nGC_92)**2d0&
              - cMHA**2d0*coupl(nGC_94)**2d0 + cMHH**2d0*coupl(nGC_92)**2d0 +  &
             cMHL**2d0*coupl(nGC_94)**2d0)/(3d0*rMZ**4d0) + Ten2*(cMHA**2d0*   &
             coupl(nGC_92)**2d0 - cMHH**2d0*coupl(nGC_92)**2d0 - cMHH**2d0*    &
             coupl(nGC_94)**2d0 + cMZ**2d0*coupl(nGC_94)**2d0)/(3d0*rMZ**4d0   &
             ) + Ten994*coupl(nGC_91)**2d0*(cMHL**4d0 - 2d0*cMHL**2d0*cMZ**2d0 &
              + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten995*coupl(nGC_94)**2d0&
             *(cMHH**4d0 - 2d0*cMHH**2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0)/(3d0* &
             rMZ**4d0) + Ten996*(-coupl(nGC_81)**2d0/12d0 - 13d0*coupl(nGC_82  &
             )**2d0/4d0 + coupl(nGC_96)**2d0/3d0) + Ten998*(2d0*coupl(nGC_86)**&
             2d0/3d0 + 2d0*coupl(nGC_89)**2d0/3d0) + Ten999*(2d0*coupl(nGC_86  &
             )**2d0/3d0 + 2d0*coupl(nGC_89)**2d0/3d0) + pi**2d0*(-2d0*Nc*coupl(&
             nGC_84)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_85)**2d0/(3d0*pi**  &
             2d0) - 2d0*Nc*coupl(nGC_87)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(    &
             nGC_88)**2d0/(3d0*pi**2d0) - coupl(nGC_81)**2d0/(18d0*pi**2d0) -  &
             coupl(nGC_82)**2d0/(6d0*pi**2d0) - 2d0*coupl(nGC_86)**2d0/(3d0*pi &
             **2d0) - 2d0*coupl(nGC_89)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_90  &
             )**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_91)**2d0/(9d0*pi**2d0) - 2d0*&
             coupl(nGC_92)**2d0/(9d0*pi**2d0) - 4d0*coupl(nGC_94)**2d0/(9d0*pi &
             **2d0) + 4d0*coupl(nGC_96)**2d0/(9d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter23
end module ctparameter23
