!******************************************************************************!
!                                                                              !
!    ctparameter72.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter72.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter72
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter72()
  if (dZuL_QED2_scheme .eq. 2) then
    dZuL_QED2 = (Ten556*coupl(nGC_2)**2d0 + Ten614*(-coupl(nGC_150)**2d0 - 2d0*&
                coupl(nGC_80)**2d0) - Ten615*coupl(nGC_146)**2d0 + Ten616*(-   &
                coupl(nGC_197)*coupl(nGC_198) - 2d0*coupl(nGC_88)**2d0) +      &
                Ten617*coupl(nGC_194)**2d0 - Ten618*coupl(nGC_195)**2d0 -      &
                Ten619*coupl(nGC_192)**2d0 + pi**2d0*(-coupl(nGC_80)**2d0/pi** &
                2d0 - coupl(nGC_88)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter72
end module ctparameter72
