!******************************************************************************!
!                                                                              !
!    ctparameter73.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter73.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter73
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter73()
  OS12_Hvv_db_QED2 = (pi*Ten1139*aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa &
                      - ca*sa*sb**2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi* &
                     Ten1140*aEW*cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*&
                     sa*sb**2d0 - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1142&
                     *aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa - ca*sa*sb &
                     **2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1143*aEW*&
                     cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0  &
                      - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*Ten1144*aEW*cMHA &
                     **2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/(cw**2d0* &
                     sw**2d0) + 2d0*pi*Ten1145*aEW*cMHC**2d0*cb*sb*(ca**2d0*sb &
                     **2d0 - cb**2d0*sa**2d0)/sw**2d0 + 2d0*pi*Ten1146*aEW*cMHC&
                     **2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/sw**2d0 + &
                     4d0*pi*Ten1147*aEW*cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0*cb** &
                     2d0 - cMHH**2d0*sa**2d0*sb**2d0 - 2d0*cMW**2d0*ca**2d0*cb &
                     **2d0 + 2d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*sw**2d0  &
                     ) + pi*Ten1148*aEW*cMHA**2d0*cb*sb*(ca**2d0*sb**2d0 - cb**&
                     2d0*sa**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1149*aEW*cMW** &
                     2d0*cb*sb*(cMHH**2d0*ca**2d0*cb**2d0*cw**2d0 - cMHH**2d0* &
                     cw**2d0*sa**2d0*sb**2d0 - 2d0*cMW**2d0*ca**2d0*cb**2d0 +  &
                     2d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*cw**6d0*sw**2d0  &
                     ) + 4d0*pi*Ten1150*aEW*cb*sb*(cMHH**2d0*cMHL**2d0*ca**2d0*&
                     cb**2d0 + cMHH**2d0*cMHL**2d0*ca**2d0*sb**2d0 + cMHH**2d0*&
                     cMHL**2d0*cb**2d0*sa**2d0 + cMHH**2d0*cMHL**2d0*sa**2d0*sb&
                     **2d0 - cMHH**2d0*cMHL**2d0 + 2d0*cMHH**2d0*cMW**2d0*ca** &
                     2d0 - 2d0*cMHH**2d0*cMW**2d0*cb**2d0 - 2d0*cMHL**2d0*cMW**&
                     2d0*ca**2d0*cb**2d0 + 2d0*cMHL**2d0*cMW**2d0*sa**2d0*sb** &
                     2d0)/(cMHH**2d0*cMHL**2d0*sw**2d0) + 4d0*pi*Ten1151*aEW*  &
                     cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0 - cMHH**2d0*cb**2d0 -   &
                     cMHL**2d0*cb**2d0 + cMHL**2d0*sa**2d0)/(cMHH**2d0*cMHL**  &
                     2d0*cw**4d0*sw**2d0) + pi*Ten1153*aEW*(-2d0*ca*cb**2d0*sa &
                      + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/(2d0*cw**2d0*sw**2d0&
                     ) + pi*Ten1154*aEW*(2d0*ca*cb**2d0*sa - ca*sa + 2d0*cb*sa &
                     **2d0*sb - cb*sb)/(2d0*cw**2d0*sw**2d0) + pi*Ten1155*aEW* &
                     cb*sb*(-ca**2d0*sb**2d0 + cb**2d0*sa**2d0)/(2d0*cw**2d0*sw&
                     **2d0) + pi*Ten1156*aEW*cb*sb*(-ca**2d0*sb**2d0 + cb**2d0*&
                     sa**2d0)/sw**2d0 + pi*Ten1157*aEW*cb*sb*(-ca**2d0*sb**2d0 &
                      + cb**2d0*sa**2d0)/sw**2d0 + 2d0*pi*Ten1158*aEW*cb*sb*(- &
                     cMHH**2d0*ca**2d0*cb**2d0 + cMHH**2d0*sa**2d0*sb**2d0 +   &
                     4d0*cMW**2d0*ca**2d0*cb**2d0 - 4d0*cMW**2d0*sa**2d0*sb**  &
                     2d0)/(cMHH**2d0*sw**2d0) + pi*Ten1159*aEW*cb*sb*(-ca**2d0*&
                     sb**2d0 + cb**2d0*sa**2d0)/(2d0*cw**2d0*sw**2d0) + pi*    &
                     Ten1160*aEW*cb*sb*(-cMHH**2d0*ca**2d0*cb**2d0*cw**2d0 +   &
                     cMHH**2d0*cw**2d0*sa**2d0*sb**2d0 + 4d0*cMW**2d0*ca**2d0* &
                     cb**2d0 - 4d0*cMW**2d0*sa**2d0*sb**2d0)/(cMHH**2d0*cw**4d0&
                     *sw**2d0) + pi*Ten1161*aEW*cMHA**2d0*cb*sb*(-ca**2d0*cb** &
                     2d0 + sa**2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1162*&
                     aEW*cMHC**2d0*cb*sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/ &
                     sw**2d0 + 2d0*pi*Ten1163*aEW*cMHC**2d0*cb*sb*(-ca**2d0*cb &
                     **2d0 + sa**2d0*sb**2d0)/sw**2d0 + 4d0*pi*Ten1164*aEW*cMW &
                     **2d0*cb*sb*(-cMHL**2d0*ca**2d0*sb**2d0 + cMHL**2d0*cb**  &
                     2d0*sa**2d0 + 2d0*cMW**2d0*ca**2d0*sb**2d0 - 2d0*cMW**2d0*&
                     cb**2d0*sa**2d0)/(cMHL**2d0*sw**2d0) + pi*Ten1165*aEW*cMHA&
                     **2d0*cb*sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/(cw**2d0*&
                     sw**2d0) + 2d0*pi*Ten1166*aEW*cMW**2d0*cb*sb*(-cMHL**2d0* &
                     ca**2d0*cw**2d0*sb**2d0 + cMHL**2d0*cb**2d0*cw**2d0*sa**  &
                     2d0 + 2d0*cMW**2d0*ca**2d0*sb**2d0 - 2d0*cMW**2d0*cb**2d0*&
                     sa**2d0)/(cMHL**2d0*cw**6d0*sw**2d0) + pi*Ten1167*aEW*cb* &
                     sb*(ca**2d0*cb**2d0 - sa**2d0*sb**2d0)/(2d0*cw**2d0*sw**  &
                     2d0) + pi*Ten1168*aEW*cb*sb*(ca**2d0*cb**2d0 - sa**2d0*sb &
                     **2d0)/sw**2d0 + pi*Ten1169*aEW*cb*sb*(ca**2d0*cb**2d0 -  &
                     sa**2d0*sb**2d0)/sw**2d0 + 2d0*pi*Ten1170*aEW*cb*sb*(cMHL &
                     **2d0*ca**2d0*sb**2d0 - cMHL**2d0*cb**2d0*sa**2d0 - 4d0*  &
                     cMW**2d0*ca**2d0*sb**2d0 + 4d0*cMW**2d0*cb**2d0*sa**2d0)/(&
                     cMHL**2d0*sw**2d0) + pi*Ten1171*aEW*cb*sb*(ca**2d0*cb**2d0&
                      - sa**2d0*sb**2d0)/(2d0*cw**2d0*sw**2d0) + pi*Ten1172*aEW&
                     *cb*sb*(cMHL**2d0*ca**2d0*cw**2d0*sb**2d0 - cMHL**2d0*cb**&
                     2d0*cw**2d0*sa**2d0 - 4d0*cMW**2d0*ca**2d0*sb**2d0 + 4d0* &
                     cMW**2d0*cb**2d0*sa**2d0)/(cMHL**2d0*cw**4d0*sw**2d0) + pi&
                     *Ten509*aEW*(2d0*ca*cb**2d0*sa - ca*sa + 2d0*cb*sa**2d0*sb&
                      - cb*sb)/(2d0*cw**2d0*sw**2d0) + pi*Ten513*aEW*(-2d0*ca* &
                     cb**2d0*sa + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/(2d0*cw** &
                     2d0*sw**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS12_Hvv_db_QED2 = cone*real(OS12_Hvv_db_QED2,kind=dp)
    end if 
end subroutine set_ctparameter73
end module ctparameter73
