!******************************************************************************!
!                                                                              !
!    ctparameter86.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter86.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter86
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter86()
  dZg_QCD2 = (5d0*Nc*Ten556*coupl(nGC_6)**2d0*sq2**2d0/6d0 + 2d0*Ten569*cMU_reg&
             **2d0*coupl(nGC_7)**2d0*sq2**2d0 + 2d0*Ten570*cMC_reg**2d0*coupl( &
             nGC_7)**2d0*sq2**2d0 + 2d0*Ten571*cMT**2d0*coupl(nGC_7)**2d0*sq2**&
             2d0 + 2d0*Ten572*cMD_reg**2d0*coupl(nGC_7)**2d0*sq2**2d0 + 2d0*   &
             Ten573*cMS_reg**2d0*coupl(nGC_7)**2d0*sq2**2d0 + 2d0*Ten574*      &
             cMB_reg**2d0*coupl(nGC_7)**2d0*sq2**2d0 - 4d0*Ten575*coupl(nGC_7  &
             )**2d0*sq2**2d0 - 4d0*Ten576*coupl(nGC_7)**2d0*sq2**2d0 - 4d0*    &
             Ten577*coupl(nGC_7)**2d0*sq2**2d0 - 4d0*Ten578*coupl(nGC_7)**2d0* &
             sq2**2d0 - 4d0*Ten579*coupl(nGC_7)**2d0*sq2**2d0 - 4d0*Ten580*    &
             coupl(nGC_7)**2d0*sq2**2d0 - Ten581*coupl(nGC_7)**2d0*sq2**2d0/3d0&
              - Ten582*coupl(nGC_7)**2d0*sq2**2d0/3d0 - Ten583*coupl(nGC_7)**  &
             2d0*sq2**2d0/3d0 - Ten584*coupl(nGC_7)**2d0*sq2**2d0/3d0 - Ten585*&
             coupl(nGC_7)**2d0*sq2**2d0/3d0 - coupl(nGC_7)**2d0*sq2**2d0/3d0)/(&
             16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter86
end module ctparameter86
