!******************************************************************************!
!                                                                              !
!    ctparameter88.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter88.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter88
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter88()
  dZtR_QED2 = (2d0*Ten806*coupl(nGC_2)**2d0 - Ten807*coupl(nGC_179)**2d0 +     &
              Ten808*coupl(nGC_177)**2d0 + Ten809*coupl(nGC_180)**2d0 + Ten810 &
              *(-coupl(nGC_182)*coupl(nGC_183) - 2d0*coupl(nGC_85)**2d0) + 2d0*&
              Ten811*coupl(nGC_2)**2d0 - Ten812*coupl(nGC_181)**2d0 - Ten813*  &
              coupl(nGC_178)**2d0 - Ten814*coupl(nGC_179)**2d0 + Ten815*coupl( &
              nGC_177)**2d0 + Ten816*coupl(nGC_180)**2d0 + Ten820*cMT*rMT*(    &
              coupl(nGC_182)**2d0 + coupl(nGC_183)**2d0 - 8d0*coupl(nGC_85)*   &
              coupl(nGC_88)) + 4d0*Ten821*coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT&
              ) + 2d0*Ten822*cMB*coupl(nGC_138)*coupl(nGC_181)*rMT + 2d0*Ten823&
              *cMB*coupl(nGC_142)*coupl(nGC_178)*rMT + 2d0*Ten824*coupl(nGC_179&
              )**2d0*rMT*(cMT - rMT) + 2d0*Ten825*coupl(nGC_177)**2d0*rMT*(cMT &
               + rMT) + 2d0*Ten826*coupl(nGC_180)**2d0*rMT*(cMT + rMT) + 2d0*  &
              Ten827*rMT**2d0*(-coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_85)**&
              2d0 - coupl(nGC_88)**2d0) + 4d0*Ten828*coupl(nGC_2)**2d0*rMT**2d0&
               + Ten829*rMT**2d0*(-coupl(nGC_138)**2d0 - coupl(nGC_181)**2d0 - &
              2d0*coupl(nGC_80)**2d0) + Ten830*rMT**2d0*(-coupl(nGC_142)**2d0  &
               - coupl(nGC_178)**2d0) - 2d0*Ten831*coupl(nGC_179)**2d0*rMT**2d0&
               + 2d0*Ten832*coupl(nGC_177)**2d0*rMT**2d0 + 2d0*Ten833*coupl(   &
              nGC_180)**2d0*rMT**2d0 + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0 -   &
              coupl(nGC_85)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtR_QED2 = cone*real(dZtR_QED2,kind=dp)
    end if 
end subroutine set_ctparameter88
end module ctparameter88
