!******************************************************************************!
!                                                                              !
!    ctparameter90.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter90.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter90
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter90()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dMZ2_MS_BSM_QED2 = DeltaUV*(2d0*Nc*cMB**2d0*coupl(nGC_84)**2d0 - 4d0*Nc*cMB**&
                     2d0*coupl(nGC_84)*coupl(nGC_87) + 2d0*Nc*cMB**2d0*coupl(  &
                     nGC_87)**2d0 + 2d0*Nc*cMC**2d0*coupl(nGC_85)**2d0 - 4d0*Nc&
                     *cMC**2d0*coupl(nGC_85)*coupl(nGC_88) + 2d0*Nc*cMC**2d0*  &
                     coupl(nGC_88)**2d0 + 2d0*Nc*cMD**2d0*coupl(nGC_84)**2d0 - &
                     4d0*Nc*cMD**2d0*coupl(nGC_84)*coupl(nGC_87) + 2d0*Nc*cMD**&
                     2d0*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0*coupl(nGC_84)**  &
                     2d0 - 4d0*Nc*cMS**2d0*coupl(nGC_84)*coupl(nGC_87) + 2d0*Nc&
                     *cMS**2d0*coupl(nGC_87)**2d0 + 2d0*Nc*cMT**2d0*coupl(     &
                     nGC_85)**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_85)*coupl(nGC_88 &
                     ) + 2d0*Nc*cMT**2d0*coupl(nGC_88)**2d0 + 2d0*Nc*cMU**2d0* &
                     coupl(nGC_85)**2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_85)*coupl( &
                     nGC_88) + 2d0*Nc*cMU**2d0*coupl(nGC_88)**2d0 - 2d0*Nc*cMZ &
                     **2d0*coupl(nGC_84)**2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_85)**&
                     2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_87)**2d0 - 2d0*Nc*cMZ**2d0&
                     *coupl(nGC_88)**2d0 + 2d0*cME**2d0*coupl(nGC_86)**2d0 -   &
                     4d0*cME**2d0*coupl(nGC_86)*coupl(nGC_89) + 2d0*cME**2d0*  &
                     coupl(nGC_89)**2d0 - cima*cMHA**2d0*coupl(nGC_101)/2d0 -  &
                     cMHA**2d0*coupl(nGC_92)**2d0 - cMHA**2d0*coupl(nGC_94)**  &
                     2d0 - cima*cMHC**2d0*coupl(nGC_100) + 2d0*cMHC**2d0*coupl(&
                     nGC_96)**2d0 - cMHH**2d0*coupl(nGC_92)**2d0 - cMHH**2d0*  &
                     coupl(nGC_94)**2d0 - cima*cMHH**2d0*coupl(nGC_99)/2d0 -   &
                     cMHL**2d0*coupl(nGC_91)**2d0 - cMHL**2d0*coupl(nGC_94)**  &
                     2d0 - cima*cMHL**2d0*coupl(nGC_99)/2d0 + 2d0*cMM**2d0*    &
                     coupl(nGC_86)**2d0 - 4d0*cMM**2d0*coupl(nGC_86)*coupl(    &
                     nGC_89) + 2d0*cMM**2d0*coupl(nGC_89)**2d0 + 2d0*cMTA**2d0*&
                     coupl(nGC_86)**2d0 - 4d0*cMTA**2d0*coupl(nGC_86)*coupl(   &
                     nGC_89) + 2d0*cMTA**2d0*coupl(nGC_89)**2d0 - cima*cMW**2d0&
                     *coupl(nGC_100) - 6d0*cima*cMW**2d0*coupl(nGC_79) - cMW** &
                     2d0*coupl(nGC_81)**2d0/2d0 + 17d0*cMW**2d0*coupl(nGC_82)**&
                     2d0/2d0 + 2d0*cMW**2d0*coupl(nGC_96)**2d0 - cima*cMZ**2d0*&
                     coupl(nGC_101)/2d0 + cMZ**2d0*coupl(nGC_81)**2d0/12d0 +   &
                     13d0*cMZ**2d0*coupl(nGC_82)**2d0/4d0 - 2d0*cMZ**2d0*coupl(&
                     nGC_86)**2d0 - 2d0*cMZ**2d0*coupl(nGC_89)**2d0 - 2d0*cMZ**&
                     2d0*coupl(nGC_90)**2d0 - 2d0*cMZ**2d0*coupl(nGC_91)**2d0/ &
                     3d0 + cMZ**2d0*coupl(nGC_92)**2d0/3d0 - cMZ**2d0*coupl(   &
                     nGC_94)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_96)**2d0/3d0 -  &
                     2d0*coupl(nGC_102)**2d0 - 2d0*coupl(nGC_107)**2d0 - coupl(&
                     nGC_128)**2d0 - coupl(nGC_129)**2d0)/(16d0*pi**2d0) - cima&
                     *coupl(nGC_128)*dtHl_MS_BSM_QED1/cMHL**2d0 - cima*coupl(  &
                     nGC_129)*dtHh_MS_BSM_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMZ2_MS_BSM_QED2 = cone*real(dMZ2_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter90
end module ctparameter90
