!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dcab_QED2 = da_QED2*(ca*sb - cb*sa) + db_QED2*(-ca*sb + cb*sa)
  dydo2_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw*h2d/(2d0*cMW*sb)
  dydo2_QED3 = -sqrt(2d0)*cMD*cb*db_QED2*gw*h2d/(2d0*cMW*sb**2d0) + sqrt(2d0)* &
               cMD*dZee_QED2*gw*h2d/(2d0*cMW*sb) + sqrt(2d0)*cMD*dMW2_QED2*gw* &
               h2d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)* &
               cMD*dMZ2_QED2*gw*h2d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**  &
               3d0*sb*sw**2d0) + sqrt(2d0)*dMD_QED2*gw*h2d/(2d0*cMW*sb)
  dydo1_QED3 = sqrt(2d0)*cMD*dZee_QED2*gw*h1d/(2d0*cMW*cb) + sqrt(2d0)*cMD*    &
               db_QED2*gw*h1d*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMD*dMW2_QED2*gw&
               *h1d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*&
               cMD*dMZ2_QED2*gw*h1d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**  &
               3d0*cb*sw**2d0) + sqrt(2d0)*dMD_QED2*gw*h1d/(2d0*cMW*cb)
  dydo1_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw*h1d/(2d0*cMW*cb)
  dvev1_QED1 = -2d0*cMW*cb*dZee_QED2/gw - 2d0*cMW*db_QED2*sb/gw + cb*cw**4d0*  &
               dMZ2_QED2/(cMW*gw*sw**2d0) + cb*dMW2_QED2*(-cw**2d0 + sw**2d0)/(&
               cMW*gw*sw**2d0)
  dvev2_QED1 = 2d0*cMW*cb*db_QED2/gw - 2d0*cMW*dZee_QED2*sb/gw + cw**4d0*      &
               dMZ2_QED2*sb/(cMW*gw*sw**2d0) + dMW2_QED2*sb*(-cw**2d0 + sw**2d0&
               )/(cMW*gw*sw**2d0)
  dg1_QED3 = -dZee_QED2*gw*sw/(2d0*cw) - cw*dMZ2_QED2*gw*sw/(4d0*cMW**2d0) +   &
             dMW2_QED2*gw*sw/(4d0*cMW**2d0*cw)
  dyt1_QED3 = sqrt(2d0)*cMT*dZee_QED2*gw*h1u/(2d0*cMW*cb) + sqrt(2d0)*cMT*     &
              db_QED2*gw*h1u*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMT*dMW2_QED2*gw*&
              h1u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*  &
              cMT*dMZ2_QED2*gw*h1u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *cb*sw**2d0) + sqrt(2d0)*dMT_QED2*gw*h1u/(2d0*cMW*cb)
  dyt1_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw*h1u/(2d0*cMW*cb)
  dyt2_QED3 = -sqrt(2d0)*cMT*cb*db_QED2*gw*h2u/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cMT*dZee_QED2*gw*h2u/(2d0*cMW*sb) + sqrt(2d0)*cMT*dMW2_QED2*gw*  &
              h2u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cMT*dMZ2_QED2*gw*h2u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dMT_QED2*gw*h2u/(2d0*cMW*sb)
  dyt2_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw*h2u/(2d0*cMW*sb)
  dMPA_QED2 = sqrt(2d0)*dMHA2_QED2/(4d0*cMHA)
  dMPC_QED2 = sqrt(2d0)*dMHC2_QED2/(4d0*cMHC)
  dm12_QED2 = -8d0*cMW**2d0*cb*dZee_QED2*l5*sb/gw**2d0 + 4d0*cMW**2d0*cb*      &
              dl5_QED4*sb/gw**2d0 + cb*dMHA2_QED2*sb + 4d0*cb*dMW2_QED2*l5*sb*(&
              2d0*sw**2d0 - 1d0)/(gw**2d0*sw**2d0) + 4d0*cb*dMZ2_QED2*l5*sb*(sw&
              **4d0 - 2d0*sw**2d0 + 1d0)/(gw**2d0*sw**2d0) + db_QED2*(2d0*cMHA &
              **2d0*cb**2d0*gw**2d0 - cMHA**2d0*gw**2d0 + 8d0*cMW**2d0*cb**2d0*&
              l5 - 4d0*cMW**2d0*l5)/gw**2d0
  dyc1_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw*h1u/(2d0*cMW*cb)
  dyc1_QED3 = sqrt(2d0)*cMC*dZee_QED2*gw*h1u/(2d0*cMW*cb) + sqrt(2d0)*cMC*     &
              db_QED2*gw*h1u*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMC*dMW2_QED2*gw*&
              h1u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*  &
              cMC*dMZ2_QED2*gw*h1u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *cb*sw**2d0) + sqrt(2d0)*dMC_QED2*gw*h1u/(2d0*cMW*cb)
  dyc2_QED3 = -sqrt(2d0)*cMC*cb*db_QED2*gw*h2u/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cMC*dZee_QED2*gw*h2u/(2d0*cMW*sb) + sqrt(2d0)*cMC*dMW2_QED2*gw*  &
              h2u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cMC*dMZ2_QED2*gw*h2u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dMC_QED2*gw*h2u/(2d0*cMW*sb)
  dyc2_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw*h2u/(2d0*cMW*sb)
  dsw_QED2 = cw**4d0*dMZ2_QED2/(2d0*cMW**2d0*sw) - cw**2d0*dMW2_QED2/(2d0*cMW**&
             2d0*sw)
  dye2_QED3 = -sqrt(2d0)*cME*cb*db_QED2*gw*h2l/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cME*dZee_QED2*gw*h2l/(2d0*cMW*sb) + sqrt(2d0)*cME*dMW2_QED2*gw*  &
              h2l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cME*dMZ2_QED2*gw*h2l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dME_QED2*gw*h2l/(2d0*cMW*sb)
  dye1_QED3 = sqrt(2d0)*cME*dZee_QED2*gw*h1l/(2d0*cMW*cb) + sqrt(2d0)*cME*     &
              db_QED2*gw*h1l*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cME*dMW2_QED2*gw*&
              h1l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*  &
              cME*dMZ2_QED2*gw*h1l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *cb*sw**2d0) + sqrt(2d0)*dME_QED2*gw*h1l/(2d0*cMW*cb)
  dyup2_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw*h2u/(2d0*cMW*sb)
  dyup2_QED3 = -sqrt(2d0)*cMU*cb*db_QED2*gw*h2u/(2d0*cMW*sb**2d0) + sqrt(2d0)* &
               cMU*dZee_QED2*gw*h2u/(2d0*cMW*sb) + sqrt(2d0)*cMU*dMW2_QED2*gw* &
               h2u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)* &
               cMU*dMZ2_QED2*gw*h2u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**  &
               3d0*sb*sw**2d0) + sqrt(2d0)*dMU_QED2*gw*h2u/(2d0*cMW*sb)
  dyup1_QED3 = sqrt(2d0)*cMU*dZee_QED2*gw*h1u/(2d0*cMW*cb) + sqrt(2d0)*cMU*    &
               db_QED2*gw*h1u*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMU*dMW2_QED2*gw&
               *h1u*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*&
               cMU*dMZ2_QED2*gw*h1u*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**  &
               3d0*cb*sw**2d0) + sqrt(2d0)*dMU_QED2*gw*h1u/(2d0*cMW*cb)
  dyup1_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw*h1u/(2d0*cMW*cb)
  dym2_QED3 = -sqrt(2d0)*cMM*cb*db_QED2*gw*h2l/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cMM*dZee_QED2*gw*h2l/(2d0*cMW*sb) + sqrt(2d0)*cMM*dMW2_QED2*gw*  &
              h2l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cMM*dMZ2_QED2*gw*h2l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dMM_QED2*gw*h2l/(2d0*cMW*sb)
  dMSB2_QED2 = -8d0*cMW**2d0*dZee_QED2*l5/gw**2d0 + 4d0*cMW**2d0*dl5_QED4/gw** &
               2d0 + 4d0*cw**4d0*dMZ2_QED2*l5/(gw**2d0*sw**2d0) + dMHA2_QED2 + &
               4d0*dMW2_QED2*l5*(2d0*sw**2d0 - 1d0)/(gw**2d0*sw**2d0)
  dym1_QED3 = sqrt(2d0)*cMM*dZee_QED2*gw*h1l/(2d0*cMW*cb) + sqrt(2d0)*cMM*     &
              db_QED2*gw*h1l*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMM*dMW2_QED2*gw*&
              h1l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(2d0)*  &
              cMM*dMZ2_QED2*gw*h1l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *cb*sw**2d0) + sqrt(2d0)*dMM_QED2*gw*h1l/(2d0*cMW*cb)
  dsw2_QED2 = cw**4d0*dMZ2_QED2/cMW**2d0 - cw**2d0*dMW2_QED2/cMW**2d0
  dl4_QED4 = dl5_QED4 + dMHA2_QED2*gw**2d0/(2d0*cMW**2d0) - dMHC2_QED2*gw**2d0 &
             /(2d0*cMW**2d0) + dZee_QED2*gw**2d0*(cMHA**2d0 - cMHC**2d0)/cMW** &
             2d0 + dMW2_QED2*gw**2d0*(-2d0*cMHA**2d0*sw**2d0 + cMHA**2d0 + 2d0*&
             cMHC**2d0*sw**2d0 - cMHC**2d0)/(2d0*cMW**4d0*sw**2d0) + dMZ2_QED2*&
             gw**2d0*(-cMHA**2d0*sw**4d0 + 2d0*cMHA**2d0*sw**2d0 - cMHA**2d0 + &
             cMHC**2d0*sw**4d0 - 2d0*cMHC**2d0*sw**2d0 + cMHC**2d0)/(2d0*cMW** &
             4d0*sw**2d0)
  dsab_QED2 = da_QED2*(ca*cb + sa*sb) + db_QED2*(-ca*cb - sa*sb)
  dgw_QED3 = dZee_QED2*gw - cw**4d0*dMZ2_QED2*gw/(2d0*cMW**2d0*sw**2d0) + cw** &
             2d0*dMW2_QED2*gw/(2d0*cMW**2d0*sw**2d0)
  dcw_QED2 = -cw**3d0*dMZ2_QED2/(2d0*cMW**2d0) + cw*dMW2_QED2/(2d0*cMW**2d0)
  dyd12x2_QED3 = sqrt(2d0)*cMS*dZee_QED2*gw*h1d/(2d0*cMW*cb) + sqrt(2d0)*cMS*  &
                 db_QED2*gw*h1d*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMS*dMW2_QED2*&
                 gw*h1d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt( &
                 2d0)*cMS*dMZ2_QED2*gw*h1d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*&
                 cMW**3d0*cb*sw**2d0) + sqrt(2d0)*dMS_QED2*gw*h1d/(2d0*cMW*cb)
  dyd12x2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw*h1d/(2d0*cMW*cb)
  dyb2_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw*h2d/(2d0*cMW*sb)
  dyb2_QED3 = -sqrt(2d0)*cMB*cb*db_QED2*gw*h2d/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cMB*dZee_QED2*gw*h2d/(2d0*cMW*sb) + sqrt(2d0)*cMB*dMW2_QED2*gw*  &
              h2d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cMB*dMZ2_QED2*gw*h2d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dMB_QED2*gw*h2d/(2d0*cMW*sb)
  dytau1_QED3 = sqrt(2d0)*cMTA*dZee_QED2*gw*h1l/(2d0*cMW*cb) + sqrt(2d0)*cMTA* &
                db_QED2*gw*h1l*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMTA*dMW2_QED2*&
                gw*h1l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt(  &
                2d0)*cMTA*dMZ2_QED2*gw*h1l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*&
                cMW**3d0*cb*sw**2d0) + sqrt(2d0)*dMTA_QED2*gw*h1l/(2d0*cMW*cb)
  dtb_QED2 = db_QED2/cb**2d0
  dMPS_QED2 = sqrt(2d0)*dMHH2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0)) + sqrt(2d0&
              )*dMHL2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0))
  dytau2_QED3 = -sqrt(2d0)*cMTA*cb*db_QED2*gw*h2l/(2d0*cMW*sb**2d0) + sqrt(2d0 &
                )*cMTA*dZee_QED2*gw*h2l/(2d0*cMW*sb) + sqrt(2d0)*cMTA*dMW2_QED2&
                *gw*h2l*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt( &
                2d0)*cMTA*dMZ2_QED2*gw*h2l*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*&
                cMW**3d0*sb*sw**2d0) + sqrt(2d0)*dMTA_QED2*gw*h2l/(2d0*cMW*sb)
  dys2_QED3 = -sqrt(2d0)*cMS*cb*db_QED2*gw*h2d/(2d0*cMW*sb**2d0) + sqrt(2d0)*  &
              cMS*dZee_QED2*gw*h2d/(2d0*cMW*sb) + sqrt(2d0)*cMS*dMW2_QED2*gw*  &
              h2d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sb*sw**2d0) + sqrt(2d0)*  &
              cMS*dMZ2_QED2*gw*h2d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0&
              *sb*sw**2d0) + sqrt(2d0)*dMS_QED2*gw*h2d/(2d0*cMW*sb)
  dys2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw*h2d/(2d0*cMW*sb)
  dl3_QED4 = dl5_QED4*(cb**2d0 - 1d0)/sb**2d0 + ca*dMHH2_QED2*gw**2d0*sa/(4d0* &
             cMW**2d0*cb*sb) - ca*dMHL2_QED2*gw**2d0*sa/(4d0*cMW**2d0*cb*sb) + &
             ca*db_QED2*gw**2d0*sa*(-2d0*cMHH**2d0*cb**2d0 + cMHH**2d0 + 2d0*  &
             cMHL**2d0*cb**2d0 - cMHL**2d0)/(4d0*cMW**2d0*cb**2d0*sb**2d0) +   &
             dMHA2_QED2*gw**2d0*(cb**2d0 - 1d0)/(4d0*cMW**2d0*sb**2d0) +       &
             dMHC2_QED2*gw**2d0*(-cb**2d0 + 1d0)/(2d0*cMW**2d0*sb**2d0) +      &
             dZee_QED2*gw**2d0*(cMHA**2d0*cb**3d0 - cMHA**2d0*cb - 2d0*cMHC**  &
             2d0*cb**3d0 + 2d0*cMHC**2d0*cb + cMHH**2d0*ca*sa*sb - cMHL**2d0*ca&
             *sa*sb)/(2d0*cMW**2d0*cb*sb**2d0) + da_QED2*gw**2d0*(-2d0*cMHH**  &
             2d0*sa**2d0 + cMHH**2d0 + 2d0*cMHL**2d0*sa**2d0 - cMHL**2d0)/(4d0*&
             cMW**2d0*cb*sb) + dMW2_QED2*gw**2d0*(-2d0*cMHA**2d0*cb**3d0*sw**  &
             2d0 + cMHA**2d0*cb**3d0 + 2d0*cMHA**2d0*cb*sw**2d0 - cMHA**2d0*cb &
              + 4d0*cMHC**2d0*cb**3d0*sw**2d0 - 2d0*cMHC**2d0*cb**3d0 - 4d0*   &
             cMHC**2d0*cb*sw**2d0 + 2d0*cMHC**2d0*cb - 2d0*cMHH**2d0*ca*sa*sb* &
             sw**2d0 + cMHH**2d0*ca*sa*sb + 2d0*cMHL**2d0*ca*sa*sb*sw**2d0 -   &
             cMHL**2d0*ca*sa*sb)/(4d0*cMW**4d0*cb*sb**2d0*sw**2d0) + dMZ2_QED2*&
             gw**2d0*(-cMHA**2d0*cb**3d0*sw**4d0 + 2d0*cMHA**2d0*cb**3d0*sw**  &
             2d0 - cMHA**2d0*cb**3d0 + cMHA**2d0*cb*sw**4d0 - 2d0*cMHA**2d0*cb*&
             sw**2d0 + cMHA**2d0*cb + 2d0*cMHC**2d0*cb**3d0*sw**4d0 - 4d0*cMHC &
             **2d0*cb**3d0*sw**2d0 + 2d0*cMHC**2d0*cb**3d0 - 2d0*cMHC**2d0*cb* &
             sw**4d0 + 4d0*cMHC**2d0*cb*sw**2d0 - 2d0*cMHC**2d0*cb - cMHH**2d0*&
             ca*sa*sb*sw**4d0 + 2d0*cMHH**2d0*ca*sa*sb*sw**2d0 - cMHH**2d0*ca* &
             sa*sb + cMHL**2d0*ca*sa*sb*sw**4d0 - 2d0*cMHL**2d0*ca*sa*sb*sw**  &
             2d0 + cMHL**2d0*ca*sa*sb)/(4d0*cMW**4d0*cb*sb**2d0*sw**2d0)
  dl2_QED4 = -cb**2d0*dl5_QED4/sb**2d0 + ca*da_QED2*gw**2d0*sa*(cMHH**2d0 -    &
             cMHL**2d0)/(2d0*cMW**2d0*sb**2d0) - cb**2d0*dMHA2_QED2*gw**2d0/(  &
             4d0*cMW**2d0*sb**2d0) + cb*db_QED2*(cMHA**2d0*gw**2d0 - cMHH**2d0*&
             gw**2d0*sa**2d0 + cMHL**2d0*gw**2d0*sa**2d0 - cMHL**2d0*gw**2d0 + &
             4d0*cMW**2d0*l5)/(2d0*cMW**2d0*sb**3d0) + dMHH2_QED2*gw**2d0*sa** &
             2d0/(4d0*cMW**2d0*sb**2d0) + dMHL2_QED2*gw**2d0*(-sa**2d0 + 1d0)/(&
             4d0*cMW**2d0*sb**2d0) + dZee_QED2*gw**2d0*(-cMHA**2d0*cb**2d0 +   &
             cMHH**2d0*sa**2d0 - cMHL**2d0*sa**2d0 + cMHL**2d0)/(2d0*cMW**2d0* &
             sb**2d0) + dMW2_QED2*gw**2d0*(2d0*cMHA**2d0*cb**2d0*sw**2d0 - cMHA&
             **2d0*cb**2d0 - 2d0*cMHH**2d0*sa**2d0*sw**2d0 + cMHH**2d0*sa**2d0 &
              + 2d0*cMHL**2d0*sa**2d0*sw**2d0 - cMHL**2d0*sa**2d0 - 2d0*cMHL** &
             2d0*sw**2d0 + cMHL**2d0)/(4d0*cMW**4d0*sb**2d0*sw**2d0) +         &
             dMZ2_QED2*gw**2d0*(cMHA**2d0*cb**2d0*sw**4d0 - 2d0*cMHA**2d0*cb** &
             2d0*sw**2d0 + cMHA**2d0*cb**2d0 - cMHH**2d0*sa**2d0*sw**4d0 + 2d0*&
             cMHH**2d0*sa**2d0*sw**2d0 - cMHH**2d0*sa**2d0 + cMHL**2d0*sa**2d0*&
             sw**4d0 - 2d0*cMHL**2d0*sa**2d0*sw**2d0 + cMHL**2d0*sa**2d0 - cMHL&
             **2d0*sw**4d0 + 2d0*cMHL**2d0*sw**2d0 - cMHL**2d0)/(4d0*cMW**4d0* &
             sb**2d0*sw**2d0)
  dl1_QED4 = dl5_QED4*(cb**2d0 - 1d0)/cb**2d0 + ca*da_QED2*gw**2d0*sa*(-cMHH** &
             2d0 + cMHL**2d0)/(2d0*cMW**2d0*cb**2d0) + dMHA2_QED2*gw**2d0*(cb**&
             2d0 - 1d0)/(4d0*cMW**2d0*cb**2d0) + dMHH2_QED2*gw**2d0*(-sa**2d0  &
              + 1d0)/(4d0*cMW**2d0*cb**2d0) + dMHL2_QED2*gw**2d0*sa**2d0/(4d0* &
             cMW**2d0*cb**2d0) + dZee_QED2*gw**2d0*(cMHA**2d0*cb**2d0 - cMHA** &
             2d0 - cMHH**2d0*sa**2d0 + cMHH**2d0 + cMHL**2d0*sa**2d0)/(2d0*cMW &
             **2d0*cb**2d0) + db_QED2*sb*(-cMHA**2d0*gw**2d0 - cMHH**2d0*gw**  &
             2d0*sa**2d0 + cMHH**2d0*gw**2d0 + cMHL**2d0*gw**2d0*sa**2d0 - 4d0*&
             cMW**2d0*l5)/(2d0*cMW**2d0*cb**3d0) + dMW2_QED2*gw**2d0*(-2d0*cMHA&
             **2d0*cb**2d0*sw**2d0 + cMHA**2d0*cb**2d0 + 2d0*cMHA**2d0*sw**2d0 &
              - cMHA**2d0 + 2d0*cMHH**2d0*sa**2d0*sw**2d0 - cMHH**2d0*sa**2d0  &
              - 2d0*cMHH**2d0*sw**2d0 + cMHH**2d0 - 2d0*cMHL**2d0*sa**2d0*sw** &
             2d0 + cMHL**2d0*sa**2d0)/(4d0*cMW**4d0*cb**2d0*sw**2d0) +         &
             dMZ2_QED2*gw**2d0*(-cMHA**2d0*cb**2d0*sw**4d0 + 2d0*cMHA**2d0*cb**&
             2d0*sw**2d0 - cMHA**2d0*cb**2d0 + cMHA**2d0*sw**4d0 - 2d0*cMHA**  &
             2d0*sw**2d0 + cMHA**2d0 + cMHH**2d0*sa**2d0*sw**4d0 - 2d0*cMHH**  &
             2d0*sa**2d0*sw**2d0 + cMHH**2d0*sa**2d0 - cMHH**2d0*sw**4d0 + 2d0*&
             cMHH**2d0*sw**2d0 - cMHH**2d0 - cMHL**2d0*sa**2d0*sw**4d0 + 2d0*  &
             cMHL**2d0*sa**2d0*sw**2d0 - cMHL**2d0*sa**2d0)/(4d0*cMW**4d0*cb** &
             2d0*sw**2d0)
  dvev_QED1 = 2d0*cMW*dZee_QED2*(cw**2d0 - 1d0)/(gw*sw**2d0) + cw**4d0*        &
              dMZ2_QED2/(cMW*gw*sw**2d0) + dMW2_QED2*(-2d0*cw**2d0 + 1d0)/(cMW*&
              gw*sw**2d0)
  dyd13x3_QED3 = sqrt(2d0)*cMB*dZee_QED2*gw*h1d/(2d0*cMW*cb) + sqrt(2d0)*cMB*  &
                 db_QED2*gw*h1d*sb/(2d0*cMW*cb**2d0) + sqrt(2d0)*cMB*dMW2_QED2*&
                 gw*h1d*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*cb*sw**2d0) + sqrt( &
                 2d0)*cMB*dMZ2_QED2*gw*h1d*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*&
                 cMW**3d0*cb*sw**2d0) + sqrt(2d0)*dMB_QED2*gw*h1d/(2d0*cMW*cb)
  dyd13x3_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw*h1d/(2d0*cMW*cb)
end subroutine set_derived_ctparameter
end module derived_ctparameter
